screen ~ file "FILE I/O" r1 c1 w32 h4 i12 H120 W128 {

  label    "MODEL"       r6  c1   w32 h29 i12 
  string   "%s"          r+4 c+1  w30 h4  i11 : model_name 
  button   "OPEN"        r+4 c=   w15 h4  i13 U : *open_model
  button   "MERGE"       r=  c+15 w15 h4  i13 U : *merge_models
  button   "SAVE"        r+4 c-15 w15 h4  i13 U : *save_model
  button   "SAVE AS"     r=  c+15 w15 h4  i13 U : *save_as_model
  button   "RESTORE"     r+4 c-15 w15 h4  i13 U : *restore_model
  popup    "NEW"         r=  c+15 w15 h4  i10 U dr20 dc12 dw32 dh13 \
                                                : *new_model {
    label  "OK to delete current model?" r1 c1 w32 h13 i3
    button "YES" r+5 c+8 w8 h6 i13 : "*remove_popup yes"
    button "NO"  r=  c+8 w8 h6 i13 : "*remove_popup no"
  endpopup }
  toggle "FORMATTED"     r+4 c-15 w15 h4  i13 \
       : "*set_save_formatted on / *set_save_formatted off"
  button "SET DIRECTORY" r=  c+15 w15 h4  i13   : *change_directory
  string "%s"            r+4 c-15 w30 h4  i11   :  current_directory

  label     "IMPORT"  r+6 c1   w32 h29 i12
  button    "DXF"     r+4 c+1  w30 h4  i13 : "*import autocad" \
                                           ?   import_autocad.hlp
  button    "I-DEAS"  r+4 c=   w30 h4  i13 : "*import ideas" \
                                           ?   import_ideas.hlp
  button    "IGES"    r+4 c=   w15 h4  i13 : "*import iges" \
                                           ?   import_iges.hlp
  newscreen "FILTERS" r=  c+15 w15 h4  i10 :   iges \
                                           ?   iges.hlp
  button    "NASTRAN" r+4 c-15 w30 h4  i13 : "*read_nastran"
  button    "PATRAN"  r+4 c=   w30 h4  i13 : "*import patran" \
                                           ?   import_patran.hlp
  button    "VDAFS"   r+4 c=   w30 h4  i13 : "*import vda" \
                                           ?   import_vda.hlp

  label     "EXPORT"    r+6 c1   w32 h9 i12
  button    "IGES"      r+4 c+1  w15 h4 i13 : "*export iges" \
                                          ?     export_iges.hlp
  button    "FIDAP"     r=  c+15 w15 h4 i13 : "*export fidap"

  label  "ACIS"      r+6 c1   w32 h13 i12
  button "READ"      r+4 c+1  w15 h4  i13 : *read_acis
  button "WRITE"     r=  c+15 w15 h4  i13 : *write_acis
  toggle "FORMATTED" r+4 c-15 w15 h4  i13 \
       : "*set_acis_formatted on / *set_acis_formatted off"

  button "EDIT FILE"     r+6 c1   w16 h4 i13 : *edit_file
  button "RESET PROGRAM" r=  c+16 w16 h4 i13 : *reset

#include standard.m
#include trans_file.m

endscreen }

screen ~ iges "IGES INTERFACE" r1 c1 w32 h4 i12 H120 W128 {

  label "IMPORT COLORS"         r6  c1  w32 h29 i12
  toggle "0: NO ASSIGNED COLOR" r+4 c+1 w30 h4  i13 \
       : "*set_iges_import_color 0 on / *set_iges_import_color 0 off"
  toggle "1: BLACK"             r+4 c=   w15 h4  i13 \
       : "*set_iges_import_color 1 on / *set_iges_import_color 1 off"
  toggle "2: RED"               r=  c+15 w15 h4  i13 \
       : "*set_iges_import_color 2 on / *set_iges_import_color 2 off"
  toggle "3: GREEN"             r+4 c-15 w15 h4  i13 \
       : "*set_iges_import_color 3 on / *set_iges_import_color 3 off"
  toggle "4: BLUE"              r=  c+15 w15 h4  i13 \
       : "*set_iges_import_color 4 on / *set_iges_import_color 4 off"
  toggle "5: YELLOW"            r+4 c-15 w15 h4  i13 \
       : "*set_iges_import_color 5 on / *set_iges_import_color 5 off"
  toggle "6: MAGENTA"           r=  c+15 w15 h4  i13 \
       : "*set_iges_import_color 6 on / *set_iges_import_color 6 off"
  toggle "7: CYAN"              r+4 c-15 w15 h4  i13 \
       : "*set_iges_import_color 7 on / *set_iges_import_color 7 off"
  toggle "8: WHITE"             r=  c+15 w15 h4  i13 \
       : "*set_iges_import_color 8 on / *set_iges_import_color 8 off"
  button "ALL COLORS"           r+4 c-15 w15 h4  i13 \
       :  *set_all_iges_import_colors
  button "CLEAR COLORS"         r=  c+15 w15 h4  i13 \
       :  *clear_all_iges_import_colors

  button "IMPORT LAYERS" r+6 c1   w16 h8  i13 : *iges_import_layers
  string "%s"            r=  c+16 w16 h12 i11 :  iges_import_layers
  button "ALL LAYERS"    r+8 c-16 w16 h4  i13 : *all_iges_import_layers

  button "IMPORT IGES" r+5 c1 w16 h6 i13 : "*import iges"
  button "EXPORT IGES" r+7 c1 w16 h6 i13 : "*export iges"

#include standard.m
#include trans_file.m

endscreen }
