screen ~ dstress_geom "STRESS GEOMETRIC PROPERTIES" \
         r1 c1 w32 h4 i12  H120 W128 {

  label "ELEMENT DIMENSION" r6 c1 w32 h17 i12

  newscreen "3-D"               r+4 c+1 w30 h4  i10 : dstress_geom_three
  newscreen "AXISYMMETRIC"      r+4 c=  w30 h4  i10 : dstress_geom_axisym
  newscreen "PLANAR"            r+4 c=  w30 h4  i10 : dstress_geom_planar

  toggle "ID GEOMETRIES" r+6 c1 w16 h4 i13 \
         : "*identify_geometries *regen / *identify_none *regen"

#include standard.m
#include transform.m

endscreen }

screen ~ dstress_geom_three "3-D STRESS GEOMETRIC PROPS" \
         r1 c1 w32 h4 i12  H120 W128 {

  label "GEOMETRIC PROPERTY TYPE" r15 c1 w32 h21 i12

  string "%s" r+4 c+28 w3 h4 i9 : geometry_type_mech_three_truss
  string "%s" r+4 c=   w3 h4 i9 : geometry_type_mech_three_beam_ela
  string "%s" r+4 c=   w3 h4 i9 : geometry_type_mech_three_membrane
  string "%s" r+4 c=   w3 h4 i9 : geometry_type_mech_three_shell
 
  popup "TRUSS" r-12 c2 w27 h4 i10 dr6 dc36 dw56 dh26 \
      : "*geometry_type mech_three_truss" {

    label "3-D TRUSS PROPERTIES" r1 c1 w56 h4 i12

    label  "CROSS SECTION" r+5 c2   w54 h4 i12
    button "AREA"          r+4 c=   w36 h4 i13 : "*geometry_value area"
    float  "%-14.6g"       r=  c+36 w18 h4 i11 :   geometry_value_area

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_geometry_values
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

  popup "ELASTIC BEAM" r+4 c2 w27 h4 i10 dr6 dc36 dw56 dh62 \
      : "*geometry_type mech_three_beam_ela" {

    label "3-D ELASTIC BEAM PROPERTIES" r1 c1 w56 h4 i12

    label  "CROSS SECTION" r+5 c2   w54 h4 i12
    button "AREA"          r+4 c=   w36 h4 i13 : "*geometry_value area"
    float  "%-14.6g"       r=  c+36 w18 h4 i11 :   geometry_value_area
    button "Ixx"           r+4 c-36 w36 h4 i13 : "*geometry_value ixx"
    float  "%-14.6g"       r=  c+36 w18 h4 i11 :   geometry_value_ixx
    button "Iyy"           r+4 c-36 w36 h4 i13 : "*geometry_value iyy"
    float  "%-14.6g"       r=  c+36 w18 h4 i11 :   geometry_value_iyy

    label  "VECTOR DEFINING LOCAL X-AXIS" \
                     r+6 c2   w54 h4 i12
    button "X"       r+4 c=   w36 h4 i13 : "*geometry_value orientx"
    float  "%-14.6g" r=  c+36 w18 h4 i11 : geometry_value_orientx
    button "Y"       r+4 c-36 w36 h4 i13 : "*geometry_value orienty"
    float  "%-14.6g" r=  c+36 w18 h4 i11 : geometry_value_orienty
    button "Z"       r+4 c-36 w36 h4 i13 : "*geometry_value orientz"
    float  "%-14.6g" r=  c+36 w18 h4 i11 : geometry_value_orientz

    label  "ADDITIONAL SECTION PROP's" r+6 c2 w36 h4 i12
    button "SHEAR CORRECTION FACTOR" r+4 c2   w36 h4 i13 \
         : "*geometry_value tstiff"
    float  "%-14.6g"                 r=  c+36 w18 h4 i11 \
         :   geometry_value_tstiff

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_geometry_values
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

  popup "MEMBRANE" r+4 c2 w27 h4 i10 dr6 dc36 dw56 dh26 \
      : "*geometry_type mech_three_membrane" {

    label "3-D MEMBRANE PROPERTIES" r1 c1 w56 h4 i12

    label  "NORMAL TO PLANE" r+5 c2   w54 h4 i12
    button "THICKNESS"       r+4 c=   w36 h4 i13 : "*geometry_value thick"
    float  "%-14.6g"         r=  c+36 w18 h4 i11 :   geometry_value_thick

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_geometry_values
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

  popup "SHELL" r+4 c2 w27 h4 i10 dr6 dc36 dw56 dh22 \
      : "*geometry_type mech_three_shell" {

    label "3-D SHELL PROPERTIES" r1 c1 w56 h4 i12

    button "THICKNESS"          r+5 c2   w36 h4 i13 : "*geometry_value thick"
    float  "%-14.6g"            r=  c+24 w18 h4 i11 :   geometry_value_thick

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_geometry_values
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

#include geom_props_sub.m
#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ dstress_geom_axisym "AXISYM STRESS GEOMETRIC PROPS" \
         r1 c1 w32 h4 i12 H120 W128 {

  label "GEOMETRIC PROPERTY TYPE" r15 c1 w32 h9 i12
 
  string "%s" r+4 c+28 w3 h4 i9 : geometry_type_mech_axisym_shell
 
  popup "SHELL" r= c2 w27 h4 i10 dr6 dc36 dw56 dh22 \
      : "*geometry_type mech_axisym_shell" {

    label "AXISYMMETRIC SHELL PROPERTIES" r1 c1 w56 h4 i12

    button "THICKNESS" r+5 c2   w24 h4 i13 : "*geometry_value thick"
    float  "%-14.6g"   r=  c+24 w18 h4 i11 :   geometry_value_thick

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_geometry_values
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

#include geom_props_sub.m
#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ dstress_geom_planar "PLANAR STRESS GEOMETRIC PROPS" \
         r1 c1 w32 h4 i12  H120 W128 {

  label "GEOMETRIC PROPERTY TYPE" r15 c1 w32 h9 i12

  string "%s" r+4 c+28 w3 h4 i9 : geometry_type_mech_planar_pstress

  popup "PLANE STRESS" r= c2 w27 h4 i10 dr6 dc36 dw56 dh22 \
      : "*geometry_type mech_planar_pstress" {

    label "PLANE STRESS MECHANICAL PROPERTIES" r1 c1 w56 h4 i12

    button "THICKNESS NORMAL TO PLANE" r+5 c2   w36 h4 i13 \
         : "*geometry_value thick"
    float  "%-14.6g"                   r=  c+36 w18 h4 i11 \
         :   geometry_value_thick

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_geometry_values
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

#include geom_props_sub.m
#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ dheat_geom "HEAT GEOMETRIC PROPERTIES" \
         r1 c1 w32 h4 i12  H120 W128 {

  label "ELEMENT DIMENSION" r6 c1 w32 h17 i12

  newscreen "3-D"               r+4 c+1 w30 h4  i10 : dheat_geom_three
  newscreen "AXISYMMETRIC"      r+4 c=  w30 h4  i10 : dheat_geom_axisym
  newscreen "PLANAR"            r+4 c=  w30 h4  i10 : dheat_geom_planar

  toggle "ID GEOMETRIES" r+6 c1 w16 h4 i13 \
         : "*identify_geometries *regen / *identify_none *regen"

#include standard.m
#include transform.m

endscreen }

screen ~ dheat_geom_three "3-D HEAT GEOMETRIC PROPERTIES" \
         r1 c1 w32 h4 i12  H120 W128 {

  label "GEOMETRIC PROPERTY TYPE" r15 c1 w32 h13 i12

  string "%s" r+4 c+28 w3 h4 i9 : geometry_type_heat_three_truss
  string "%s" r+4 c=   w3 h4 i9 : geometry_type_heat_three_shell

  popup "3-D LINK" r-4 c2 w27 h4 i10 dr6 dc36 dw44 dh22 \
      : "*geometry_type heat_three_truss" {

    label "HEAT TRANSFER 3-D TRUSS PROPERTIES" r1 c1 w44 h4 i12

    button "CROSS SECTION AREA" r+5 c2   w24 h4 i13 : "*geometry_value area"
    float  "%-14.6g"            r=  c+24 w18 h4 i11 :   geometry_value_area

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_geometry_values
    button "OK"    r=  c+30 w12 h10 i13   : *remove_popup

  endpopup }

  popup "3-D SHELL" r+4 c2 w27 h4 i10 dr6 dc36 dw44 dh22 \
      : "*geometry_type heat_three_shell" {

    label "HEAT TRANSFER 3-D SHELL PROPERTIES" r1 c1 w44 h4 i12

    button "THICKNESS" r+5 c2   w24 h4 i13 : "*geometry_value thick"
    float  "%-14.6g"   r=  c+24 w18 h4 i11 :   geometry_value_thick

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_geometry_values
    button "OK"    r=  c+30 w12 h10 i13   : *remove_popup

  endpopup }

#include geom_props_sub.m
#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ dheat_geom_axisym "AXISYM HEAT GEOMETRIC PROPS" \
         r1 c1 w32 h4 i12 H120 W128 {

  label "GEOMETRIC PROPERTY TYPE" r15 c1 w32 h9 i12
 
  string "%s" r+4 c+28 w3 h4 i9 : geometry_type_heat_axisym_shell
 
  popup "SHELL" r= c2 w27 h4 i10 dr6 dc36 dw44 dh22 \
      : "*geometry_type heat_axisym_shell" {

    label "HEAT TRANSFER AXISYMMETRIC SHELL PROPERTIES" r1 c1 w44 h4 i12

    button "THICKNESS" r+5 c2   w24 h4 i13 : "*geometry_value thick"
    float  "%-14.6g"   r=  c+24 w18 h4 i11 :   geometry_value_thick

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_geometry_values
    button "OK"    r=  c+30 w12 h10 i13   : *remove_popup

  endpopup }

#include geom_props_sub.m
#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ dheat_geom_planar "PLANAR HEAT GEOMETRIC PROPS" \
         r1 c1 w32 h4 i12  H120 W128 {

  label "GEOMETRIC PROPERTY TYPE" r15 c1 w32 h9 i12

  string "%s" r+4 c+28 w3 h4 i9 : geometry_type_heat_planar
 
  popup "PLANAR" r= c2 w27 h4 i10 dr6 dc36 dw56 dh22 \
      : "*geometry_type heat_planar" {

    label "HEAT TRANSFER PLANAR PROPERTIES" r1 c1 w56 h4 i12

    button "THICKNESS NORMAL TO PLANE" \
                     r+5 c2   w36 h4 i13 : "*geometry_value thick"
    float  "%-14.6g" r=  c+36 w18 h4 i11 :   geometry_value_thick

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_geometry_values
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

#include geom_props_sub.m
#include select_std.m
#include standard.m
#include transform.m

endscreen }
