screen ~ dstress_mat "STRESS MATERIAL PROPERTIES" r1 c1 w32 h4 i12  H120 W128 {

  button "PREV" r6  c1   w8  h4 i13 U : *previous_material
  string "%s"   r=  c+8  w16 h4 i11   :  material_name
  button "NEXT" r=  c+16 w8  h4 i13 U : *next_material
  button "NEW"  r+4 c1   w8  h4 i13 U : *new_material
  button "NAME" r=  c+8  w8  h4 i13 U : *material_name
  button "REM"  r=  c+8  w8  h4 i13 U : *remove_current_material
  popup  "EDIT" r=  c+8  w8  h4 i10   : *edit_material dr12 dc36 dw48 dh76 {

    label  "CURRENTLY DEFINED MATERIALS" r1 c1 w48 h76 i12

    buttstr "%s" r+4 c+1 w24 h4 i13 : material_list_name_0
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_1
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_2
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_3
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_4
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_5
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_6
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_7
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_8
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_9
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_10
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_11
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_12
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_13
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_14

    button "TOP"  r5  c+26 w8  h4 i13 U : "*pick_list_top(material)"  ? top.hlp
    button "UP"   r+4 c=   w8  h4 i13 U : "*pick_list_prev(material,7)" ? up.hlp
    button "DOWN" r61 c=   w8  h4 i13 U : "*pick_list_next(material,7)" ? down.hlp
    button "OK"   r67 c=   w16 h8 i13   :  *remove_popup

  endpopup }

  label "MECHANICAL MATERIAL TYPES" r+5 c1 w32 h9 i12

  string "%s" r+4 c+28 w3 h4 i9 : material_type_isotropic

  popup "ISOTROPIC" r= c2 w27 h4 i10 dr6 dc36 dw40 dh38 \
      : "*material_type mechanical:isotropic" {

    label "ISOTROPIC PROPERTIES" r1 c1 w40 h4 i12

    button "YOUNG'S MODULUS" r+5 c2   w20 h4 i13 U \
         : "*material_value isotropic:youngs_modulus"
    float  "%-14.6g"         r=  c+20 w18 h4 i11 \
	 :   material_value_isotropic:youngs_modulus

    button "POISSON'S RATIO" r+4 c2   w20 h4 i13 U \
	 : "*material_value isotropic:poissons_ratio"
    float  "%-14.6g"         r=  c+20 w18 h4 i11 \
	 :   material_value_isotropic:poissons_ratio

    button "MASS DENSITY" r+4 c2   w20 h4 i13 U \
	 : "*material_value isotropic:mass_density"
    float  "%-14.6g"      r=  c+20 w18 h4 i11 \
	 :   material_value_isotropic:mass_density

    button "THERM EXP COEF" r+4 c2   w20 h4 i13 U \
	 : "*material_value isotropic:thermal_exp"
    float  "%-14.6g"        r=  c+20 w18 h4 i11 \
	 :   material_value_isotropic:thermal_exp

    button "STRESS FREE TEMP" r+4 c2   w20 h4 i13 U \
	 : "*material_value isotropic:free_temp"
    float  "%-14.6g"          r=  c+20 w18 h4 i11 \
	 :   material_value_isotropic:free_temp

    button "RESET"  r+6 c2   w12 h10 i13 U \
         : "*material_reset mechanical:isotropic"
    button "REMOVE" r=  c>13 w12 h10 i13 U \
         : "*remove_popup *material_remove_type mechanical:isotropic"
    button "OK"     r=  c+26 w12 h10 i13 :  *remove_popup

  endpopup }

  toggle "ID MATERIALS" r+6 c1 w16 h4 i13 \
       : "*identify_materials *regen / *identify_none *regen"

  label  "ELEMENTS" r+5 c1   w12 h4 i12 
  button "ADD"      r=  c+12 w6  h4 i13 : *add_material_elements
  button "REM"      r=  c+6  w6  h4 i13 : *remove_material_elements
  integer "%-d"     r=  c+6  w8  h4 i11 :  material_use_count

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ dheat_mat "HEAT TRANSFER PROPERTIES" r1 c1 w32 h4 i12  H120 W128 {

  button "PREV" r6  c1   w8  h4 i13 U :  *previous_material
  string "%s"   r=  c+8  w16 h4 i11   :   material_name
  button "NEXT" r=  c+16 w8  h4 i13 U :  *next_material
  button "NEW"  r+4 c1   w8  h4 i13 U \
       : "*new_material *material_type heat"
  button "NAME" r=  c+8  w8  h4 i13 U :  *material_name
  button "REM"  r=  c+8  w8  h4 i13 U :  *remove_current_material
  popup  "EDIT" r=  c+8  w8  h4 i10   :  *edit_material dr12 dc36 dw48 dh76 {

    label  "CURRENTLY DEFINED MATERIALS" r1 c1 w48 h76 i12

    buttstr "%s" r+4 c+1 w24 h4 i13 : material_list_name_0
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_1
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_2
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_3
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_4
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_5
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_6
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_7
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_8
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_9
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_10
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_11
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_12
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_13
    buttstr "%s" r+4 c=  w=  h= i=  : material_list_name_14

    button "TOP"  r5  c+26 w8  h4 i13 U : "*pick_list_top(material)"  ? top.hlp
    button "UP"   r+4 c=   w8  h4 i13 U : "*pick_list_prev(material,7)" ? up.hlp
    button "DOWN" r61 c=   w8  h4 i13 U : "*pick_list_next(material,7)" ? down.hlp
    button "OK"   r67 c=   w16 h8 i13   :  *remove_popup

  endpopup }

  label "THERMAL MATERIAL TYPES" r+5 c1 w32 h9 i12

  string "%s" r+4 c+28 w3 h4 i9 : material_type_heat

  popup "HEAT TRANSFER" r= c2 w27 h4 i10 dr6 dc36 dw40 dh22 \
      : "*material_type heat" {

    label "HEAT TRANSFER PROPERTIES" r1 c1 w40 h4 i12

    button "CONDUCTIVITY" r+5 c2   w20 h4 i13 U \
	 : "*material_value heat:conductivity"
    float  "%-14.6g"      r=  c+20 w18 h4 i11 \
	 :   material_value_heat:conductivity

    button "RESET"  r+6 c2   w12 h10 i13 U \
         : "*material_reset mechanical:isotropic"
    button "REMOVE" r=  c>13 w12 h10 i13 U \
         : "*remove_popup *material_remove_type mechanical:isotropic"
    button "OK"     r=  c+26 w12 h10 i13 :  *remove_popup

  endpopup }

  toggle "ID MATERIALS" r+6 c1 w16 h4 i13 \
       : "*identify_materials *regen / *identify_none *regen"

  label  "ELEMENTS" r+5 c1   w12 h4 i12 
  button "ADD"      r=  c+12 w6  h4 i13 : *add_material_elements
  button "REM"      r=  c+6  w6  h4 i13 : *remove_material_elements
  integer "%-d"     r=  c+6  w8  h4 i11 :  material_use_count

#include select_std.m
#include standard.m
#include transform.m

endscreen }
