# main.m is starting point for the menu system

@MENUS
# beginning of menu portion - suggest using % under vi to test braces!

screen ~ main "MAIN MENU" r1 c1 w32 h4 i12 H120 W128 {

  label "TYPES OF ANALYSIS" r6 c1 w32 h30 i12

  newscreen "STATIC STRESS"              r+4 c+2 w28 h6 i10 : dstress
  newscreen "MODAL EXTRACTION"           r+6 c=  w28 h6 i10 : dmodal
  newscreen "BUCKLING"                   r+6 c=  w28 h6 i10 : dbuckling
  newscreen "STEADY STATE HEAT TRANSFER" r+6 c=  w28 h6 i10 : dheat

  popup "QUIT" r113 c1 w32 h8 i10 dr113 dc1 dw32 dh8 {

    button "SAVE & EXIT" r1 c1   w16 h8 i13 : "*save_model *quit yes"
    button "EXIT"        r1 c+16 w8  h8 i13 : "*quit yes"
    button "CANCEL"      r1 c+8  w8  h8 i13 : "*remove_popup"

  endpopup }

#include transform.m

endscreen }

screen ~ dstress "STATIC STRESS ANALYSIS" r1 c1 w32 h4 i12 H120 W128 {

  label "PREPROCESSING" r6  c1 w32 h36 i12

  newscreen "MESH GENERATION"      r+4 c+2 w28 h6 i10 : meshgen
  newscreen "BOUNDARY CONDITIONS"  r+6 c=  w28 h6 i10 : dstress_apply
  newscreen "LINKS/TIES"           r+6 c=  w28 h6 i10 : links
  newscreen "MATERIAL PROPERTIES"  r+6 c=  w28 h6 i10 : dstress_mat
  newscreen "GEOMETRIC PROPERTIES" r+6 c=  w28 h6 i10 : dstress_geom

  label "ANALYSIS" r+9 c1 w32 h18 i12

  newscreen "LOADCASES" r+4 c+2 w28 h6 i10 : dstress_lcase
  newscreen "JOBS"      r+6 c=  w28 h6 i10 : dstress_job

  label "POSTPROCESSING" r+9 c1 w32 h12 i12

  newscreen "RESULTS" r+4 c+2 w28 h6 i10 : results

  label "CONFIGURATION" r+9 c1 w32 h18 i12

  newscreen "DEVICE"        r+4 c+2 w28 h6 i10 : device
  newscreen "VISUALIZATION" r+6 c=  w28 h6 i10 : visualization

#include transform.m
#include standard.m

endscreen }

screen ~ dmodal "MODAL EXTRACTION ANALYSIS" r1 c1 w32 h4 i12 H120 W128 {

  label "PREPROCESSING" r6  c1 w32 h42 i12

  newscreen "MESH GENERATION"      r+4 c+2 w28 h6 i10 : meshgen
  newscreen "BOUNDARY CONDITIONS"  r+6 c=  w28 h6 i10 : dmodal_apply
  newscreen "LINKS/TIES"           r+6 c=  w28 h6 i10 : links
  newscreen "POINT MASS"           r+6 c=  w28 h6 i10 : pmass
  newscreen "MATERIAL PROPERTIES"  r+6 c=  w28 h6 i10 : dstress_mat
  newscreen "GEOMETRIC PROPERTIES" r+6 c=  w28 h6 i10 : dstress_geom

  label "ANALYSIS" r+9 c1 w32 h18 i12

  newscreen "LOADCASES" r+4 c+2 w28 h6 i10 : dmodal_lcase
  newscreen "JOBS"      r+6 c=  w28 h6 i10 : dmodal_job

  label "POSTPROCESSING" r+9 c1 w32 h12 i12

  newscreen "RESULTS" r+4 c+2 w28 h6 i10 : results

  label "CONFIGURATION" r+9 c1 w32 h18 i12

  newscreen "DEVICE"        r+4 c+2 w28 h6 i10 : device
  newscreen "VISUALIZATION" r+6 c=  w28 h6 i10 : visualization

#include transform.m
#include standard.m

endscreen }

screen ~ pmass "POINT MASS" r1 c1 w32 h4 i12 H120 W128 {

  button "PREV" r5  c1   w8  h4 i13   : *previous_icond
  string "%s"   r=  c+8  w16 h4 i11   : icond_name
  button "NEXT" r=  c+16 w8  h4 i13 U : *next_icond
  button "NEW"  r+4 c1   w8  h4 i13 U : *new_icond
  button "NAME" r=  c+8  w8  h4 i13 U : *icond_name
  button "REM"  r=  c+8  w8  h4 i13 U : *remove_current_icond
  popup  "EDIT" r=  c+8  w8  h4 i10 dr12 dc36 dw70 dh76 : *edit_icond {

    label  "CURRENTLY DEFINED BOUNDARY CONDITIONS" r1 c1 w70 h76 i12

    buttstr "%s" r+4 c+4  w24 h4 i13 : icond_list_name_0
    string  "%s" r=  c+24 w24 h4 i11 : icond_list_type_0
    buttstr "%s" r+4 c-24 w24 h4 i13 : icond_list_name_1
    string  "%s" r=  c+24 w24 h4 i11 : icond_list_type_1
    buttstr "%s" r+4 c-24 w24 h4 i13 : icond_list_name_2
    string  "%s" r=  c+24 w24 h4 i11 : icond_list_type_2
    buttstr "%s" r+4 c-24 w24 h4 i13 : icond_list_name_3
    string  "%s" r=  c+24 w24 h4 i11 : icond_list_type_3
    buttstr "%s" r+4 c-24 w24 h4 i13 : icond_list_name_4
    string  "%s" r=  c+24 w24 h4 i11 : icond_list_type_4
    buttstr "%s" r+4 c-24 w24 h4 i13 : icond_list_name_5
    string  "%s" r=  c+24 w24 h4 i11 : icond_list_type_5
    buttstr "%s" r+4 c-24 w24 h4 i13 : icond_list_name_6
    string  "%s" r=  c+24 w24 h4 i11 : icond_list_type_6
    buttstr "%s" r+4 c-24 w24 h4 i13 : icond_list_name_7
    string  "%s" r=  c+24 w24 h4 i11 : icond_list_type_7
    buttstr "%s" r+4 c-24 w24 h4 i13 : icond_list_name_8
    string  "%s" r=  c+24 w24 h4 i11 : icond_list_type_8
    buttstr "%s" r+4 c-24 w24 h4 i13 : icond_list_name_9
    string  "%s" r=  c+24 w24 h4 i11 : icond_list_type_9
    buttstr "%s" r+4 c-24 w24 h4 i13 : icond_list_name_10
    string  "%s" r=  c+24 w24 h4 i11 : icond_list_type_10
    buttstr "%s" r+4 c-24 w24 h4 i13 : icond_list_name_11
    string  "%s" r=  c+24 w24 h4 i11 : icond_list_type_11
    buttstr "%s" r+4 c-24 w24 h4 i13 : icond_list_name_12
    string  "%s" r=  c+24 w24 h4 i11 : icond_list_type_12
    buttstr "%s" r+4 c-24 w24 h4 i13 : icond_list_name_13
    string  "%s" r=  c+24 w24 h4 i11 : icond_list_type_13
    buttstr "%s" r+4 c-24 w24 h4 i13 : icond_list_name_14
    string  "%s" r=  c+24 w24 h4 i11 : icond_list_type_14

    button "TOP"  r5  c53 w8  h4 i13 U : "*pick_list_top(icond)"  ? top.hlp
    button "UP"   r+4 c=  w8  h4 i13 U : "*pick_list_prev(icond,7)" ? up.hlp
    button "DOWN" r61 c=  w8  h4 i13 U : "*pick_list_next(icond,7)" ? down.hlp
    button "OK"   r+6 c=  w16 h8 i13 : "*remove_popup"

  endpopup }

  label " " r+5 c1 w32 h6 i12

  string "%s" r+1 c+28 w3 h4 i9 : icond_type_point_mass
 
  popup "POINT MASS" r= c2 w27 h4 i10 dr14 dc36 dw40 dh42 \
      : "*icond_type point_mass" {

    label "POINT MASS" r1 c1 w40 h4 i12
 
    toggle "ON"       r+5 c2   w6  h4 i13 \
         : "*icond_dof x / *clear_icond_dof x"
    button "X LINEAR" r=  c+6  w14 h4 i13 U : "*icond_value x"
    float  "%-14.6g"  r=  c+14 w18 h4 i11   :   icond_value_x
 
    toggle "ON"       r+4 c2   w6  h4 i13 \
         : "*icond_dof y / *clear_icond_dof y"
    button "Y LINEAR" r=  c+6  w14 h4 i13 U : "*icond_value y"
    float  "%-14.6g"  r=  c+14 w18 h4 i11   :   icond_value_y
 
    toggle "ON"       r+4 c2   w6  h4 i13 \
         : "*icond_dof z / *clear_icond_dof z"
    button "Z LINEAR" r=  c+6  w14 h4 i13 U : "*icond_value z"
    float  "%-14.6g"  r=  c+14 w18 h4 i11   :   icond_value_z
 
    toggle "ON"        r+4 c2   w6  h4 i13 \
         : "*icond_dof thx / *clear_icond_dof thx"
    button "X ANGULAR" r=  c+6  w14 h4 i13 U : "*icond_value thx"
    float  "%-14.6g"   r=  c+14 w18 h4 i11   :   icond_value_thx
 
    toggle "ON"        r+4 c2   w6  h4 i13 \
         : "*icond_dof thy / *clear_icond_dof thy"
    button "Y ANGULAR" r=  c+6  w14 h4 i13 U : "*icond_value thy"
    float  "%-14.6g"   r=  c+14 w18 h4 i11   :   icond_value_thy
 
    toggle "ON"        r+4 c2   w6  h4 i13 \
         : "*icond_dof thz / *clear_icond_dof thz"
    button "Z ANGULAR" r=  c+6  w14 h4 i13 U : "*icond_value thz"
    float  "%-14.6g"   r=  c+14 w18 h4 i11   :   icond_value_thz

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_icond
    button "OK"    r=  c+26 w12 h10 i13   : *remove_popup
 
  endpopup }

  label   "NODES" r72 c1   w12 h4 i12 
  button  "ADD"   r=  c+12 w6  h4 i13 : *add_icond_nodes
  button  "REM"   r=  c+6  w6  h4 i13 : *remove_icond_nodes
  integer "%-d"   r=  c+6  w8  h4 i11 : icond_node_count

  label   "EDGES" r+4 c1   w12 h4 i12 
  button  "ADD"   r=  c+12 w6  h4 i13 : *add_icond_edges
  button  "REM"   r=  c+6  w6  h4 i13 : *remove_icond_edges
  integer "%-d"   r=  c+6  w8  h4 i11 : icond_edge_count

  label   "FACES" r+4 c1   w12 h4 i12 
  button  "ADD"   r=  c+12 w6  h4 i13 : *add_icond_faces
  button  "REM"   r=  c+6  w6  h4 i13 : *remove_icond_faces
  integer "%-d"   r=  c+6  w8  h4 i11 : icond_face_count

  label   "ELEMENTS" r+4 c1   w12 h4 i12 
  button  "ADD"      r=  c+12 w6  h4 i13 : *add_icond_elements
  button  "REM"      r=  c+6  w6  h4 i13 : *remove_icond_elements
  integer "%-d"      r=  c+6  w8  h4 i11 : icond_element_count

  label   "POINTS" r+4 c1   w12 h4 i12 
  button  "ADD"    r=  c+12 w6  h4 i13 : *add_icond_points
  button  "REM"    r=  c+6  w6  h4 i13 : *remove_icond_points
  integer "%-d"    r=  c+6  w8  h4 i11 : icond_point_count

  label   "CURVES" r+4 c1   w12 h4 i12 
  button  "ADD"    r=  c+12 w6  h4 i13 : *add_icond_curves
  button  "REM"    r=  c+6  w6  h4 i13 : *remove_icond_curves
  integer "%-d"    r=  c+6  w8  h4 i11 : icond_curve_count

  label   "SURFACES" r+4 c1   w12 h4 i12 
  button  "ADD"      r=  c+12 w6  h4 i13 : *add_icond_surfaces
  button  "REM"      r=  c+6  w6  h4 i13 : *remove_icond_surfaces
  integer "%-d"      r=  c+6  w8  h4 i11 : icond_surface_count

#include select_std.m
#include transform.m
#include standard.m

endscreen }

screen ~ dbuckling "BUCKLING ANALYSIS" r1 c1 w32 h4 i12 H120 W128 {

  label "PREPROCESSING" r6  c1 w32 h36 i12

  newscreen "MESH GENERATION"      r+4 c+2 w28 h6 i10 : meshgen
  newscreen "BOUNDARY CONDITIONS"  r+6 c=  w28 h6 i10 : dstress_apply
  newscreen "LINKS/TIES"           r+6 c=  w28 h6 i10 : links
  newscreen "MATERIAL PROPERTIES"  r+6 c=  w28 h6 i10 : dstress_mat
  newscreen "GEOMETRIC PROPERTIES" r+6 c=  w28 h6 i10 : dstress_geom

  label "ANALYSIS" r+9 c1 w32 h18 i12

  newscreen "LOADCASES" r+4 c+2 w28 h6 i10 : dbuckle_lcase
  newscreen "JOBS"      r+6 c=  w28 h6 i10 : dbuckle_job

  label "POSTPROCESSING" r+9 c1 w32 h12 i12

  newscreen "RESULTS" r+4 c+2 w28 h6 i10 : results

  label "CONFIGURATION" r+9 c1 w32 h18 i12

  newscreen "DEVICE"        r+4 c+2 w28 h6 i10 : device
  newscreen "VISUALIZATION" r+6 c=  w28 h6 i10 : visualization

#include transform.m
#include standard.m

endscreen }

screen ~ dheat "STEADY STATE HEAT TRANSFER" \
         r1 c1 w32 h4 i12 H120 W128 {

  label "PREPROCESSING" r6  c1 w32 h36 i12

  newscreen "MESH GENERATION"      r+4 c+2 w28 h6 i10 : meshgen
  newscreen "BOUNDARY CONDITIONS"  r+6 c=  w28 h6 i10 : dheat_apply
  newscreen "LINKS/TIES"           r+6 c=  w28 h6 i10 : links
  newscreen "MATERIAL PROPERTIES"  r+6 c=  w28 h6 i10 : dheat_mat
  newscreen "GEOMETRIC PROPERTIES" r+6 c=  w28 h6 i10 : dheat_geom

  label "ANALYSIS" r+9 c1 w32 h18 i12

  newscreen "LOADCASES" r+4 c+2 w28 h6 i10 : dheat_lcase
  newscreen "JOBS"      r+6 c=  w28 h6 i10 : dheat_job

  label "POSTPROCESSING" r+9 c1 w32 h12 i12

  newscreen "RESULTS" r+4 c+2 w28 h6 i10 : results

  label "CONFIGURATION" r+9 c1 w32 h18 i12

  newscreen "DEVICE"        r+4 c+2 w28 h6 i10 : device
  newscreen "VISUALIZATION" r+6 c=  w28 h6 i10 : visualization

#include transform.m
#include standard.m

endscreen }

#include meshgen.m

#include Dapply.m

#include Dlinks.m

#include Dmat_props.m

#include Dgeom_props.m

#include Dloadcase.m

#include Djobs.m

#include results.m

#include device.m

#include Dutility.m

#include Dfile.m

#include viewing.m

#include select.m

#include Dplot.m

# end of menu portion

# These names must be kept under 32 characters long.
# Where FALSE or TRUE are required use 0 or non-zero respectively.

@TOLERANCES
TIMEOUT 4000.0

#The PROCEDURES section contains the names of procedure files you wish to
#read automatically at the start of your session.  
#IMPORTANT: Procedures must be read AFTER all other sections (other than COMMENTS).

@PROCEDURES
#The following would read "test.proc" every time the program was started:
#FILE test.proc

