screen ~ apply "BOUNDARY CONDITIONS" r1 c1 w32 h4 i12  H120 W128 {

  label "BOUNDARY CONDITION TYPE" r6 c1 w32 h37 i12

  newscreen "MECHANICAL"      r+4 c+1 w30 h4  i10 : apply_mechanical
  newscreen "THERMAL"         r+4 c=  w30 h4  i10 : apply_thermal
  newscreen "JOULE"           r+4 c=  w30 h4  i10 : apply_joule
  newscreen "ACOUSTIC"        r+4 c=  w30 h4  i10 : apply_acoustic
  newscreen "BEARING"         r+4 c=  w30 h4  i10 : apply_bearing
  newscreen "ELECTROSTATIC"   r+4 c=  w30 h4  i10 : apply_electrostatic
  newscreen "MAGNETOSTATIC"   r+4 c=  w30 h4  i10 : apply_magnetostatic
  newscreen "ELECTROMAGNETIC" r+4 c=  w30 h4  i10 : apply_electromagnetic
 
  toggle "ID BOUNDARY CONDS" r+6 c1 w32 h4 i13 \
       : "*identify_applys *regen / *identify_none *regen"

#include standard.m
#include transform.m

endscreen }

screen ~ apply_mechanical "MECHANICAL BC's" r1 c1 w32 h4 i12  H120 W128 {

  label "BOUNDARY CONDITION TYPE"  r14  c1 w32 h41 i12

  string "%s" r+4 c+28 w3 h4 i9 : apply_type_fixed_displacement
  string "%s" r+4 c=   w3 h4 i9 : apply_type_fixed_acceleration
  string "%s" r+4 c=   w3 h4 i9 : apply_type_point_load
  string "%s" r+4 c=   w3 h4 i9 : apply_type_edge_load
  string "%s" r+4 c=   w3 h4 i9 : apply_type_face_load
  string "%s" r+4 c=   w3 h4 i9 : apply_type_global_load
  string "%s" r+4 c=   w3 h4 i9 : apply_type_gravity_load
  string "%s" r+4 c=   w3 h4 i9 : apply_type_centrifugal_load
  string "%s" r+4 c=   w3 h4 i9 : apply_type_fluid_drag
 
  popup "FIXED DISPLACEMENT" r-32 c2 w27 h4 i10 dr14 dc36 dw62 dh56 \
      : "*apply_type fixed_displacement" {

    label "FIXED DISPLACEMENT" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FORCDT" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }

    toggle "ON"         r+6 c2   w6  h4 i13 \
         : "*apply_dof x / *clear_apply_dof x"
    button "X DISPLACE" r=  c+6  w14 h4 i13 U : "*apply_value x"
    float  "%-14.6g"    r=  c+14 w18 h4 i11   :   apply_value_x
    popup  "TABLE"      r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                              : "*apply_table x0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table x0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_x0
 
    toggle "ON"         r+4 c2   w6  h4 i13 \
         : "*apply_dof y / *clear_apply_dof y"
    button "Y DISPLACE" r=  c+6  w14 h4 i13 U : "*apply_value y"
    float  "%-14.6g"    r=  c+14 w18 h4 i11   :   apply_value_y
    popup  "TABLE"      r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                              : "*apply_table y0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table y0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_y0
 
    toggle "ON"         r+4 c2   w6  h4 i13 \
         : "*apply_dof z / *clear_apply_dof z"
    button "Z DISPLACE" r=  c+6  w14 h4 i13 U : "*apply_value z"
    float  "%-14.6g"    r=  c+14 w18 h4 i11   :   apply_value_z
    popup  "TABLE"      r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                              : "*apply_table z0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table z0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_z0
 
    toggle "ON"         r+4 c2   w6  h4 i13 \
         : "*apply_dof rx / *clear_apply_dof rx"
    button "X ROTATION" r=  c+6  w14 h4 i13 U : "*apply_value rx"
    float  "%-14.6g"    r=  c+14 w18 h4 i11   :   apply_value_rx
    popup  "TABLE"      r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                              : "*apply_table rx0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table rx0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_rx0
 
    toggle "ON"         r+4 c2   w6  h4 i13 \
         : "*apply_dof ry / *clear_apply_dof ry"
    button "Y ROTATION" r=  c+6  w14 h4 i13 U : "*apply_value ry"
    float  "%-14.6g"    r=  c+14 w18 h4 i11   :   apply_value_ry
    popup  "TABLE"      r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                              : "*apply_table ry0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table ry0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_ry0
 
    toggle "ON"         r+4 c2   w6  h4 i13 \
         : "*apply_dof rz / *clear_apply_dof rz"
    button "Z ROTATION" r=  c+6  w14 h4 i13 U : "*apply_value rz"
    float  "%-14.6g"    r=  c+14 w18 h4 i11   :   apply_value_rz
    popup  "TABLE"      r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                              : "*apply_table rz0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table rz0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_rz0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup
 
  endpopup }
 
  popup "FIXED ACCELERATION" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh56 \
      : "*apply_type fixed_acceleration" {

    label "FIXED ACCELERATION" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FORCDT" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }

    toggle "ON"          r+6 c2   w6  h4 i13 \
         : "*apply_dof x / *clear_apply_dof x"
    button "X TRANSLATE" r=  c+6  w14 h4 i13 U : "*apply_value x"
    float  "%-14.6g"     r=  c+14 w18 h4 i11   :   apply_value_x
    popup  "TABLE"       r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                               : "*apply_table x0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table x0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_x0
 
    toggle "ON"          r+4 c2   w6  h4 i13 \
         : "*apply_dof y / *clear_apply_dof y"
    button "Y TRANSLATE" r=  c+6  w14 h4 i13 U : "*apply_value y"
    float  "%-14.6g"     r=  c+14 w18 h4 i11   :   apply_value_y
    popup  "TABLE"       r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                               : "*apply_table y0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table y0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_y0
 
    toggle "ON"          r+4 c2   w6  h4 i13 \
         : "*apply_dof z / *clear_apply_dof z"
    button "Z TRANSLATE" r=  c+6  w14 h4 i13 U : "*apply_value z"
    float  "%-14.6g"     r=  c+14 w18 h4 i11   :   apply_value_z
    popup  "TABLE"       r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                               : "*apply_table z0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table z0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_z0
 
    toggle "ON"         r+4 c2   w6  h4 i13 \
         : "*apply_dof rx / *clear_apply_dof rx"
    button "X ROTATION" r=  c+6  w14 h4 i13 U : "*apply_value rx"
    float  "%-14.6g"    r=  c+14 w18 h4 i11   :   apply_value_rx
    popup  "TABLE"      r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                              : "*apply_table rx0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table rx0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_rx0
 
    toggle "ON"         r+4 c2   w6  h4 i13 \
         : "*apply_dof ry / *clear_apply_dof ry"
    button "Y ROTATION" r=  c+6  w14 h4 i13 U : "*apply_value ry"
    float  "%-14.6g"    r=  c+14 w18 h4 i11   :   apply_value_ry
    popup  "TABLE"      r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                              : "*apply_table ry0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table ry0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_ry0
 
    toggle "ON"         r+4 c2   w6  h4 i13 \
         : "*apply_dof rz / *clear_apply_dof rz"
    button "Z ROTATION" r=  c+6  w14 h4 i13 U : "*apply_value rz"
    float  "%-14.6g"    r=  c+14 w18 h4 i11   :   apply_value_rz
    popup  "TABLE"      r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                              : "*apply_table rz0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table rz0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_rz0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "POINT LOAD" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh56 \
      : "*apply_type point_load" {

    label "POINT LOAD" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FORCDT" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }

    toggle "ON"      r+6 c2   w6  h4 i13   : "*apply_dof x / *clear_apply_dof x"
    button "X FORCE" r=  c+6  w14 h4 i13 U : "*apply_value x"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_x
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table x0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table x0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_x0

    toggle "ON"      r+4 c2   w6  h4 i13   : "*apply_dof y / *clear_apply_dof y"
    button "Y FORCE" r=  c+6  w14 h4 i13 U : "*apply_value y"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_y
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table y0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table y0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_y0

    toggle "ON"      r+4 c2   w6  h4 i13   : "*apply_dof z / *clear_apply_dof z"
    button "Z FORCE" r=  c+6  w14 h4 i13 U : "*apply_value z"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_z
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table z0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table z0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_z0

    toggle "ON"       r+4 c2   w6  h4 i13 \
         : "*apply_dof mx / *clear_apply_dof mx"
    button "X MOMENT" r=  c+6  w14 h4 i13 U : "*apply_value mx"
    float  "%-14.6g"  r=  c+14 w18 h4 i11   :   apply_value_mx
    popup  "TABLE"    r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                            : "*apply_table mx0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table mx0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_mx0

    toggle "ON"       r+4 c2   w6  h4 i13 \
         : "*apply_dof my / *clear_apply_dof my"
    button "Y MOMENT" r=  c+6  w14 h4 i13 U : "*apply_value my"
    float  "%-14.6g"  r=  c+14 w18 h4 i11   :   apply_value_my
    popup  "TABLE"    r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                            : "*apply_table my0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table my0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_my0

    toggle "ON"       r+4 c2   w6  h4 i13 \
         : "*apply_dof mz / *clear_apply_dof mz"
    button "Z MOMENT" r=  c+6  w14 h4 i13 U : "*apply_value mz"
    float  "%-14.6g"  r=  c+14 w18 h4 i11   :   apply_value_mz
    popup  "TABLE"    r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                            : "*apply_table mz0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table mz0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_mz0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "EDGE LOAD" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh40 \
      : "*apply_type edge_load" {

    label "EDGE LOAD" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FORCEM" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }

    toggle "ON"       r+6 c2   w6  h4 i13 \
         : "*apply_dof p / *clear_apply_dof p"
    button "PRESSURE" r=  c+6  w14 h4 i13 U : "*apply_value p"
    float  "%-14.6g"  r=  c+14 w18 h4 i11   :   apply_value_p
    popup  "TABLE"    r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                            : "*apply_table p0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table p0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_p0

    toggle "ON"      r+4 c2   w6  h4 i13 \
         : "*apply_dof su / *clear_apply_dof su"
    button "SHEAR"   r=  c+6  w14 h4 i13 U : "*apply_value su"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_su
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table su0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table su0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_su0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "FACE LOAD" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh44 \
      : "*apply_type face_load" {

    label "FACE LOAD" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FORCEM" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }

    toggle "ON"       r+6 c2   w6  h4 i13 \
         : "*apply_dof p / *clear_apply_dof p"
    button "PRESSURE" r=  c+6  w14 h4 i13 U : "*apply_value p"
    float  "%-14.6g"  r=  c+14 w18 h4 i11   :   apply_value_p
    popup  "TABLE"    r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                            : "*apply_table p0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table p0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_p0

    toggle "ON"      r+4 c2   w6  h4 i13 \
         : "*apply_dof su / *clear_apply_dof su"
    button "U SHEAR" r=  c+6  w14 h4 i13 U : "*apply_value su"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_su
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table su0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table su0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_su0

    toggle "ON"      r+4 c2   w6  h4 i13 \
         : "*apply_dof sv / *clear_apply_dof sv"
    button "V SHEAR" r=  c+6  w14 h4 i13 U : "*apply_value sv"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_sv
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table sv0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table sv0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_sv0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "GLOBAL LOAD" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh44 \
      : "*apply_type global_load" {

    label "GLOBAL LOAD" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FORCEM" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"      r+6 c2   w6  h4 i13   : "*apply_dof x / *clear_apply_dof x"
    button "X FORCE" r=  c+6  w14 h4 i13 U : "*apply_value x"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_x
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table x0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table x0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_x0
 
    toggle "ON"      r+4 c2   w6  h4 i13   : "*apply_dof y / *clear_apply_dof y"
    button "Y FORCE" r=  c+6  w14 h4 i13 U : "*apply_value y"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_y
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table y0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table y0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_y0
 
    toggle "ON"      r+4 c2   w6  h4 i13   : "*apply_dof z / *clear_apply_dof z"
    button "Z FORCE" r=  c+6  w14 h4 i13 U : "*apply_value z"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_z
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table z0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table z0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_z0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "GRAVITY LOAD" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh30 \
      : "*apply_type gravity_load" {

    label "GRAVITY LOAD" r1 c1 w62 h4 i12

    toggle "ON"       r+5 c2   w6  h4 i13 \
         : "*apply_dof x / *clear_apply_dof x"
    button "X ACCEL." r=  c+6  w14 h4 i13 U : "*apply_value x"
    float  "%-14.6g"  r=  c+14 w18 h4 i11   :   apply_value_x
    popup  "TABLE"    r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                            : "*apply_table x0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table x0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_x0
 
    toggle "ON"       r+4 c2   w6  h4 i13 \
         : "*apply_dof y / *clear_apply_dof y"
    button "Y ACCEL." r=  c+6  w14 h4 i13 U : "*apply_value y"
    float  "%-14.6g"  r=  c+14 w18 h4 i11   :   apply_value_y
    popup  "TABLE"    r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                            : "*apply_table y0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table y0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_y0
 
    toggle "ON"       r+4 c2   w6  h4 i13 \
         : "*apply_dof z / *clear_apply_dof z"
    button "Z ACCEL." r=  c+6  w14 h4 i13 U : "*apply_value z"
    float  "%-14.6g"  r=  c+14 w18 h4 i11   :   apply_value_z
    popup  "TABLE"    r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                            : "*apply_table z0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table z0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_z0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "CENTRIFUGAL LOAD" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh64 \
      : "*apply_type centrifugal_load" {

    label "CENTRIFUGAL LOAD" r1 c1 w62 h4 i12

    toggle "ON"           r+5 c2   w6  h4 i13 \
         : "*apply_dof w / *clear_apply_dof w"
    button "ANG VEL (HZ)" r=  c+6  w14 h4 i13 U : "*apply_value w"
    float  "%-14.6g"      r=  c+14 w18 h4 i11   :   apply_value_w
    popup  "TABLE"        r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                                 : "*apply_table w0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table w0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_w0

    label "AXIS OF ROTATION" r+6 c2 w60 h4 i12

    button "X1"      r+4 c=   w12 h4 i13 U : "*apply_value x1"
    float  "%-14.6g" r=  c+12 w18 h4 i11   :   apply_value_x1

    button "Y1"      r+4 c-12 w12 h4 i13 U : "*apply_value y1"
    float  "%-14.6g" r=  c+12 w18 h4 i11   :   apply_value_y1

    button "Z1"      r+4 c-12 w12 h4 i13 U : "*apply_value z1"
    float  "%-14.6g" r=  c+12 w18 h4 i11   :   apply_value_z1

    button "X2"      r-8 c+18 w12 h4 i13 U : "*apply_value x2"
    float  "%-14.6g" r=  c+12 w18 h4 i11   :   apply_value_x2

    button "Y2"      r+4 c-12 w12 h4 i13 U : "*apply_value y2"
    float  "%-14.6g" r=  c+12 w18 h4 i11   :   apply_value_y2

    button "Z2"      r+4 c-12 w12 h4 i13 U : "*apply_value z2"
    float  "%-14.6g" r=  c+12 w18 h4 i11   :   apply_value_z2

    toggle "CORIOLIS" r+6 c2 w20 h4 i13 \
         : "*set_apply_coriolis on / *set_apply_coriolis off"

    label "VELOCITY OF AXIS" r+6 c2 w30 h4 i12

    button "VX"      r+4 c=   w12 h4 i13 U : "*apply_value vx"
    float  "%-14.6g" r=  c+12 w18 h4 i11   :   apply_value_vx

    button "VY"      r+4 c-12 w12 h4 i13 U : "*apply_value vy"
    float  "%-14.6g" r=  c+12 w18 h4 i11   :   apply_value_vy

    button "VZ"      r+4 c-12 w12 h4 i13 U : "*apply_value vz"
    float  "%-14.6g" r=  c+12 w18 h4 i11   :   apply_value_vz

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "FLUID DRAG" r+4 c= w27 h4 i10 dr14 dc36 dw50 dh100 \
      : "*apply_type fluid_drag" {

    label "FLUID DRAG" r1 c1 w50 h4 i12

    toggle "ON" r+5 c2 w12 h4 i13 : "*apply_dof fd / *clear_apply_dof fd"

    button "SEA BED ELEVATION"    r+6 c2   w30 h4 i13 U : "*apply_value bedelev"
    float  "%-14.6g"              r=  c+30 w18 h4 i11   :   apply_value_bedelev
    button "OUTER SURFACE ELEV"   r+4 c-30 w30 h4 i13 U : "*apply_value surfout"
    float  "%-14.6g"              r=  c+30 w18 h4 i11   :   apply_value_surfout
    button "INNER SURFACE ELEV"   r+4 c-30 w30 h4 i13 U : "*apply_value surfin"
    float  "%-14.6g"              r=  c+30 w18 h4 i11   :   apply_value_surfin
    button "GRAVITY CONSTANT"     r+4 c-30 w30 h4 i13 U : "*apply_value g"
    float  "%-14.6g"              r=  c+30 w18 h4 i11   :   apply_value_g
    button "OUTER MASS DENSITY"   r+4 c-30 w30 h4 i13 U : "*apply_value densout"
    float  "%-14.6g"              r=  c+30 w18 h4 i11   :   apply_value_densout
    button "INNER MASS DENSITY"   r+4 c-30 w30 h4 i13 U : "*apply_value densin"
    float  "%-14.6g"              r=  c+30 w18 h4 i11   :   apply_value_densin
    button "DRAG COEFFICIENT"     r+4 c-30 w30 h4 i13 U : "*apply_value drag"
    float  "%-14.6g"              r=  c+30 w18 h4 i11   :   apply_value_drag
    button "INERTIA COEFFICIENT"  r+4 c-30 w30 h4 i13 U : "*apply_value inertia"
    float  "%-14.6g"              r=  c+30 w18 h4 i11   :   apply_value_inertia
    button "X CURRENT"            r+4 c-30 w30 h4 i13 U : "*apply_value curx"
    float  "%-14.6g"              r=  c+30 w18 h4 i11   :   apply_value_curx
    button "Y CURRENT"            r+4 c-30 w30 h4 i13 U : "*apply_value cury"
    float  "%-14.6g"              r=  c+30 w18 h4 i11   :   apply_value_cury
    button "Z CURRENT"            r+4 c-30 w30 h4 i13 U : "*apply_value curz"
    float  "%-14.6g"              r=  c+30 w18 h4 i11   :   apply_value_curz
    button "X GRADIENT"           r+4 c-30 w30 h4 i13 U : "*apply_value gradx"
    float  "%-14.6g"              r=  c+30 w18 h4 i11   :   apply_value_gradx
    button "Y GRADIENT"           r+4 c-30 w30 h4 i13 U : "*apply_value grady"
    float  "%-14.6g"              r=  c+30 w18 h4 i11   :   apply_value_grady
    button "Z GRADIENT"           r+4 c-30 w30 h4 i13 U : "*apply_value gradz"
    float  "%-14.6g"              r=  c+30 w18 h4 i11   :   apply_value_gradz
    button "WAVE HEIGHT"          r+4 c-30 w30 h4 i13 U : "*apply_value height"
    float  "%-14.6g"              r=  c+30 w18 h4 i11   :   apply_value_height
    button "WAVE PERIOD"          r+4 c-30 w30 h4 i13 U : "*apply_value period"
    float  "%-14.6g"              r=  c+30 w18 h4 i11   :   apply_value_period
    button "WAVE PHASE"           r+4 c-30 w30 h4 i13 U : "*apply_value phase"
    float  "%-14.6g"              r=  c+30 w18 h4 i11   :   apply_value_phase
    button "WAVE DIRECTION COS 1" r+4 c-30 w30 h4 i13 U : "*apply_value cos1"
    float  "%-14.6g"              r=  c+30 w18 h4 i11   :   apply_value_cos1
    button "WAVE DIRECTION COS 2" r+4 c-30 w30 h4 i13 U : "*apply_value cos2"
    float  "%-14.6g"              r=  c+30 w18 h4 i11   :   apply_value_cos2

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+36 w12 h10 i13   : *remove_popup

  endpopup }

  newscreen "MORE" r+6 c1 w32 h6 i10 : apply_mechanical2

  newscreen "TRANSFORMS" r67 c17 w16 h4 i10 : transformations

#include apply_sub.m
#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ apply_mechanical2 "MECHANICAL BC's (CONT.)" r1 c1 w32 h4 i12 \
                                                     H120 W128 {

  label "BOUNDARY CONDITION TYPE"  r14  c1 w32 h25 i12

  string "%s" r+4 c+28 w3 h4 i9 : apply_type_edge_foundation
  string "%s" r+4 c=   w3 h4 i9 : apply_type_face_foundation
  string "%s" r+4 c=   w3 h4 i9 : apply_type_state_variable
  string "%s" r+4 c=   w3 h4 i9 : apply_type_nodal_temperature
  string "%s" r+4 c=   w3 h4 i9 : apply_type_release

  popup "EDGE FOUNDATION" r-16 c2 w27 h4 i10 dr14 dc36 dw62 dh36 \
      : "*apply_type edge_foundation" {

    label "EDGE FOUNDATION" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. USPRNG" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"        r+6 c2   w6  h4 i13 \
         : "*apply_dof kf / *clear_apply_dof kf"
    button "STIFFNESS" r=  c+6  w14 h4 i13 U : "*apply_value kf"
    float  "%-14.6g"   r=  c+14 w18 h4 i11   :   apply_value_kf
    popup  "TABLE"     r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                             : "*apply_table kf0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table kf0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_kf0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "FACE FOUNDATION" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh36 \
      : "*apply_type face_foundation" {

    label "FACE FOUNDATION" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. USPRNG" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"        r+6 c2   w6  h4 i13 \
         : "*apply_dof kf / *clear_apply_dof kf"
    button "STIFFNESS" r=  c+6  w14 h4 i13 U : "*apply_value kf"
    float  "%-14.6g"   r=  c+14 w18 h4 i11   :   apply_value_kf
    popup  "TABLE"     r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                             : "*apply_table kf0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table kf0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_kf0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }
 
  popup "STATE VARIABLE" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh78 \
      : "*apply_type state_variable" {

    label "STATE VARIABLE" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
      oneonly "ENTERED VALUES"  r+4 c= w20 h4 i13 : *set_apply_entered
      oneonly "USER SUB. NEWSV" r+4 c= w20 h4 i13 : *set_apply_usersub
      oneonly "POST FILE"       r+4 c= w20 h4 i13 : *set_apply_post_tape
    endgroup }

    button  "STATE VARIABLE ID" r+6 c2   w20 h4 i13 : *apply_variable
    integer "%-d"               r=  c+20 w18 h4 i11 :  apply_variable
 
    toggle "ON"      r+6 c2   w6  h4 i13 \
         : "*apply_dof var / *clear_apply_dof var"
    button "VALUE"   r=  c+6  w14 h4 i13 U : "*apply_value var"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_var
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table var0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table var0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_var0

    button "LAYERS" r+6 c2  w8  h4  i13 U : *apply_layers
    button "ALL"    r+4 c=  w8  h4  i13 U : *apply_all_layers
    button "CLEAR"  r+4 c=  w8  h4  i13 U : *clear_apply_layers
    string "%s"     r-8 c+8 w30 h12 i11   :  apply_layers

    button "POST FILE" r+14 c2 w14 h4 i13 : *apply_post_file
    group {
      oneonly "FORMATTED" r= c+14 w12 h4 i13 : "*set_apply_post_formatted on"
      oneonly "BINARY"    r= c+12 w12 h4 i13 : "*set_apply_post_formatted off"
    endgroup }
    string "%s"              r+4 c-26 w38 h4 i11 :  apply_post_file
    button "FIRST INCREMENT" r+4 c=   w20 h4 i13 : *apply_post_increment
    integer"%-d"             r=  c+20 w18 h4 i11 :  apply_post_increment
    button "# STEPS"         r+4 c-20 w20 h4 i13 : *apply_post_steps
    integer"%-d"             r=  c+20 w18 h4 i11 :  apply_post_steps

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup
 
  endpopup }
 
  popup "NODAL TEMPERATURE" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh22 \
      : "*apply_type nodal_temperature" {

    label "NODAL TEMPERATURE" r1 c1 w62 h4 i12
 
    toggle "ON"          r+5 c2   w6  h4 i13 \
         : "*apply_dof t / *clear_apply_dof t"
    button "TEMPERATURE" r=  c+6  w14 h4 i13 U : "*apply_value t"
    float  "%-14.6g"     r=  c+14 w18 h4 i11   :   apply_value_t
    popup  "TABLE"       r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                               : "*apply_table t0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table t0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_t0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup
 
  endpopup }
 
  popup "RELEASE NODES" r+4 c= w27 h4 i10 dr14 dc36 dw28 dh42 \
      : "*apply_type release" {

    label "RELEASE NODES" r1 c1 w38 h4 i12

    toggle "X DISPLACEMENT" r+5 c2 w24 h4 i13 \
         : "*apply_dof x / *clear_apply_dof x"
    toggle "Y DISPLACEMENT" r+4 c= w24 h4 i13 \
         : "*apply_dof y / *clear_apply_dof y"
    toggle "Z DISPLACEMENT" r+4 c= w24 h4 i13 \
         : "*apply_dof z / *clear_apply_dof z"
    toggle "X ROTATION"     r+4 c= w24 h4 i13 \
         : "*apply_dof rx / *clear_apply_dof rx"
    toggle "Y ROTATION"     r+4 c= w24 h4 i13 \
         : "*apply_dof ry / *clear_apply_dof ry"
    toggle "Z ROTATION"     r+4 c= w24 h4 i13 \
         : "*apply_dof rz / *clear_apply_dof rz"

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+14 w12 h10 i13   : *remove_popup
 
  endpopup }

  newscreen "PREVIOUS" r+6 c1 w32 h6 i10 : return

  newscreen "TRANSFORMS" r67 c17 w16 h4 i10 : transformations

#include apply_sub.m
#include select_std.m
#include standard2.m
#include transform.m

endscreen }

screen ~ apply_thermal "THERMAL BC's" r1 c1 w32 h4 i12 H120 W128 {

  label "BOUNDARY CONDITION TYPE" r14 c1 w32 h41 i12

  string "%s" r+4 c+28 w3 h4 i9 : apply_type_fixed_temperature
  string "%s" r+4 c=   w3 h4 i9 : apply_type_point_flux
  string "%s" r+4 c=   w3 h4 i9 : apply_type_edge_flux
  string "%s" r+4 c=   w3 h4 i9 : apply_type_face_flux
  string "%s" r+4 c=   w3 h4 i9 : apply_type_volume_flux
  string "%s" r+4 c=   w3 h4 i9 : apply_type_edge_film
  string "%s" r+4 c=   w3 h4 i9 : apply_type_face_film
  string "%s" r+4 c=   w3 h4 i9 : apply_type_plastic_heat_generation
  string "%s" r+4 c=   w3 h4 i9 : apply_type_fixed_velocity

  popup "FIXED TEMPERATURE" r-32 c2 w27 h4 i10 dr14 dc36 dw72 dh48 \
      : "*apply_type fixed_temperature" {

    label "FIXED TEMPERATURE" r1 c1 w72 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FORCDT" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"                r+6 c2   w6  h4 i13 \
         : "*apply_dof t / *clear_apply_dof t"
    button "TEMPERATURE (TOP)" r=  c+6  w24 h4 i13 U : "*apply_value t"
    float  "%-14.6g"           r=  c+24 w18 h4 i11   :   apply_value_t
    popup  "TABLE"             r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                                     : "*apply_table t0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table t0"
    endpopup }
    string "%s" r= c58 w14 h4 i11 : apply_table_t0
 
    label  "SHELL ELEMENTS"     r+4 c2   w70 h4 i12
    toggle "ON"                 r+4 c2   w6  h4 i13 \
         : "*apply_dof tbot / *clear_apply_dof tbot"
    button "BOTTOM TEMPERATURE" r=  c+6  w24 h4 i13 U : "*apply_value tbot"
    float  "%-14.6g"            r=  c+24 w18 h4 i11   :   apply_value_tbot
    popup  "TABLE"              r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                                      : "*apply_table tbot0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table tbot0"
    endpopup }
    string "%s" r= c58 w14 h4 i11 : apply_table_tbot0
 
    toggle "ON"                 r+4 c2   w6  h4 i13 \
         : "*apply_dof tmid / *clear_apply_dof tmid"
    button "MIDDLE TEMPERATURE" r=  c+6  w24 h4 i13 U : "*apply_value tmid"
    float  "%-14.6g"            r=  c+24 w18 h4 i11   :   apply_value_tmid
    popup  "TABLE"              r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                                      : "*apply_table tmid0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table tmid0"
    endpopup }
    string "%s" r= c58 w14 h4 i11 : apply_table_tmid0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+58 w12 h10 i13   : *remove_popup

  endpopup }

  popup "POINT FLUX" r+4 c= w27 h4 i10 dr14 dc36 dw72 dh48 \
      : "*apply_type point_flux" {

    label "POINT FLUX" r1 c1 w72 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FORCDT" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"         r+6 c2   w6  h4 i13 \
         : "*apply_dof q / *clear_apply_dof q"
    button "FLUX (TOP)" r=  c+6  w24 h4 i13 U : "*apply_value q"
    float  "%-14.6g"    r=  c+24 w18 h4 i11   :   apply_value_q
    popup  "TABLE"      r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                              : "*apply_table q0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table q0"
    endpopup }
    string "%s" r= c58 w14 h4 i11 : apply_table_q0
 
    label  "SHELL ELEMENTS" r+4 c2   w70 h4 i12
    toggle "ON"             r+4 c2   w6  h4 i13 \
         : "*apply_dof qbot / *clear_apply_dof qbot"
    button "BOTTOM FLUX"    r=  c+6  w24 h4 i13 U : "*apply_value qbot"
    float  "%-14.6g"        r=  c+24 w18 h4 i11   :   apply_value_qbot
    popup  "TABLE"          r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                                  : "*apply_table qbot0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table qbot0"
    endpopup }
    string "%s" r= c58 w14 h4 i11 : apply_table_qbot0
 
    toggle "ON"          r+4 c2   w6  h4 i13 \
         : "*apply_dof qmid / *clear_apply_dof qmid"
    button "MIDDLE FLUX" r=  c+6  w24 h4 i13 U : "*apply_value qmid"
    float  "%-14.6g"     r=  c+24 w18 h4 i11   :   apply_value_qmid
    popup  "TABLE"       r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                               : "*apply_table qmid0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table qmid0"
    endpopup }
    string "%s" r= c58 w14 h4 i11 : apply_table_qmid0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+58 w12 h10 i13   : *remove_popup

  endpopup }

  popup "EDGE FLUX" r+4 c= w27 h4 i10 dr14 dc36 dw72 dh44 \
      : "*apply_type edge_flux" {

    label "EDGE FLUX" r1 c1 w72 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES" r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FLUX" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"         r+6 c2   w6  h4 i13 \
         : "*apply_dof q / *clear_apply_dof q"
    button "FLUX (TOP)" r=  c+6  w24 h4 i13 U : "*apply_value q"
    float  "%-14.6g"    r=  c+24 w18 h4 i11   :   apply_value_q
    popup  "TABLE"      r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                              : "*apply_table q0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table q0"
    endpopup }
    string "%s" r= c58 w14 h4 i11 : apply_table_q0

    label  "SHELL ELEMENTS" r+4 c2   w70 h4 i12
    toggle "ON"             r+4 c2   w6  h4 i13 \
         : "*apply_dof qbot / *clear_apply_dof qbot"
    button "BOTTOM FLUX"    r=  c+6  w24 h4 i13 U : "*apply_value qbot"
    float  "%-14.6g"        r=  c+24 w18 h4 i11   :   apply_value_qbot
    popup  "TABLE"          r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                                  : "*apply_table qbot0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table qbot0"
    endpopup }
    string "%s" r= c58 w14 h4 i11 : apply_table_qbot0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+58 w12 h10 i13   : *remove_popup

  endpopup }

  popup "FACE FLUX" r+4 c= w27 h4 i10 dr14 dc36 dw72 dh44 \
      : "*apply_type face_flux" {

    label "FACE FLUX" r1 c1 w72 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES" r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FLUX" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"         r+6 c2   w6  h4 i13 \
         : "*apply_dof q / *clear_apply_dof q"
    button "FLUX (TOP)" r=  c+6  w24 h4 i13 U : "*apply_value q"
    float  "%-14.6g"    r=  c+24 w18 h4 i11   :   apply_value_q
    popup  "TABLE"      r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                              : "*apply_table q0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table q0"
    endpopup }
    string "%s" r= c58 w14 h4 i11 : apply_table_q0

    label  "SHELL ELEMENTS" r+4 c2   w70 h4 i12
    toggle "ON"             r+4 c2   w6  h4 i13 \
         : "*apply_dof qbot / *clear_apply_dof qbot"
    button "BOTTOM FLUX"    r=  c+6  w24 h4 i13 U : "*apply_value qbot"
    float  "%-14.6g"        r=  c+24 w18 h4 i11   :   apply_value_qbot
    popup  "TABLE"          r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                                  : "*apply_table qbot0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table qbot0"
    endpopup }
    string "%s" r= c58 w14 h4 i11 : apply_table_qbot0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+58 w12 h10 i13   : *remove_popup

  endpopup }

  popup "VOLUME FLUX" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh36 \
      : "*apply_type volume_flux" {

    label "VOLUME FLUX" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES" r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FLUX" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"      r+6 c2   w6  h4 i13   : "*apply_dof q / *clear_apply_dof q"
    button "FLUX"    r=  c+6  w14 h4 i13 U : "*apply_value q"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_q
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table q0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table q0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_q0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "EDGE FILM" r+4 c= w27 h4 i10 dr14 dc36 dw72 dh52 \
      : "*apply_type edge_film" {

    label "EDGE FILM" r1 c1 w72 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES" r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FILM" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"                r+6 c2   w6  h4 i13 \
         : "*apply_dof h / *clear_apply_dof h"
    button "COEFFICIENT (TOP)" r=  c+6  w24 h4 i13 U : "*apply_value h"
    float  "%-14.6g"           r=  c+24 w18 h4 i11   :   apply_value_h
    popup  "TABLE"             r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                                     : "*apply_table h0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table h0"
    endpopup }
    string "%s" r= c58 w14 h4 i11 : apply_table_h0
 
    button "TEMP @ INF (TOP)" r+4 c8   w24 h4 i13 U : "*apply_value tinf"
    float  "%-14.6g"          r=  c+24 w18 h4 i11   :   apply_value_tinf
    popup  "TABLE"            r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                                    : "*apply_table tinf0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table tinf0"
    endpopup }
    string "%s" r= c58 w14 h4 i11 : apply_table_tinf0

    label  "SHELL ELEMENTS"     r+4 c2   w70 h4 i12
    toggle "ON"                 r+4 c2   w6  h4 i13 \
         : "*apply_dof hbot / *clear_apply_dof hbot"
    button "BOTTOM COEFFICIENT" r=  c+6  w24 h4 i13 U : "*apply_value hbot"
    float  "%-14.6g"            r=  c+24 w18 h4 i11   :   apply_value_hbot
    popup  "TABLE"              r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                                      : "*apply_table hbot0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table hbot0"
    endpopup }
    string "%s" r= c58 w14 h4 i11 : apply_table_hbot0
 
    button "BOTTOM TEMP @ INF" r+4 c8   w24 h4 i13 U : "*apply_value tinfbot"
    float  "%-14.6g"           r=  c+24 w18 h4 i11   :   apply_value_tinfbot
    popup  "TABLE"             r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                                     : "*apply_table tinfbot0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table tinfbot0"
    endpopup }
    string "%s" r= c58 w14 h4 i11 : apply_table_tinfbot0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+58 w12 h10 i13   : *remove_popup

  endpopup }

  popup "FACE FILM" r+4 c= w27 h4 i10 dr14 dc36 dw72 dh52 \
      : "*apply_type face_film" {

    label "FACE FILM" r1 c1 w72 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES" r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FILM" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"                r+6 c2   w6  h4 i13 \
         : "*apply_dof h / *clear_apply_dof h"
    button "COEFFICIENT (TOP)" r=  c+6  w24 h4 i13 U : "*apply_value h"
    float  "%-14.6g"           r=  c+24 w18 h4 i11   :   apply_value_h
    popup  "TABLE"             r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                                     : "*apply_table h0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table h0"
    endpopup }
    string "%s" r= c58 w14 h4 i11 : apply_table_h0
 
    button "TEMP @ INF (TOP)" r+4 c8   w24 h4 i13 U : "*apply_value tinf"
    float  "%-14.6g"          r=  c+24 w18 h4 i11   :   apply_value_tinf
    popup  "TABLE"            r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                                    : "*apply_table tinf0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table tinf0"
    endpopup }
    string "%s" r= c58 w14 h4 i11 : apply_table_tinf0

    label  "SHELL ELEMENTS"     r+4 c2   w70 h4 i12
    toggle "ON"                 r+4 c2   w6  h4 i13 \
         : "*apply_dof hbot / *clear_apply_dof hbot"
    button "BOTTOM COEFFICIENT" r=  c+6  w24 h4 i13 U : "*apply_value hbot"
    float  "%-14.6g"            r=  c+24 w18 h4 i11   :   apply_value_hbot
    popup  "TABLE"              r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                                      : "*apply_table hbot0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table hbot0"
    endpopup }
    string "%s" r= c58 w14 h4 i11 : apply_table_hbot0
 
    button "BOTTOM TEMP @ INF" r+4 c8   w24 h4 i13 U : "*apply_value tinfbot"
    float  "%-14.6g"           r=  c+24 w18 h4 i11   :   apply_value_tinfbot
    popup  "TABLE"             r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                                     : "*apply_table tinfbot0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table tinfbot0"
    endpopup }
    string "%s" r= c58 w14 h4 i11 : apply_table_tinfbot0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "PLASTIC HEAT GENERATION" r+4 c= w27 h4 i10 dr14 dc36 dw28 dh36 \
      : "*apply_type plastic_heat_generation" {

    label "PLASTIC HEAT GENERATION" r1 c1 w28 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. CUPFLX" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON" r+6 c2 w12 h4 i13 : "*apply_dof q / *clear_apply_dof q"

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+14 w12 h10 i13   : *remove_popup

  endpopup }
 
  popup "FIXED VELOCITY" r+4 c2 w27 h4 i10 dr14 dc36 dw62 dh44 \
      : "*apply_type fixed_velocity" {

    label "FIXED VELOCITY" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. UVELOC" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"      r+6 c2   w6  h4 i13   : "*apply_dof x / *clear_apply_dof x"
    button "X"       r=  c+6  w14 h4 i13 U : "*apply_value x"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_x
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table x0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table x0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_x0
 
    toggle "ON"      r+4 c2   w6  h4 i13   : "*apply_dof y / *clear_apply_dof y"
    button "Y"       r=  c+6  w14 h4 i13 U : "*apply_value y"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_y
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table y0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table y0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_y0
 
    toggle "ON"      r+4 c2   w6  h4 i13   : "*apply_dof z / *clear_apply_dof z"
    button "Z"       r=  c+6  w14 h4 i13 U : "*apply_value z"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_z
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table z0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table z0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_z0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup
 
  endpopup }

#include apply_sub.m
#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ apply_joule "JOULE BC's" r1 c1 w32 h4 i12  H120 W128 {

  label "BOUNDARY CONDITION TYPE" r14 c1 w32 h53 i12

  string "%s" r+4 c+28 w3 h4 i9 : apply_type_fixed_temperature
  string "%s" r+4 c=   w3 h4 i9 : apply_type_fixed_voltage
  string "%s" r+4 c=   w3 h4 i9 : apply_type_point_flux
  string "%s" r+4 c=   w3 h4 i9 : apply_type_edge_flux
  string "%s" r+4 c=   w3 h4 i9 : apply_type_face_flux
  string "%s" r+4 c=   w3 h4 i9 : apply_type_volume_flux
  string "%s" r+4 c=   w3 h4 i9 : apply_type_edge_film
  string "%s" r+4 c=   w3 h4 i9 : apply_type_face_film
  string "%s" r+4 c=   w3 h4 i9 : apply_type_joul_point_current
  string "%s" r+4 c=   w3 h4 i9 : apply_type_joul_edge_current
  string "%s" r+4 c=   w3 h4 i9 : apply_type_joul_face_current
  string "%s" r+4 c=   w3 h4 i9 : apply_type_joul_volume_current

  popup "FIXED TEMPERATURE" r-44 c2 w27 h4 i10 dr14 dc36 dw62 dh36 \
      : "*apply_type fixed_temperature" {

    label "FIXED TEMPERATURE" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FORCDT" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"          r+6 c2   w6  h4 i13 \
         : "*apply_dof t / *clear_apply_dof t"
    button "TEMPERATURE" r=  c+6  w14 h4 i13 U : "*apply_value t"
    float  "%-14.6g"     r=  c+14 w18 h4 i11   :   apply_value_t
    popup  "TABLE"       r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                               : "*apply_table t0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table t0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_t0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "FIXED VOLTAGE" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh36 \
      : "*apply_type fixed_voltage" {

    label "FIXED VOLTAGE" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FORCDT" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"      r+6 c2   w6  h4 i13   : "*apply_dof v / *clear_apply_dof v"
    button "VOLTAGE" r=  c+6  w14 h4 i13 U : "*apply_value v"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_v
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table v0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table v0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_v0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "POINT FLUX" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh36 \
      : "*apply_type point_flux" {

    label "POINT FLUX" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FORCDT" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"      r+6 c2   w6  h4 i13   : "*apply_dof q / *clear_apply_dof q"
    button "FLUX"    r=  c+6  w14 h4 i13 U : "*apply_value q"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_q
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table q0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table q0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_q0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "EDGE FLUX" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh36 \
      : "*apply_type edge_flux" {

    label "EDGE FLUX" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES" r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FLUX" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"      r+6 c2   w6  h4 i13   : "*apply_dof q / *clear_apply_dof q"
    button "FLUX"    r=  c+6  w14 h4 i13 U : "*apply_value q"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_q
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table q0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table q0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_q0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "FACE FLUX" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh36 \
      : "*apply_type face_flux" {

    label "FACE FLUX" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES" r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FLUX" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"      r+6 c2   w6  h4 i13   : "*apply_dof q / *clear_apply_dof q"
    button "FLUX"    r=  c+6  w14 h4 i13 U : "*apply_value q"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_q
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table q0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table q0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_q0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "VOLUME FLUX" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh36 \
      : "*apply_type volume_flux" {

    label "VOLUME FLUX" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES" r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FLUX" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"      r+6 c2   w6  h4 i13   : "*apply_dof q / *clear_apply_dof q"
    button "FLUX"    r=  c+6  w14 h4 i13 U : "*apply_value q"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_q
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table q0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table q0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_q0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "EDGE FILM" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh40 \
      : "*apply_type edge_film" {

    label "EDGE FILM" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES" r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FILM" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"          r+6 c2   w6  h4 i13 \
         : "*apply_dof h / *clear_apply_dof h"
    button "COEFFICIENT" r=  c+6  w14 h4 i13 U : "*apply_value h"
    float  "%-14.6g"     r=  c+14 w18 h4 i11   :   apply_value_h
    popup  "TABLE"       r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                               : "*apply_table h0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table h0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_h0
 
    button "TEMP @ INF" r+4 c8   w14 h4 i13 U : "*apply_value tinf"
    float  "%-14.6g"    r=  c+14 w18 h4 i11   :   apply_value_tinf
    popup  "TABLE"      r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                              : "*apply_table tinf0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table tinf0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_tinf0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "FACE FILM" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh40 \
      : "*apply_type face_film" {

    label "FACE FILM" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES" r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FILM" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"          r+6 c2   w6  h4 i13 \
         : "*apply_dof h / *clear_apply_dof h"
    button "COEFFICIENT" r=  c+6  w14 h4 i13 U : "*apply_value h"
    float  "%-14.6g"     r=  c+14 w18 h4 i11   :   apply_value_h
    popup  "TABLE"       r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                               : "*apply_table h0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table h0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_h0
 
    button "TEMP @ INF" r+4 c8   w14 h4 i13 U : "*apply_value tinf"
    float  "%-14.6g"    r=  c+14 w18 h4 i11   :   apply_value_tinf
    popup  "TABLE"      r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                              : "*apply_table tinf0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table tinf0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_tinf0
  
    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "POINT CURRENT" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh36 \
      : "*apply_type joul_point_current" {

    label "POINT CURRENT" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FORCDT" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"      r+6 c2   w6  h4 i13 \
         : "*apply_dof j / *clear_apply_dof j"
    button "CURRENT" r=  c+6  w14 h4 i13 U : "*apply_value j"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_j
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table j0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table j0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_j0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "EDGE CURRENT" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh36 \
      : "*apply_type joul_edge_current" {

    label "EDGE CURRENT" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h13 i12
    group {
     oneonly "ENTERED VALUES" r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FLUX" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"      r+6 c2   w6  h4 i13 \
         : "*apply_dof j / *clear_apply_dof j"
    button "CURRENT" r=  c+6  w14 h4 i13 U : "*apply_value j"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_j
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table j0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table j0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_j0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "FACE CURRENT" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh36 \
      : "*apply_type joul_face_current" {

    label "FACE CURRENT" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES" r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FLUX" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"      r+6 c2   w6  h4 i13 \
         : "*apply_dof j / *clear_apply_dof j"
    button "CURRENT" r=  c+6  w14 h4 i13 U : "*apply_value j"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_j
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table j0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table j0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_j0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "VOLUME CURRENT" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh36 \
      : "*apply_type joul_volume_current" {

    label "VOLUME CURRENT" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES" r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FLUX" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"      r+6 c2   w6  h4 i13   : "*apply_dof j / *clear_apply_dof j"
    button "CURRENT" r=  c+6  w14 h4 i13 U : "*apply_value j"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_j
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table j0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table j0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_j0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

#include apply_sub.m
#include select_std.m
#include standard2.m
#include transform.m

endscreen }

screen ~ apply_acoustic "ACOUSTIC BC's" r1 c1 w32 h4 i12  H120 W128 {

  label "BOUNDARY CONDITION TYPE" r14 c1 w32 h25 i12

  string "%s" r+4 c+28 w3 h4 i9 : apply_type_fixed_pressure
  string "%s" r+4 c=   w3 h4 i9 : apply_type_point_source
  string "%s" r+4 c=   w3 h4 i9 : apply_type_edge_source
  string "%s" r+4 c=   w3 h4 i9 : apply_type_face_source
  string "%s" r+4 c=   w3 h4 i9 : apply_type_volume_source

  popup "FIXED PRESSURE" r-16 c2 w27 h4 i10 dr14 dc36 dw62 dh36 \
      : "*apply_type fixed_pressure" {

    label "FIXED PRESSURE" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FORCDT" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"       r+6 c2   w6  h4 i13 \
         : "*apply_dof p / *clear_apply_dof p"
    button "PRESSURE" r=  c+6  w14 h4 i13 U : "*apply_value p"
    float  "%-14.6g"  r=  c+14 w18 h4 i11   :   apply_value_p
    popup  "TABLE"    r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                            : "*apply_table p0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table p0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_p0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "POINT SOURCE" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh36 \
      : "*apply_type point_source" {

    label "POINT SOURCE" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FORCDT" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"      r+6 c2   w6  h4 i13   : "*apply_dof s / *clear_apply_dof s"
    button "SOURCE"  r=  c+6  w14 h4 i13 U : "*apply_value s"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_s
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table s0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table s0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_s0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "EDGE SOURCE" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh36 \
      : "*apply_type edge_source" {

    label "EDGE SOURCE" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES" r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FLUX" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"      r+6 c2   w6  h4 i13   : "*apply_dof s / *clear_apply_dof s"
    button "SOURCE"  r=  c+6  w14 h4 i13 U : "*apply_value s"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_s
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table s0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table s0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_s0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "FACE SOURCE" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh36 \
      : "*apply_type face_source" {

    label "FACE SOURCE" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES" r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FLUX" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"      r+6 c2   w6  h4 i13   : "*apply_dof s / *clear_apply_dof s"
    button "SOURCE"  r=  c+6  w14 h4 i13 U : "*apply_value s"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_s
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table s0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table s0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_s0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "VOLUME SOURCE" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh36 \
      : "*apply_type volume_source" {

    label "VOLUME SOURCE" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES" r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FLUX" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"      r+6 c2   w6  h4 i13   : "*apply_dof s / *clear_apply_dof s"
    button "SOURCE"  r=  c+6  w14 h4 i13 U : "*apply_value s"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_s
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table s0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table s0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_s0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

#include apply_sub.m
#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ apply_bearing "BEARING BC's" r1 c1 w32 h4 i12  H120 W128 {

  label "BOUNDARY CONDITION TYPE" r14 c1 w32 h25 i12

  string "%s" r+4 c+28 w3 h4 i9 : apply_type_fixed_pressure
  string "%s" r+4 c=   w3 h4 i9 : apply_type_point_mass_flow_rate
  string "%s" r+4 c=   w3 h4 i9 : apply_type_edge_mass_flow_rate
  string "%s" r+4 c=   w3 h4 i9 : apply_type_edge_restrictor
  string "%s" r+4 c=   w3 h4 i9 : apply_type_fixed_velocity
 
  popup "FIXED PRESSURE" r-16 c2 w27 h4 i10 dr14 dc36 dw62 dh36 \
      : "*apply_type fixed_pressure" {

    label "FIXED PRESSURE" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FORCDT" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }

    toggle "ON"       r+6 c2   w6  h4 i13   :"*apply_dof p / *clear_apply_dof p"
    button "PRESSURE" r=  c+6  w14 h4 i13 U :"*apply_value p"
    float  "%-14.6g"  r=  c+14 w18 h4 i11   :  apply_value_p
    popup  "TABLE"    r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                            :"*apply_table p0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table p0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_p0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup
 
  endpopup }

  popup "POINT MASS FLOW RATE" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh36 \
      : "*apply_type point_mass_flow_rate" {

    label "POINT MASS FLOW RATE" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FORCDT" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"        r+6 c2   w6  h4 i13 \
         : "*apply_dof m / *clear_apply_dof m"
    button "FLOW RATE" r=  c+6  w14 h4 i13 U : "*apply_value m"
    float  "%-14.6g"   r=  c+14 w18 h4 i11   :   apply_value_m
    popup  "TABLE"     r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                             : "*apply_table m0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table m0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_m0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "EDGE MASS FLOW RATE" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh36 \
      : "*apply_type edge_mass_flow_rate" {

    label "EDGE MASS FLOW RATE" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES" r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FLUX" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"        r+6 c2   w6  h4 i13 \
         : "*apply_dof m / *clear_apply_dof m"
    button "FLOW RATE" r=  c+6  w14 h4 i13 U : "*apply_value m"
    float  "%-14.6g"   r=  c+14 w18 h4 i11   :   apply_value_m
    popup  "TABLE"     r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                             : "*apply_table m0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table m0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_m0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "EDGE RESTRICTOR" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh40 \
      : "*apply_type edge_restrictor" {

    label "EDGE RESTRICTOR" r1 c1 w62 h4 i12
 
    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. URESTR" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }

    toggle "ON"          r+6 c2   w6  h4 i13 \
         : "*apply_dof rc / *clear_apply_dof rc"
    button "COEFFICIENT" r=  c+6  w14 h4 i13 U : "*apply_value rc"
    float  "%-14.6g"     r=  c+14 w18 h4 i11   :   apply_value_rc
    popup  "TABLE"       r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                               : "*apply_table rc0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table rc0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_rc0
 
    button "PUMP PRES" r+4 c8   w14 h4 i13 U : "*apply_value pp"
    float  "%-14.6g"   r=  c+14 w18 h4 i11   :   apply_value_pp
    popup  "TABLE"     r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                             : "*apply_table pp0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table pp0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_pp0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "FIXED VELOCITY" r+4 c2 w27 h4 i10 dr14 dc36 dw62 dh40 \
      : "*apply_type fixed_velocity" {

    label "FIXED VELOCITY" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. UVELOC" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"      r+6 c2   w6  h4 i13   : "*apply_dof x / *clear_apply_dof x"
    button "X"       r=  c+6  w14 h4 i13 U : "*apply_value x"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_x
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table x0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table x0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_x0
 
    toggle "ON"      r+4 c2   w6  h4 i13   : "*apply_dof y / *clear_apply_dof y"
    button "Y"       r=  c+6  w14 h4 i13 U : "*apply_value y"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_y
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table y0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table y0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_y0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup
 
  endpopup }

#include apply_sub.m
#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ apply_electrostatic "ELECTROSTATIC BC's" r1 c1 w32 h4 i12  H120 W128 {

  label "BOUNDARY CONDITION TYPE" r14 c1 w32 h25 i12

  string "%s" r+4 c+28 w3 h4 i9 : apply_type_fixed_elec_potential
  string "%s" r+4 c=   w3 h4 i9 : apply_type_point_charge
  string "%s" r+4 c=   w3 h4 i9 : apply_type_elec_edge_charge
  string "%s" r+4 c=   w3 h4 i9 : apply_type_elec_face_charge
  string "%s" r+4 c=   w3 h4 i9 : apply_type_elec_volume_charge

  popup "FIXED POTENTIAL" r-16 c2 w27 h4 i10 dr14 dc36 dw50 dh48 \
      : "*apply_type fixed_elec_potential" {

    label "FIXED POTENTIAL" r1 c1 w50 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FORCDT" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"              r+6 c2   w6  h4 i13 \
         : "*apply_dof v / *clear_apply_dof v"
    button "POTENTIAL (TOP)" r=  c+6  w24 h4 i13 U : "*apply_value v"
    float  "%-14.6g"         r=  c+24 w18 h4 i11   :   apply_value_v
 
    label  "SHELL ELEMENTS"   r+4 c2   w48 h4 i12
    toggle "ON"               r+4 c2   w6  h4 i13 \
         : "*apply_dof vbot / *clear_apply_dof vbot"
    button "BOTTOM POTENTIAL" r=  c+6  w24 h4 i13 U : "*apply_value vbot"
    float  "%-14.6g"          r=  c+24 w18 h4 i11   :   apply_value_vbot
 
    toggle "ON"               r+4 c2   w6  h4 i13 \
         : "*apply_dof vmid / *clear_apply_dof vmid"
    button "MIDDLE POTENTIAL" r=  c+6  w24 h4 i13 U : "*apply_value vmid"
    float  "%-14.6g"          r=  c+24 w18 h4 i11   :   apply_value_vmid

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+36 w12 h10 i13   : *remove_popup

  endpopup }

  popup "POINT CHARGE" r+4 c= w27 h4 i10 dr14 dc36 dw72 dh48 \
      : "*apply_type point_charge" {

    label "POINT CHARGE" r1 c1 w72 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FORCDT" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"           r+6 c2   w6  h4 i13 \
         : "*apply_dof q / *clear_apply_dof q"
    button "CHARGE (TOP)" r=  c+6  w24 h4 i13 U : "*apply_value q"
    float  "%-14.6g"      r=  c+24 w18 h4 i11   :   apply_value_q
    popup  "TABLE"        r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                                : "*apply_table q0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table q0"
    endpopup }
    string "%s" r= c58 w14 h4 i11 : apply_table_q0

    label  "SHELL ELEMENTS"r+4 c2   w70 h4 i12
    toggle "ON"            r+4 c2   w6  h4 i13 \
         : "*apply_dof qbot / *clear_apply_dof qbot"
    button "BOTTOM CHARGE" r=  c+6  w24 h4 i13 U : "*apply_value qbot"
    float  "%-14.6g"       r=  c+24 w18 h4 i11   :   apply_value_qbot
    popup  "TABLE"         r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                                 : "*apply_table qbot0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table qbot0"
    endpopup }
    string "%s" r= c58 w14 h4 i11 : apply_table_qbot0
 
    toggle "ON"            r+4 c2   w6  h4 i13 \
         : "*apply_dof qmid / *clear_apply_dof qmid"
    button "MIDDLE CHARGE" r=  c+6  w24 h4 i13 U : "*apply_value qmid"
    float  "%-14.6g"       r=  c+24 w18 h4 i11   :   apply_value_qmid
    popup  "TABLE"         r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                                 : "*apply_table qmid0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table qmid0"
    endpopup }
    string "%s" r= c58 w14 h4 i11 : apply_table_qmid0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+58 w12 h10 i13   : *remove_popup

  endpopup }

  popup "EDGE CHARGE" r+4 c= w27 h4 i10 dr14 dc36 dw72 dh44 \
      : "*apply_type elec_edge_charge" {

    label "EDGE CHARGE" r1 c1 w72 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES" r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FLUX" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"            r+6 c2   w6  h4 i13 \
         : "*apply_dof q / *clear_apply_dof q"
    button "CHARGE (TOP)"  r=  c+6  w24 h4 i13 U : "*apply_value q"
    float  "%-14.6g"       r=  c+24 w18 h4 i11   :   apply_value_q
    popup  "TABLE"         r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                                 : "*apply_table q0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table q0"
    endpopup }
    string "%s" r= c58 w14 h4 i11 : apply_table_q0

    label  "SHELL ELEMENTS" r+4 c2   w70 h4 i12
    toggle "ON"             r+4 c2   w6  h4 i13 \
         : "*apply_dof qbot / *clear_apply_dof qbot"
    button "BOTTOM CHARGE"  r=  c+6  w24 h4 i13 U : "*apply_value qbot"
    float  "%-14.6g"        r=  c+24 w18 h4 i11   :   apply_value_qbot
    popup  "TABLE"          r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                                  : "*apply_table qbot0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table qbot0"
    endpopup }
    string "%s" r= c58 w14 h4 i11 : apply_table_qbot0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+58 w12 h10 i13   : *remove_popup

  endpopup }

  popup "FACE CHARGE" r+4 c= w27 h4 i10 dr14 dc36 dw72 dh44 \
      : "*apply_type elec_face_charge" {

    label "FACE CHARGE" r1 c1 w72 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES" r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FLUX" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"            r+6 c2   w6  h4 i13 \
         : "*apply_dof q / *clear_apply_dof q"
    button "CHARGE (TOP)"  r=  c+6  w24 h4 i13 U : "*apply_value q"
    float  "%-14.6g"       r=  c+24 w18 h4 i11   :   apply_value_q
    popup  "TABLE"         r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                                 : "*apply_table q0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table q0"
    endpopup }
    string "%s" r= c58 w14 h4 i11 : apply_table_q0

    label  "SHELL ELEMENTS" r+4 c2   w70 h4 i12
    toggle "ON"             r+4 c2   w6  h4 i13 \
         : "*apply_dof qbot / *clear_apply_dof qbot"
    button "BOTTOM CHARGE"  r=  c+6  w24 h4 i13 U : "*apply_value qbot"
    float  "%-14.6g"        r=  c+24 w18 h4 i11   :   apply_value_qbot
    popup  "TABLE"          r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                                  : "*apply_table qbot0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table qbot0"
    endpopup }
    string "%s" r= c58 w14 h4 i11 : apply_table_qbot0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+58 w12 h10 i13   : *remove_popup

  endpopup }

  popup "VOLUME CHARGE" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh36 \
      : "*apply_type elec_volume_charge" {

    label "VOLUME CHARGE" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES" r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FLUX" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"      r+6 c2   w6  h4 i13   : "*apply_dof q / *clear_apply_dof q"
    button "CHARGE"  r=  c+6  w14 h4 i13 U : "*apply_value q"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_q
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table q0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table q0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_q0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

#include apply_sub.m
#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ apply_magnetostatic "MAGNETOSTATIC BC's" r1 c1 w32 h4 i12  H120 W128 {

  label "BOUNDARY CONDITION TYPE" r14 c1 w32 h29 i12

  string "%s" r+4 c+28 w3 h4 i9 : apply_type_fixed_magn_potential
  string "%s" r+4 c=   w3 h4 i9 : apply_type_magn_point_current
  string "%s" r+4 c=   w3 h4 i9 : apply_type_magn_edge_current
  string "%s" r+4 c=   w3 h4 i9 : apply_type_magn_face_current
  string "%s" r+4 c=   w3 h4 i9 : apply_type_magn_volume_current
  string "%s" r+4 c=   w3 h4 i9 : apply_type_permanent_magnet
 
  popup "FIXED POTENTIAL" r-20 c2 w27 h4 i10 dr14 dc36 dw40 dh48 \
      : "*apply_type fixed_magn_potential" {

    label "FIXED POTENTIAL" r1 c1 w40 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FORCDT" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"            r+6 c2   w6  h4 i13 \
         : "*apply_dof ax / *clear_apply_dof ax"
    button "POTENTIAL (X)" r=  c+6  w14 h4 i13 U : "*apply_value ax"
    float  "%-14.6g"       r=  c+14 w18 h4 i11   :   apply_value_ax

    label "3-D ELEMENTS" r+4 c2 w60 h4 i12
 
    toggle "ON"          r+4 c2   w6  h4 i13 \
         : "*apply_dof ay / *clear_apply_dof ay"
    button "Y POTENTIAL" r=  c+6  w14 h4 i13 U : "*apply_value ay"
    float  "%-14.6g"     r=  c+14 w18 h4 i11   :   apply_value_ay
 
    toggle "ON"          r+4 c2   w6  h4 i13 \
         : "*apply_dof az / *clear_apply_dof az"
    button "Z POTENTIAL" r=  c+6  w14 h4 i13 U : "*apply_value az"
    float  "%-14.6g"     r=  c+14 w18 h4 i11   :   apply_value_az

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+26 w12 h10 i13   : *remove_popup
 
  endpopup }

  popup "POINT CURRENT" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh48 \
      : "*apply_type magn_point_current" {

    label "POINT CURRENT" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FORCDT" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"          r+6 c2   w6  h4 i13 \
         : "*apply_dof jx / *clear_apply_dof jx"
    button "CURRENT (X)" r=  c+6  w14 h4 i13 U : "*apply_value jx"
    float  "%-14.6g"     r=  c+14 w18 h4 i11   :   apply_value_jx
    popup  "TABLE"       r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table jx0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table jx0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_jx0

    label "3-D ELEMENTS" r+4 c2 w60 h4 i12
 
    toggle "ON"        r+4 c2   w6  h4 i13 \
         : "*apply_dof jy / *clear_apply_dof jy"
    button "Y CURRENT" r=  c+6  w14 h4 i13 U : "*apply_value jy"
    float  "%-14.6g"   r=  c+14 w18 h4 i11   :   apply_value_jy
    popup  "TABLE"     r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table jy0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table jy0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_jy0
 
    toggle "ON"        r+4 c2   w6  h4 i13 \
         : "*apply_dof jz / *clear_apply_dof jz"
    button "Z CURRENT" r=  c+6  w14 h4 i13 U : "*apply_value jz"
    float  "%-14.6g"   r=  c+14 w18 h4 i11   :   apply_value_jz
    popup  "TABLE"     r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table jz0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table jz0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_jz0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "EDGE CURRENT" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh36 \
      : "*apply_type magn_edge_current" {

    label "EDGE CURRENT" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES" r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FLUX" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"      r+6 c2   w6  h4 i13 \
         : "*apply_dof j / *clear_apply_dof j"
    button "CURRENT" r=  c+6  w14 h4 i13 U : "*apply_value j"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_j
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table j0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table j0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_j0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "FACE CURRENT" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh44 \
      : "*apply_type magn_face_current" {

    label "FACE CURRENT" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FORCEM" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"      r+6 c2   w6  h4 i13 \
         : "*apply_dof jn / *clear_apply_dof jn"
    button "NORMAL"  r=  c+6  w14 h4 i13 U : "*apply_value jn"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_jn
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table jn0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table jn0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_jn0

    toggle "ON"      r+4 c2   w6  h4 i13 \
         : "*apply_dof ju / *clear_apply_dof ju"
    button "U TANGENTIAL" r=  c+6  w14 h4 i13 U : "*apply_value ju"
    float  "%-14.6g"      r=  c+14 w18 h4 i11   :   apply_value_ju
    popup  "TABLE"        r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table ju0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table ju0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_ju0

    toggle "ON"      r+4 c2   w6  h4 i13 \
         : "*apply_dof jv / *clear_apply_dof jv"
    button "V TANGENTIAL" r=  c+6  w14 h4 i13 U : "*apply_value jv"
    float  "%-14.6g"      r=  c+14 w18 h4 i11   :   apply_value_jv
    popup  "TABLE"        r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table jv0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table jv0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_jv0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "VOLUME CURRENT" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh36 \
      : "*apply_type magn_volume_current" {

    label "VOLUME CURRENT" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"        r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FLUX/FORCEM" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"      r+6 c2   w6  h4 i13   : "*apply_dof j / *clear_apply_dof j"
    button "CURRENT" r=  c+6  w14 h4 i13 U : "*apply_value j"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_j
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table j0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table j0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_j0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "PERMANENT MAGNETIZATION" r+4 c= w27 h4 i10 dr14 dc36 dw40 dh34 \
      : "*apply_type permanent_magnet" {

    label "PERMANENT MAGNETIZATION" r1 c1 w40 h4 i12

    label  "REMANENCE" r+5 c2   w38 h4 i12
    toggle "ON"        r+4 c2   w6  h4 i13 \
         : "*apply_dof brx / *clear_apply_dof brx"
    button "X"         r=  c+6  w14 h4 i13 U : "*apply_value brx"
    float  "%-14.6g"   r=  c+14 w18 h4 i11   :   apply_value_brx

    toggle "ON"      r+4 c2   w6  h4 i13 \
         : "*apply_dof bry / *clear_apply_dof bry"
    button "Y"       r=  c+6  w14 h4 i13 U : "*apply_value bry"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_bry

    toggle "ON"      r+4 c2   w6  h4 i13 \
         : "*apply_dof brz / *clear_apply_dof brz"
    button "Z"       r=  c+6  w14 h4 i13 U : "*apply_value brz"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_brz

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+26 w12 h10 i13   : *remove_popup

  endpopup }

#include apply_sub.m
#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ apply_electromagnetic "ELECTROMAGNETIC BC's" r1 c1 w32 h4 i12  H120 W128 {

  label "BOUNDARY CONDITION TYPE" r14 c1 w32 h41 i12

  string "%s" r+4 c+28 w3 h4 i9 : apply_type_fixed_elma_potential
  string "%s" r+4 c=   w3 h4 i9 : apply_type_point_current_charge
  string "%s" r+4 c=   w3 h4 i9 : apply_type_elma_edge_current
  string "%s" r+4 c=   w3 h4 i9 : apply_type_elma_face_current
  string "%s" r+4 c=   w3 h4 i9 : apply_type_elma_volume_current
  string "%s" r+4 c=   w3 h4 i9 : apply_type_elma_edge_charge
  string "%s" r+4 c=   w3 h4 i9 : apply_type_elma_face_charge
  string "%s" r+4 c=   w3 h4 i9 : apply_type_elma_volume_charge
  string "%s" r+4 c=   w3 h4 i9 : apply_type_permanent_magnet
 
  popup "FIXED POTENTIAL" r-32 c2 w27 h4 i10 dr14 dc36 dw62 dh56 \
      : "*apply_type fixed_elma_potential" {

    label "FIXED POTENTIAL" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FORCDT" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    label  "VECTOR POTENTIAL" r+6 c2   w60 h4 i12
    toggle "ON"               r+4 c2   w6  h4 i13 \
         : "*apply_dof ax / *clear_apply_dof ax"
    button "X"                r=  c+6  w14 h4 i13 U : "*apply_value ax"
    float  "%-14.6g"          r=  c+14 w18 h4 i11   :   apply_value_ax
    popup  "TABLE"            r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                                    : "*apply_table ax0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table ax0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_ax0
 
    toggle "ON"      r+4 c2   w6  h4 i13 \
         : "*apply_dof ay / *clear_apply_dof ay"
    button "Y"       r=  c+6  w14 h4 i13 U : "*apply_value ay"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_ay
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table ay0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table ay0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_ay0
 
    toggle "ON"      r+4 c2   w6  h4 i13 \
         : "*apply_dof az / *clear_apply_dof az"
    button "Z"       r=  c+6  w14 h4 i13 U : "*apply_value az"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_az
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table az0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table az0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_az0

    label  "ELECTRIC POTENTIAL" r+4 c2   w60 h4 i12
    toggle "ON"                 r+4 c2   w6  h4 i13 \
         : "*apply_dof v / *clear_apply_dof v"
    button "V"                  r=  c+6  w14 h4 i13 U : "*apply_value v"
    float  "%-14.6g"            r=  c+14 w18 h4 i11   :   apply_value_v
    popup  "TABLE"              r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                                    : "*apply_table v0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table v0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_v0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup
 
  endpopup }

  popup "POINT CURRENT-CHARGE" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh56 \
      : "*apply_type point_current_charge" {

    label "POINT CURRENT-CHARGE" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FORCDT" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    label  "POINT CURRENT" r+6 c2   w60 h4 i12
    toggle "ON"            r+4 c2   w6  h4 i13 \
         : "*apply_dof jx / *clear_apply_dof jx"
    button "X"             r=  c+6  w14 h4 i13 U : "*apply_value jx"
    float  "%-14.6g"       r=  c+14 w18 h4 i11   :   apply_value_jx
    popup  "TABLE"         r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                                 : "*apply_table jx0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table jx0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_jx0
 
    toggle "ON"      r+4 c2   w6  h4 i13 \
         : "*apply_dof jy / *clear_apply_dof jy"
    button "Y"       r=  c+6  w14 h4 i13 U : "*apply_value jy"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_jy
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table jy0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table jy0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_jy0
 
    toggle "ON"      r+4 c2   w6  h4 i13 \
         : "*apply_dof jz / *clear_apply_dof jz"
    button "Z"       r=  c+6  w14 h4 i13 U : "*apply_value jz"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_jz
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table jz0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table jz0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_jz0

    label  "POINT CHARGE" r+4 c2   w60 h4 i12
    toggle "ON"           r+4 c2   w6  h4 i13 \
         : "*apply_dof q / *clear_apply_dof q"
    button "CHARGE"       r=  c+6  w14 h4 i13 U : "*apply_value q"
    float  "%-14.6g"      r=  c+14 w18 h4 i11   :   apply_value_q
    popup  "TABLE"        r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                                : "*apply_table q0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table q0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_q0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "EDGE CURRENT" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh40 \
      : "*apply_type elma_edge_current" {

    label "EDGE CURRENT" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FORCEM" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"      r+6 c2   w6  h4 i13 \
         : "*apply_dof jn / *clear_apply_dof jn"
    button "NORMAL"  r=  c+6  w14 h4 i13 U : "*apply_value jn"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_jn
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table jn0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table jn0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_jn0

    toggle "ON"      r+4 c2   w6  h4 i13 \
         : "*apply_dof ju / *clear_apply_dof ju"
    button "TANGENTIAL" r=  c+6  w14 h4 i13 U : "*apply_value ju"
    float  "%-14.6g"    r=  c+14 w18 h4 i11   :   apply_value_ju
    popup  "TABLE"      r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table ju0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table ju0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_ju0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "FACE CURRENT" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh44 \
      : "*apply_type elma_face_current" {

    label "FACE CURRENT" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FORCEM" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"      r+6 c2   w6  h4 i13 \
         : "*apply_dof jn / *clear_apply_dof jn"
    button "NORMAL"  r=  c+6  w14 h4 i13 U : "*apply_value jn"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_jn
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table jn0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table jn0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_jn0

    toggle "ON"      r+4 c2   w6  h4 i13 \
         : "*apply_dof ju / *clear_apply_dof ju"
    button "U TANGENTIAL" r=  c+6  w14 h4 i13 U : "*apply_value ju"
    float  "%-14.6g"      r=  c+14 w18 h4 i11   :   apply_value_ju
    popup  "TABLE"        r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table ju0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table ju0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_ju0

    toggle "ON"      r+4 c2   w6  h4 i13 \
         : "*apply_dof jv / *clear_apply_dof jv"
    button "V TANGENTIAL" r=  c+6  w14 h4 i13 U : "*apply_value jv"
    float  "%-14.6g"      r=  c+14 w18 h4 i11   :   apply_value_jv
    popup  "TABLE"        r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table jv0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table jv0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_jv0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "VOLUME CURRENT" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh36 \
      : "*apply_type elma_volume_current" {

    label "VOLUME CURRENT" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FORCEM" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"      r+6 c2   w6  h4 i13   : "*apply_dof j / *clear_apply_dof j"
    button "CURRENT" r=  c+6  w14 h4 i13 U : "*apply_value j"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_j
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table j0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table j0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_j0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "EDGE CHARGE" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh36 \
      : "*apply_type elma_edge_charge" {

    label "EDGE CHARGE" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FORCEM" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"      r+6 c2   w6  h4 i13   : "*apply_dof q / *clear_apply_dof q"
    button "CHARGE"  r=  c+6  w14 h4 i13 U : "*apply_value q"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_q
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table q0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table q0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_q0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "FACE CHARGE" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh36 \
      : "*apply_type elma_face_charge" {

    label "FACE CHARGE" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FORCEM" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"      r+6 c2   w6  h4 i13   : "*apply_dof q / *clear_apply_dof q"
    button "CHARGE"  r=  c+6  w14 h4 i13 U : "*apply_value q"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_q
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table q0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table q0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_q0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "VOLUME CHARGE" r+4 c= w27 h4 i10 dr14 dc36 dw62 dh36 \
      : "*apply_type elma_volume_charge" {

    label "VOLUME CHARGE" r1 c1 w62 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_apply_entered
     oneonly "USER SUB. FORCEM" r+4 c= w20 h4 i13 : *set_apply_usersub
    endgroup }
 
    toggle "ON"      r+6 c2   w6  h4 i13   : "*apply_dof q / *clear_apply_dof q"
    button "CHARGE"  r=  c+6  w14 h4 i13 U : "*apply_value q"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_q
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                           : "*apply_table q0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_apply_table q0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : apply_table_q0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+48 w12 h10 i13   : *remove_popup

  endpopup }

  popup "PERMANENT MAGNETIZATION" r+4 c= w27 h4 i10 dr14 dc36 dw40 dh34 \
      : "*apply_type permanent_magnet" {

    label "PERMANENT MAGNETIZATION" r1 c1 w40 h4 i12

    label  "REMANENCE" r+5 c2   w38 h4 i12
    toggle "ON"        r+4 c2   w6  h4 i13 \
         : "*apply_dof brx / *clear_apply_dof brx"
    button "X"         r=  c+6  w14 h4 i13 U : "*apply_value brx"
    float  "%-14.6g"   r=  c+14 w18 h4 i11   :   apply_value_brx

    toggle "ON"      r+4 c2   w6  h4 i13 \
         : "*apply_dof bry / *clear_apply_dof bry"
    button "Y"       r=  c+6  w14 h4 i13 U : "*apply_value bry"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_bry

    toggle "ON"      r+4 c2   w6  h4 i13 \
         : "*apply_dof brz / *clear_apply_dof brz"
    button "Z"       r=  c+6  w14 h4 i13 U : "*apply_value brz"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   apply_value_brz

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_apply
    button "OK"    r=  c+26 w12 h10 i13   : *remove_popup

  endpopup }

#include apply_sub.m
#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ transformations "TRANSFORMATIONS" r1 c1 w32 h4 i12 H120 W128 {

  button "PREV" r6  c1   w8  h4 i13 U : *previous_transform
  string "%s"   r=  c+8  w16 h4 i11   :  transform_name
  button "NEXT" r=  c+16 w8  h4 i13 U : *next_transform
  button "NEW"  r+4 c1   w8  h4 i13 U : *new_transform
  button "NAME" r=  c+8  w8  h4 i13 U : *transform_name
  button "REM"  r=  c+8  w8  h4 i13 U : *remove_transform
  popup  "EDIT" r=  c+8  w8  h4 i10 \
                dr12 dc36 dw70 dh76   : *edit_transform {

    label  "CURRENTLY DEFINED TRANSFORMATIONS" r1 c1 w70 h76 i12

    buttstr "%s" r+4 c+4 w24 h4 i13 : tform_list_name_0
    buttstr "%s" r+4 c=  w24 h4 i13 : tform_list_name_1
    buttstr "%s" r+4 c=  w24 h4 i13 : tform_list_name_2
    buttstr "%s" r+4 c=  w24 h4 i13 : tform_list_name_3
    buttstr "%s" r+4 c=  w24 h4 i13 : tform_list_name_4
    buttstr "%s" r+4 c=  w24 h4 i13 : tform_list_name_5
    buttstr "%s" r+4 c=  w24 h4 i13 : tform_list_name_6
    buttstr "%s" r+4 c=  w24 h4 i13 : tform_list_name_7
    buttstr "%s" r+4 c=  w24 h4 i13 : tform_list_name_8
    buttstr "%s" r+4 c=  w24 h4 i13 : tform_list_name_9
    buttstr "%s" r+4 c=  w24 h4 i13 : tform_list_name_10
    buttstr "%s" r+4 c=  w24 h4 i13 : tform_list_name_11
    buttstr "%s" r+4 c=  w24 h4 i13 : tform_list_name_12
    buttstr "%s" r+4 c=  w24 h4 i13 : tform_list_name_13
    buttstr "%s" r+4 c=  w24 h4 i13 : tform_list_name_14

    button "TOP"  r5  c53 w8  h4 i13 U : "*pick_list_top(tform)"  ? top.hlp
    button "UP"   r+4 c=  w8  h4 i13 U : "*pick_list_prev(tform,7)" ? up.hlp
    button "DOWN" r61 c=  w8  h4 i13 U : "*pick_list_next(tform,7)" ? down.hlp
    button "OK"   r+6 c=  w16 h8 i13   : "*remove_popup"

  endpopup }

  button "ALIGN"       r+5 c1   w16 h6 i13 : *align_transform
  button "CYLINDRICAL" r=  c+16 w16 h6 i13 : *transform_cylindrical
  button "ROTATE"      r+6 c-16 w16 h6 i13 : *transform_rotate

  label   "NODES" r+7 c1  w8  h4 i12
  button  "ADD"   r=  c+8 w6  h4 i13 : *add_transform_nodes
  button  "REM"   r=  c+6 w6  h4 i13 : *remove_transform_nodes
  integer "%-d"   r=  c+6 w12 h4 i11 :  transform_node_count

  button "UNTRANSFORM"   r+5 c1   w16 h6 i13 : *untransform_nodes
  button "REMOVE UNUSED" r=  c+16 w16 h6 i13 : *remove_unused_transforms
  button "RESET"         r+7 c-16 w16 h6 i13 : *transform_reset

#include select_std.m
#include standard.m
#include transform.m

endscreen }
