screen ~ contact "CONTACT" r1 c1 w32 h4  i12  H120 W128 {

  label     " "                  r6  c1  w32 h20 i12
  newscreen "CONTACT BODIES"     r+1 c2  w30 h6  i10 : contact_bodies
  newscreen "CONTACT TABLES"     r+6 c2  w30 h6  i10 : contact_tables
  newscreen "CONTACT AREAS"      r+6 c2  w30 h6  i10 : contact_areas

#include standard.m
#include transform.m

endscreen }

screen ~ contact_bodies "CONTACT BODIES" r1 c1 w32 h4 i12  H120 W128 {

  button "PREV" r6  c1   w8  h4 i13 U : *previous_contact_body
  string "%s"   r=  c+8  w16 h4 i11   :  contact_body_name
  button "NEXT" r=  c+16 w8  h4 i13 U : *next_contact_body
  button "NEW"  r+4 c1   w8  h4 i13 U : *new_contact_body
  button "NAME" r=  c+8  w8  h4 i13 U : *contact_body_name
  button "REM"  r=  c+8  w8  h4 i13 U : *remove_current_contact_body
  popup  "EDIT" r=  c+8  w8  h4 i10 U : *edit_contact_body \
               dr12 dc36 dw70 dh76 {

    label  "CURRENTLY DEFINED CONTACT BODIES" r1 c1 w70 h76 i12

    buttstr "%s" r+4 c+4  w24 h4 i13 : cbody_list_name_0
    string  "%s" r=  c+24 w24 h4 i11 : cbody_list_type_0
    buttstr "%s" r+4 c-24 w24 h4 i13 : cbody_list_name_1
    string  "%s" r=  c+24 w24 h4 i11 : cbody_list_type_1
    buttstr "%s" r+4 c-24 w24 h4 i13 : cbody_list_name_2
    string  "%s" r=  c+24 w24 h4 i11 : cbody_list_type_2
    buttstr "%s" r+4 c-24 w24 h4 i13 : cbody_list_name_3
    string  "%s" r=  c+24 w24 h4 i11 : cbody_list_type_3
    buttstr "%s" r+4 c-24 w24 h4 i13 : cbody_list_name_4
    string  "%s" r=  c+24 w24 h4 i11 : cbody_list_type_4
    buttstr "%s" r+4 c-24 w24 h4 i13 : cbody_list_name_5
    string  "%s" r=  c+24 w24 h4 i11 : cbody_list_type_5
    buttstr "%s" r+4 c-24 w24 h4 i13 : cbody_list_name_6
    string  "%s" r=  c+24 w24 h4 i11 : cbody_list_type_6
    buttstr "%s" r+4 c-24 w24 h4 i13 : cbody_list_name_7
    string  "%s" r=  c+24 w24 h4 i11 : cbody_list_type_7
    buttstr "%s" r+4 c-24 w24 h4 i13 : cbody_list_name_8
    string  "%s" r=  c+24 w24 h4 i11 : cbody_list_type_8
    buttstr "%s" r+4 c-24 w24 h4 i13 : cbody_list_name_9
    string  "%s" r=  c+24 w24 h4 i11 : cbody_list_type_9
    buttstr "%s" r+4 c-24 w24 h4 i13 : cbody_list_name_10
    string  "%s" r=  c+24 w24 h4 i11 : cbody_list_type_10
    buttstr "%s" r+4 c-24 w24 h4 i13 : cbody_list_name_11
    string  "%s" r=  c+24 w24 h4 i11 : cbody_list_type_11
    buttstr "%s" r+4 c-24 w24 h4 i13 : cbody_list_name_12
    string  "%s" r=  c+24 w24 h4 i11 : cbody_list_type_12
    buttstr "%s" r+4 c-24 w24 h4 i13 : cbody_list_name_13
    string  "%s" r=  c+24 w24 h4 i11 : cbody_list_type_13
    buttstr "%s" r+4 c-24 w24 h4 i13 : cbody_list_name_14
    string  "%s" r=  c+24 w24 h4 i11 : cbody_list_type_14

    button "TOP"  r5  c53 w8  h4 i13 U : "*pick_list_top(cbody)"  ? top.hlp
    button "UP"   r+4 c=  w8  h4 i13 U : "*pick_list_prev(cbody,7)" ? up.hlp
    button "DOWN" r61 c=  w8  h4 i13 U : "*pick_list_next(cbody,7)" ? down.hlp
    button "OK"   r+6 c=  w16 h8 i13 : *remove_popup

  endpopup }

  label  "BODY TYPE" r+5 c1 w32 h9 i12
  group {
    oneonly "RIGID"      r+4 c+1  w15 h4 i13 : *contact_rigid
    oneonly "DEFORMABLE" r=  c+15 w15 h4 i13 : *contact_deformable
  endgroup }

  popup  "CONTACT BODY PROPERTIES" r+6 c1 w32 h6 i10 dr3 dc36 dw76 dh112 \
        ? contact_props.hlp {

    label  "CONTACT BODY PROPERTIES" r1 c1 w76 h4 i12

    label  "CENTROID" r+5 c2   w36 h4 i12
    button "X"        r+4 c=   w18 h4 i13 : "*contact_value cx"
    float  "%-14.6g"  r=  c+18 w18 h4 i11 :   contact_value_cx
    button "Y"        r+4 c-18 w18 h4 i13 : "*contact_value cy"
    float  "%-14.6g"  r=  c+18 w18 h4 i11 :   contact_value_cy
    button "Z"        r+4 c-18 w18 h4 i13 : "*contact_value cz"
    float  "%-14.6g"  r=  c+18 w18 h4 i11 :   contact_value_cz

    label  "ROTATION AXIS" r-12 c+20 w36 h4 i12
    button "X"             r+4  c=   w18 h4 i13 : "*contact_value ax"
    float  "%-14.6g"       r=   c+18 w18 h4 i11 :   contact_value_ax
    button "Y"             r+4  c-18 w18 h4 i13 : "*contact_value ay"
    float  "%-14.6g"       r=   c+18 w18 h4 i11 :   contact_value_ay
    button "Z"             r+4  c-18 w18 h4 i13 : "*contact_value az"
    float  "%-14.6g"       r=   c+18 w18 h4 i11 :   contact_value_az

    label  "VELOCITY"   r+6 c2   w58 h4 i12
    button "X"          r+4 c=   w18 h4 i13 : "*contact_value vx"
    float  "%-14.6g"    r=  c+18 w18 h4 i11 :   contact_value_vx
    popup  "TABLE"      r=  c+18 w8  h4 i13 : "*cbody_table vx0" \
                        dr15 dc36 dw84 dh75 {
#include sel_table.m
      button "CLEAR"    r67 c2   w12 h8 i13 : "*clear_cbody_table vx0"
    endpopup }
    string "%s"         r=  c+8  w14 h4 i11 :   cbody_table_vx0
    button "Y"          r+4 c-44 w18 h4 i13 : "*contact_value vy"
    float  "%-14.6g"    r=  c+18 w18 h4 i11 :   contact_value_vy
    popup  "TABLE"      r=  c+18 w8  h4 i13 : "*cbody_table vy0" \
                        dr15 dc36 dw84 dh75 {
#include sel_table.m
      button "CLEAR"    r67 c2   w12 h8 i13 : "*clear_cbody_table vy0"
    endpopup }
    string "%s"         r=  c+8  w14 h4 i11 :   cbody_table_vy0
    button "Z"          r+4 c-44 w18 h4 i13 : "*contact_value vz"
    float  "%-14.6g"    r=  c+18 w18 h4 i11 :   contact_value_vz
    popup  "TABLE"      r=  c+18 w8  h4 i13 : "*cbody_table vz0" \
                        dr15 dc36 dw84 dh75 {
#include sel_table.m
      button "CLEAR"    r67 c2   w12 h8 i13 : "*clear_cbody_table vz0"
    endpopup }
    string "%s"         r=  c+8  w14 h4 i11 :   cbody_table_vz0
    button "ROTATIONAL" r+4 c-44 w18 h4 i13 : "*contact_value vrot"
    float  "%-14.6g"    r=  c+18 w18 h4 i11 :   contact_value_vrot
    popup  "TABLE"      r=  c+18 w8  h4 i13 : "*cbody_table vrot0" \
                        dr15 dc36 dw84 dh75 {
#include sel_table.m
      button "CLEAR"    r67 c2   w12 h8 i13 : "*clear_cbody_table vrot0"
    endpopup }
    string "%s"         r=  c+8  w14 h4 i11 :   cbody_table_vrot0

    label  "FRICTION"             r+6 c2   w54 h4 i12
    button "FRICTION COEFFICIENT" r+4 c=   w36 h4 i13 \
         : "*contact_value friction"
    float  "%-14.6g"              r=  c+36 w18 h4 i11 \
         :   contact_value_friction

    label  "HEAT TRANSFER DATA for COUPLED ANALYSES" \
                                          r+6 c2   w54 h4 i12
    button "FILM COEFF. to ENVIRONMENT"   r+4 c=   w36 h4 i13 \
         : "*contact_value film"
    float  "%-14.6g"                      r=  c+36 w18 h4 i11 \
         :   contact_value_film
    button "ENVIRONMENT SINK TEMPERATURE" r+4 c-36 w36 h4 i13 \
         : "*contact_value tsink"
    float  "%-14.6g"                      r=  c+36 w18 h4 i11 \
         :   contact_value_tsink
    button "CONTACT HEAT TRANSFER COEFF." r+4 c-36 w36 h4 i13 \
         : "*contact_value contact"
    float  "%-14.6g"                      r=  c+36 w18 h4 i11 \
         :   contact_value_contact
    button "RIGID BODY SURFACE TEMP."     r+4 c-36 w36 h4 i13 \
         : "*contact_value tsurf"
    float  "%-14.6g"                      r=  c+36 w18 h4 i11 \
         :   contact_value_tsurf

    label  "INITIAL VELOCITY" r+6 c2   w36 h4 i12
    button "X"                r+4 c=   w18 h4 i13 : "*contact_value initvx"
    float  "%-14.6g"          r=  c+18 w18 h4 i11 :   contact_value_initvx
    button "Y"                r+4 c-18 w18 h4 i13 : "*contact_value initvy"
    float  "%-14.6g"          r=  c+18 w18 h4 i11 :   contact_value_initvy
    button "Z"                r+4 c-18 w18 h4 i13 : "*contact_value initvz"
    float  "%-14.6g"          r=  c+18 w18 h4 i11 :   contact_value_initvz
    button "ROTATIONAL"       r+4 c-18 w18 h4 i13 : "*contact_value initvrot"
    float  "%-14.6g"          r=  c+18 w18 h4 i11 :   contact_value_initvrot

    label  "RIGID BODY DESCRIPTION" r-16 c+20 w36 h4 i12
    group {
      oneonly "ANALYTICAL" r+4 c=   w18 h4 i13 \
            : "*contact_option rigid_desc:analytical"
      oneonly "DISCRETE"   r=  c+18 w18 h4 i13 \
            : "*contact_option rigid_desc:discrete"
    endgroup }
    toggle "SYMMETRY BODY"          r+4 c-18 w36 h4 i13 \
         : "*contact_option symmetry:on / *contact_option symmetry:off"
    button "CURVE DIVISIONS"        r+4 c=   w26 h4 i13 \
         : "*contact_value curve_div"
    integer "%-d"                   r=  c+26 w10 h4 i11 \
         :   contact_value_curve_div
    button "SURFACE DIVISIONS U"    r+4 c-26 w26 h4 i13 \
         : "*contact_value surf_div_u"
    integer "%-d"                   r=  c+26 w10 h4 i11 \
         :   contact_value_surf_div_u
    button "SURFACE DIVISIONS V"    r+4 c-26 w26 h4 i13 \
         : "*contact_value surf_div_v"
    integer "%-d"                   r=  c+26 w10 h4 i11 \
         :   contact_value_surf_div_v

    button "RESET" r+6 c2   w12 h8 i13 U : *cbody_reset
    button "OK"    r=  c+62 w12 h8 i13   : *remove_popup

  endpopup }

  label   "ELEMENTS" r+7 c1   w12 h4 i12 
  button  "ADD"      r=  c+12 w6  h4 i13 : *add_contact_body_elements
  button  "REM"      r=  c+6  w6  h4 i13 : *remove_contact_body_elem
  integer "%-d"      r=  c+6  w8  h4 i11 :  contact_element_count

  label   "CURVES"   r+4 c1   w12 h4 i12 
  button  "ADD"      r=  c+12 w6  h4 i13 : *add_contact_body_curves
  button  "REM"      r=  c+6  w6  h4 i13 : *remove_contact_body_curves
  integer "%-d"      r=  c+6  w8  h4 i11 :  contact_curve_count

  label   "SURFACES" r+4 c1   w12 h4 i12 
  button  "ADD"      r=  c+12 w6  h4 i13 : *add_contact_body_surfaces
  button  "REM"      r=  c+6  w6  h4 i13 : *remove_contact_body_surf
  integer "%-d"      r=  c+6  w8  h4 i11 :  contact_surface_count

  newscreen "TABLES"        r+5 c1   w16 h4 i10 : table

  toggle    "ID CONTACT"    r+5 c1   w16 h4 i13 \
          : "*identify_contact *regen / *identify_none *regen"
  toggle    "ID BACKFACES"  r=  c+16 w16 h4 i13 \
          : "*identify_backfaces *regen / *identify_none *regen"
  button    "FLIP ELEMENTS" r+4 c1   w16 h4 i13 : *flip_elements
  button    "FLIP CURVES"   r=  c+16 w16 h4 i13 : *flip_curves
  button    "FLIP SURFACES" r+4 c1   w16 h4 i13 : *flip_surfaces

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ contact_tables "CONTACT TABLES" r1 c1 w32 h4 i12 H120 W128 {

  button "PREV" r6  c1   w8  h4 i13 U : *previous_contact_table
  string "%s"   r=  c+8  w16 h4 i11   :  contact_name
  button "NEXT" r=  c+16 w8  h4 i13 U : *next_contact_table
  button "NEW"  r+4 c1   w8  h4 i13 U : *new_contact_table
  button "NAME" r=  c+8  w8  h4 i13 U : *contact_table_name
  button "REM"  r=  c+8  w8  h4 i13 U : *remove_current_contact_table
  popup  "EDIT" r=  c+8  w8  h4 i10 U : *edit_contact_table \
               dr12 dc36 dw50 dh76 {

    label  "CURRENTLY DEFINED CONTACT TABLES" r1 c1 w50 h76 i12

    buttstr "%s" r+4 c+4  w24 h4 i13 : ctable_list_name_0
    buttstr "%s" r+4 c=   w24 h4 i13 : ctable_list_name_1
    buttstr "%s" r+4 c=   w24 h4 i13 : ctable_list_name_2
    buttstr "%s" r+4 c=   w24 h4 i13 : ctable_list_name_3
    buttstr "%s" r+4 c=   w24 h4 i13 : ctable_list_name_4
    buttstr "%s" r+4 c=   w24 h4 i13 : ctable_list_name_5
    buttstr "%s" r+4 c=   w24 h4 i13 : ctable_list_name_6
    buttstr "%s" r+4 c=   w24 h4 i13 : ctable_list_name_7
    buttstr "%s" r+4 c=   w24 h4 i13 : ctable_list_name_8
    buttstr "%s" r+4 c=   w24 h4 i13 : ctable_list_name_9
    buttstr "%s" r+4 c=   w24 h4 i13 : ctable_list_name_10
    buttstr "%s" r+4 c=   w24 h4 i13 : ctable_list_name_11
    buttstr "%s" r+4 c=   w24 h4 i13 : ctable_list_name_12
    buttstr "%s" r+4 c=   w24 h4 i13 : ctable_list_name_13
    buttstr "%s" r+4 c=   w24 h4 i13 : ctable_list_name_14

    button "TOP"  r5  c33 w8  h4 i13 U : "*pick_list_top(ctable)"  ? top.hlp
    button "UP"   r+4 c=  w8  h4 i13 U : "*pick_list_prev(ctable,7)" ? up.hlp
    button "DOWN" r61 c=  w8  h4 i13 U : "*pick_list_next(ctable,7)" ? down.hlp
    button "OK"   r+6 c=  w16 h8 i13 : *remove_popup

  endpopup }

  popup "TABLE PROPERTIES" r+5 c1 w32 h6 i10 dr3 dc3 dw122 dh120 {

    button "TOUCH ALL"      r2  c2 w32 h4 i13 U : "*contact_table_touch_all"
    button "GLUE ALL"       r+4 c= w32 h4 i13 U : "*contact_table_glue_all"
    button "DEACTIVATE ALL" r+4 c= w32 h4 i13 U : "*contact_table_deactivate_all"

    label  "PARAMETERS"       r2  c36  w84 h20 i12
    button "TOUCHING\nBODIES" r+6 c+1  w16 h8  i13 U : *touching_bodies
    string "%s"               r=  c+16 w16 h4  i11   :  touching_body_1
    string "%s"               r+4 c=   w16 h4  i11   :  touching_body_2

    button "DISTANCE TOLERANCE"          r-10 c+18 w32 h4 i13 U \
	 : "*contact_table_property $__b1 $__b2 dist_tol"
    float  "%-14.6g"                     r=   c+32 w18 h4 i11 \
	 :   contact_table_property_dist_tol
    button "SEPARATION FORCE"            r+4  c-32 w32 h4 i13 U \
	 : "*contact_table_property $__b1 $__b2 sep_for"
    float  "%-14.6g"                     r=   c+32 w18 h4 i11 \
	 :   contact_table_property_sep_for
    button "FRICTION COEFFICIENT"        r+4  c-32 w32 h4 i13 U \
	 : "*contact_table_property $__b1 $__b2 friction"
    float  "%-14.6g"                     r=   c+32 w18 h4 i11 \
	 :   contact_table_property_friction
    button "CONTACT HEAT TRANSFER COEF." r+4  c-32 w32 h4 i13 U \
	 : "*contact_table_property $__b1 $__b2 heat"
    float  "%-14.6g"                     r=   c+32 w18 h4 i11 \
	 :   contact_table_property_heat
    button "INTERFERENCE CLOSURE"        r+4  c-32 w32 h4 i13 U \
	 : "*contact_table_property $__b1 $__b2 closure"
    float  "%-14.6g"                     r=   c+32 w18 h4 i11 \
	 :   contact_table_property_closure

    label  "  "        r24 c2   w120 h84 i12
    label  "BODY NAME" r=  c+4  w18  h4  i12
    label  "BODY TYPE" r=  c+18 w18  h4  i12
    label  " 1"        r=  c+18 w4   h4  i12
    label  " 2"        r=  c+4  w4   h4  i12
    label  " 3"        r=  c+4  w4   h4  i12
    label  " 4"        r=  c+4  w4   h4  i12
    label  " 5"        r=  c+4  w4   h4  i12
    label  " 6"        r=  c+4  w4   h4  i12
    label  " 7"        r=  c+4  w4   h4  i12
    label  " 8"        r=  c+4  w4   h4  i12
    label  " 9"        r=  c+4  w4   h4  i12
    label  "10"        r=  c+4  w4   h4  i12
    label  "11"        r=  c+4  w4   h4  i12
    label  "12"        r=  c+4  w4   h4  i12
    label  "13"        r=  c+4  w4   h4  i12
    label  "14"        r=  c+4  w4   h4  i12
    label  "15"        r=  c+4  w4   h4  i12
    label  "16"        r=  c+4  w4   h4  i12
    label  "17"        r=  c+4  w4   h4  i12
    label  "18"        r=  c+4  w4   h4  i12
    label  "19"        r=  c+4  w4   h4  i12
    label  "20"        r=  c+4  w4   h4  i12

    label   " 1" r+4 c2   w4  h4  i12
    buttstr "%s" r=  c+4  w18 h4  i13 : ctable_body_name_0
    string  "%s" r=  c+18 w18 h4  i11 : ctable_body_type_0

    group {
      scroll " " r= c+18 w4 h4 i13 U : "*contact_table_touch $__ct0 $__ct0"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct0 $__ct0"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct0 $__ct0"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct0 $__ct1"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct0 $__ct1"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct0 $__ct1"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct0 $__ct2"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct0 $__ct2"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct0 $__ct2"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct0 $__ct3"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct0 $__ct3"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct0 $__ct3"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct0 $__ct4"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct0 $__ct4"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct0 $__ct4"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct0 $__ct5"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct0 $__ct5"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct0 $__ct5"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct0 $__ct6"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct0 $__ct6"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct0 $__ct6"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct0 $__ct7"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct0 $__ct7"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct0 $__ct7"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct0 $__ct8"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct0 $__ct8"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct0 $__ct8"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct0 $__ct9"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct0 $__ct9"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct0 $__ct9"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct0 $__ct10"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct0 $__ct10"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct0 $__ct10"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct0 $__ct11"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct0 $__ct11"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct0 $__ct11"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct0 $__ct12"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct0 $__ct12"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct0 $__ct12"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct0 $__ct13"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct0 $__ct13"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct0 $__ct13"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct0 $__ct14"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct0 $__ct14"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct0 $__ct14"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct0 $__ct15"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct0 $__ct15"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct0 $__ct15"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct0 $__ct16"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct0 $__ct16"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct0 $__ct16"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct0 $__ct17"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct0 $__ct17"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct0 $__ct17"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct0 $__ct18"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct0 $__ct18"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct0 $__ct18"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct0 $__ct19"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct0 $__ct19"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct0 $__ct19"
    endgroup }

    label   " 2" r+4 c2   w4  h4 i12
    buttstr "%s" r=  c+4  w18 h4 i13 : ctable_body_name_1
    string  "%s" r=  c+18 w18 h4 i11 : ctable_body_type_1

    group {
      scroll " " r= c+18 w4 h4 i13 U : "*contact_table_touch $__ct1 $__ct0"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct1 $__ct0"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct1 $__ct0"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct1 $__ct1"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct1 $__ct1"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct1 $__ct1"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct1 $__ct2"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct1 $__ct2"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct1 $__ct2"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct1 $__ct3"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct1 $__ct3"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct1 $__ct3"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct1 $__ct4"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct1 $__ct4"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct1 $__ct4"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct1 $__ct5"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct1 $__ct5"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct1 $__ct5"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct1 $__ct6"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct1 $__ct6"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct1 $__ct6"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct1 $__ct7"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct1 $__ct7"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct1 $__ct7"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct1 $__ct8"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct1 $__ct8"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct1 $__ct8"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct1 $__ct9"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct1 $__ct9"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct1 $__ct9"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct1 $__ct10"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct1 $__ct10"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct1 $__ct10"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct1 $__ct11"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct1 $__ct11"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct1 $__ct11"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct1 $__ct12"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct1 $__ct12"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct1 $__ct12"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct1 $__ct13"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct1 $__ct13"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct1 $__ct13"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct1 $__ct14"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct1 $__ct14"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct1 $__ct14"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct1 $__ct15"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct1 $__ct15"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct1 $__ct15"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct1 $__ct16"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct1 $__ct16"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct1 $__ct16"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct1 $__ct17"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct1 $__ct17"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct1 $__ct17"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct1 $__ct18"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct1 $__ct18"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct1 $__ct18"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct1 $__ct19"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct1 $__ct19"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct1 $__ct19"
    endgroup }

    label   " 3" r+4 c2   w4  h4 i12
    buttstr "%s" r=  c+4  w18 h4 i13 : ctable_body_name_2
    string  "%s" r=  c+18 w18 h4 i11 : ctable_body_type_2

    group {
      scroll " " r= c+18 w4 h4 i13 U : "*contact_table_touch $__ct2 $__ct0"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct2 $__ct0"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct2 $__ct0"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct2 $__ct1"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct2 $__ct1"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct2 $__ct1"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct2 $__ct2"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct2 $__ct2"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct2 $__ct2"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct2 $__ct3"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct2 $__ct3"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct2 $__ct3"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct2 $__ct4"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct2 $__ct4"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct2 $__ct4"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct2 $__ct5"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct2 $__ct5"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct2 $__ct5"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct2 $__ct6"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct2 $__ct6"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct2 $__ct6"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct2 $__ct7"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct2 $__ct7"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct2 $__ct7"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct2 $__ct8"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct2 $__ct8"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct2 $__ct8"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct2 $__ct9"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct2 $__ct9"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct2 $__ct9"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct2 $__ct10"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct2 $__ct10"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct2 $__ct10"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct2 $__ct11"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct2 $__ct11"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct2 $__ct11"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct2 $__ct12"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct2 $__ct12"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct2 $__ct12"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct2 $__ct13"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct2 $__ct13"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct2 $__ct13"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct2 $__ct14"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct2 $__ct14"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct2 $__ct14"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct2 $__ct15"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct2 $__ct15"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct2 $__ct15"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct2 $__ct16"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct2 $__ct16"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct2 $__ct16"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct2 $__ct17"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct2 $__ct17"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct2 $__ct17"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct2 $__ct18"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct2 $__ct18"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct2 $__ct18"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct2 $__ct19"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct2 $__ct19"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct2 $__ct19"
    endgroup }

    label   " 4" r+4 c2   w4  h4 i12
    buttstr "%s" r=  c+4  w18 h4 i13 : ctable_body_name_3
    string  "%s" r=  c+18 w18 h4 i11 : ctable_body_type_3

    group {
      scroll " " r= c+18 w4 h4 i13 U : "*contact_table_touch $__ct3 $__ct0"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct3 $__ct0"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct3 $__ct0"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct3 $__ct1"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct3 $__ct1"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct3 $__ct1"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct3 $__ct2"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct3 $__ct2"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct3 $__ct2"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct3 $__ct3"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct3 $__ct3"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct3 $__ct3"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct3 $__ct4"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct3 $__ct4"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct3 $__ct4"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct3 $__ct5"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct3 $__ct5"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct3 $__ct5"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct3 $__ct6"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct3 $__ct6"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct3 $__ct6"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct3 $__ct7"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct3 $__ct7"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct3 $__ct7"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct3 $__ct8"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct3 $__ct8"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct3 $__ct8"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct3 $__ct9"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct3 $__ct9"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct3 $__ct9"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct3 $__ct10"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct3 $__ct10"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct3 $__ct10"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct3 $__ct11"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct3 $__ct11"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct3 $__ct11"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct3 $__ct12"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct3 $__ct12"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct3 $__ct12"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct3 $__ct13"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct3 $__ct13"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct3 $__ct13"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct3 $__ct14"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct3 $__ct14"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct3 $__ct14"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct3 $__ct15"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct3 $__ct15"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct3 $__ct15"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct3 $__ct16"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct3 $__ct16"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct3 $__ct16"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct3 $__ct17"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct3 $__ct17"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct3 $__ct17"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct3 $__ct18"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct3 $__ct18"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct3 $__ct18"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct3 $__ct19"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct3 $__ct19"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct3 $__ct19"
    endgroup }

    label   " 5" r+4 c2   w4  h4 i12
    buttstr "%s" r=  c+4  w18 h4 i13 : ctable_body_name_4
    string  "%s" r=  c+18 w18 h4 i11 : ctable_body_type_4

    group {
      scroll " " r= c+18 w4 h4 i13 U : "*contact_table_touch $__ct4 $__ct0"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct4 $__ct0"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct4 $__ct0"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct4 $__ct1"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct4 $__ct1"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct4 $__ct1"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct4 $__ct2"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct4 $__ct2"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct4 $__ct2"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct4 $__ct3"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct4 $__ct3"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct4 $__ct3"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct4 $__ct4"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct4 $__ct4"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct4 $__ct4"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct4 $__ct5"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct4 $__ct5"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct4 $__ct5"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct4 $__ct6"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct4 $__ct6"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct4 $__ct6"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct4 $__ct7"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct4 $__ct7"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct4 $__ct7"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct4 $__ct8"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct4 $__ct8"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct4 $__ct8"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct4 $__ct9"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct4 $__ct9"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct4 $__ct9"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct4 $__ct10"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct4 $__ct10"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct4 $__ct10"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct4 $__ct11"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct4 $__ct11"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct4 $__ct11"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct4 $__ct12"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct4 $__ct12"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct4 $__ct12"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct4 $__ct13"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct4 $__ct13"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct4 $__ct13"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct4 $__ct14"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct4 $__ct14"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct4 $__ct14"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct4 $__ct15"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct4 $__ct15"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct4 $__ct15"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct4 $__ct16"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct4 $__ct16"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct4 $__ct16"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct4 $__ct17"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct4 $__ct17"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct4 $__ct17"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct4 $__ct18"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct4 $__ct18"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct4 $__ct18"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct4 $__ct19"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct4 $__ct19"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct4 $__ct19"
    endgroup }

    label   " 6" r+4 c2   w4  h4 i12
    buttstr "%s" r=  c+4  w18 h4 i13 : ctable_body_name_5
    string  "%s" r=  c+18 w18 h4 i11 : ctable_body_type_5

    group {
      scroll " " r= c+18 w4 h4 i13 U : "*contact_table_touch $__ct5 $__ct0"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct5 $__ct0"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct5 $__ct0"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct5 $__ct1"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct5 $__ct1"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct5 $__ct1"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct5 $__ct2"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct5 $__ct2"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct5 $__ct2"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct5 $__ct3"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct5 $__ct3"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct5 $__ct3"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct5 $__ct4"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct5 $__ct4"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct5 $__ct4"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct5 $__ct5"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct5 $__ct5"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct5 $__ct5"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct5 $__ct6"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct5 $__ct6"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct5 $__ct6"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct5 $__ct7"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct5 $__ct7"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct5 $__ct7"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct5 $__ct8"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct5 $__ct8"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct5 $__ct8"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct5 $__ct9"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct5 $__ct9"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct5 $__ct9"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct5 $__ct10"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct5 $__ct10"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct5 $__ct10"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct5 $__ct11"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct5 $__ct11"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct5 $__ct11"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct5 $__ct12"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct5 $__ct12"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct5 $__ct12"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct5 $__ct13"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct5 $__ct13"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct5 $__ct13"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct5 $__ct14"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct5 $__ct14"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct5 $__ct14"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct5 $__ct15"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct5 $__ct15"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct5 $__ct15"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct5 $__ct16"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct5 $__ct16"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct5 $__ct16"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct5 $__ct17"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct5 $__ct17"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct5 $__ct17"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct5 $__ct18"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct5 $__ct18"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct5 $__ct18"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct5 $__ct19"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct5 $__ct19"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct5 $__ct19"
    endgroup }

    label   " 7" r+4 c2   w4  h4 i12
    buttstr "%s" r=  c+4  w18 h4 i13 : ctable_body_name_6
    string  "%s" r=  c+18 w18 h4 i11 : ctable_body_type_6

    group {
      scroll " " r= c+18 w4 h4 i13 U : "*contact_table_touch $__ct6 $__ct0"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct6 $__ct0"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct6 $__ct0"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct6 $__ct1"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct6 $__ct1"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct6 $__ct1"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct6 $__ct2"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct6 $__ct2"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct6 $__ct2"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct6 $__ct3"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct6 $__ct3"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct6 $__ct3"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct6 $__ct4"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct6 $__ct4"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct6 $__ct4"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct6 $__ct5"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct6 $__ct5"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct6 $__ct5"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct6 $__ct6"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct6 $__ct6"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct6 $__ct6"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct6 $__ct7"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct6 $__ct7"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct6 $__ct7"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct6 $__ct8"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct6 $__ct8"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct6 $__ct8"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct6 $__ct9"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct6 $__ct9"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct6 $__ct9"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct6 $__ct10"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct6 $__ct10"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct6 $__ct10"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct6 $__ct11"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct6 $__ct11"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct6 $__ct11"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct6 $__ct12"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct6 $__ct12"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct6 $__ct12"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct6 $__ct13"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct6 $__ct13"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct6 $__ct13"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct6 $__ct14"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct6 $__ct14"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct6 $__ct14"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct6 $__ct15"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct6 $__ct15"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct6 $__ct15"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct6 $__ct16"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct6 $__ct16"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct6 $__ct16"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct6 $__ct17"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct6 $__ct17"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct6 $__ct17"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct6 $__ct18"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct6 $__ct18"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct6 $__ct18"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct6 $__ct19"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct6 $__ct19"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct6 $__ct19"
    endgroup }

    label   " 8" r+4 c2   w4  h4 i12
    buttstr "%s" r=  c+4  w18 h4 i13 : ctable_body_name_7
    string  "%s" r=  c+18 w18 h4 i11 : ctable_body_type_7

    group {
      scroll " " r= c+18 w4 h4 i13 U : "*contact_table_touch $__ct7 $__ct0"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct7 $__ct0"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct7 $__ct0"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct7 $__ct1"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct7 $__ct1"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct7 $__ct1"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct7 $__ct2"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct7 $__ct2"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct7 $__ct2"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct7 $__ct3"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct7 $__ct3"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct7 $__ct3"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct7 $__ct4"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct7 $__ct4"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct7 $__ct4"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct7 $__ct5"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct7 $__ct5"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct7 $__ct5"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct7 $__ct6"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct7 $__ct6"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct7 $__ct6"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct7 $__ct7"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct7 $__ct7"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct7 $__ct7"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct7 $__ct8"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct7 $__ct8"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct7 $__ct8"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct7 $__ct9"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct7 $__ct9"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct7 $__ct9"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct7 $__ct10"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct7 $__ct10"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct7 $__ct10"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct7 $__ct11"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct7 $__ct11"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct7 $__ct11"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct7 $__ct12"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct7 $__ct12"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct7 $__ct12"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct7 $__ct13"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct7 $__ct13"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct7 $__ct13"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct7 $__ct14"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct7 $__ct14"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct7 $__ct14"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct7 $__ct15"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct7 $__ct15"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct7 $__ct15"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct7 $__ct16"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct7 $__ct16"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct7 $__ct16"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct7 $__ct17"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct7 $__ct17"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct7 $__ct17"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct7 $__ct18"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct7 $__ct18"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct7 $__ct18"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct7 $__ct19"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct7 $__ct19"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct7 $__ct19"
    endgroup }

    label   " 9" r+4 c2   w4  h4 i12
    buttstr "%s" r=  c+4  w18 h4 i13 : ctable_body_name_8
    string  "%s" r=  c+18 w18 h4 i11 : ctable_body_type_8

    group {
      scroll " " r= c+18 w4 h4 i13 U : "*contact_table_touch $__ct8 $__ct0"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct8 $__ct0"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct8 $__ct0"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct8 $__ct1"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct8 $__ct1"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct8 $__ct1"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct8 $__ct2"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct8 $__ct2"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct8 $__ct2"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct8 $__ct3"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct8 $__ct3"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct8 $__ct3"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct8 $__ct4"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct8 $__ct4"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct8 $__ct4"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct8 $__ct5"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct8 $__ct5"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct8 $__ct5"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct8 $__ct6"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct8 $__ct6"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct8 $__ct6"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct8 $__ct7"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct8 $__ct7"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct8 $__ct7"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct8 $__ct8"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct8 $__ct8"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct8 $__ct8"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct8 $__ct9"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct8 $__ct9"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct8 $__ct9"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct8 $__ct10"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct8 $__ct10"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct8 $__ct10"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct8 $__ct11"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct8 $__ct11"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct8 $__ct11"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct8 $__ct12"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct8 $__ct12"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct8 $__ct12"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct8 $__ct13"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct8 $__ct13"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct8 $__ct13"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct8 $__ct14"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct8 $__ct14"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct8 $__ct14"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct8 $__ct15"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct8 $__ct15"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct8 $__ct15"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct8 $__ct16"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct8 $__ct16"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct8 $__ct16"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct8 $__ct17"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct8 $__ct17"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct8 $__ct17"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct8 $__ct18"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct8 $__ct18"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct8 $__ct18"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct8 $__ct19"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct8 $__ct19"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct8 $__ct19"
    endgroup }

    label   "10" r+4 c2   w4  h4 i12
    buttstr "%s" r=  c+4  w18 h4 i13 : ctable_body_name_9
    string  "%s" r=  c+18 w18 h4 i11 : ctable_body_type_9

    group {
      scroll " " r= c+18 w4 h4 i13 U : "*contact_table_touch $__ct9 $__ct0"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct9 $__ct0"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct9 $__ct0"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct9 $__ct1"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct9 $__ct1"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct9 $__ct1"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct9 $__ct2"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct9 $__ct2"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct9 $__ct2"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct9 $__ct3"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct9 $__ct3"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct9 $__ct3"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct9 $__ct4"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct9 $__ct4"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct9 $__ct4"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct9 $__ct5"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct9 $__ct5"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct9 $__ct5"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct9 $__ct6"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct9 $__ct6"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct9 $__ct6"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct9 $__ct7"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct9 $__ct7"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct9 $__ct7"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct9 $__ct8"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct9 $__ct8"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct9 $__ct8"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct9 $__ct9"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct9 $__ct9"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct9 $__ct9"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct9 $__ct10"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct9 $__ct10"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct9 $__ct10"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct9 $__ct11"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct9 $__ct11"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct9 $__ct11"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct9 $__ct12"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct9 $__ct12"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct9 $__ct12"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct9 $__ct13"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct9 $__ct13"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct9 $__ct13"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct9 $__ct14"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct9 $__ct14"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct9 $__ct14"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct9 $__ct15"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct9 $__ct15"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct9 $__ct15"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct9 $__ct16"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct9 $__ct16"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct9 $__ct16"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct9 $__ct17"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct9 $__ct17"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct9 $__ct17"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct9 $__ct18"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct9 $__ct18"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct9 $__ct18"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct9 $__ct19"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct9 $__ct19"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct9 $__ct19"
    endgroup }

    label   "11" r+4 c2   w4  h4 i12
    buttstr "%s" r=  c+4  w18 h4 i13 : ctable_body_name_10
    string  "%s" r=  c+18 w18 h4 i11 : ctable_body_type_10

    group {
      scroll " " r= c+18 w4 h4 i13 U : "*contact_table_touch $__ct10 $__ct0"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct10 $__ct0"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct10 $__ct0"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct10 $__ct1"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct10 $__ct1"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct10 $__ct1"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct10 $__ct2"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct10 $__ct2"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct10 $__ct2"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct10 $__ct3"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct10 $__ct3"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct10 $__ct3"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct10 $__ct4"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct10 $__ct4"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct10 $__ct4"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct10 $__ct5"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct10 $__ct5"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct10 $__ct5"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct10 $__ct6"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct10 $__ct6"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct10 $__ct6"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct10 $__ct7"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct10 $__ct7"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct10 $__ct7"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct10 $__ct8"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct10 $__ct8"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct10 $__ct8"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct10 $__ct9"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct10 $__ct9"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct10 $__ct9"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct10 $__ct10"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct10 $__ct10"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct10 $__ct10"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct10 $__ct11"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct10 $__ct11"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct10 $__ct11"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct10 $__ct12"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct10 $__ct12"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct10 $__ct12"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct10 $__ct13"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct10 $__ct13"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct10 $__ct13"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct10 $__ct14"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct10 $__ct14"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct10 $__ct14"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct10 $__ct15"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct10 $__ct15"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct10 $__ct15"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct10 $__ct16"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct10 $__ct16"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct10 $__ct16"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct10 $__ct17"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct10 $__ct17"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct10 $__ct17"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct10 $__ct18"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct10 $__ct18"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct10 $__ct18"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct10 $__ct19"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct10 $__ct19"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct10 $__ct19"
    endgroup }

    label   "12" r+4 c2   w4  h4 i12
    buttstr "%s" r=  c+4  w18 h4 i13 : ctable_body_name_11
    string  "%s" r=  c+18 w18 h4 i11 : ctable_body_type_11

    group {
      scroll " " r= c+18 w4 h4 i13 U : "*contact_table_touch $__ct11 $__ct0"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct11 $__ct0"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct11 $__ct0"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct11 $__ct1"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct11 $__ct1"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct11 $__ct1"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct11 $__ct2"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct11 $__ct2"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct11 $__ct2"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct11 $__ct3"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct11 $__ct3"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct11 $__ct3"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct11 $__ct4"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct11 $__ct4"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct11 $__ct4"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct11 $__ct5"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct11 $__ct5"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct11 $__ct5"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct11 $__ct6"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct11 $__ct6"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct11 $__ct6"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct11 $__ct7"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct11 $__ct7"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct11 $__ct7"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct11 $__ct8"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct11 $__ct8"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct11 $__ct8"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct11 $__ct9"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct11 $__ct9"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct11 $__ct9"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct11 $__ct10"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct11 $__ct10"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct11 $__ct10"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct11 $__ct11"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct11 $__ct11"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct11 $__ct11"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct11 $__ct12"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct11 $__ct12"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct11 $__ct12"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct11 $__ct13"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct11 $__ct13"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct11 $__ct13"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct11 $__ct14"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct11 $__ct14"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct11 $__ct14"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct11 $__ct15"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct11 $__ct15"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct11 $__ct15"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct11 $__ct16"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct11 $__ct16"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct11 $__ct16"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct11 $__ct17"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct11 $__ct17"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct11 $__ct17"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct11 $__ct18"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct11 $__ct18"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct11 $__ct18"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct11 $__ct19"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct11 $__ct19"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct11 $__ct19"
    endgroup }

    label   "13" r+4 c2   w4  h4 i12
    buttstr "%s" r=  c+4  w18 h4 i13 : ctable_body_name_12
    string  "%s" r=  c+18 w18 h4 i11 : ctable_body_type_12

    group {
      scroll " " r= c+18 w4 h4 i13 U : "*contact_table_touch $__ct12 $__ct0"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct12 $__ct0"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct12 $__ct0"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct12 $__ct1"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct12 $__ct1"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct12 $__ct1"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct12 $__ct2"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct12 $__ct2"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct12 $__ct2"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct12 $__ct3"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct12 $__ct3"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct12 $__ct3"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct12 $__ct4"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct12 $__ct4"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct12 $__ct4"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct12 $__ct5"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct12 $__ct5"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct12 $__ct5"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct12 $__ct6"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct12 $__ct6"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct12 $__ct6"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct12 $__ct7"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct12 $__ct7"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct12 $__ct7"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct12 $__ct8"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct12 $__ct8"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct12 $__ct8"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct12 $__ct9"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct12 $__ct9"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct12 $__ct9"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct12 $__ct10"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct12 $__ct10"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct12 $__ct10"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct12 $__ct11"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct12 $__ct11"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct12 $__ct11"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct12 $__ct12"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct12 $__ct12"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct12 $__ct12"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct12 $__ct13"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct12 $__ct13"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct12 $__ct13"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct12 $__ct14"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct12 $__ct14"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct12 $__ct14"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct12 $__ct15"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct12 $__ct15"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct12 $__ct15"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct12 $__ct16"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct12 $__ct16"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct12 $__ct16"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct12 $__ct17"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct12 $__ct17"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct12 $__ct17"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct12 $__ct18"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct12 $__ct18"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct12 $__ct18"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct12 $__ct19"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct12 $__ct19"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct12 $__ct19"
    endgroup }

    label   "14" r+4 c2   w4  h4 i12
    buttstr "%s" r=  c+4  w18 h4 i13 : ctable_body_name_13
    string  "%s" r=  c+18 w18 h4 i11 : ctable_body_type_13

    group {
      scroll " " r= c+18 w4 h4 i13 U : "*contact_table_touch $__ct13 $__ct0"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct13 $__ct0"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct13 $__ct0"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct13 $__ct1"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct13 $__ct1"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct13 $__ct1"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct13 $__ct2"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct13 $__ct2"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct13 $__ct2"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct13 $__ct3"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct13 $__ct3"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct13 $__ct3"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct13 $__ct4"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct13 $__ct4"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct13 $__ct4"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct13 $__ct5"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct13 $__ct5"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct13 $__ct5"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct13 $__ct6"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct13 $__ct6"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct13 $__ct6"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct13 $__ct7"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct13 $__ct7"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct13 $__ct7"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct13 $__ct8"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct13 $__ct8"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct13 $__ct8"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct13 $__ct9"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct13 $__ct9"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct13 $__ct9"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct13 $__ct10"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct13 $__ct10"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct13 $__ct10"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct13 $__ct11"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct13 $__ct11"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct13 $__ct11"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct13 $__ct12"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct13 $__ct12"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct13 $__ct12"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct13 $__ct13"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct13 $__ct13"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct13 $__ct13"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct13 $__ct14"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct13 $__ct14"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct13 $__ct14"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct13 $__ct15"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct13 $__ct15"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct13 $__ct15"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct13 $__ct16"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct13 $__ct16"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct13 $__ct16"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct13 $__ct17"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct13 $__ct17"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct13 $__ct17"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct13 $__ct18"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct13 $__ct18"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct13 $__ct18"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct13 $__ct19"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct13 $__ct19"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct13 $__ct19"
    endgroup }

    label   "15" r+4 c2   w4  h4 i12
    buttstr "%s" r=  c+4  w18 h4 i13 : ctable_body_name_14
    string  "%s" r=  c+18 w18 h4 i11 : ctable_body_type_14

    group {
      scroll " " r= c+18 w4 h4 i13 U : "*contact_table_touch $__ct14 $__ct0"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct14 $__ct0"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct14 $__ct0"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct14 $__ct1"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct14 $__ct1"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct14 $__ct1"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct14 $__ct2"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct14 $__ct2"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct14 $__ct2"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct14 $__ct3"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct14 $__ct3"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct14 $__ct3"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct14 $__ct4"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct14 $__ct4"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct14 $__ct4"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct14 $__ct5"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct14 $__ct5"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct14 $__ct5"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct14 $__ct6"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct14 $__ct6"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct14 $__ct6"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct14 $__ct7"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct14 $__ct7"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct14 $__ct7"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct14 $__ct8"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct14 $__ct8"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct14 $__ct8"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct14 $__ct9"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct14 $__ct9"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct14 $__ct9"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct14 $__ct10"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct14 $__ct10"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct14 $__ct10"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct14 $__ct11"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct14 $__ct11"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct14 $__ct11"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct14 $__ct12"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct14 $__ct12"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct14 $__ct12"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct14 $__ct13"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct14 $__ct13"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct14 $__ct13"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct14 $__ct14"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct14 $__ct14"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct14 $__ct14"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct14 $__ct15"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct14 $__ct15"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct14 $__ct15"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct14 $__ct16"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct14 $__ct16"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct14 $__ct16"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct14 $__ct17"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct14 $__ct17"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct14 $__ct17"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct14 $__ct18"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct14 $__ct18"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct14 $__ct18"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct14 $__ct19"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct14 $__ct19"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct14 $__ct19"
    endgroup }

    label   "16" r+4 c2   w4  h4 i12
    buttstr "%s" r=  c+4  w18 h4 i13 : ctable_body_name_15
    string  "%s" r=  c+18 w18 h4 i11 : ctable_body_type_15

    group {
      scroll " " r= c+18 w4 h4 i13 U : "*contact_table_touch $__ct15 $__ct0"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct15 $__ct0"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct15 $__ct0"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct15 $__ct1"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct15 $__ct1"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct15 $__ct1"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct15 $__ct2"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct15 $__ct2"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct15 $__ct2"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct15 $__ct3"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct15 $__ct3"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct15 $__ct3"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct15 $__ct4"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct15 $__ct4"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct15 $__ct4"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct15 $__ct5"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct15 $__ct5"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct15 $__ct5"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct15 $__ct6"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct15 $__ct6"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct15 $__ct6"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct15 $__ct7"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct15 $__ct7"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct15 $__ct7"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct15 $__ct8"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct15 $__ct8"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct15 $__ct8"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct15 $__ct9"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct15 $__ct9"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct15 $__ct9"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct15 $__ct10"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct15 $__ct10"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct15 $__ct10"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct15 $__ct11"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct15 $__ct11"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct15 $__ct11"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct15 $__ct12"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct15 $__ct12"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct15 $__ct12"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct15 $__ct13"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct15 $__ct13"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct15 $__ct13"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct15 $__ct14"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct15 $__ct14"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct15 $__ct14"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct15 $__ct15"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct15 $__ct15"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct15 $__ct15"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct15 $__ct16"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct15 $__ct16"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct15 $__ct16"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct15 $__ct17"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct15 $__ct17"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct15 $__ct17"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct15 $__ct18"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct15 $__ct18"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct15 $__ct18"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct15 $__ct19"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct15 $__ct19"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct15 $__ct19"
    endgroup }

    label   "17" r+4 c2   w4  h4 i12
    buttstr "%s" r=  c+4  w18 h4 i13 : ctable_body_name_16
    string  "%s" r=  c+18 w18 h4 i11 : ctable_body_type_16

    group {
      scroll " " r= c+18 w4 h4 i13 U : "*contact_table_touch $__ct16 $__ct0"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct16 $__ct0"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct16 $__ct0"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct16 $__ct1"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct16 $__ct1"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct16 $__ct1"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct16 $__ct2"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct16 $__ct2"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct16 $__ct2"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct16 $__ct3"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct16 $__ct3"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct16 $__ct3"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct16 $__ct4"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct16 $__ct4"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct16 $__ct4"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct16 $__ct5"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct16 $__ct5"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct16 $__ct5"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct16 $__ct6"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct16 $__ct6"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct16 $__ct6"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct16 $__ct7"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct16 $__ct7"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct16 $__ct7"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct16 $__ct8"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct16 $__ct8"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct16 $__ct8"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct16 $__ct9"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct16 $__ct9"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct16 $__ct9"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct16 $__ct10"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct16 $__ct10"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct16 $__ct10"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct16 $__ct11"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct16 $__ct11"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct16 $__ct11"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct16 $__ct12"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct16 $__ct12"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct16 $__ct12"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct16 $__ct13"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct16 $__ct13"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct16 $__ct13"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct16 $__ct14"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct16 $__ct14"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct16 $__ct14"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct16 $__ct15"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct16 $__ct15"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct16 $__ct15"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct16 $__ct16"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct16 $__ct16"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct16 $__ct16"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct16 $__ct17"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct16 $__ct17"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct16 $__ct17"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct16 $__ct18"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct16 $__ct18"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct16 $__ct18"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct16 $__ct19"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct16 $__ct19"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct16 $__ct19"
    endgroup }

    label   "18" r+4 c2   w4  h4 i12
    buttstr "%s" r=  c+4  w18 h4 i13 : ctable_body_name_17
    string  "%s" r=  c+18 w18 h4 i11 : ctable_body_type_17

    group {
      scroll " " r= c+18 w4 h4 i13 U : "*contact_table_touch $__ct17 $__ct0"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct17 $__ct0"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct17 $__ct0"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct17 $__ct1"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct17 $__ct1"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct17 $__ct1"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct17 $__ct2"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct17 $__ct2"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct17 $__ct2"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct17 $__ct3"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct17 $__ct3"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct17 $__ct3"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct17 $__ct4"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct17 $__ct4"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct17 $__ct4"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct17 $__ct5"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct17 $__ct5"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct17 $__ct5"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct17 $__ct6"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct17 $__ct6"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct17 $__ct6"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct17 $__ct7"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct17 $__ct7"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct17 $__ct7"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct17 $__ct8"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct17 $__ct8"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct17 $__ct8"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct17 $__ct9"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct17 $__ct9"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct17 $__ct9"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct17 $__ct10"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct17 $__ct10"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct17 $__ct10"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct17 $__ct11"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct17 $__ct11"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct17 $__ct11"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct17 $__ct12"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct17 $__ct12"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct17 $__ct12"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct17 $__ct13"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct17 $__ct13"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct17 $__ct13"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct17 $__ct14"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct17 $__ct14"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct17 $__ct14"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct17 $__ct15"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct17 $__ct15"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct17 $__ct15"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct17 $__ct16"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct17 $__ct16"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct17 $__ct16"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct17 $__ct17"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct17 $__ct17"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct17 $__ct17"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct17 $__ct18"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct17 $__ct18"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct17 $__ct18"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct17 $__ct19"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct17 $__ct19"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct17 $__ct19"
    endgroup }

    label   "19" r+4 c2   w4  h4 i12
    buttstr "%s" r=  c+4  w18 h4 i13 : ctable_body_name_18
    string  "%s" r=  c+18 w18 h4 i11 : ctable_body_type_18

    group {
      scroll " " r= c+18 w4 h4 i13 U : "*contact_table_touch $__ct18 $__ct0"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct18 $__ct0"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct18 $__ct0"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct18 $__ct1"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct18 $__ct1"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct18 $__ct1"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct18 $__ct2"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct18 $__ct2"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct18 $__ct2"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct18 $__ct3"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct18 $__ct3"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct18 $__ct3"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct18 $__ct4"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct18 $__ct4"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct18 $__ct4"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct18 $__ct5"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct18 $__ct5"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct18 $__ct5"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct18 $__ct6"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct18 $__ct6"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct18 $__ct6"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct18 $__ct7"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct18 $__ct7"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct18 $__ct7"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct18 $__ct8"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct18 $__ct8"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct18 $__ct8"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct18 $__ct9"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct18 $__ct9"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct18 $__ct9"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct18 $__ct10"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct18 $__ct10"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct18 $__ct10"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct18 $__ct11"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct18 $__ct11"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct18 $__ct11"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct18 $__ct12"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct18 $__ct12"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct18 $__ct12"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct18 $__ct13"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct18 $__ct13"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct18 $__ct13"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct18 $__ct14"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct18 $__ct14"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct18 $__ct14"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct18 $__ct15"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct18 $__ct15"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct18 $__ct15"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct18 $__ct16"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct18 $__ct16"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct18 $__ct16"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct18 $__ct17"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct18 $__ct17"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct18 $__ct17"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct18 $__ct18"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct18 $__ct18"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct18 $__ct18"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct18 $__ct19"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct18 $__ct19"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct18 $__ct19"
    endgroup }

    label   "20" r+4 c2   w4  h4 i12
    buttstr "%s" r=  c+4  w18 h4 i13 : ctable_body_name_19
    string  "%s" r=  c+18 w18 h4 i11 : ctable_body_type_19

    group {
      scroll " " r= c+18 w4 h4 i13 U : "*contact_table_touch $__ct19 $__ct0"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct19 $__ct0"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct19 $__ct0"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct19 $__ct1"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct19 $__ct1"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct19 $__ct1"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct19 $__ct2"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct19 $__ct2"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct19 $__ct2"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct19 $__ct3"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct19 $__ct3"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct19 $__ct3"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct19 $__ct4"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct19 $__ct4"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct19 $__ct4"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct19 $__ct5"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct19 $__ct5"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct19 $__ct5"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct19 $__ct6"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct19 $__ct6"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct19 $__ct6"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct19 $__ct7"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct19 $__ct7"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct19 $__ct7"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct19 $__ct8"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct19 $__ct8"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct19 $__ct8"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct19 $__ct9"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct19 $__ct9"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct19 $__ct9"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct19 $__ct10"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct19 $__ct10"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct19 $__ct10"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct19 $__ct11"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct19 $__ct11"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct19 $__ct11"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct19 $__ct12"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct19 $__ct12"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct19 $__ct12"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct19 $__ct13"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct19 $__ct13"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct19 $__ct13"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct19 $__ct14"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct19 $__ct14"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct19 $__ct14"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct19 $__ct15"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct19 $__ct15"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct19 $__ct15"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct19 $__ct16"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct19 $__ct16"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct19 $__ct16"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct19 $__ct17"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct19 $__ct17"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct19 $__ct17"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct19 $__ct18"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct19 $__ct18"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct19 $__ct18"
    endgroup }
    group {
      scroll " " r= c+4  w4 h4 i13 U : "*contact_table_touch $__ct19 $__ct19"
      scroll "T" r= c=   w= h= i13 U : "*contact_table_glue $__ct19 $__ct19"
      scroll "G" r= c=   w= h= i13 U : "*contact_table_deactivate $__ct19 $__ct19"
    endgroup }

    button "OK" r110 c56 w12 h10 i13 : *remove_popup

  endpopup }

#include standard.m
#include transform.m

endscreen }

screen ~ contact_areas "CONTACT AREAS" r1 c1 w32 h4 i12  H120 W128 {

  button "PREV" r6  c1   w8  h4 i13 U : *previous_contact_area
  string "%s"   r=  c+8  w16 h4 i11   :  carea_name
  button "NEXT" r=  c+16 w8  h4 i13 U : *next_contact_area
  button "NEW"  r+4 c1   w8  h4 i13 U : *new_contact_area
  button "NAME" r=  c+8  w8  h4 i13 U : *contact_area_name
  button "REM"  r=  c+8  w8  h4 i13 U : *remove_current_contact_area
  popup  "EDIT" r=  c+8  w8  h4 i10 U : *edit_contact_area \
                dr12 dc36 dw50 dh76 {

    label  "CURRENTLY DEFINED CONTACT AREAS" r1 c1 w50 h76 i12

    buttstr "%s" r+4 c+4  w24 h4 i13 : carea_list_name_0
    buttstr "%s" r+4 c=   w24 h4 i13 : carea_list_name_1
    buttstr "%s" r+4 c=   w24 h4 i13 : carea_list_name_2
    buttstr "%s" r+4 c=   w24 h4 i13 : carea_list_name_3
    buttstr "%s" r+4 c=   w24 h4 i13 : carea_list_name_4
    buttstr "%s" r+4 c=   w24 h4 i13 : carea_list_name_5
    buttstr "%s" r+4 c=   w24 h4 i13 : carea_list_name_6
    buttstr "%s" r+4 c=   w24 h4 i13 : carea_list_name_7
    buttstr "%s" r+4 c=   w24 h4 i13 : carea_list_name_8
    buttstr "%s" r+4 c=   w24 h4 i13 : carea_list_name_9
    buttstr "%s" r+4 c=   w24 h4 i13 : carea_list_name_10
    buttstr "%s" r+4 c=   w24 h4 i13 : carea_list_name_11
    buttstr "%s" r+4 c=   w24 h4 i13 : carea_list_name_12
    buttstr "%s" r+4 c=   w24 h4 i13 : carea_list_name_13
    buttstr "%s" r+4 c=   w24 h4 i13 : carea_list_name_14

    button "TOP"  r5  c33 w8  h4 i13 U : "*pick_list_top(carea)"  ? top.hlp
    button "UP"   r+4 c=  w8  h4 i13 U : "*pick_list_prev(carea,7)" ? up.hlp
    button "DOWN" r61 c=  w8  h4 i13 U : "*pick_list_next(carea,7)" ? down.hlp
    button "OK"   r+6 c=  w16 h8 i13 : *remove_popup

  endpopup }

  popup  "CONTACT BODY" r+5  c1  w16  h4 i10 U : *contact_area_body \
               dr12 dc36 dw70 dh76 {

    label  "CURRENTLY DEFINED CONTACT BODIES" r1 c1 w70 h76 i12

    buttstr "%s" r+4 c+4  w24 h4 i13 : cbody_list_name_0
    string  "%s" r=  c+24 w20 h4 i11 : cbody_list_type_0
    buttstr "%s" r+4 c-24 w24 h4 i13 : cbody_list_name_1
    string  "%s" r=  c+24 w20 h4 i11 : cbody_list_type_1
    buttstr "%s" r+4 c-24 w24 h4 i13 : cbody_list_name_2
    string  "%s" r=  c+24 w20 h4 i11 : cbody_list_type_2
    buttstr "%s" r+4 c-24 w24 h4 i13 : cbody_list_name_3
    string  "%s" r=  c+24 w20 h4 i11 : cbody_list_type_3
    buttstr "%s" r+4 c-24 w24 h4 i13 : cbody_list_name_4
    string  "%s" r=  c+24 w20 h4 i11 : cbody_list_type_4
    buttstr "%s" r+4 c-24 w24 h4 i13 : cbody_list_name_5
    string  "%s" r=  c+24 w20 h4 i11 : cbody_list_type_5
    buttstr "%s" r+4 c-24 w24 h4 i13 : cbody_list_name_6
    string  "%s" r=  c+24 w20 h4 i11 : cbody_list_type_6
    buttstr "%s" r+4 c-24 w24 h4 i13 : cbody_list_name_7
    string  "%s" r=  c+24 w20 h4 i11 : cbody_list_type_7
    buttstr "%s" r+4 c-24 w24 h4 i13 : cbody_list_name_8
    string  "%s" r=  c+24 w20 h4 i11 : cbody_list_type_8
    buttstr "%s" r+4 c-24 w24 h4 i13 : cbody_list_name_9
    string  "%s" r=  c+24 w20 h4 i11 : cbody_list_type_9
    buttstr "%s" r+4 c-24 w24 h4 i13 : cbody_list_name_10
    string  "%s" r=  c+24 w20 h4 i11 : cbody_list_type_10
    buttstr "%s" r+4 c-24 w24 h4 i13 : cbody_list_name_11
    string  "%s" r=  c+24 w20 h4 i11 : cbody_list_type_11
    buttstr "%s" r+4 c-24 w24 h4 i13 : cbody_list_name_12
    string  "%s" r=  c+24 w20 h4 i11 : cbody_list_type_12
    buttstr "%s" r+4 c-24 w24 h4 i13 : cbody_list_name_13
    string  "%s" r=  c+24 w20 h4 i11 : cbody_list_type_13
    buttstr "%s" r+4 c-24 w24 h4 i13 : cbody_list_name_14
    string  "%s" r=  c+24 w20 h4 i11 : cbody_list_type_14

    button "TOP"  r5  c53 w8  h4 i13 U : "*pick_list_top(cbody)"  ? top.hlp
    button "UP"   r+4 c=  w8  h4 i13 U : "*pick_list_prev(cbody,7)" ? up.hlp
    button "DOWN" r61 c=  w8  h4 i13 U : "*pick_list_next(cbody,7)" ? down.hlp
    button "OK"   r+6 c=  w16 h8 i13 : *remove_popup

  endpopup }

  string "%s" r= c+16 w16 h4 i11 : carea_body_name

  button "RESET" r+6 c1 w16 h4 i13 : *contact_area_reset

  label   "NODES" r+5 c1   w12 h4 i12
  button  "ADD"   r=  c+12 w6  h4 i13 : *contact_area_add_nodes
  button  "REM"   r=  c+6  w6  h4 i13 : *contact_area_remove_nodes
  integer "%d"    r=  c+6  w8  h4 i11 :  carea_node_count

#include select_std.m
#include standard.m
#include transform.m

endscreen }
