screen ~ device "DEVICE SETUP" r1 c1 w32 h4 i12 H120 W128 {

  label "FONTS" r6 c1 w32 h9 i12

  popup "SET FONT" r+4 c+1 w15 h4 i10 dr12 dc36 dw84 dh76 : *set_font {

    label "AVAILABLE FONTS" r1 c1 w84 h76 i12

    buttstr "%s" r+4 c5 w60 h4 i13 : font_list_name_0
    buttstr "%s" r+4 c= w60 h4 i13 : font_list_name_1
    buttstr "%s" r+4 c= w60 h4 i13 : font_list_name_2
    buttstr "%s" r+4 c= w60 h4 i13 : font_list_name_3
    buttstr "%s" r+4 c= w60 h4 i13 : font_list_name_4
    buttstr "%s" r+4 c= w60 h4 i13 : font_list_name_5
    buttstr "%s" r+4 c= w60 h4 i13 : font_list_name_6
    buttstr "%s" r+4 c= w60 h4 i13 : font_list_name_7
    buttstr "%s" r+4 c= w60 h4 i13 : font_list_name_8
    buttstr "%s" r+4 c= w60 h4 i13 : font_list_name_9
    buttstr "%s" r+4 c= w60 h4 i13 : font_list_name_10
    buttstr "%s" r+4 c= w60 h4 i13 : font_list_name_11
    buttstr "%s" r+4 c= w60 h4 i13 : font_list_name_12
    buttstr "%s" r+4 c= w60 h4 i13 : font_list_name_13
    buttstr "%s" r+4 c= w60 h4 i13 : font_list_name_14

    button "TOP"   r-56 c+62 w8  h4 i13 U : "*pick_list_top(font)"     ? top.hlp
    button "UP"    r+4  c=   w8  h4 i13 U : "*pick_list_prev(font,14)" ? up.hlp
    button "DOWN"  r+52 c=   w8  h4 i13 U : "*pick_list_next(font,14)" ? down.hlp
    button "RESET" r+6  c-18 w16 h8 i13 U : "*reset_font"
    button "OK"    r=   c+18 w16 h8 i13   :  *remove_popup

  endpopup }

  button "RESET" r= c+15 w15 h4 i13 : *reset_font

  label "DRAW METHOD" r+6 c1 w32 h9 i12
  group {
    oneonly "BUFFERED" r+4 c+1  w15 h4 i13 : "*set_buffered on"
    oneonly "DIRECT"   r=  c+15 w15 h4 i13 : "*set_buffered off"
  endgroup }

  label "DRAW ORDER" r+6 c1 w32 h9 i12
  group {
    oneonly "Z-BUFFERED" r+4 c+1  w15 h4 i13 : "*set_zbuffered on"
    oneonly "DIRECT"     r=  c+15 w15 h4 i13 : "*set_zbuffered off"
  endgroup }

  label   "PICKING"           r+6 c1   w32 h14 i12
  button  "APERTURE"          r+4 c2   w15 h4  i13 : *pick_aperture
  integer "%-d pixels"        r=  c+15 w15 h4  i11 :  pick_aperture

  group {
    oneonly "COMPLETE" r+5 c2   w15 h4 i13 : *pick_inside_complete
    oneonly "PARTIAL"  r=  c+15 w15 h4 i13 : *pick_inside_partial
  endgroup }

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ visualization "VISUALIZATION" r1 c1 w32 h4 i12 H120 W128 {

  newscreen "PLOT"     r6  c1 w32 h6 i10 : plot
  popup     "COLORS"   r+6 c= w32 h6 i10 dr3 dc3 dw126 dh120 {

    label "COLORS" r1 c1 w126 h4 i12

    label "MODE" r6 c2 w34 h13 i12
    group {
      oneonly "COLOR"         r+4 c+1  w16 h4 i13 : *color_mode
      oneonly "GRAY"          r=  c+16 w16 h4 i13 : *gray_mode
      oneonly "BLACK & WHITE" r+4 c-16 w16 h4 i13 : *mono_mode
    endgroup }

    button  "COLOR INDEX" r+6 c-1  w17 h4 i13 : *color_index
    integer "%-d"         r=  c+17 w17 h4 i11 :  color_index

    popup "LIGHTING MATERIAL PROPERTIES" r+4 c-17 w34 h4 i10 \
                                         dr9 dc14 dw114 dh114 {

      label "LIGHTING MATERIAL PROPERTIES" r1 c1 w114 h4 i12

      button  "COLOR INDEX" r+5 c2   w18 h4 i13 : *color_index
      integer "%-d"         r=  c+18 w18 h4 i11 :  color_index

      label "PRESET COLOR MATERIALS" r12 c2 w36 h4 i12

      button "CHROME"        r+4 c=   w18 h4 i13 U : "*color_chrome $__ci"
      button "STEEL"         r=  c+18 w18 h4 i13 U : "*color_steel $__ci"
      button "SILVER"        r+4 c-18 w18 h4 i13 U : "*color_silver $__ci"
      button "GOLD"          r=  c+18 w18 h4 i13 U : "*color_gold $__ci"
      button "BRASS"         r+4 c-18 w18 h4 i13 U : "*color_brass $__ci"
      button "BRONZE"        r=  c+18 w18 h4 i13 U : "*color_bronze $__ci"
      button "COPPER"        r+4 c-18 w18 h4 i13 U : "*color_copper $__ci"
      button "MIRROR"        r=  c+18 w18 h4 i13 U : "*color_mirror $__ci"
      button "RUBBER"        r+4 c-18 w18 h4 i13 U : "*color_rubber $__ci"
      button "GLASS"         r=  c+18 w18 h4 i13 U : "*color_glass $__ci"
      button "FROSTED GLASS" r+4 c-18 w18 h4 i13 U : "*color_frosted_glass $__ci"
      button "GHOST"         r=  c+18 w18 h4 i13 U : "*color_ghost $__ci"
      button "DIAMOND"       r+4 c-18 w18 h4 i13 U : "*color_diamond $__ci"
      button "WATER"         r=  c+18 w18 h4 i13 U : "*color_water $__ci"

      label "MODIFY COLOR MATERIALS" r+8 c2 w36 h4 i12

      button "PLASTICIZE"       r+4 c=   w18 h4 i13 U : "*color_plasticize $__ci"
      button "PLASTERIZE"       r=  c+18 w18 h4 i13 U : "*color_plasterize $__ci"
      button "METALIZE"         r+4 c-18 w18 h4 i13 U : "*color_metalize $__ci"
      button "SHINY METALIZE"   r=  c+18 w18 h4 i13 U : "*color_shiny_metalize $__ci"
      button "MIRRORIZE"        r+4 c-18 w18 h4 i13 U : "*color_mirrorize $__ci"
      button "RUBBERIZE"        r=  c+18 w18 h4 i13 U : "*color_rubberize $__ci"
      button "GLASSIZE"         r+4 c-18 w18 h4 i13 U : "*color_glassize $__ci"
      button "FROSTED GLASSIZE" r=  c+18 w18 h4 i13 U : "*color_frosted_glassize $__ci"
      button "GHOSTIZE"         r+4 c-18 w18 h4 i13 U : "*color_ghostize $__ci"
      button "DIAMONDIZE"       r=  c+18 w18 h4 i13 U : "*color_diamondize $__ci"
      button "WATERIZE"         r+4 c-18 w18 h4 i13 U : "*color_waterize $__ci"

      button "COLOR"          r12 c40  w18 h12 i13 : "*color $__ci"
      float  "%-14.3f"        r=  c+18 w18 h4  i11 :   color_rgb_r
      float  "%-14.3f"        r+4 c=   w18 h4  i11 :   color_rgb_g
      float  "%-14.3f"        r+4 c=   w18 h4  i11 :   color_rgb_b

      button "EMISSION" r-8 c+20 w18 h12 i13 : "*color_emission $__ci"
      float  "%-14.3f"  r=  c+18 w18 h4  i11 :   color_emission_r
      float  "%-14.3f"  r+4 c=   w18 h4  i11 :   color_emission_g
      float  "%-14.3f"  r+4 c=   w18 h4  i11 :   color_emission_b

      button "DIFFUSE" r+6 c40  w18 h12 i13 : "*color_diffuse $__ci"
      float  "%-14.3f" r=  c+18 w18 h4  i11 :   color_diffuse_r
      float  "%-14.3f" r+4 c=   w18 h4  i11 :   color_diffuse_g
      float  "%-14.3f" r+4 c=   w18 h4  i11 :   color_diffuse_b

      button "AMBIENT" r-8 c+20 w18 h12 i13 : "*color_ambient $__ci"
      float  "%-14.3f" r=  c+18 w18 h4  i11 :   color_ambient_r
      float  "%-14.3f" r+4 c=   w18 h4  i11 :   color_ambient_g
      float  "%-14.3f" r+4 c=   w18 h4  i11 :   color_ambient_b

      button "SPECULAR" r+6 c40  w18 h12 i13 : "*color_specular $__ci"
      float  "%-14.3f"  r=  c+18 w18 h4  i11 :   color_specular_r
      float  "%-14.3f"  r+4 c=   w18 h4  i11 :   color_specular_g
      float  "%-14.3f"  r+4 c=   w18 h4  i11 :   color_specular_b

      button "REFLECTIVE" r-8 c+20  w18 h12 i13 : "*color_reflective $__ci"
      float  "%-14.3f"    r=  c+18 w18 h4  i11 :   color_reflective_r
      float  "%-14.3f"    r+4 c=   w18 h4  i11 :   color_reflective_g
      float  "%-14.3f"    r+4 c=   w18 h4  i11 :   color_reflective_b

      button "SHININESS" r+6 c40  w18 h4 i13 : "*color_shininess $__ci"
      float  "%-14.3f"   r=  c+18 w18 h4 i11 :   color_shininess

      button "REFRACTIVE" r+6 c40  w18 h12 i13 : "*color_refractive $__ci"
      float  "%-14.3f"    r=  c+18 w18 h4  i11 :   color_refractive_r
      float  "%-14.3f"    r+4 c=   w18 h4  i11 :   color_refractive_g
      float  "%-14.3f"    r+4 c=   w18 h4  i11 :   color_refractive_b

      button "ATTENUATION" r-8 c+20 w18 h12 i13 : "*color_attenuation $__ci"
      float  "%-14.3f"     r=  c+18 w18 h4  i11 :   color_attenuation_r
      float  "%-14.3f"     r+4 c=   w18 h4  i11 :   color_attenuation_g
      float  "%-14.3f"     r+4 c=   w18 h4  i11 :   color_attenuation_b

      label  "INDEX OF REFRACTION" r+6 c40  w36 h4 i12
      button "INDEX"               r+4 c=   w18 h4 i13 : "*color_index_ref $__ci"
      float  "%-14.3f"             r=  c+18 w18 h4 i11 :   color_index_ref
      button "SPREAD"              r+4 c-18 w18 h4 i13 \
	   : "*color_index_ref_spread $__ci"
      float  "%-14.3f"             r=  c+18 w18 h4 i11 \
	   :   color_index_ref_spread

      button "ATTEN. LENGTH" r-8 c+20 w18 h4 i13 : "*color_atten_len $__ci"
      float  "%-14.3f"       r=  c+18 w18 h4 i11 :   color_atten_len

      label   "ROUGHNESS" r+14 c40  w36 h4 i12
      button  "SCALE"     r+4  c=   w18 h4 i13 : "*color_rough_scale $__ci"
      float   "%-14.6f"   r=   c+18 w18 h4 i11 :   color_rough_scale
      button  "AMPLITUDE" r+4  c-18 w18 h4 i13 : "*color_rough_amplitude $__ci"
      float   "%-14.6f"   r=   c+18 w18 h4 i11 :   color_rough_amplitude
      button  "DEPTH"     r+4  c-18 w18 h4 i13 : "*color_rough_depth $__ci"
      integer "%-d"       r=   c+18 w18 h4 i11 :   color_rough_depth

      button "OK" r+6 c52 w12 h8 i13 : *remove_popup

    endpopup }

    label  "SET HUE-LIGHTNESS-SATURATION" r+5 c=   w34 h25 i12
    button "HUE-LIGHTNESS-SATURATION"     r+4 c+1  w32 h4  i13 : *color_hls
    button "HUE"                          r+4 c=   w16 h4  i13 : *set_hue
    float  "%-14.3f"                      r=  c+16 w16 h4  i11 :  set_hue
    button "LIGHTNESS"                    r+4 c-16 w16 h4  i13 : *set_lightness
    float  "%-14.3f"                      r=  c+16 w16 h4  i11 :  set_lightness
    button "SATURATION"                   r+4 c-16 w16 h4  i13 : *set_saturation
    float  "%-14.3f"                      r=  c+16 w16 h4  i11 :  set_saturation
    button "INCREMENT HUE"                r+4 c-16 w16 h4  i13 : *increment_hue

    label  "SET GRAY" r+6 c-1  w34 h9 i12
    button "GRAY"     r+4 c+1  w16 h4 i13 : "*gray $__ci"
    float  "%-14.3f"  r=  c+16 w16 h4 i11 :   gray

    label  "INTERPOLATE COLORS"             r+6 c-17 w34 h13 i12
    button "RED-GREEN-BLUE CUBE"            r+4 c+1  w32 h4  i13 \
	   : *interpolate_rgb
    button "HUE-LIGHTNESS-SATURATION CUBE"  r+4 c=   w32 h4  i13 \
	   : *interpolate_hls

    label  "SAVE/LOAD"     r+6 c-1  w34 h30 i12
    button "SAVE"          r+4 c+1  w16 h4  i13 :  *save_colors
    button "LOAD"          r=  c+16 w16 h4  i13 :  *load_colors
    button "COLORMAP 1"    r+4 c-16 w16 h4  i13 : "*colormap 1"
    button "COLORMAP 2"    r=  c+16 w16 h4  i13 : "*colormap 2"
    button "COLORMAP 3"    r+4 c-16 w16 h4  i13 : "*colormap 3"
    button "COLORMAP 4"    r=  c+16 w16 h4  i13 : "*colormap 4"
    button "CONTOURMAP 1"  r+4 c-16 w16 h4  i13 : "*contourmap 1"
    button "CONTOURMAP 2"  r=  c+16 w16 h4  i13 : "*contourmap 2"
    button "CONTOURMAP 3"  r+4 c-16 w16 h4  i13 : "*contourmap 3"
    button "CONTOURMAP 4"  r=  c+16 w16 h4  i13 : "*contourmap 4"
    button "RESET DEFAULT" r+5 c-16 w32 h4  i13 :  *reset_colors

    label "SET COLOR" r6 c+35 w88 h82 i12

    button "COLOR"   r+4 c+1  w16 h4 i13 : *color
    float  "%-14.3f" r=  c+16 w16 h4 i11 :  color_rgb_r
    float  "%-14.3f" r=  c+16 w16 h4 i11 :  color_rgb_g
    float  "%-14.3f" r=  c+16 w16 h4 i11 :  color_rgb_b

    group {

      label "GENERAL" r+5 c-48 w28 h4 i12

      oneonly "BACKGROUND"               r+4  c= w28 h4 i13 : "*color 0" \
							    > colorslider
      oneonly "TEXT & WINDOW BORDERS"    r+4  c= w28 h4 i13 : "*color 1" \
							    > colorslider
      oneonly "ACTIVE WINDOW BORDERS"    r+4  c= w28 h4 i13 : "*color 2" \
							    > colorslider
      oneonly "GRAPHS"                   r+4  c= w28 h4 i13 : "*color 3" \
							    > colorslider
      oneonly "GRAPH FILL"               r+4  c= w28 h4 i13 : "*color 4" \
							    > colorslider
      oneonly "POST PROCESSING TEXT"     r+4  c= w28 h4 i13 : "*color 5" \
							    > colorslider
      oneonly "MENU BODY"                r+4  c= w28 h4 i13 : "*color 6" \
							    > colorslider
      oneonly "MENU SHADOW"              r+4  c= w28 h4 i13 : "*color 7" \
							    > colorslider
      oneonly "MENU HIGHLIGHT"           r+4  c= w28 h4 i13 : "*color 8" \
							    > colorslider
      oneonly "SELECTED MENU TEXT"       r+4  c= w28 h4 i13 : "*color 9" \
							    > colorslider
      oneonly "NEWSCREEN & POPUP TEXT"   r+4  c= w28 h4 i13 : "*color 10" \
							    > colorslider
      oneonly "INT, FLOAT & STRING TEXT" r+4  c= w28 h4 i13 : "*color 11" \
							    > colorslider
      oneonly "LABEL TEXT"               r+4  c= w28 h4 i13 : "*color 12" \
							    > colorslider
      oneonly "BUTTON TEXT"              r+4  c= w28 h4 i13 : "*color 13" \
							    > colorslider
      oneonly "ANNOTATIONS"              r+4  c= w28 h4 i13 : "*color 31" \
							    > colorslider
      oneonly "CONTOUR LOWER BOUND"      r+4  c= w28 h4 i13 : "*color 32" \
							    > colorslider
      oneonly "CONTOUR UPPER BOUND"      r+4  c= w28 h4 i13 : "*color 63" \
							    > colorslider

      label "GRAPHICS" r-68 c+28 w28 h4 i12

      oneonly "TRIAD & GRID DIVISIONS"   r+4  c= w28 h4 i13 : "*color 14" \
							    > colorslider
      oneonly "GRID BODY"                r+4  c= w28 h4 i13 : "*color 15" \
							    > colorslider
      oneonly "POINTS"                   r+4  c= w28 h4 i13 : "*color 16" \
							    > colorslider
      oneonly "CURVES"                   r+4  c= w28 h4 i13 : "*color 17" \
							    > colorslider
      oneonly "SURFACES"                 r+4  c= w28 h4 i13 : "*color 18" \
							    > colorslider
      oneonly "NODES"                    r+4  c= w28 h4 i13 : "*color 25" \
							    > colorslider
      oneonly "EDGES"                    r+4  c= w28 h4 i13 : "*color 26" \
							    > colorslider
      oneonly "FACE CUT"                 r+4  c= w28 h4 i13 : "*color 27" \
							    > colorslider
      oneonly "ELEMENTS"                 r+4  c= w28 h4 i13 : "*color 19" \
							    > colorslider
      oneonly "ELEMENTS UNDEFORMED"      r+4  c= w28 h4 i13 : "*color 28" \
							    > colorslider
      oneonly "BACKFACES"                r+4  c= w28 h4 i13 : "*color 20" \
							    > colorslider
      oneonly "CONTOUR LINE BACKGROUND"  r+4  c= w28 h4 i13 : "*color 30" \
							    > colorslider
      oneonly "BOUNDARY CONDITIONS"      r+4  c= w28 h4 i13 : "*color 29" \
							    > colorslider
      oneonly "HIGHLIGHTED ENTITIES"     r+4  c= w28 h4 i13 : "*color 21" \
							    > colorslider
      oneonly "SELECTED ENTITIES"        r+4  c= w28 h4 i13 : "*color 22" \
							    > colorslider
      oneonly "SELECTED EDGES"           r+4  c= w28 h4 i13 : "*color 23" \
							    > colorslider
      oneonly "SELECTED FACES"           r+4  c= w28 h4 i13 : "*color 24" \
							    > colorslider

      label "BY NUMBER" r-68 c+28 w30 h4 i12

      oneonly " 0" r+4  c=  w5 h4 I0  : "*color 0" > colorslider
      oneonly " 1" r+4  c=  w5 h4 I+1 : "*color 1" > colorslider
      oneonly " 2" r+4  c=  w5 h4 I+1 : "*color 2" > colorslider
      oneonly " 3" r+4  c=  w5 h4 I+1 : "*color 3" > colorslider
      oneonly " 4" r+4  c=  w5 h4 I+1 : "*color 4" > colorslider
      oneonly " 5" r+4  c=  w5 h4 I+1 : "*color 5" > colorslider
      oneonly " 6" r+4  c=  w5 h4 I+1 : "*color 6" > colorslider
      oneonly " 7" r+4  c=  w5 h4 I+1 : "*color 7" > colorslider
      oneonly " 8" r+4  c=  w5 h4 I+1 : "*color 8" > colorslider
      oneonly " 9" r+4  c=  w5 h4 I+1 : "*color 9" > colorslider
      oneonly "10" r+4  c=  w5 h4 I+1 : "*color 10" > colorslider
      oneonly "11" r+4  c=  w5 h4 I+1 : "*color 11" > colorslider
      oneonly "12" r+4  c=  w5 h4 I+1 : "*color 12" > colorslider
      oneonly "13" r+4  c=  w5 h4 I+1 : "*color 13" > colorslider
      oneonly "14" r+4  c=  w5 h4 I+1 : "*color 14" > colorslider
      oneonly "15" r+4  c=  w5 h4 I+1 : "*color 15" > colorslider

      oneonly "16" r-60 c+5 w5 h4 I+1 : "*color 16" > colorslider
      oneonly "17" r+4  c=  w5 h4 I+1 : "*color 17" > colorslider
      oneonly "18" r+4  c=  w5 h4 I+1 : "*color 18" > colorslider
      oneonly "19" r+4  c=  w5 h4 I+1 : "*color 19" > colorslider
      oneonly "20" r+4  c=  w5 h4 I+1 : "*color 20" > colorslider
      oneonly "21" r+4  c=  w5 h4 I+1 : "*color 21" > colorslider
      oneonly "22" r+4  c=  w5 h4 I+1 : "*color 22" > colorslider
      oneonly "23" r+4  c=  w5 h4 I+1 : "*color 23" > colorslider
      oneonly "24" r+4  c=  w5 h4 I+1 : "*color 24" > colorslider
      oneonly "25" r+4  c=  w5 h4 I+1 : "*color 25" > colorslider
      oneonly "26" r+4  c=  w5 h4 I+1 : "*color 26" > colorslider
      oneonly "27" r+4  c=  w5 h4 I+1 : "*color 27" > colorslider
      oneonly "28" r+4  c=  w5 h4 I+1 : "*color 28" > colorslider
      oneonly "29" r+4  c=  w5 h4 I+1 : "*color 29" > colorslider
      oneonly "30" r+4  c=  w5 h4 I+1 : "*color 30" > colorslider
      oneonly "31" r+4  c=  w5 h4 I+1 : "*color 31" > colorslider

      oneonly "32" r-60 c+5 w5 h4 I+1 : "*color 32" > colorslider
      oneonly "33" r+4  c=  w5 h4 I+1 : "*color 33" > colorslider
      oneonly "34" r+4  c=  w5 h4 I+1 : "*color 34" > colorslider
      oneonly "35" r+4  c=  w5 h4 I+1 : "*color 35" > colorslider
      oneonly "36" r+4  c=  w5 h4 I+1 : "*color 36" > colorslider
      oneonly "37" r+4  c=  w5 h4 I+1 : "*color 37" > colorslider
      oneonly "38" r+4  c=  w5 h4 I+1 : "*color 38" > colorslider
      oneonly "39" r+4  c=  w5 h4 I+1 : "*color 39" > colorslider
      oneonly "40" r+4  c=  w5 h4 I+1 : "*color 40" > colorslider
      oneonly "41" r+4  c=  w5 h4 I+1 : "*color 41" > colorslider
      oneonly "42" r+4  c=  w5 h4 I+1 : "*color 42" > colorslider
      oneonly "43" r+4  c=  w5 h4 I+1 : "*color 43" > colorslider
      oneonly "44" r+4  c=  w5 h4 I+1 : "*color 44" > colorslider
      oneonly "45" r+4  c=  w5 h4 I+1 : "*color 45" > colorslider
      oneonly "46" r+4  c=  w5 h4 I+1 : "*color 46" > colorslider
      oneonly "47" r+4  c=  w5 h4 I+1 : "*color 47" > colorslider

      oneonly "48" r-60 c+5 w5 h4 I+1 : "*color 48" > colorslider
      oneonly "49" r+4  c=  w5 h4 I+1 : "*color 49" > colorslider
      oneonly "50" r+4  c=  w5 h4 I+1 : "*color 50" > colorslider
      oneonly "51" r+4  c=  w5 h4 I+1 : "*color 51" > colorslider
      oneonly "52" r+4  c=  w5 h4 I+1 : "*color 52" > colorslider
      oneonly "53" r+4  c=  w5 h4 I+1 : "*color 53" > colorslider
      oneonly "54" r+4  c=  w5 h4 I+1 : "*color 54" > colorslider
      oneonly "55" r+4  c=  w5 h4 I+1 : "*color 55" > colorslider
      oneonly "56" r+4  c=  w5 h4 I+1 : "*color 56" > colorslider
      oneonly "57" r+4  c=  w5 h4 I+1 : "*color 57" > colorslider
      oneonly "58" r+4  c=  w5 h4 I+1 : "*color 58" > colorslider
      oneonly "59" r+4  c=  w5 h4 I+1 : "*color 59" > colorslider
      oneonly "60" r+4  c=  w5 h4 I+1 : "*color 60" > colorslider
      oneonly "61" r+4  c=  w5 h4 I+1 : "*color 61" > colorslider
      oneonly "62" r+4  c=  w5 h4 I+1 : "*color 62" > colorslider
      oneonly "63" r+4  c=  w5 h4 I+1 : "*color 63" > colorslider

      oneonly "64" r-60 c+5 w5 h4 I+1 : "*color 64" > colorslider
      oneonly "65" r+4  c=  w5 h4 I+1 : "*color 65" > colorslider
      oneonly "66" r+4  c=  w5 h4 I+1 : "*color 66" > colorslider
      oneonly "67" r+4  c=  w5 h4 I+1 : "*color 67" > colorslider
      oneonly "68" r+4  c=  w5 h4 I+1 : "*color 68" > colorslider
      oneonly "69" r+4  c=  w5 h4 I+1 : "*color 69" > colorslider
      oneonly "70" r+4  c=  w5 h4 I+1 : "*color 70" > colorslider
      oneonly "71" r+4  c=  w5 h4 I+1 : "*color 71" > colorslider
      oneonly "72" r+4  c=  w5 h4 I+1 : "*color 72" > colorslider
      oneonly "73" r+4  c=  w5 h4 I+1 : "*color 73" > colorslider
      oneonly "74" r+4  c=  w5 h4 I+1 : "*color 74" > colorslider
      oneonly "75" r+4  c=  w5 h4 I+1 : "*color 75" > colorslider
      oneonly "76" r+4  c=  w5 h4 I+1 : "*color 76" > colorslider
      oneonly "77" r+4  c=  w5 h4 I+1 : "*color 77" > colorslider
      oneonly "78" r+4  c=  w5 h4 I+1 : "*color 78" > colorslider
      oneonly "79" r+4  c=  w5 h4 I+1 : "*color 79" > colorslider

      oneonly "80" r-60 c+5 w5 h4 I+1 : "*color 80" > colorslider
      oneonly "81" r+4  c=  w5 h4 I+1 : "*color 81" > colorslider
      oneonly "82" r+4  c=  w5 h4 I+1 : "*color 82" > colorslider
      oneonly "83" r+4  c=  w5 h4 I+1 : "*color 83" > colorslider
      oneonly "84" r+4  c=  w5 h4 I+1 : "*color 84" > colorslider
      oneonly "85" r+4  c=  w5 h4 I+1 : "*color 85" > colorslider
      oneonly "86" r+4  c=  w5 h4 I+1 : "*color 86" > colorslider
      oneonly "87" r+4  c=  w5 h4 I+1 : "*color 87" > colorslider
      oneonly "88" r+4  c=  w5 h4 I+1 : "*color 88" > colorslider
      oneonly "89" r+4  c=  w5 h4 I+1 : "*color 89" > colorslider
      oneonly "90" r+4  c=  w5 h4 I+1 : "*color 90" > colorslider
      oneonly "91" r+4  c=  w5 h4 I+1 : "*color 91" > colorslider
      oneonly "92" r+4  c=  w5 h4 I+1 : "*color 92" > colorslider
      oneonly "93" r+4  c=  w5 h4 I+1 : "*color 93" > colorslider
      oneonly "94" r+4  c=  w5 h4 I+1 : "*color 94" > colorslider
      oneonly "95" r+4  c=  w5 h4 I+1 : "*color 95" > colorslider

    endgroup }

    slider "COLOR SLIDER" r+4 c-25 w30 h4 i10 : pick_color \
			  sr52 sc49 b6 L8 B6 S7 F1 f1 | \
	   "Red"        "%5.3f" 0.0 1.0 68 0.005 \
	   "Green"      "%5.3f" 0.0 1.0 66 0.005 \
	   "Blue"       "%5.3f" 0.0 1.0 65 0.005 \
	   "Hue"        "%d"    0   360 71 1 \
	   "Lightness"  "%d"    0   100 71 1 \
	   "Saturation" "%d"    0   100 71 1 & colorslider

    button "OK" r110 c58 w12 h10 i13 : *remove_popup

  endpopup }
  newscreen "VIEW"     r+6 c= w32 h6 i10 : viewing
  newscreen "LIGHTING" r+6 c= w32 h6 i10 : lighting
  newscreen "RENDER"   r+6 c= w32 h6 i10 : render

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ lighting "LIGHTING" r1 c1 w32 h4 i12 H120 W128 {

  newscreen "VIEW 1" r6 c1  w16 h4 i10 : lighting_1
  group {
    oneonly "ON"  r= c+16 w8 h4 i13 : "*set_lighting 1 on"
    oneonly "OFF" r= c+8  w8 h4 i13 : "*set_lighting 1 off"
  endgroup }

  newscreen "VIEW 2" r+4 c1  w16 h4 i10 : lighting_2
  group {
    oneonly "ON"  r= c+16 w8 h4 i13 : "*set_lighting 2 on"
    oneonly "OFF" r= c+8  w8 h4 i13 : "*set_lighting 2 off"
  endgroup }

  newscreen "VIEW 3" r+4 c1  w16 h4 i10 : lighting_3
  group {
    oneonly "ON"  r= c+16 w8 h4 i13 : "*set_lighting 3 on"
    oneonly "OFF" r= c+8  w8 h4 i13 : "*set_lighting 3 off"
  endgroup }

  newscreen "VIEW 4" r+4 c1  w16 h4 i10 : lighting_4
  group {
    oneonly "ON"  r= c+16 w8 h4 i13 : "*set_lighting 4 on"
    oneonly "OFF" r= c+8  w8 h4 i13 : "*set_lighting 4 off"
  endgroup }

  popup "LIGHTING MATERIAL PROPERTIES" r+4 c1 w32 h4 i10 dr9 dc14 dw114 dh88 {

    label "LIGHTING MATERIAL PROPERTIES" r1 c1 w114 h4 i12

    button  "COLOR INDEX" r+5 c2   w18 h4 i13 : *color_index
    integer "%-d"         r=  c+18 w18 h4 i11 :  color_index

    label "PRESET COLOR MATERIALS" r12 c2 w36 h4 i12

    button "CHROME"        r+4 c=   w18 h4 i13 U : "*color_chrome $__ci"
    button "STEEL"         r=  c+18 w18 h4 i13 U : "*color_steel $__ci"
    button "SILVER"        r+4 c-18 w18 h4 i13 U : "*color_silver $__ci"
    button "GOLD"          r=  c+18 w18 h4 i13 U : "*color_gold $__ci"
    button "BRASS"         r+4 c-18 w18 h4 i13 U : "*color_brass $__ci"
    button "BRONZE"        r=  c+18 w18 h4 i13 U : "*color_bronze $__ci"
    button "COPPER"        r+4 c-18 w18 h4 i13 U : "*color_copper $__ci"
    button "MIRROR"        r=  c+18 w18 h4 i13 U : "*color_mirror $__ci"
    button "RUBBER"        r+4 c-18 w18 h4 i13 U : "*color_rubber $__ci"
    button "GLASS"         r=  c+18 w18 h4 i13 U : "*color_glass $__ci"
    button "FROSTED GLASS" r+4 c-18 w18 h4 i13 U : "*color_frosted_glass $__ci"
    button "GHOST"         r=  c+18 w18 h4 i13 U : "*color_ghost $__ci"
    button "DIAMOND"       r+4 c-18 w18 h4 i13 U : "*color_diamond $__ci"
    button "WATER"         r=  c+18 w18 h4 i13 U : "*color_water $__ci"

    label "MODIFY COLOR MATERIALS" r+8 c2 w36 h4 i12

    button "PLASTICIZE"       r+4 c=   w18 h4 i13 U : "*color_plasticize $__ci"
    button "PLASTERIZE"       r=  c+18 w18 h4 i13 U : "*color_plasterize $__ci"
    button "METALIZE"         r+4 c-18 w18 h4 i13 U : "*color_metalize $__ci"
    button "SHINY METALIZE"   r=  c+18 w18 h4 i13 U : "*color_shiny_metalize $__ci"
    button "MIRRORIZE"        r+4 c-18 w18 h4 i13 U : "*color_mirrorize $__ci"
    button "RUBBERIZE"        r=  c+18 w18 h4 i13 U : "*color_rubberize $__ci"
    button "GLASSIZE"         r+4 c-18 w18 h4 i13 U : "*color_glassize $__ci"
    button "FROSTED GLASSIZE" r=  c+18 w18 h4 i13 U : "*color_frosted_glassize $__ci"
    button "GHOSTIZE"         r+4 c-18 w18 h4 i13 U : "*color_ghostize $__ci"
    button "DIAMONDIZE"       r=  c+18 w18 h4 i13 U : "*color_diamondize $__ci"
    button "WATERIZE"         r+4 c-18 w18 h4 i13 U : "*color_waterize $__ci"

    button "COLOR"          r12 c40  w18 h12 i13 : "*color $__ci"
    float  "%-14.3f"        r=  c+18 w18 h4  i11 :   color_rgb_r
    float  "%-14.3f"        r+4 c=   w18 h4  i11 :   color_rgb_g
    float  "%-14.3f"        r+4 c=   w18 h4  i11 :   color_rgb_b

    button "EMISSION" r-8 c+20 w18 h12 i13 : "*color_emission $__ci"
    float  "%-14.3f"  r=  c+18 w18 h4  i11 :   color_emission_r
    float  "%-14.3f"  r+4 c=   w18 h4  i11 :   color_emission_g
    float  "%-14.3f"  r+4 c=   w18 h4  i11 :   color_emission_b

    button "DIFFUSE" r+6 c40  w18 h12 i13 : "*color_diffuse $__ci"
    float  "%-14.3f" r=  c+18 w18 h4  i11 :   color_diffuse_r
    float  "%-14.3f" r+4 c=   w18 h4  i11 :   color_diffuse_g
    float  "%-14.3f" r+4 c=   w18 h4  i11 :   color_diffuse_b

    button "AMBIENT" r-8 c+20 w18 h12 i13 : "*color_ambient $__ci"
    float  "%-14.3f" r=  c+18 w18 h4  i11 :   color_ambient_r
    float  "%-14.3f" r+4 c=   w18 h4  i11 :   color_ambient_g
    float  "%-14.3f" r+4 c=   w18 h4  i11 :   color_ambient_b

    button "SPECULAR" r+6 c40  w18 h12 i13 : "*color_specular $__ci"
    float  "%-14.3f"  r=  c+18 w18 h4  i11 :   color_specular_r
    float  "%-14.3f"  r+4 c=   w18 h4  i11 :   color_specular_g
    float  "%-14.3f"  r+4 c=   w18 h4  i11 :   color_specular_b

    button "REFLECTIVE" r-8 c+20  w18 h12 i13 : "*color_reflective $__ci"
    float  "%-14.3f"    r=  c+18 w18 h4  i11 :   color_reflective_r
    float  "%-14.3f"    r+4 c=   w18 h4  i11 :   color_reflective_g
    float  "%-14.3f"    r+4 c=   w18 h4  i11 :   color_reflective_b

    button "SHININESS" r+6 c40  w18 h4 i13 : "*color_shininess $__ci"
    float  "%-14.3f"   r=  c+18 w18 h4 i11 :   color_shininess

    button "REFRACTIVE" r+6 c40  w18 h12 i13 : "*color_refractive $__ci"
    float  "%-14.3f"    r=  c+18 w18 h4  i11 :   color_refractive_r
    float  "%-14.3f"    r+4 c=   w18 h4  i11 :   color_refractive_g
    float  "%-14.3f"    r+4 c=   w18 h4  i11 :   color_refractive_b

    button "ATTENUATION" r-8 c+20 w18 h12 i13 : "*color_attenuation $__ci"
    float  "%-14.3f"     r=  c+18 w18 h4  i11 :   color_attenuation_r
    float  "%-14.3f"     r+4 c=   w18 h4  i11 :   color_attenuation_g
    float  "%-14.3f"     r+4 c=   w18 h4  i11 :   color_attenuation_b

    button "INDEX OF REFRAC." r+6 c40  w18 h4 i13 : "*color_index_ref $__ci"
    float  "%-14.3f"          r=  c+18 w18 h4 i11 :   color_index_ref

    button "ATTEN. LENGTH" r= c+20 w18 h4 i13 : "*color_atten_len $__ci"
    float  "%-14.3f"       r= c+18 w18 h4 i11 :   color_atten_len

    button "OK" r+6 c52 w12 h8 i13 : *remove_popup

  endpopup }

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ render "RENDERING" r1 c1 w32 h4 i12 H120 W128 {

  label   "IMAGE SIZE" r6  c1   w32 h13 i12
  button  "WIDTH"      r+4 c+1  w15 h4  i13 : *render_width
  integer "%-d"        r=  c+15 w15 h4  i11 :  render_width
  button  "HEIGHT"     r+4 c-15 w15 h4  i13 : *render_height
  integer "%-d"        r=  c+15 w15 h4  i11 :  render_height

  label  "PRESET RENDERING SETTINGS" r+6 c1   w32 h13 i12
  button "QUICK"                     r+4 c+1  w15 h4  i13 : *render_quick
  button "STANDARD"                  r=  c+15 w15 h4  i13 : *render_standard
  button "AWESOME"                   r+4 c-15 w15 h4  i13 : *render_awesome

  label   "RENDERING VALUES" r+6 c1   w32 h39 i12
  toggle  "HIGHLIGHTS"       r+4 c+1  w15 h4  i13 \
        : "*set_render_highlights on / *set_render_highlights off"
  toggle  "SHADOWS"          r=  c+15 w15 h4  i13 \
        : "*set_render_shadows on / *set_render_shadows off"
  button  "REFLECTIONS"      r+4 c-15 w15 h4  i13 : *render_depth
  integer "%-d"              r=  c+15 w15 h4  i11 :  render_depth
  button  "PIXEL SIZE"       r+4 c-15 w15 h4  i13 : *render_pixel_size
  integer "%-d"              r=  c+15 w15 h4  i11 :  render_pixel_size
  toggle  "ANTI-ALIASING"    r+5 c-15 w15 h4  i13 \
        : "*set_render_antialias on / *set_render_antialias off"
  button  "TOLERANCE"        r+4 c=   w15 h4  i13 : *render_antialias_tol
  float   "%-14.6g"          r=  c+15 w15 h4  i11 :  render_antialias_tol
  button  "DEPTH"            r+4 c-15 w15 h4  i13 : *render_antialias_depth
  integer "%-d"              r=  c+15 w15 h4  i11 :  render_antialias_depth
  button  "LINE RADIUS"      r+5 c-15 w15 h4 i13 : *render_line_radius
  float   "%-14.3g"          r=  c+15 w15 h4 i11 :  render_line_radius
  button  "SYMBOL RADIUS"    r+4 c-15 w15 h4 i13 : *render_symbol_radius
  float   "%-14.3g"          r=  c+15 w15 h4 i11 :  render_symbol_radius

  newscreen "BACKGROUND" r+6 c1   w16 h4 i10 : background_colors
  newscreen "ATMOSPHERE" r=  c+16 w16 h4 i10 : atmosphere

  label  "RENDER"  r+5 c1   w32 h13 i12
  button "VIEW 1"  r+4 c+1  w15 h4  i13 : "*render 1"
  button "VIEW 2"  r=  c+15 w15 h4  i13 : "*render 2"
  button "VIEW 3"  r+4 c-15 w15 h4  i13 : "*render 3"
  button "VIEW 4"  r=  c+15 w15 h4  i13 : "*render 4"

  button "DISPLAY" r+6 c1   w16 h6 i13 : *image_display
  button "SLIDE"   r=  c+16 w16 h6 i13 : *image_slide

  newscreen "POSTSCRIPT" r+7 c1 w16 h4 i10 : image_ps

#include standard.m
#include transform.m

endscreen }

screen ~ render_lines_points "LINE & SYMBOL RENDER VALUES" \
         r1 c1 w32 h4 i12 H120 W128 {

  button  "LINE RADIUS"   r6  c1   w16 h4 i13 : *render_line_radius
  float   "%-14.3g"       r=  c+16 w16 h4 i11 :  render_line_radius
  button  "SYMBOL RADIUS" r+4 c-16 w16 h4 i13 : *render_symbol_radius
  float   "%-14.3g"       r=  c+16 w16 h4 i11 :  render_symbol_radius

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ background_colors "BACKGROUND COLORS" r1 c1 w32 h4 i12 H120 W128 {

  button "BLACK SKY"    r5  c1   w16 h4 i13 : *render_black_sky
  button "BLUE SKY"     r=  c+16 w16 h4 i13 : *render_blue_sky
  button "SUNSET SKY"   r+4 c-16 w16 h4 i13 : *render_sunset
  button "OVERCAST SKY" r=  c+16 w16 h4 i13 : *render_overcast

  button "ZENITH COLOR"  r+4 c-16 w16 h12 i13 : *render_zenith
  float  "%-14.3g"       r=  c+16 w16 h4  i11 :  render_zenith_r
  float  "%-14.3g"       r+4 c=   w16 h4  i11 :  render_zenith_g
  float  "%-14.3g"       r+4 c=   w16 h4  i11 :  render_zenith_b
  button "HORIZON COLOR" r+4 c-16 w16 h12 i13 : *render_horizon
  float  "%-14.3g"       r=  c+16 w16 h4  i11 :  render_horizon_r
  float  "%-14.3g"       r+4 c=   w16 h4  i11 :  render_horizon_g
  float  "%-14.3g"       r+4 c=   w16 h4  i11 :  render_horizon_b
  button "GROUND COLOR"  r+4 c-16 w16 h12 i13 : *render_ground
  float  "%-14.3g"       r=  c+16 w16 h4  i11 :  render_ground_r
  float  "%-14.3g"       r+4 c=   w16 h4  i11 :  render_ground_g
  float  "%-14.3g"       r+4 c=   w16 h4  i11 :  render_ground_b

  button "NO CLOUDS"     r+4 c-16 w16 h4 i13 : *render_no_clouds
  button "WHITE CLOUDS"  r=  c+16 w16 h4 i13 : *render_white_clouds
  button "WINTER CLOUDS" r+4 c-16 w16 h4 i13 : *render_winter_clouds
  button "STORM CLOUDS"  r=  c+16 w16 h4 i13 : *render_storm_clouds

  button  "INNER CLOUD\nCOLOR" r+4 c-16 w16 h12 i13 : *render_cloud_inner
  float   "%-14.3g"            r=  c+16 w16 h4  i11 :  render_cloud_inner_r
  float   "%-14.3g"            r+4 c=   w16 h4  i11 :  render_cloud_inner_g
  float   "%-14.3g"            r+4 c=   w16 h4  i11 :  render_cloud_inner_b
  button  "OUTER CLOUD\nCOLOR" r+4 c-16 w16 h12 i13 : *render_cloud_outer
  float   "%-14.3g"            r=  c+16 w16 h4  i11 :  render_cloud_outer_r
  float   "%-14.3g"            r+4 c=   w16 h4  i11 :  render_cloud_outer_g
  float   "%-14.3g"            r+4 c=   w16 h4  i11 :  render_cloud_outer_b
  button  "INNER FRACTION"     r+4 c-16 w16 h4  i13 : *render_cloud_inner_frac
  float   "%-14.3g"            r=  c+16 w16 h4  i11 :  render_cloud_inner_frac
  button  "OUTER FRACTION"     r+4 c-16 w16 h4  i13 : *render_cloud_outer_frac
  float   "%-14.3g"            r=  c+16 w16 h4  i11 :  render_cloud_outer_frac
  button  "CLOUD SCALE"        r+4 c-16 w16 h4  i13 : *render_cloud_scale
  float   "%-14.3g"            r=  c+16 w16 h4  i11 :  render_cloud_scale
  button  "CLOUD OFFSET"       r+4 c-16 w16 h12 i13 : *render_cloud_offset
  float   "%-14.3g"            r=  c+16 w16 h4  i11 :  render_cloud_offset_x
  float   "%-14.3g"            r+4 c=   w16 h4  i11 :  render_cloud_offset_y
  float   "%-14.3g"            r+4 c=   w16 h4  i11 :  render_cloud_offset_z
  button  "CLOUD DEPTH"        r+4 c-16 w16 h4  i13 : *render_cloud_depth
  integer "%-d"                r=  c+16 w16 h4  i11 :  render_cloud_depth
  button  "SHARPNESS"          r+4 c-16 w16 h4  i13 : *render_cloud_sharpness
  float   "%-14.3g"            r=  c+16 w16 h4  i11 :  render_cloud_sharpness

#include standard.m
#include transform.m

endscreen }

screen ~ atmosphere "ATMOSPHERE" r1 c1 w32 h4 i12 H120 W128 {

  button "CLEAR" r6  c1   w16 h4 i13 : *render_clear
  button "FOG"   r=  c+16 w16 h4 i13 : *render_fog
  button "HAZE"  r+4 c-16 w16 h4 i13 : *render_haze
  button "SMOG"  r=  c+16 w16 h4 i13 : *render_smog

  button "COLOR"   r+5 c1   w16 h12 i13 : *render_atmosphere
  float  "%-14.3g" r=  c+16 w16 h4  i11 :  render_atmosphere_r
  float  "%-14.3g" r+4 c=   w16 h4  i11 :  render_atmosphere_g
  float  "%-14.3g" r+4 c=   w16 h4  i11 :  render_atmosphere_b
  button "LENGTH"  r+5 c-16 w16 h4  i13 : *render_atmosphere_len
  float  "%-14.3g" r=  c+16 w16 h4  i11 :  render_atmosphere_len
  button "INDEX OF\nREFRACTION" \
                   r+5 c-16 w16 h6  i13 : *render_atmosphere_index_ref
  float  "%-14.3g" r=  c+16 w16 h6  i11 :  render_atmosphere_index_ref

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ image_ps "IMAGE POSTSCRIPT" r1 c1 w32 h4 i12 H120 W128 {

  toggle "ENCAPSULATED POSTCRIPT" r6 c1 w32 h4 i13 \
       : "*set_image_ps_encapsulated on / *set_image_ps_encapsulated off"

  group {
    oneonly "GRAY"  r+5 c1   w16 h4 i13 : "*set_image_ps_color off"
    oneonly "COLOR" r=  c+16 w16 h4 i13 : "*set_image_ps_color on"
  endgroup }

  button "PAGE WIDTH"    r+5 c1   w16 h4 i13 : *image_ps_width
  float  "%-6.4g INCHES" r=  c+16 w16 h4 i11 :  image_ps_width
  button "PAGE HEIGHT"   r+4 c1   w16 h4 i13 : *image_ps_height
  float  "%-6.4g INCHES" r=  c+16 w16 h4 i11 :  image_ps_height

  button "X ORIGIN"      r+5 c1   w16 h4 i13 : *image_ps_xorg
  float  "%-6.4g INCHES" r=  c+16 w16 h4 i11 :  image_ps_xorg
  button "Y ORIGIN"      r+4 c1   w16 h4 i13 : *image_ps_yorg
  float  "%-6.4g INCHES" r=  c+16 w16 h4 i11 :  image_ps_yorg

  button "PRINT 1"    r+5 c1   w16 h4 i13 : "*image_ps_print 1"
  button "PRINT 2"    r=  c+16 w16 h4 i13 : "*image_ps_print 2"
  button "PRINT 3"    r+4 c1   w16 h4 i13 : "*image_ps_print 3"
  button "WRITE FILE" r=  c+16 w16 h4 i13 :  *image_ps_write

#include select_std.m
#include standard.m
#include transform.m

endscreen }
