screen ~ geom_props "GEOMETRIC PROPERTIES" r1 c1 w32 h4 i12  H120 W128 {

  label "MECHANICAL ELEMENTS" r6 c1 w32 h21 i12

  newscreen "3-D"               r+4 c+1 w30 h4  i10 : geometry_mech_three
  newscreen "AXISYMMETRIC"      r+4 c=  w30 h4  i10 : geometry_mech_axisym
  newscreen "PLANAR"            r+4 c=  w30 h4  i10 : geometry_mech_planar
  newscreen "GAP/FRICTION"      r+4 c=  w30 h4  i10 : geometry_mech_gap
 
  label "OTHER ELEMENTS" r+5 c1 w32 h9  i12

  newscreen "HEAT TRANSFER"     r+4 c+1 w30 h4  i10 : geometry_heat

  toggle "ID GEOMETRIES" r+6 c1 w32 h4 i13 \
         : "*identify_geometries *regen / *identify_none *regen"

  newscreen "TABLES" r+5 c1 w16 h4 i10 : table

#include standard.m
#include transform.m

endscreen }

screen ~ geometry_mech_three "MECHANICAL 3-D GP's" r1 c1 w32 h4 i12  H120 W128 {

  label "GEOMETRIC PROPERTY TYPE" r15 c1 w32 h49 i12

  string "%s" r+4 c+28 w3 h4 i9 : geometry_type_mech_three_truss
  string "%s" r+4 c=   w3 h4 i9 : geometry_type_mech_three_cable
  string "%s" r+4 c=   w3 h4 i9 : geometry_type_mech_three_beam_ela
  string "%s" r+4 c=   w3 h4 i9 : geometry_type_mech_three_beam_gen
  string "%s" r+4 c=   w3 h4 i9 : geometry_type_mech_three_elbow
  string "%s" r+4 c=   w3 h4 i9 : geometry_type_mech_three_membrane
  string "%s" r+4 c=   w3 h4 i9 : geometry_type_mech_three_shear
  string "%s" r+4 c=   w3 h4 i9 : geometry_type_mech_three_shell
  string "%s" r+4 c=   w3 h4 i9 : geometry_type_mech_three_solid
  string "%s" r+4 c=   w3 h4 i9 : geometry_type_mech_three_rebar
  string "%s" r+4 c=   w3 h4 i9 : geometry_type_mech_three_actuator
 
  popup "TRUSS" r19 c2 w27 h4 i10 dr6 dc36 dw56 dh26 \
      : "*geometry_type mech_three_truss" {

    label "MECHANICAL 3-D TRUSS PROPERTIES" r1 c1 w56 h4 i12

    label  "CROSS SECTION" r+5 c2   w54 h4 i12
    button "AREA"          r+4 c=   w36 h4 i13 : "*geometry_value area"
    float  "%-14.6g"       r=  c+36 w18 h4 i11 :   geometry_value_area

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_geometry_values
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

  popup "CABLE" r+4 c2 w27 h4 i10 dr6 dc36 dw56 dh40 \
      : "*geometry_type mech_three_cable" {

    label "MECHANICAL 3-D CABLE PROPERTIES" r1 c1 w56 h4 i12

    label  "CROSS SECTION" r+5 c2   w54 h4 i12
    button "AREA"          r+4 c=   w36 h4 i13 : "*geometry_value area"
    float  "%-14.6g"       r=  c+36 w18 h4 i11 :   geometry_value_area

    label  "ADDITIONAL PROPERTIES" \
                            r+6 c2   w54 h4 i12
    button "LENGTH"         r+4 c=   w36 h4 i13 : "*geometry_value length"
    float  "%-14.6g"        r=  c+36 w18 h4 i11 :   geometry_value_length
    button "INITIAL STRESS" r+4 c-36 w36 h4 i13 : "*geometry_value initstress"
    float  "%-14.6g"        r=  c+36 w18 h4 i11 :   geometry_value_initstress

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_geometry_values
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup
  endpopup }

  popup "ELASTIC BEAM" r+4 c2 w27 h4 i10 dr6 dc36 dw56 dh70 \
      : "*geometry_type mech_three_beam_ela" {

    label "MECHANICAL 3-D ELASTIC BEAM PROPERTIES" r1 c1 w56 h4 i12

    label  "CROSS SECTION" r+5 c2   w54 h4 i12
    button "AREA"          r+4 c=   w36 h4 i13 : "*geometry_value area"
    float  "%-14.6g"       r=  c+36 w18 h4 i11 :   geometry_value_area
    button "Ixx"           r+4 c-36 w36 h4 i13 : "*geometry_value ixx"
    float  "%-14.6g"       r=  c+36 w18 h4 i11 :   geometry_value_ixx
    button "Iyy"           r+4 c-36 w36 h4 i13 : "*geometry_value iyy"
    float  "%-14.6g"       r=  c+36 w18 h4 i11 :   geometry_value_iyy

    label  "POINT DEFINING LOCAL X-AXIS" \
                     r+6 c2   w54 h4 i12
    button "X"       r+4 c=   w36 h4 i13 : "*geometry_value orientx"
    float  "%-14.6g" r=  c+36 w18 h4 i11 : geometry_value_orientx
    button "Y"       r+4 c-36 w36 h4 i13 : "*geometry_value orienty"
    float  "%-14.6g" r=  c+36 w18 h4 i11 : geometry_value_orienty
    button "Z"       r+4 c-36 w36 h4 i13 : "*geometry_value orientz"
    float  "%-14.6g" r=  c+36 w18 h4 i11 : geometry_value_orientz

    label  "ADDITIONAL SECTION PROP's" r+6 c2 w36 h4 i12
    group {
      oneonly "OFF" r= c+36 w9 h4 i13 : "*geometry_option addprops:off"
      oneonly "ON"  r= c+9  w9 h4 i13 : "*geometry_option addprops:on"
    group }
    button "TORSIONAL STIFFNESS FACTOR" r+4 c2   w36 h4 i13 \
         : "*geometry_value tstiff"
    float  "%-14.6g"                    r=  c+36 w18 h4 i11 \
         :   geometry_value_tstiff
    button "EFF. T-SHEAR AREA Ax"       r+4 c-36 w36 h4 i13 \
         : "*geometry_value tsareax"
    float  "%-14.6g"                    r=  c+36 w18 h4 i11 \
         :   geometry_value_tsareax
    button "EFF. T-SHEAR AREA Ay"       r+4 c-36 w36 h4 i13 \
         : "*geometry_value tsareay"
    float  "%-14.6g"                    r=  c+36 w18 h4 i11 \
         :   geometry_value_tsareay

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_geometry_values
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

  popup "GENERAL BEAM" r+4 c2 w27 h4 i10 dr6 dc36 dw68 dh52 \
      : "*geometry_type mech_three_beam_gen" {

    label "MECHANICAL 3-D GENERAL BEAM PROPERTIES" r1 c1 w68 h4 i12

    label "CROSS SECTION" r+5 c2 w66 h4 i12
    group {
      oneonly "CIRCULAR" r+4 c= w12 h4 i13 : "*geometry_option section:circular"
      oneonly "GENERAL"  r+8 c= w12 h4 i13 : "*geometry_option section:general"
    group }
    button "THICKNESS" r-8 c+12 w36 h4 i13 : "*geometry_value thick"
    float  "%-14.6g"   r=  c+36 w18 h4 i11 :   geometry_value_thick
    button "RADIUS"    r+4 c-36 w36 h4 i13 : "*geometry_value radius"
    float  "%-14.6g"   r=  c+36 w18 h4 i11 :   geometry_value_radius

    popup "BEAM SECTION" r+4 c-36 w36 h4 i10 dr15 dc40 dw66 dh75 \
        : *geometry_section {

#include sel_bsect.m

      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_geometry_type bsectnr"

    endpopup }
    string "%s" r= c+36 w18 h4 i11 : geometry_section

    label  "POINT DEFINING LOCAL X-AXIS" \
                     r+6 c2   w54 h4 i12
    button "X"       r+4 c=   w36 h4 i13 : "*geometry_value orientx"
    float  "%-14.6g" r=  c+36 w18 h4 i11 :   geometry_value_orientx
    button "Y"       r+4 c-36 w36 h4 i13 : "*geometry_value orienty"
    float  "%-14.6g" r=  c+36 w18 h4 i11 :   geometry_value_orienty
    button "Z"       r+4 c-36 w36 h4 i13 : "*geometry_value orientz"
    float  "%-14.6g" r=  c+36 w18 h4 i11 :   geometry_value_orientz

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_geometry_values
    button "OK"    r=  c+54 w12 h10 i13   : *remove_popup

  endpopup }

  popup "ELBOW" r+4 c2 w27 h4 i10 dr6 dc36 dw68 dh88 \
      : "*geometry_type mech_three_elbow" {

    label "MECHANICAL 3-D ELBOW PROPERTIES" r1 c1 w68 h4 i12

    label "CROSS SECTION" r+5 c2 w66 h4 i12
    group {
      oneonly "CIRCULAR" r+4 c= w12 h4 i13 : "*geometry_option section:circular"
      oneonly "GENERAL"  r+8 c= w12 h4 i13 : "*geometry_option section:general"
    group }
    button "THICKNESS" r-8 c+12 w36 h4 i13 : "*geometry_value thick"
    float  "%-14.6g"   r=  c+36 w18 h4 i11 :   geometry_value_thick
    button "RADIUS"    r+4 c-36 w36 h4 i13 : "*geometry_value radius"
    float  "%-14.6g"   r=  c+36 w18 h4 i11 :   geometry_value_radius
    button "AREA"      r+4 c-36 w36 h4 i13 : "*geometry_value area"
    float  "%-14.6g"   r=  c+36 w18 h4 i11 :   geometry_value_area
    button "Ixx"       r+4 c-36 w36 h4 i13 : "*geometry_value ixx"
    float  "%-14.6g"   r=  c+36 w18 h4 i11 :   geometry_value_ixx
    button "Iyy"       r+4 c-36 w36 h4 i13 : "*geometry_value iyy"
    float  "%-14.6g"   r=  c+36 w18 h4 i11 :   geometry_value_iyy
    button "TORSIONAL STIFFNESS FACTOR" \
                       r+4 c-36 w36 h4 i13 : "*geometry_value tstiff"
    float  "%-14.6g"   r=  c+36 w18 h4 i11 :   geometry_value_tstiff
    button "EFF. T-SHEAR AREA Ax" \
                       r+4 c-36 w36 h4 i13 : "*geometry_value tsareax"
    float  "%-14.6g"   r=  c+36 w18 h4 i11 :   geometry_value_tsareax
    button "EFF. T-SHEAR AREA Ay" \
                       r+4 c-36 w36 h4 i13 : "*geometry_value tsareay"
    float  "%-14.6g"   r=  c+36 w18 h4 i11 :   geometry_value_tsareay

    label "SHAPE" r+6 c2 w66 h4 i12
    group {
      oneonly "CURVED"   r+4  c= w12 h4 i13 : "*geometry_option shape:curved"
      oneonly "STRAIGHT" r+16 c= w12 h4 i13 : "*geometry_option shape:straight"
    group }
    button "BENDING RADIUS"            r-16 c+12 w36 h4 i13 \
         : "*geometry_value bendingradius"
    float  "%-14.6g"                   r=   c+36 w18 h4 i11 \
         :  geometry_value_bendingradius
    button "CENTER POINT X"            r+4  c-36 w36 h4 i13 \
         : "*geometry_value centerx"
    float  "%-14.6g"                   r=   c+36 w18 h4 i11 \
         :   geometry_value_centerx
    button "CENTER POINT Y"            r+4  c-36 w36 h4 i13 \
         : "*geometry_value centery"
    float  "%-14.6g"                   r=   c+36 w18 h4 i11 \
         :   geometry_value_centery
    button "CENTER POINT Z"            r+4  c-36 w36 h4 i13 \
         : "*geometry_value centerz"
    float  "%-14.6g"                   r=   c+36 w18 h4 i11 \
         :   geometry_value_centerz
    button "POINT DEF. LOCAL X-AXIS X" r+4  c-36 w36 h4 i13 \
         : "*geometry_value orientx"
    float  "%-14.6g"                   r=   c+36 w18 h4 i11 \
         :   geometry_value_orientx
    button "POINT DEF. LOCAL X-AXIS Y" r+4  c-36 w36 h4 i13 \
         : "*geometry_value orienty"
    float  "%-14.6g"                   r=   c+36 w18 h4 i11 \
         :   geometry_value_orienty
    button "POINT DEF. LOCAL X-AXIS Z" r+4  c-36 w36 h4 i13 \
         : "*geometry_value orientz"
    float  "%-14.6g"                   r=   c+36 w18 h4 i11 \
         :   geometry_value_orientz

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_geometry_values
    button "OK"    r=  c+54 w12 h10 i13   : *remove_popup

  endpopup }

  popup "MEMBRANE" r+4 c2 w27 h4 i10 dr6 dc36 dw56 dh35 \
      : "*geometry_type mech_three_membrane" {

    label "MECHANICAL 3-D MEMBRANE PROPERTIES" r1 c1 w56 h4 i12

    label  "NORMAL TO PLANE" r+5 c2   w54 h4 i12
    button "THICKNESS"       r+4 c=   w36 h4 i13 : "*geometry_value thick"
    float  "%-14.6g"         r=  c+36 w18 h4 i11 :   geometry_value_thick

    label  "ELEMENT TECHNOLOGY"   r+5 c2 w36 h4 i12
    toggle "CONSTANT TEMPERATURE" r+4 c= w36 h4 i13 \
        : "*geometry_option ctemperature:on / *geometry_option ctemperature:off"

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_geometry_values
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

  popup "SHEAR PANEL" r+4 c2 w27 h4 i10 dr6 dc36 dw56 dh26 \
      : "*geometry_type mech_three_shear" {

    label "MECHANICAL 3-D SHEAR PANEL PROPERTIES" r1 c1 w56 h4 i12

    label  "NORMAL TO PLANE" r+5 c2   w54 h4 i12
    button "THICKNESS"       r+4 c=   w36 h4 i13 : "*geometry_value thick"
    float  "%-14.6g"         r=  c+36 w18 h4 i11 :   geometry_value_thick

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_geometry_values
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

  popup "SHELL" r+4 c2 w27 h4 i10 dr6 dc36 dw56 dh52 \
      : "*geometry_type mech_three_shell" {

    label "MECHANICAL 3-D SHELL PROPERTIES" r1 c1 w56 h4 i12

    label "SHELL THICKNESS" r+5 c2 w54 h4 i12
    group {
      oneonly "CONSTANT" r+4 c= w12 h4 i13 \
            : "*geometry_option shellthick:constant"
      oneonly "VARIABLE" r+4 c= w12 h4 i13 \
            : "*geometry_option shellthick:variable"
    group }
    button "THICKNESS"          r-4 c+12 w24 h4 i13 : "*geometry_value thick"
    float  "%-14.6g"            r=  c+24 w18 h4 i11 :   geometry_value_thick
    button "AT 1ST CORNER NODE" r+4 c-24 w24 h4 i13 : "*geometry_value thick1st"
    float  "%-14.6g"            r=  c+24 w18 h4 i11 :   geometry_value_thick1st
    button "AT 2ND CORNER NODE" r+4 c-24 w24 h4 i13 : "*geometry_value thick2nd"
    float  "%-14.6g"            r=  c+24 w18 h4 i11 :   geometry_value_thick2nd
    button "AT 3RD CORNER NODE" r+4 c-24 w24 h4 i13 : "*geometry_value thick3rd"
    float  "%-14.6g"            r=  c+24 w18 h4 i11 :   geometry_value_thick3rd
    button "AT 4TH CORNER NODE" r+4 c-24 w24 h4 i13 : "*geometry_value thick4th"
    float  "%-14.6g"            r=  c+24 w18 h4 i11 :   geometry_value_thick4th

    label  "ELEMENT TECHNOLOGY" r+6 c2 w36 h4 i12
    toggle "FLAT ELEMENT"       r+4 c= w36 h4 i13 \
         : "*geometry_option flat:on / *geometry_option flat:off"

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_geometry_values
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

  popup "SOLID" r+4 c2 w27 h4 i10 dr6 dc36 dw56 dh44 \
      : "*geometry_type mech_three_solid" {

    label "MECHANICAL 3-D SOLID PROPERTIES" r1 c1 w56 h4 i12

    label  "AUTOMATIC BRICK TO SHELL TRANSITION" r+5 c2 w54 h4 i12
    button "TRANSITION THICKNESS"                r+4 c= w36 h4 i13 \
         : "*geometry_value transthick"
    float  "%-14.6g"                             r=  c+36 w18 h4 i11 \
         :   geometry_value_transthick

    label  "ELEMENT TECHNOLOGY"  r+6 c2 w36 h4 i12
    toggle "CONSTANT DILATATION" r+4 c= w36 h4 i13 \
         : "*geometry_option cdilatation:on / *geometry_option cdilatation:off"
    toggle "ASSUMED STRAIN"      r+4 c= w36 h4 i13 \
         : "*geometry_option assumedstrn:on / *geometry_option assumedstrn:off"
    toggle "CONSTANT TEMPERATURE" r+4 c= w36 h4 i13 \
        : "*geometry_option ctemperature:on / *geometry_option ctemperature:off"

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_geometry_values
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

  popup "REBAR" r+4 c2 w27 h4 i10 dr6 dc36 dw56 dh26 \
      : "*geometry_type mech_three_rebar" {

    label "MECHANICAL 3-D REBAR PROPERTIES" r1 c1 w56 h4 i12

    label  "ELEMENT TECHNOLOGY"       r+5 c2   w54 h4 i12
    button "NUMBER OF REBAR 'LAYERS'" r+4 c=   w36 h4 i13 \
         : "*geometry_value nrebars"
    float  "%-14.6g"                  r=  c+36 w18 h4 i11 \
         :   geometry_value_nrebars

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_geometry_values
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }
 
  popup "ACTUATOR" r+4 c2 w27 h4 i10 dr6 dc36 dw64 dh22 \
      : "*geometry_type mech_three_actuator" {

    label "MECHANICAL 3-D ACTUATOR PROPERTIES" r1 c1 w64 h4 i12

    button "LENGTH"  r+5 c2   w22 h4 i13 : "*geometry_value length"
    float  "%-14.6g" r=  c+22 w18 h4 i11 :   geometry_value_length
    popup  "TABLE"   r=  c+18 w8  h4 i13 dr15 dc36 dw84 dh75 \
                                         : "*geometry_table length0" {
#include sel_table.m
      button "CLEAR" r67 c2 w12 h8 i13 : "*clear_geometry_table length0"
    endpopup }
    string "%s" r= c+8 w14 h4 i11 : geometry_table_length0

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_geometry_values
    button "OK"    r=  c+50 w12 h10 i13   : *remove_popup

  endpopup }

  newscreen "BEAM SECTIONS" r+6 c1 w32 h4 i10 : bsects
  newscreen "TABLES"        r+4 c1 w16 h4 i10 : table

#include geom_props_sub.m
#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ geometry_mech_axisym "MECHANICAL AXISYMMETRIC GP's" \
         r1 c1 w32 h4 i12 H120 W128 {

  label "GEOMETRIC PROPERTY TYPE" r15 c1 w32 h17 i12
 
  string "%s" r+4 c+28 w3 h4 i9 : geometry_type_mech_axisym_shell
  string "%s" r+4 c=   w3 h4 i9 : geometry_type_mech_axisym_solid
  string "%s" r+4 c=   w3 h4 i9 : geometry_type_mech_axisym_rebar
 
  popup "SHELL" r19 c2 w27 h4 i10 dr6 dc36 dw56 dh34 \
      : "*geometry_type mech_axisym_shell" {

    label "MECHANICAL AXISYMMETRIC SHELL PROPERTIES" r1 c1 w56 h4 i12

    label  "SHELL THICKNESS" r+5 c2 w54 h4 i12
    group {
      oneonly "CONSTANT" r+4 c= w12 h4 i13 \
            : "*geometry_option shellthick:constant"
      oneonly "VARIABLE" r+4 c= w12 h4 i13 \
            : "*geometry_option shellthick:variable"
    group }
    button "THICKNESS"          r-4 c+12 w24 h4 i13 : "*geometry_value thick"
    float  "%-14.6g"            r=  c+24 w18 h4 i11 :   geometry_value_thick
    button "AT 1ST CORNER NODE" r+4 c-24 w24 h4 i13 : "*geometry_value thick1st"
    float  "%-14.6g"            r=  c+24 w18 h4 i11 :   geometry_value_thick1st
    button "AT 2ND CORNER NODE" r+4 c-24 w24 h4 i13 : "*geometry_value thick2nd"
    float  "%-14.6g"            r=  c+24 w18 h4 i11 :   geometry_value_thick2nd

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_geometry_values
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

  popup "SOLID" r+4 c2 w27 h4 i10 dr6 dc36 dw38 dh30 \
      : "*geometry_type mech_axisym_solid" {

    label "MECHANICAL AXISYMMETRIC SOLID PROPERTIES" r1 c1 w38 h4 i12

    label  "ELEMENT TECHNOLOGY"  r+5 c2 w36 h4 i12
    toggle "CONSTANT DILATATION" r+4 c= w36 h4 i13 \
         : "*geometry_option cdilatation:on / *geometry_option cdilatation:off"
    toggle "CONSTANT TEMPERATURE" r+4 c= w36 h4 i13 \
        : "*geometry_option ctemperature:on / *geometry_option ctemperature:off"

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_geometry_values
    button "OK"    r=  c+24 w12 h10 i13   : *remove_popup

  endpopup }

  popup "REBAR" r+4 c2 w27 h4 i10 dr6 dc36 dw56 dh26 \
      : "*geometry_type mech_axisym_rebar" {

    label "MECHANICAL AXISYMMETRIC REBAR PROPERTIES" r1 c1 w56 h4 i12

    label  "ELEMENT TECHNOLOGY"       r+5 c2   w54 h4 i12
    button "NUMBER OF REBAR 'LAYERS'" r+4 c=   w36 h4 i13 \
         : "*geometry_value nrebars"
    float  "%-14.6g"                  r=  c+36 w18 h4 i11 \
         :   geometry_value_nrebars

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_geometry_values
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

#include geom_props_sub.m
#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ geometry_mech_planar "MECHANICAL PLANAR GP's" \
         r1 c1 w32 h4 i12  H120 W128 {

  label "GEOMETRIC PROPERTY TYPE" r15 c1 w32 h25 i12

  string "%s" r+4 c+28 w3 h4 i9 : geometry_type_mech_planar_beam_str
  string "%s" r+4 c=   w3 h4 i9 : geometry_type_mech_planar_beam_cur
  string "%s" r+4 c=   w3 h4 i9 : geometry_type_mech_planar_pstress
  string "%s" r+4 c=   w3 h4 i9 : geometry_type_mech_planar_pstrain
  string "%s" r+4 c=   w3 h4 i9 : geometry_type_mech_planar_rebar

  popup "2-D STRAIGHT BEAM" r19 c2 w27 h4 i10 dr6 dc36 dw56 dh36 \
      : "*geometry_type mech_planar_beam_str" {

    label "MECHANICAL PLANAR 2-D STRAIGHT BEAM PROPERTIES" r1 c1 w56 h4 i12

    label  "IN-PLANE" r+5 c2   w54 h4 i12
    button "HEIGHT"   r+4 c=   w36 h4 i13 : "*geometry_value height"
    float  "%-14.6g"  r=  c+36 w18 h4 i11 :   geometry_value_height

    label  "RECTANGULAR CROSS SECTION" \
                     r+6 c2   w54 h4 i12
    button "AREA"    r+4 c=   w36 h4 i13 : "*geometry_value area"
    float  "%-14.6g" r=  c+36 w18 h4 i11 :   geometry_value_area

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_geometry_values
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

  popup "2-D CURVED BEAM" r+4 c2 w27 h4 i10 dr6 dc36 dw56 dh44 \
      : "*geometry_type mech_planar_beam_cur" {

    label "MECHANICAL PLANAR 2-D CURVED BEAM PROPERTIES" r1 c1 w56 h4 i12

    label  "IN-PLANE BEAM HEIGHT" r+5 c2 w54 h4 i12
    group {
      oneonly "CONSTANT" r+4 c= w12 h4 i13 \
            : "*geometry_option beamheight:constant"
      oneonly "VARIABLE" r+4 c= w12 h4 i13 \
            : "*geometry_option beamheight:variable"
    group }
    button "HEIGHT"             r-4 c+12 w24 h4 i13 :"*geometry_value height"
    float  "%-14.6g"            r=  c+24 w18 h4 i11 :  geometry_value_height
    button "AT 1ST CORNER NODE" r+4 c-24 w24 h4 i13 :"*geometry_value height1st"
    float  "%-14.6g"            r=  c+24 w18 h4 i11 :  geometry_value_height1st
    button "AT 2ND CORNER NODE" r+4 c-24 w24 h4 i13 :"*geometry_value height2nd"
    float  "%-14.6g"            r=  c+24 w18 h4 i11 :  geometry_value_height2nd

    label  "NORMAL TO PLANE" r+6 c2   w54 h4 i12
    button "WIDTH"           r+4 c=   w36 h4 i13 : "*geometry_value width"
    float  "%-14.6g"         r=  c+36 w18 h4 i11 :   geometry_value_width

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_geometry_values
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

  popup "PLANE STRESS" r+4 c2 w27 h4 i10 dr6 dc36 dw56 dh40 \
      : "*geometry_type mech_planar_pstress" {

    label "PLANE STRESS MECHANICAL PROPERTIES" r1 c1 w56 h4 i12

    label  "NORMAL TO PLANE" r+5 c2   w54 h4 i12
    button "THICKNESS"       r+4 c=   w36 h4 i13 : "*geometry_value thick"
    float  "%-14.6g"         r=  c+36 w18 h4 i11 :   geometry_value_thick

    label  "ELEMENT TECHNOLOGY" r+6 c2 w36 h4 i12
    toggle "ASSUMED STRAIN"     r+4 c= w36 h4 i13 \
         : "*geometry_option assumedstrn:on / *geometry_option assumedstrn:off"
    toggle "CONSTANT TEMPERATURE" r+4 c= w36 h4 i13 \
        : "*geometry_option ctemperature:on / *geometry_option ctemperature:off"

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_geometry_values
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

  popup "PLANE STRAIN" r+4 c2 w27 h4 i10 dr6 dc36 dw56 dh44 \
      : "*geometry_type mech_planar_pstrain" {

    label "PLANE STRAIN MECHANICAL PROPERTIES" r1 c1 w56 h4 i12

    label  "NORMAL TO PLANE" r+5 c2   w54 h4 i12
    button "THICKNESS"       r+4 c=   w36 h4 i13 : "*geometry_value thick"
    float  "%-14.6g"         r=  c+36 w18 h4 i11 :   geometry_value_thick

    label  "ELEMENT TECHNOLOGY"  r+6 c2 w36 h4 i12
    toggle "CONSTANT DILATATION" r+4 c= w36 h4 i13 \
         : "*geometry_option cdilatation:on / *geometry_option cdilatation:off"
    toggle "ASSUMED STRAIN"      r+4 c= w36 h4 i13 \
         : "*geometry_option assumedstrn:on / *geometry_option assumedstrn:off"
    toggle "CONSTANT TEMPERATURE" r+4 c= w36 h4 i13 \
        : "*geometry_option ctemperature:on / *geometry_option ctemperature:off"

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_geometry_values
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

  popup "PLANE STRAIN REBAR" r+4 c2 w27 h4 i10 dr6 dc36 dw56 dh36 \
      : "*geometry_type mech_planar_rebar" {

    label "MECHANICAL PLANE STRAIN REBAR PROPERTIES" r1 c1 w56 h4 i12

    label  "NORMAL TO PLANE" r+5 c2   w54 h4 i12
    button "THICKNESS"       r+4 c=   w36 h4  i13 : "*geometry_value thick"
    float  "%-14.6g"         r=  c+36 w18 h4  i11 :   geometry_value_thick

    label  "ELEMENT TECHNOLOGY"       r+6 c2   w54 h4 i12
    button "NUMBER OF REBAR 'LAYERS'" r+4 c=   w36 h4 i13 \
         : "*geometry_value nrebars"
    float  "%-14.6g"                  r=  c+36 w18 h4 i11 \
         :   geometry_value_nrebars

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_geometry_values
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

#include geom_props_sub.m
#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ geometry_mech_gap "MECHANICAL GAP/FRICTION GP's" \
         r1 c1 w32 h4 i12 H120 W128 {

  label "GEOMETRIC PROPERTY TYPE" r15 c1 w32 h9 i12

  string "%s" r+4 c+28 w3 h4 i9 : geometry_type_mech_gap

  popup "GAP/FRICTION LINK" r19 c2 w27 h4 i10 dr6 dc36 dw80 dh94 \
      : "*geometry_type mech_gap" {

    label "MECHANICAL GAP/FRICTION LINK PROPERTIES" r1 c1 w80 h4 i12

    label "GAP TYPE" r+5 c2 w78 h4 i12
    group {
      oneonly "FIXED DIRECTION" r+4  c= w24 h4 i13 \
            : "*geometry_option gaptype:fixeddir"
      oneonly "TRUE DISTANCE"   r+28 c= w24 h4 i13 \
            : "*geometry_option gaptype:truedist"
    group }
    button "GAP DIRECTION X"      r-28 c+24 w36 h4 i13 \
         : "*geometry_value gapx"
    float  "%-14.6g"              r=   c+36 w18 h4 i11 \
         :   geometry_value_gapx
    button "GAP DIRECTION Y"      r+4  c-36 w36 h4 i13 \
         : "*geometry_value gapy"
    float  "%-14.6g"              r=   c+36 w18 h4 i11 \
         :   geometry_value_gapy
    button "GAP DIRECTION Z"      r+4  c-36 w36 h4 i13 \
         : "*geometry_value gapz"
    float  "%-14.6g"              r=   c+36 w18 h4 i11 \
         :   geometry_value_gapz
    button "FRICTION DIRECTION X" r+4  c-36 w36 h4 i13 \
         : "*geometry_value fricx"
    float  "%-14.6g"              r=   c+36 w18 h4 i11 \
         :   geometry_value_fricx
    button "FRICTION DIRECTION Y" r+4  c-36 w36 h4 i13 \
         : "*geometry_value fricy"
    float  "%-14.6g"              r=   c+36 w18 h4 i11 \
         :   geometry_value_fricy
    button "FRICTION DIRECTION Z" r+4  c-36 w36 h4 i13 \
         : "*geometry_value fricz"
    float  "%-14.6g"              r=   c+36 w18 h4 i11 \
         :   geometry_value_fricz
    button "CLOSURE DISTANCE"     r+4  c-36 w36 h4 i13 \
         : "*geometry_value dclosure"
    float  "%-14.6g"              r=   c+36 w18 h4 i11 \
         :   geometry_value_dclosure
    button "DISTANCE"             r+4  c-36 w36 h4 i13 \
         : "*geometry_value distance"
    float  "%-14.6g"              r=   c+36 w18 h4 i11 \
         :   geometry_value_distance
    group {
      oneonly "MINIMUM" r+4 c-36 w18 h4 i13 \
            : "*geometry_option distance:minimum"
      oneonly "MAXIMUM" r=  c+18 w18 h4 i13 \
            : "*geometry_option distance:maximum"
    group }

    label  "ADDITIONAL PROPERTIES"           r+6 c2   w54 h4 i12
    button "FRICTION COEFFICIENT"            r+4 c=   w36 h4 i13 \
         : "*geometry_value friction"
    float  "%-14.6g"                         r=  c+36 w18 h4 i11 \
        :   geometry_value_friction
    button "STIFFNESS IN GAP DIRECTION"      r+4 c-36 w36 h4 i13 \
         : "*geometry_value gapstiff"
    float  "%-14.6g"                         r=  c+36 w18 h4 i11 \
        :   geometry_value_gapstiff
    button "STIFFNESS IN FRICTION DIRECTION" r+4 c-36 w36 h4 i13 \
         : "*geometry_value fricstiff"
    float  "%-14.6g"                         r=  c+36 w18 h4 i11 \
        :   geometry_value_fricstiff
    button "MOMENTUM RATIO 1ST NODE"         r+4 c-36 w36 h4 i13 \
         : "*geometry_value mratio1"
    float  "%-14.6g"                         r=  c+36 w18 h4 i11 \
        :   geometry_value_mratio1
    button "MOMENTUM RATIO 2ND NODE"         r+4 c-36 w36 h4 i13 \
         : "*geometry_value mratio2"
    float  "%-14.6g"                         r=  c+36 w18 h4 i11 \
        :   geometry_value_mratio2

    label "GAP CONDITION INCREMENT 0" r+6 c2 w36 h4 i12
    group {
      oneonly "OPEN"   r+4 c=   w18 h4 i13 \
            : "*geometry_option gapcondition:open"
      oneonly "CLOSED" r=  c+18 w18 h4 i13 \
            : "*geometry_option gapcondition:closed"
    group }

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_geometry_values
    button "OK"    r=  c+66 w12 h10 i13   : *remove_popup

  endpopup }

#include geom_props_sub.m
#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ geometry_heat "HEAT TRANSFER GP's" r1 c1 w32 h4 i12  H120 W128 {

  label "GEOMETRIC PROPERTY TYPE" r15 c1 w32 h29 i12

  string "%s" r+4 c+28 w3 h4 i9 : geometry_type_heat_three_truss
  string "%s" r+4 c=   w3 h4 i9 : geometry_type_heat_three_shell
  string "%s" r+4 c=   w3 h4 i9 : geometry_type_heat_three_solid
  string "%s" r+4 c=   w3 h4 i9 : geometry_type_heat_axisym_shell
  string "%s" r+4 c=   w3 h4 i9 : geometry_type_heat_axisym_solid
  string "%s" r+4 c=   w3 h4 i9 : geometry_type_heat_planar

  popup "3-D TRUSS" r19 c2 w27 h4 i10 dr6 dc36 dw56 dh48 \
      : "*geometry_type heat_three_truss" {

    label "HEAT TRANSFER 3-D TRUSS PROPERTIES" r1 c1 w56 h4 i12

    label  "CROSS SECTION" r+5 c2   w54 h4 i12
    button "AREA"          r+4 c=   w36 h4 i13 : "*geometry_value area"
    float  "%-14.6g"       r=  c+36 w18 h4 i11 :   geometry_value_area

    label  "CONVECTION-RADIATION"          r+6 c2   w54 h4 i12
    button "EMISSIVITY"                    r+4 c=   w36 h4 i13 \
         : "*geometry_value emissivity"
    float  "%-14.6g"                       r=  c+36 w18 h4 i11 \
         :   geometry_value_emissivity
    button "STEFAN-BOLTZMANN CONSTANT"     r+4 c-36 w36 h4 i13 \
         : "*geometry_value stefanb"
    float  "%-14.6g"                       r=  c+36 w18 h4 i11 \
         :   geometry_value_stefanb
    button "TEMPERATURE CONVERSION FACTOR" r+4 c-36 w36 h4 i13 \
         : "*geometry_value tempconversion"
    float  "%-14.6g"                       r=  c+36 w18 h4 i11 \
         :   geometry_value_tempconversion
    button "FILM COEFFICIENT"              r+4 c-36 w36 h4 i13 \
         : "*geometry_value filmcoeff"
    float  "%-14.6g"                       r=  c+36 w18 h4 i11 \
         :   geometry_value_filmcoeff

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_geometry_values
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

  popup "3-D SHELL" r+4 c2 w27 h4 i10 dr6 dc36 dw56 dh42 \
      : "*geometry_type heat_three_shell" {

    label "HEAT TRANSFER 3-D SHELL PROPERTIES" r1 c1 w56 h4 i12

    label "SHELL THICKNESS" r+5 c2 w54 h4 i12
    group {
      oneonly "CONSTANT" r+4 c= w12 h4 i13 \
            : "*geometry_option shellthick:constant"
      oneonly "VARIABLE" r+4 c= w12 h4 i13 \
            : "*geometry_option shellthick:variable"
    group }
    button "THICKNESS"          r-4 c+12 w24 h4 i13 : "*geometry_value thick"
    float  "%-14.6g"            r=  c+24 w18 h4 i11 :   geometry_value_thick
    button "AT 1ST CORNER NODE" r+4 c-24 w24 h4 i13 : "*geometry_value thick1st"
    float  "%-14.6g"            r=  c+24 w18 h4 i11 :   geometry_value_thick1st
    button "AT 2ND CORNER NODE" r+4 c-24 w24 h4 i13 : "*geometry_value thick2nd"
    float  "%-14.6g"            r=  c+24 w18 h4 i11 :   geometry_value_thick2nd
    button "AT 3RD CORNER NODE" r+4 c-24 w24 h4 i13 : "*geometry_value thick3rd"
    float  "%-14.6g"            r=  c+24 w18 h4 i11 :   geometry_value_thick3rd
    button "AT 4TH CORNER NODE" r+4 c-24 w24 h4 i13 : "*geometry_value thick4th"
    float  "%-14.6g"            r=  c+24 w18 h4 i11 :   geometry_value_thick4th

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_geometry_values
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }
 
  popup "3-D SOLID" r+4 c2 w27 h4 i10 dr6 dc36 dw38 dh26 \
      : "*geometry_type heat_three_solid" {

    label "HEAT TRANSFER 3-D SOLID PROPERTIES" r1 c1 w38 h4 i12

    label  "ELEMENT TECHNOLOGY"   r+5 c2 w36 h4 i12
    toggle "CONSTANT TEMPERATURE" r+4 c= w36 h4 i13 \
        : "*geometry_option ctemperature:on / *geometry_option ctemperature:off"

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_geometry_values
    button "OK"    r=  c+24 w12 h10 i13   : *remove_popup

  endpopup }
 
  popup "AXISYMMETRIC SHELL" r+4 c2 w27 h4 i10 dr6 dc36 dw56 dh34 \
      : "*geometry_type heat_axisym_shell" {

    label "HEAT TRANSFER AXISYMMETRIC SHELL PROPERTIES" r1 c1 w56 h4 i12

    label "SHELL THICKNESS" r+5 c2 w54 h4 i12
    group {
      oneonly "CONSTANT" r+4 c= w12 h4 i13 \
            : "*geometry_option shellthick:constant"
      oneonly "VARIABLE" r+4 c= w12 h4 i13 \
            : "*geometry_option shellthick:variable"
    group }
    button "THICKNESS"          r-4 c+12 w24 h4 i13 : "*geometry_value thick"
    float  "%-14.6g"            r=  c+24 w18 h4 i11 :   geometry_value_thick
    button "AT 1ST CORNER NODE" r+4 c-24 w24 h4 i13 : "*geometry_value thick1st"
    float  "%-14.6g"            r=  c+24 w18 h4 i11 :   geometry_value_thick1st
    button "AT 2ND CORNER NODE" r+4 c-24 w24 h4 i13 : "*geometry_value thick2nd"
    float  "%-14.6g"            r=  c+24 w18 h4 i11 :   geometry_value_thick2nd

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_geometry_values
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

  popup "AXISYMMETRIC SOLID" r+4 c2 w27 h4 i10 dr6 dc36 dw38 dh26 \
      : "*geometry_type heat_axisym_solid" {

    label "HEAT TRANSFER AXISYMMETRIC SOLID PROPERTIES" r1 c1 w38 h4 i12

    label "ELEMENT TECHNOLOGY"    r+5 c2 w36 h4 i12
    toggle "CONSTANT TEMPERATURE" r+4 c= w36 h4 i13 \
        : "*geometry_option ctemperature:on / *geometry_option ctemperature:off"

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_geometry_values
    button "OK"    r=  c+24 w12 h10 i13   : *remove_popup

  endpopup }
 
  popup "PLANAR" r+4 c2 w27 h4 i10 dr6 dc36 dw56 dh36 \
      : "*geometry_type heat_planar" {

    label "HEAT TRANSFER PLANAR PROPERTIES" r1 c1 w56 h4 i12

    label  "NORMAL TO PLANE" r+5 c2   w54 h4 i12
    button "THICKNESS"       r+4 c=   w36 h4 i13 : "*geometry_value thick"
    float  "%-14.6g"         r=  c+36 w18 h4 i11 :   geometry_value_thick

    label  "ELEMENT TECHNOLOGY"   r+6 c2 w36 h4 i12
    toggle "CONSTANT TEMPERATURE" r+4 c= w36 h4 i13 \
        : "*geometry_option ctemperature:on / *geometry_option ctemperature:off"

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_geometry_values
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

#include geom_props_sub.m
#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ bsects "BEAM SECTIONS" r1 c1 w32 h4 i12  H120 W128 {

  button "PREV" r6  c1   w8  h4 i13 : *previous_section
  string "%s"   r=  c+8  w16 h4 i11 : section_name
  button "NEXT" r=  c+16 w8  h4 i13 U : *next_section
  button "NEW"  r+4 c1   w8  h4 i13 U : *new_section
  button "NAME" r=  c+8  w8  h4 i13 U : *section_name
  button "REM"  r=  c+8  w8  h4 i13 U : *remove_current_section
  popup  "EDIT" r=  c+8  w8  h4 i10   : *edit_section \
                dr12 dc36 dw48 dh76 {

    label  "CURRENTLY DEFINED BEAM SECTIONS" r1 c1 w48 h76 i12
  
    buttstr "%s" r+4 c+1 w24 h4 i13 : bsect_list_name_0
    buttstr "%s" r+4 c=  w24 h4 i13 : bsect_list_name_1
    buttstr "%s" r+4 c=  w24 h4 i13 : bsect_list_name_2
    buttstr "%s" r+4 c=  w24 h4 i13 : bsect_list_name_3
    buttstr "%s" r+4 c=  w24 h4 i13 : bsect_list_name_4
    buttstr "%s" r+4 c=  w24 h4 i13 : bsect_list_name_5
    buttstr "%s" r+4 c=  w24 h4 i13 : bsect_list_name_6
    buttstr "%s" r+4 c=  w24 h4 i13 : bsect_list_name_7
    buttstr "%s" r+4 c=  w24 h4 i13 : bsect_list_name_8
    buttstr "%s" r+4 c=  w24 h4 i13 : bsect_list_name_9
    buttstr "%s" r+4 c=  w24 h4 i13 : bsect_list_name_10
    buttstr "%s" r+4 c=  w24 h4 i13 : bsect_list_name_11
    buttstr "%s" r+4 c=  w24 h4 i13 : bsect_list_name_12
    buttstr "%s" r+4 c=  w24 h4 i13 : bsect_list_name_13
    buttstr "%s" r+4 c=  w24 h4 i13 : bsect_list_name_14

    button "TOP"  r5  c+26 w8  h4 i13 U : "*pick_list_top(bsect)"  ? top.hlp
    button "UP"   r+4 c=   w8  h4 i13 U : "*pick_list_prev(bsect,7)" ? up.hlp
    button "DOWN" r61 c=   w8  h4 i13 U : "*pick_list_next(bsect,7)" ? down.hlp
    button "OK"   r+6 c=   w16 h8 i13 : "*remove_popup"

  endpopup }

  toggle "SHOW BSECT" r15 c1   w16 h4 i13 : *show_section
  toggle "SHOW MODEL" r=  c+16 w16 h4 i13 : *show_model

  label  "GRID"    r+5 c1   w32 h22 i12
  toggle "ON"      r+1 c+16 w15 h4  i13 : "*set_grid on / *set_grid off"
  button "SPACING" r+4 c-15 w15 h8  i13 :  *set_grid_spacing
  float  "%-13.6g" r=  c+15 w15 h4  i11 :   grid_spacing_u
  float  "%-13.6g" r+4 c=   w15 h4  i11 :   grid_spacing_v
  button "SIZE"    r+4 c-15 w15 h8  i13 :  *set_grid_size
  float  "%-13.6g" r=  c+15 w15 h4  i11 :   grid_size_u
  float  "%-13.6g" r+4 c=   w15 h4  i11 :   grid_size_v

  label   "BRANCHES"      r+6 c1  w32 h30 i12
  integer "%d"            r+1 c17 w15 h4  i11 : section_branches
  button  "ADD LINE"      r+4 c2  w30 h4  i13 : *section_add_line
  button  "ADD ARC"       r+4 c2  w30 h4  i13 : *section_add_arc
  button  "CONVERT CURVE" r+4 c2  w30 h4  i13 : *section_convert_curve
  button  "REMOVE"        r+4 c2  w30 h4  i13 : *section_remove_branch
  button  "EDIT"          r+4 c2  w30 h4  i13 : *section_edit_branch
  button  "CLEAR"         r+4 c2  w30 h4  i13 : *section_clear

  label  "PLOT"           r+7 c1 w32 h18 i12
  toggle "FILLED"         r+5 c2 w30 h4  i13 \
       : "*section_filled on / *section_filled off"
  toggle "BRANCH ID's"    r+4 c2 w30 h4  i13 \
       : "*branch_labels on / *branch_labels off"
  toggle "STRESS PT ID's" r+4 c2 w30 h4  i13 \
       : "*stress_pt_labels on / *stress_pt_labels off"
  

#include standard.m
#include transform.m

endscreen }
