screen ~ init_cond "INITIAL CONDITIONS" r1 c1 w32 h4 i12 H120 W128 {

  label "INITIAL CONDITION TYPE" r6 c1 w32 h13 i12

  newscreen "MECHANICAL"      r+4 c+1 w30 h4  i10 : icond_mechanical
  newscreen "THERMAL"         r+4 c=  w30 h4  i10 : icond_thermal
 
  toggle "ID INITIAL CONDS" r+6 c1 w32 h4 i13 \
       : "*identify_iconds *regen / *identify_none *regen"

#include standard.m
#include transform.m

endscreen }

screen ~ icond_mechanical "MECHANICAL INIT. CONDITIONS" r1 c1 w32 h4 i12 \
         H120 W128 {

  label "INITIAL CONDITION TYPE"  r14  c1 w32 h53 i12

  string "%s" r+4 c+28 w3 h4 i9 : icond_type_displacement
  string "%s" r+4 c=   w3 h4 i9 : icond_type_velocity
  string "%s" r+4 c=   w3 h4 i9 : icond_type_stress
  string "%s" r+4 c=   w3 h4 i9 : icond_type_plastic_strain
  string "%s" r+4 c=   w3 h4 i9 : icond_type_pore_pressure
  string "%s" r+4 c=   w3 h4 i9 : icond_type_preconsolidation
  string "%s" r+4 c=   w3 h4 i9 : icond_type_porosity
  string "%s" r+4 c=   w3 h4 i9 : icond_type_void_ratio
  string "%s" r+4 c=   w3 h4 i9 : icond_type_state_variable
  string "%s" r+4 c=   w3 h4 i9 : icond_type_relative_density
  string "%s" r+4 c=   w3 h4 i9 : icond_type_nodal_temperature
  string "%s" r+4 c=   w3 h4 i9 : icond_type_point_mass
 
  popup "DISPLACEMENT" r-44 c2 w27 h4 i10 dr14 dc36 dw40 dh56 \
      : "*icond_type displacement" {

    label "DISPLACEMENT" r1 c1 w40 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"  r+4 c= w20 h4 i13 : *set_icond_entered
     oneonly "USER SUB. USINC" r+4 c= w20 h4 i13 : *set_icond_usersub
    endgroup }
 
    toggle "ON" r+6 c2 w6 h4 i13 : "*icond_dof x / *clear_icond_dof x"
    button "X DISPLACE" r= c+6  w14 h4 i13 U : "*icond_value x"
    float  "%-14.6g"    r= c+14 w18 h4 i11   :   icond_value_x
 
    toggle "ON" r+4 c2 w6 h4 i13 : "*icond_dof y / *clear_icond_dof y"
    button "Y DISPLACE" r= c+6  w14 h4 i13 U : "*icond_value y"
    float  "%-14.6g"    r= c+14 w18 h4 i11   :   icond_value_y
 
    toggle "ON" r+4 c2 w6 h4 i13 : "*icond_dof z / *clear_icond_dof z"
    button "Z DISPLACE" r= c+6  w14 h4 i13 U : "*icond_value z"
    float  "%-14.6g"    r= c+14 w18 h4 i11   :   icond_value_z
 
    toggle "ON" r+4 c2 w6 h4 i13 : "*icond_dof rx / *clear_icond_dof rx"
    button "X ROTATION" r= c+6  w14 h4 i13 U : "*icond_value rx"
    float  "%-14.6g"    r= c+14 w18 h4 i11   :   icond_value_rx
 
    toggle "ON" r+4 c2 w6 h4 i13 : "*icond_dof ry / *clear_icond_dof ry"
    button "Y ROTATION" r= c+6  w14 h4 i13 U : "*icond_value ry"
    float  "%-14.6g"    r= c+14 w18 h4 i11   :   icond_value_ry
 
    toggle "ON" r+4 c2 w6 h4 i13 : "*icond_dof rz / *clear_icond_dof rz"
    button "Z ROTATION" r= c+6  w14 h4 i13 U : "*icond_value rz"
    float  "%-14.6g"    r= c+14 w18 h4 i11   :   icond_value_rz

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_icond
    button "OK"    r=  c+26 w12 h10 i13   : *remove_popup
 
  endpopup }
 
  popup "VELOCITY" r+4 c= w27 h4 i10 dr14 dc36 dw40 dh56 \
      : "*icond_type velocity" {

    label "VELOCITY" r1 c1 w40 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"  r+4 c= w20 h4 i13 : *set_icond_entered
     oneonly "USER SUB. USINC" r+4 c= w20 h4 i13 : *set_icond_usersub
    endgroup }
 
    toggle "ON" r+6 c2 w6 h4 i13 : "*icond_dof x / *clear_icond_dof x"
    button "X LINEAR" r= c+6  w14 h4 i13 U : "*icond_value x"
    float  "%-14.6g"  r= c+14 w18 h4 i11   :   icond_value_x
 
    toggle "ON" r+4 c2 w6 h4 i13 : "*icond_dof y / *clear_icond_dof y"
    button "Y LINEAR" r= c+6  w14 h4 i13 U : "*icond_value y"
    float  "%-14.6g"  r= c+14 w18 h4 i11   :   icond_value_y
 
    toggle "ON" r+4 c2 w6 h4 i13 : "*icond_dof z / *clear_icond_dof z"
    button "Z LINEAR" r= c+6  w14 h4 i13 U : "*icond_value z"
    float  "%-14.6g"  r= c+14 w18 h4 i11   :   icond_value_z
 
    toggle "ON" r+4 c2 w6 h4 i13 : "*icond_dof thx / *clear_icond_dof thx"
    button "X ANGULAR" r= c+6  w14 h4 i13 U : "*icond_value thx"
    float  "%-14.6g"   r= c+14 w18 h4 i11   :   icond_value_thx
 
    toggle "ON" r+4 c2 w6 h4 i13 : "*icond_dof thy / *clear_icond_dof thy"
    button "Y ANGULAR" r= c+6  w14 h4 i13 U : "*icond_value thy"
    float  "%-14.6g"   r= c+14 w18 h4 i11   :   icond_value_thy
 
    toggle "ON" r+4 c2 w6 h4 i13 : "*icond_dof thz / *clear_icond_dof thz"
    button "Z ANGULAR" r= c+6  w14 h4 i13 U : "*icond_value thz"
    float  "%-14.6g"   r= c+14 w18 h4 i11   :   icond_value_thz

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_icond
    button "OK"    r=  c+26 w12 h10 i13   : *remove_popup
 
  endpopup }
 
  popup "STRESS" r+4 c= w27 h4 i10 dr14 dc36 dw40 dh70 : "*icond_type stress" {

    label "STRESS" r1 c1 w40 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_icond_entered
     oneonly "USER SUB. UINSTR" r+4 c= w20 h4 i13 : *set_icond_usersub
    endgroup }
 
    toggle "ON"       r+6 c2  w6  h4 i13 : "*icond_dof s1 / *clear_icond_dof s1"
    button "STRESS 1" r= c+6  w14 h4 i13 U : "*icond_value s1"
    float  "%-14.6g"  r= c+14 w18 h4 i11   :   icond_value_s1
 
    toggle "ON"       r+4 c2  w6  h4 i13 : "*icond_dof s2 / *clear_icond_dof s2"
    button "STRESS 2" r= c+6  w14 h4 i13 U : "*icond_value s2"
    float  "%-14.6g"  r= c+14 w18 h4 i11   :   icond_value_s2
 
    toggle "ON"       r+4 c2  w6  h4 i13 : "*icond_dof s3 / *clear_icond_dof s3"
    button "STRESS 3" r= c+6  w14 h4 i13 U : "*icond_value s3"
    float  "%-14.6g"  r= c+14 w18 h4 i11   :   icond_value_s3
 
    toggle "ON"       r+4 c2  w6  h4 i13 : "*icond_dof s4 / *clear_icond_dof s4"
    button "STRESS 4" r= c+6  w14 h4 i13 U : "*icond_value s4"
    float  "%-14.6g"  r= c+14 w18 h4 i11   :   icond_value_s4
 
    toggle "ON"       r+4 c2  w6  h4 i13 : "*icond_dof s5 / *clear_icond_dof s5"
    button "STRESS 5" r= c+6  w14 h4 i13 U : "*icond_value s5"
    float  "%-14.6g"  r= c+14 w18 h4 i11   :   icond_value_s5
 
    toggle "ON"       r+4 c2  w6  h4 i13 : "*icond_dof s6 / *clear_icond_dof s6"
    button "STRESS 6" r= c+6  w14 h4 i13 U : "*icond_value s6"
    float  "%-14.6g"  r= c+14 w18 h4 i11   :   icond_value_s6

    button "LAYERS" r+6 c2  w8  h4  i13 U : *icond_layers
    button "ALL"    r+4 c=  w8  h4  i13 U : *icond_all_layers
    button "CLEAR"  r+4 c=  w8  h4  i13 U : *clear_icond_layers
    string "%s"     r-8 c+8 w30 h12 i11   :  icond_layers

    button "CLEAR" r+14 c2   w12 h10 i13 U : *clear_current_icond
    button "OK"    r=   c+26 w12 h10 i13   : *remove_popup
 
  endpopup }
 
  popup "PLASTIC STRAIN" r+4 c= w27 h4 i10 dr14 dc36 dw40 dh50 \
      : "*icond_type plastic_strain" {

    label "EQUIVALENT PLASTIC STRAIN" r1 c1 w40 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_icond_entered
     oneonly "USER SUB. INITPL" r+4 c= w20 h4 i13 : *set_icond_usersub
    endgroup }
 
    toggle "ON"       r+6 c2  w6  h4 i13   : "*icond_dof e / *clear_icond_dof e"
    button "STRAIN"   r= c+6  w14 h4 i13 U : "*icond_value e"
    float  "%-14.6g"  r= c+14 w18 h4 i11   :   icond_value_e

    button "LAYERS" r+6 c2  w8  h4  i13 U : *icond_layers
    button "ALL"    r+4 c=  w8  h4  i13 U : *icond_all_layers
    button "CLEAR"  r+4 c=  w8  h4  i13 U : *clear_icond_layers
    string "%s"     r-8 c+8 w30 h12 i11   :  icond_layers

    button "CLEAR" r+14 c2   w12 h10 i13 U : *clear_current_icond
    button "OK"    r=   c+26 w12 h10 i13   : *remove_popup
 
  endpopup }
 
  popup "PORE PRESSURE" r+4 c= w27 h4 i10 dr14 dc36 dw40 dh50 \
      : "*icond_type pore_pressure" {

    label "PORE PRESSURE" r1 c1 w40 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_icond_entered
     oneonly "USER SUB. INITPO" r+4 c= w20 h4 i13 : *set_icond_usersub
    endgroup }
 
    toggle "ON"       r+6 c2  w6  h4 i13   : "*icond_dof p / *clear_icond_dof p"
    button "PRESSURE" r= c+6  w14 h4 i13 U : "*icond_value p"
    float  "%-14.6g"  r= c+14 w18 h4 i11   :   icond_value_p

    button "LAYERS" r+6 c2  w8  h4  i13 U : *icond_layers
    button "ALL"    r+4 c=  w8  h4  i13 U : *icond_all_layers
    button "CLEAR"  r+4 c=  w8  h4  i13 U : *clear_icond_layers
    string "%s"     r-8 c+8 w30 h12 i11   :  icond_layers

    button "CLEAR" r+14 c2   w12 h10 i13 U : *clear_current_icond
    button "OK"    r=   c+26 w12 h10 i13   : *remove_popup
 
  endpopup }
 
  popup "PRECONSOLIDATION" r+4 c= w27 h4 i10 dr14 dc36 dw40 dh36 \
      : "*icond_type preconsolidation" {

    label "PRECONSOLIDATION PRESSURE" r1 c1 w40 h4 i12
 
    toggle "ON"       r+5 c2  w6  h4 i13 : "*icond_dof pc / *clear_icond_dof pc"
    button "PRESSURE" r= c+6  w14 h4 i13 U : "*icond_value pc"
    float  "%-14.6g"  r= c+14 w18 h4 i11   :   icond_value_pc

    button "LAYERS" r+6 c2  w8  h4  i13 U : *icond_layers
    button "ALL"    r+4 c=  w8  h4  i13 U : *icond_all_layers
    button "CLEAR"  r+4 c=  w8  h4  i13 U : *clear_icond_layers
    string "%s"     r-8 c+8 w30 h12 i11   :  icond_layers

    button "CLEAR" r+14 c2   w12 h10 i13 U : *clear_current_icond
    button "OK"    r=   c+26 w12 h10 i13   : *remove_popup
 
  endpopup }
 
  popup "POROSITY" r+4 c= w27 h4 i10 dr14 dc36 dw40 dh36 \
      : "*icond_type porosity" {

    label "POROSITY" r1 c1 w40 h4 i12
 
    toggle "ON"       r+5 c2  w6  h4 i13   : "*icond_dof p / *clear_icond_dof p"
    button "POROSITY" r= c+6  w14 h4 i13 U : "*icond_value p"
    float  "%-14.6g"  r= c+14 w18 h4 i11   :   icond_value_p

    button "LAYERS" r+6 c2  w8  h4  i13 U : *icond_layers
    button "ALL"    r+4 c=  w8  h4  i13 U : *icond_all_layers
    button "CLEAR"  r+4 c=  w8  h4  i13 U : *clear_icond_layers
    string "%s"     r-8 c+8 w30 h12 i11   :  icond_layers

    button "CLEAR" r+14 c2   w12 h10 i13 U : *clear_current_icond
    button "OK"    r=   c+26 w12 h10 i13   : *remove_popup
 
  endpopup }
 
  popup "VOID RATIO" r+4 c= w27 h4 i10 dr14 dc36 dw40 dh50 \
      : "*icond_type void_ratio" {

    label "VOID RATIO" r1 c1 w40 h4 i12
 
    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"  r+4 c= w20 h4 i13 : *set_icond_entered
     oneonly "USER SUB. UVOID" r+4 c= w20 h4 i13 : *set_icond_usersub
    endgroup }

    toggle "ON"         r+6 c2   w6  h4 i13   \
         : "*icond_dof vr / *clear_icond_dof vr"
    button "VOID RATIO" r=  c+6  w14 h4 i13 U : "*icond_value vr"
    float  "%-14.6g"    r=  c+14 w18 h4 i11   :   icond_value_vr

    button "LAYERS" r+6 c2  w8  h4  i13 U : *icond_layers
    button "ALL"    r+4 c=  w8  h4  i13 U : *icond_all_layers
    button "CLEAR"  r+4 c=  w8  h4  i13 U : *clear_icond_layers
    string "%s"     r-8 c+8 w30 h12 i11   :  icond_layers

    button "CLEAR" r+14 c2   w12 h10 i13 U : *clear_current_icond
    button "OK"    r=   c+26 w12 h10 i13   : *remove_popup
 
  endpopup }
 
  popup "STATE VARIABLE" r+4 c= w27 h4 i10 dr14 dc36 dw40 dh74 \
      : "*icond_type state_variable" {

    label "STATE VARIABLE" r1 c1 w40 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
      oneonly "ENTERED VALUES"   r+4 c= w20 h4 i13 : *set_icond_entered
      oneonly "USER SUB. INITSV" r+4 c= w20 h4 i13 : *set_icond_usersub
      oneonly "POST FILE"        r+4 c= w20 h4 i13 : *set_icond_post_tape
    endgroup }

    button  "STATE VARIABLE ID" r+6 c2   w20 h4 i13 : *icond_variable
    integer "%-d"               r=  c+20 w18 h4 i11 :  icond_variable
 
    toggle "ON"     r+6 c2  w6  h4 i13 : "*icond_dof var / *clear_icond_dof var"
    button "VALUE"   r= c+6  w14 h4 i13 U : "*icond_value var"
    float  "%-14.6g" r= c+14 w18 h4 i11   :   icond_value_var

    button "LAYERS" r+6 c2  w8  h4  i13 U : *icond_layers
    button "ALL"    r+4 c=  w8  h4  i13 U : *icond_all_layers
    button "CLEAR"  r+4 c=  w8  h4  i13 U : *clear_icond_layers
    string "%s"     r-8 c+8 w30 h12 i11   :  icond_layers

    button "POST FILE" r+14 c2 w14 h4 i13 : *icond_post_file
    group {
      oneonly "FORMATTED" r= c+14 w12 h4 i13 : "*set_icond_post_formatted on"
      oneonly "BINARY"    r= c+12 w12 h4 i13 : "*set_icond_post_formatted off"
    endgroup }
    string "%s"        r+4 c-26 w38 h4 i11 :  icond_post_file
    button "INCREMENT" r+4 c=   w20 h4 i13 : *icond_post_increment
    integer"%-d"       r=  c+20 w18 h4 i11 :  icond_post_increment

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_icond
    button "OK"    r=  c+26 w12 h10 i13   : *remove_popup
 
  endpopup }
 
  popup "RELATIVE DENSITY" r+4 c= w27 h4 i10 dr14 dc36 dw40 dh22 \
      : "*icond_type relative_density" {

    label "RELATIVE DENSITY" r1 c1 w40 h4 i12
 
    toggle "ON"      r+5 c2   w6  h4 i13 : "*icond_dof rd / *clear_icond_dof rd"
    button "DENSITY" r=  c+6  w14 h4 i13 U : "*icond_value rd"
    float  "%-14.6g" r=  c+14 w18 h4 i11   :   icond_value_rd

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_icond
    button "OK"    r=  c+26 w12 h10 i13   : *remove_popup
 
  endpopup }
 
  popup "NODAL TEMPERATURE" r+4 c= w27 h4 i10 dr14 dc36 dw40 dh36 \
      : "*icond_type nodal_temperature" {

    label "NODAL TEMPERATURE" r1 c1 w40 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"  r+4 c= w20 h4 i13 : *set_icond_entered
     oneonly "USER SUB. USINC" r+4 c= w20 h4 i13 : *set_icond_usersub
    endgroup }
 
    toggle "ON"       r+5 c2   w6  h4 i13  : "*icond_dof t / *clear_icond_dof t"
    button "TEMPERATURE" r=  c+6  w14 h4 i13 U : "*icond_value t"
    float  "%-14.6g"     r=  c+14 w18 h4 i11   :   icond_value_t

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_icond
    button "OK"    r=  c+26 w12 h10 i13   : *remove_popup
 
  endpopup }
 
  popup "POINT MASS" r+4 c= w27 h4 i10 dr14 dc36 dw40 dh42 \
      : "*icond_type point_mass" {

    label "POINT MASS" r1 c1 w40 h4 i12
 
    toggle "ON"       r+5 c2   w6  h4 i13 \
         : "*icond_dof x / *clear_icond_dof x"
    button "X LINEAR" r=  c+6  w14 h4 i13 U : "*icond_value x"
    float  "%-14.6g"  r=  c+14 w18 h4 i11   :   icond_value_x
 
    toggle "ON"       r+4 c2   w6  h4 i13 \
         : "*icond_dof y / *clear_icond_dof y"
    button "Y LINEAR" r=  c+6  w14 h4 i13 U : "*icond_value y"
    float  "%-14.6g"  r=  c+14 w18 h4 i11   :   icond_value_y
 
    toggle "ON"       r+4 c2   w6  h4 i13 \
         : "*icond_dof z / *clear_icond_dof z"
    button "Z LINEAR" r=  c+6  w14 h4 i13 U : "*icond_value z"
    float  "%-14.6g"  r=  c+14 w18 h4 i11   :   icond_value_z
 
    toggle "ON"        r+4 c2   w6  h4 i13 \
         : "*icond_dof thx / *clear_icond_dof thx"
    button "X ANGULAR" r=  c+6  w14 h4 i13 U : "*icond_value thx"
    float  "%-14.6g"   r=  c+14 w18 h4 i11   :   icond_value_thx
 
    toggle "ON"        r+4 c2   w6  h4 i13 \
         : "*icond_dof thy / *clear_icond_dof thy"
    button "Y ANGULAR" r=  c+6  w14 h4 i13 U : "*icond_value thy"
    float  "%-14.6g"   r=  c+14 w18 h4 i11   :   icond_value_thy
 
    toggle "ON"        r+4 c2   w6  h4 i13 \
         : "*icond_dof thz / *clear_icond_dof thz"
    button "Z ANGULAR" r=  c+6  w14 h4 i13 U : "*icond_value thz"
    float  "%-14.6g"   r=  c+14 w18 h4 i11   :   icond_value_thz

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_icond
    button "OK"    r=  c+26 w12 h10 i13   : *remove_popup
 
  endpopup }

#include icond_sub.m
#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ icond_thermal "THERMAL INIT. CONDITIONS" r1 c1 w32 h4 i12 H120 W128 {

  label "INITIAL CONDITION TYPE" r14 c1 w32 h9 i12

  string "%s" r+4 c+28 w3 h4 i9 : icond_type_temperature

  popup "TEMPERATURE" r= c2 w27 h4 i10 dr14 dc36 dw50 dh48 \
      : "*icond_type temperature" {

    label "TEMPERATURE" r1 c1 w50 h4 i12

    label "METHOD" r+5 c2 w20 h4 i12
    group {
     oneonly "ENTERED VALUES"  r+4 c= w20 h4 i13 : *set_icond_entered
     oneonly "USER SUB. USINC" r+4 c= w20 h4 i13 : *set_icond_usersub
    endgroup }
 
    toggle "ON" r+6 c2 w6 h4 i13 : "*icond_dof t / *clear_icond_dof t"
    button "TEMPERATURE (TOP)" r= c+6  w24 h4 i13 U : "*icond_value t"
    float  "%-14.6g"     r= c+24 w18 h4 i11   :   icond_value_t
 
    label  "SHELL ELEMENTS" r+4 c2 w48 h4 i12
    toggle "ON" r+4 c2 w6 h4 i13 : "*icond_dof tbot / *clear_icond_dof tbot"

    button "BOTTOM TEMPERATURE" r= c+6  w24 h4 i13 U : "*icond_value tbot"
    float  "%-14.6g"  r= c+24 w18 h4 i11   :   icond_value_tbot
 
    toggle "ON" r+4 c2 w6 h4 i13 : "*icond_dof tmid / *clear_icond_dof tmid"
    button "MIDDLE TEMPERATURE" r= c+6  w24 h4 i13 U : "*icond_value tmid"
    float  "%-14.6g"     r= c+24 w18 h4 i11   :   icond_value_tmid

    button "CLEAR" r+6 c2   w12 h10 i13 U : *clear_current_icond
    button "OK"    r=  c+36 w12 h10 i13   : *remove_popup

  endpopup }

#include icond_sub.m
#include select_std.m
#include standard.m
#include transform.m

endscreen }
