# dw70 dh94

label "ISOTROPIC PLASTICITY PROPERTIES" r1 c1 w70 h4 i12

label "METHOD" r+5 c2 w26 h4 i12
group {
  oneonly "ENTERED VALUES"  r+4 c= w26 h4 i13 \
        : "*material_option plasticity:method:default"
  oneonly "USER SUB. WKSLP" r+4 c= w26 h4 i13 \
        : "*material_option plasticity:method:usersub"
endgroup }

label "YIELD SURFACE" r+6 c2 w50 h4 i12
group {
  oneonly "VON MISES"                r+4  c=   w25 h4 i13 \
        : "*material_option plasticity:yield:von_mises"
  oneonly "LINEAR MOHR-COULOMB"      r+4  c=   w25 h4 i13 \
        : "*material_option plasticity:yield:linear_mohr_coulomb"
  oneonly "PARABOLIC MOHR-COULOMB"   r+4  c=   w25 h4 i13 \
        : "*material_option plasticity:yield:parabolic_mohr_coulomb"
  oneonly "BUYUKOZTURK CONCRETE"     r+4  c=   w25 h4 i13 \
        : "*material_option plasticity:yield:buyukozturk_concrete"
  oneonly "GENERALIZED PLASTICITY"   r+4  c=   w25 h4 i13 \
        : "*material_option plasticity:yield:general_plasticity"
  oneonly "OAK RIDGE NATION. LAB"    r-16 c+25 w25 h4 i13 \
        : "*material_option plasticity:yield:normal_ornl"
  oneonly "2-1/4 CR-MO ORNL"         r+4  c=   w25 h4 i13 \
        : "*material_option plasticity:yield:crmo_ornl"
  oneonly "REVERSED PLASTICITY ORNL" r+4  c=   w25 h4 i13 \
        : "*material_option plasticity:yield:rev_plas_ornl"
  oneonly "FULL ALPHA RESET ORNL"    r+4  c=   w25 h4 i13 \
        : "*material_option plasticity:yield:alpha_reset_ornl"
endgroup }

label "HARDENING RULE" r-16 c+27 w16 h4 i12
group {
  oneonly "ISOTROPIC" r+4 c= w16 h4 i13 \
        : "*material_option plasticity:hardening:isotropic"
  oneonly "KINEMATIC" r+4 c= w16 h4 i13 \
        : "*material_option plasticity:hardening:kinematic"
  oneonly "COMBINED"  r+4 c= w16 h4 i13 \
        : "*material_option plasticity:hardening:combined"
endgroup }

button "INITIAL YIELD STRESS" r+14 c2   w26 h4 i13 \
     : "*material_value plasticity:yield_stress"
float  "%-13.4g"              r=   c+26 w18 h4 i11 \
     :   material_value_plasticity:yield_stress
popup "TABLE 1" r= c+18 w10 h4 i13 dr15 dc36 dw84 dh75 \
     : "*material_table plasticity:yield_stress0" {
##include sel_table.m
  label  "CURRENTLY DEFINED TABLES" r1 c1 w84 h75 i12

  buttstr "%s" r+4 c+1  w54 h4 i13 : table_list_name_0
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_0
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_1
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_1
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_2
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_2
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_3
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_3
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_4
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_4
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_5
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_5
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_6
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_6
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_7
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_7
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_8
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_8
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_9
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_9
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_10
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_10
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_11
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_11
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_12
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_12
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_13
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_13
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_14
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_14

  button "TOP"    r-56 c+20 w8  h4 i13 U : "*pick_list_top(table)"  ? top.hlp
  button "UP"     r+4  c=   w8  h4 i13 U : "*pick_list_prev(table,7)" ? up.hlp
  button "DOWN"   r+52 c=   w8  h4 i13 U : "*pick_list_next(table,7)" ? down.hlp
  button "OK"     r+6  c72  w12 h8 i13   :  *remove_popup
  button "CLEAR" r67 c2 w12 h8 i13 \
       : "*clear_material_table plasticity:yield_stress0"
endpopup }
string "%s"      r=  c+10 w14 h4 i11 : material_table_plasticity:yield_stress0
popup  "      2" r+4 c-10 w10 h4 i13 dr15 dc36 dw84 dh75 \
    : "*material_table plasticity:yield_stress1" {
##include sel_table.m
  label  "CURRENTLY DEFINED TABLES" r1 c1 w84 h75 i12

  buttstr "%s" r+4 c+1  w54 h4 i13 : table_list_name_0
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_0
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_1
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_1
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_2
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_2
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_3
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_3
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_4
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_4
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_5
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_5
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_6
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_6
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_7
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_7
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_8
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_8
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_9
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_9
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_10
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_10
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_11
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_11
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_12
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_12
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_13
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_13
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_14
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_14

  button "TOP"    r-56 c+20 w8  h4 i13 U : "*pick_list_top(table)"  ? top.hlp
  button "UP"     r+4  c=   w8  h4 i13 U : "*pick_list_prev(table,7)" ? up.hlp
  button "DOWN"   r+52 c=   w8  h4 i13 U : "*pick_list_next(table,7)" ? down.hlp
  button "OK"     r+6  c72  w12 h8 i13   :  *remove_popup
  button "CLEAR" r67 c2 w12 h8 i13 \
       : "*clear_material_table plasticity:yield_stress1"
endpopup }
string "%s"      r=  c+10 w14 h4 i11 : material_table_plasticity:yield_stress1
popup  "      3" r+4 c-10 w10 h4 i13 dr15 dc36 dw84 dh75 \
    : "*material_table plasticity:yield_stress2" {
##include sel_table.m
  label  "CURRENTLY DEFINED TABLES" r1 c1 w84 h75 i12

  buttstr "%s" r+4 c+1  w54 h4 i13 : table_list_name_0
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_0
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_1
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_1
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_2
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_2
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_3
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_3
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_4
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_4
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_5
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_5
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_6
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_6
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_7
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_7
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_8
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_8
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_9
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_9
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_10
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_10
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_11
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_11
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_12
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_12
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_13
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_13
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_14
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_14

  button "TOP"    r-56 c+20 w8  h4 i13 U : "*pick_list_top(table)"  ? top.hlp
  button "UP"     r+4  c=   w8  h4 i13 U : "*pick_list_prev(table,7)" ? up.hlp
  button "DOWN"   r+52 c=   w8  h4 i13 U : "*pick_list_next(table,7)" ? down.hlp
  button "OK"     r+6  c72  w12 h8 i13   :  *remove_popup
  button "CLEAR" r67 c2 w12 h8 i13 \
       : "*clear_material_table plasticity:yield_stress2"
endpopup }
string "%s" r= c+10 w14 h4 i11 : material_table_plasticity:yield_stress2

label "OAK RIDGE NATIONAL LAB MODEL" r+6 c2 w68 h4 i12

button "10TH CYCLE YIELD STRESS" r+4 c=   w26 h4 i13 \
     : "*material_value plasticity:yield_stress_10"
float  "%-13.4g"                 r=  c+26 w18 h4 i11 \
     :   material_value_plasticity:yield_stress_10
popup "TABLE 1" r= c+18 w10 h4 i13 dr15 dc36 dw84 dh75 \
    : "*material_table plasticity:yield_stress_100" {
##include sel_table.m
  label  "CURRENTLY DEFINED TABLES" r1 c1 w84 h75 i12

  buttstr "%s" r+4 c+1  w54 h4 i13 : table_list_name_0
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_0
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_1
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_1
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_2
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_2
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_3
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_3
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_4
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_4
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_5
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_5
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_6
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_6
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_7
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_7
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_8
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_8
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_9
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_9
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_10
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_10
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_11
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_11
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_12
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_12
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_13
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_13
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_14
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_14

  button "TOP"    r-56 c+20 w8  h4 i13 U : "*pick_list_top(table)"  ? top.hlp
  button "UP"     r+4  c=   w8  h4 i13 U : "*pick_list_prev(table,7)" ? up.hlp
  button "DOWN"   r+52 c=   w8  h4 i13 U : "*pick_list_next(table,7)" ? down.hlp
  button "OK"     r+6  c72  w12 h8 i13   :  *remove_popup
  button "CLEAR" r67 c2 w12 h8 i13 \
       : "*clear_material_table plasticity:yield_stress_100"
endpopup }
string "%s"      r=  c+10 w14 h4 i11 \
     :   material_table_plasticity:yield_stress_100
popup  "      2" r+4 c-10 w10 h4 i13 dr15 dc36 dw84 dh75 \
     : "*material_table plasticity:yield_stress_101" {
##include sel_table.m
  label  "CURRENTLY DEFINED TABLES" r1 c1 w84 h75 i12

  buttstr "%s" r+4 c+1  w54 h4 i13 : table_list_name_0
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_0
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_1
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_1
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_2
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_2
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_3
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_3
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_4
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_4
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_5
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_5
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_6
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_6
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_7
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_7
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_8
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_8
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_9
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_9
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_10
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_10
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_11
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_11
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_12
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_12
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_13
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_13
  buttstr "%s" r+4 c-54 w54 h4 i13 : table_list_name_14
  string  "%s" r=  c+54 w18 h4 i11 : table_list_type_14

  button "TOP"    r-56 c+20 w8  h4 i13 U : "*pick_list_top(table)"  ? top.hlp
  button "UP"     r+4  c=   w8  h4 i13 U : "*pick_list_prev(table,7)" ? up.hlp
  button "DOWN"   r+52 c=   w8  h4 i13 U : "*pick_list_next(table,7)" ? down.hlp
  button "OK"     r+6  c72  w12 h8 i13   :  *remove_popup
  button "CLEAR" r67 c2 w12 h8 i13 \
       : "*clear_material_table plasticity:yield_stress_101"
endpopup }
string "%s" r= c+10 w14 h4 i11 : material_table_plasticity:yield_stress_101

label "MOHR-COULOMB & BUYUKOZTURK" r+6 c2 w44 h4 i12

button "ALPHA/BETA" r+4 c=   w26 h4 i13 : "*material_value plasticity:alpha_beta"
float  "%-13.4g"    r=  c+26 w18 h4 i11 :   material_value_plasticity:alpha_beta

button "RESET"  r+6 c2   w12 h10 i13 \
     : "*material_reset plasticity"
button "REMOVE" r=  c>28 w12 h10 i13 \
     : "*remove_popup *material_remove_type plasticity"
button "OK"     r=  c+56 w12 h10 i13 :  *remove_popup
