# dw38 dh80

label "JOB PARAMETERS" r1 c1 w38 h4 i12

label "MARC VERSION" r+5 c2 w18 h4 i12
group {
  scroll "MARC K6.2" r= c+18 w18 h4 i13 : "*job_option version:k5"
  scroll "MARC K5"   r= c=   w18 h4 i13 : "*job_option version:k4"
  scroll "MARC K4"   r= c=   w18 h4 i13 : "*job_option version:k6"
endgroup }

button  "MEMORY ALLOCATION" r+6 c2   w24 h4 i13 : "*job_param memory"
integer "%-d"               r=  c+24 w12 h4 i11 :   job_param_memory

toggle "ELEMENT STORAGE (ELSTO)" r+4 c2 w36 h4 i13 \
     : "*job_option elsto:on / *job_option elsto:off"

toggle "BANDWIDTH OPTIMIZATION" r+4 c2 w36 h4 i13 \
     : "*job_option band_opt:on / *job_option band_opt:off"

button  "# SHELL/BEAM LAYERS" r+4 c2   w24 h4 i13 : "*job_param layers"
integer "%-d"                 r=  c+24 w12 h4 i11 :   job_param_layers

label "STATE STORAGE" r+6 c2 w36 h4 i12
group {
  oneonly "ALL POINTS" r+4 c=   w18 h4 i13 : "*job_option storage:all"
  oneonly "CENTROID"   r=  c+18 w18 h4 i13 : "*job_option storage:centroid"
endgroup }

popup "SOLVER" r+6 c2 w36 h4 i10 dr13 dc46 dw76 dh82 \
      ? job_solver.hlp {
#include job_solver.m
endpopup }

label  "RESTART" r+6 c2   w18 h4 i12
button "FILE"    r=  c+18 w18 h4 i13 : *job_restart_file
string "%s"      r+4 c-18 w36 h4 i11 :  job_restart_file
group {
  scroll "OFF"          r+4 c= w18 h4 i13 : "*job_option restart:on"
  scroll "RESTART ON"   r=  c= w18 h4 i13 : "*job_option restart:last"
  scroll "RESTART LAST" r=  c= w18 h4 i13 : "*job_option restart:off"
endgroup }
group {
  scroll "WRITE"      r= c+18 w18 h4 i13 : "*job_option access:read"
  scroll "READ"       r= c=   w18 h4 i13 : "*job_option access:both"
  scroll "READ/WRITE" r= c=   w18 h4 i13 : "*job_option access:write"
endgroup }

button  "WRITE INCR FREQUENCY" r+4 c-18 w24 h4 i13 : "*job_param restart"
integer "%-d"                  r=  c+24 w12 h4 i11 :   job_param_restart
button  "READ START INCR"      r+4 c-24 w24 h4 i13 : "*job_param start"
integer "%-d"                  r=  c+24 w12 h4 i11 :   job_param_start
toggle  "REAUTO"              r+4 c-24 w18 h4 i13 \
      : "*job_option reauto:on / *job_option reauto:off"
popup   "CONDITIONS"          r=  c+18 w18 h4 i10 dr13 dc46 dw52 dh44 \
      : "*job_option reauto:on" {

  label "REAUTO CONDITIONS" r1 c1 w52 h4 i12

  button "TIME STEP (DYNAMIC ANALYSIS)" \
		       r+5 c2   w32 h4 i13 : "*job_param reauto_time"
  float   "%-14.6g"    r=  c+32 w18 h4 i11 :   job_param_reauto_time
  button  "END TIME"   r+4 c-32 w32 h4 i13 : "*job_param reauto_end"
  float   "%-14.6g"    r=  c+32 w18 h4 i11 :   job_param_reauto_end
  button  "# STEPS"    r+4 c-32 w32 h4 i13 : "*job_param reauto_steps"
  integer "%-d"        r=  c+32 w18 h4 i11 :   job_param_reauto_steps
  button  "REASSEMBLY INTERVAL" \
		       r+4 c-32 w32 h4 i13 : "*job_param reauto_reassem"
  integer "%-d"        r=  c+32 w18 h4 i11 :   job_param_reauto_reassem
  button  "# RECYCLES" r+4 c-32 w32 h4 i13 : "*job_param reauto_recycles"
  integer "%-d"        r=  c+32 w18 h4 i11 :   job_param_reauto_recycles
  button  "MAX STEP SIZE" \
                       r+4 c-32 w32 h4 i13 : "*job_param reauto_maxstep"
  float   "%-14.6g"    r=  c+32 w18 h4 i11 :   job_param_reauto_maxstep
  button  "% OF TOTAL LOAD" \
		       r+4 c-32 w32 h4 i13 : "*job_param reauto_percent"
  float   "%-14.6g"    r=  c+32 w18 h4 i11 :   job_param_reauto_percent

  button "OK" r+6 c20 w12 h8 i13 : *remove_popup
endpopup }

button "OK" r+6 c13 w12 h8 i13 : *remove_popup
