screen ~ loadcase "LOADCASE" r1 c1 w32 h4 i12 H120 W128 {

  label "MECHANICAL ANALYSES" r15 c1 w32 h37 i12

  string "%s" r+4 c+28 w3 h4 i9 : loadcase_type_static
  string "%s" r+4 c=   w3 h4 i9 : loadcase_type_buckle
  string "%s" r+4 c=   w3 h4 i9 : loadcase_type_creep
  string "%s" r+4 c=   w3 h4 i9 : loadcase_type_dynamic_modal
  string "%s" r+4 c=   w3 h4 i9 : loadcase_type_dynamic_transient
  string "%s" r+4 c=   w3 h4 i9 : loadcase_type_dynamic_harmonic
  string "%s" r+4 c=   w3 h4 i9 : loadcase_type_spectrum
  string "%s" r+4 c=   w3 h4 i9 : loadcase_type_rpflow

  popup "STATIC" r-28 c2 w27 h4 i10 dr6 dc36 dw56 dh70 \
      : "*loadcase_type static" {

    label "MECHANICAL STATIC PARAMETERS" r1 c1 w56 h4 i12

    popup "LOADS" r+5 c2 w36 h4 i10 dr9 dc42 dw62 dh86 ? lcase_loads.hlp {

#include sel_loads1.m

    endpopup }

    popup "SOLUTION CONTROL" r+4 c2 w36 h4 i10 dr9 dc42 dw80 dh78 \
          ? lcase_solution.hlp {

#include solcont.m

    endpopup }

    popup "CONVERGENCE TESTING" r+4 c2 w36 h4 i10 dr1 dc42 dw80 dh116 \
          ? lcase_convergence.hlp {

#include convtest.m

    endpopup }

    popup "CONTACT" r+4 c2 w36 h4 i10 dr10 dc42 dw50 dh24 {

#include contact_lcase.m

    endpopup }

    popup "GAP CHANGES" r+4 c2 w36 h4 i10 dr10 dc42 dw48 dh66 {

#include gap_changes.m

    endpopup }

    button  "TOTAL LOADCASE TIME" r+6 c2   w36 h4 i13 : "*loadcase_value time"
    float   "%-14.6g"             r=  c+36 w18 h4 i11 :   loadcase_value_time

    label "STEPPING PROCEDURE" r+6 c2 w54 h4 i12
    group {
      oneonly "FIXED"                    r+4 c= w32 h4 i13 \
            : "*loadcase_option stepping:fixed"
      oneonly "MECH. LOAD (ARC LENGTH)"  r+8 c= w32 h4 i13 \
            : "*loadcase_option stepping:arclength"
      oneonly "THERMAL LOAD"             r+4 c= w32 h4 i13 \
            : "*loadcase_option stepping:thermal"
      oneonly "MECH. LOAD (EQUILIBRIUM)" r+4 c= w32 h4 i13 \
            : "*loadcase_option stepping:equilibrium"
    endgroup }

    button "# STEPS" r-16 c+32 w10 h4 i13 : "*loadcase_value nsteps"
    integer "%-d"    r=   c+10 w12 h4 i11 :   loadcase_value_nsteps

    label "ADAPTIVE LOADING" r+4 c-42 w54 h4 i12

    popup "PARAMETERS" r+4 c+32 w22 h4 i10 dr10 dc42 dw56 dh38 \
        : "*loadcase_option stepping:arclength" {

#include arclength.m

    endpopup }

    popup "PARAMETERS" r+4 c= w22 h4 i10 dr10 dc42 dw56 dh34 \
        : "*loadcase_option stepping:thermal" {

#include thermal_load.m

    endpopup }

    popup "PARAMETERS" r+4 c= w22 h4 i10 dr10 dc42 dw56 dh44 \
        : "*loadcase_option stepping:equilibrium" {

      label "ADAPTIVE MECH. LOAD STEPPING (EQUILIBRIUM)" r1 c1 w56 h4 i12

      button  "MAX # INCREMENTS"         r+5 c2   w36 h4 i13 \
            : "*loadcase_value maxinc"
      float   "%-14.6g"                  r=  c+36 w18 h4 i11 \
            :   loadcase_value_maxinc
      button  "DESIRED # RECYCLES"       r+4 c-36 w36 h4 i13 \
            : "*loadcase_value desired"
      integer "%-d"                      r=  c+36 w18 h4 i11 \
            :   loadcase_value_desired
      button  "INITIAL FRACTION"         r+4 c-36 w36 h4 i13 \
            : "*loadcase_value initfraction"
      float   "%-14.6g"                  r=  c+36 w18 h4 i11 \
            :   loadcase_value_initfraction
      button  "MAXIMUM FRACTION"         r+4 c-36 w36 h4 i13 \
            : "*loadcase_value maxfraction"
      float   "%-14.6g"                  r=  c+36 w18 h4 i11 \
            :   loadcase_value_maxfraction
      button  "MIN LOAD STEP MULTIPLIER" r+4 c-36 w36 h4 i13 \
            : "*loadcase_value minmultiplier"
      float   "%-14.6g"                  r=  c+36 w18 h4 i11 \
            :   loadcase_value_minmultiplier
      button  "MAX LOAD STEP MULTIPLIER" r+4 c-36 w36 h4 i13 \
            : "*loadcase_value maxmultiplier"
      float   "%-14.6g"                  r=  c+36 w18 h4 i11 \
            :   loadcase_value_maxmultiplier
      button  "MIN TIME STEP"            r+4 c-36 w36 h4 i13 \
            : "*loadcase_value mintstep"
      float   "%-14.6g"                  r=  c+36 w18 h4 i11 \
            :   loadcase_value_mintstep

      button "OK" r+6 c22 w12 h8 i13 : *remove_popup

    endpopup }

    button "RESET" r+6 c2   w12 h10 i13 U : *loadcase_reset
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

  popup "BUCKLE" r+4 c2 w27 h4 i10 dr6 dc36 dw56 dh26 \
      : "*loadcase_type buckle" {

    label "BUCKLE PARAMETERS" r1 c1 w56 h4 i12

    button  "TOLERANCE"        r+5 c2   w36 h4 i13 \
          : "*loadcase_value buckle_tol"
    float   "%-14.6g"          r=  c+36 w18 h4 i11 \
          :   loadcase_value_buckle_tol
    button  "MAX # ITERATIONS" r+4 c-36 w36 h4 i13 \
          : "*loadcase_value maxit"
    integer "%-d"              r=  c+36 w18 h4 i11 \
          :   loadcase_value_maxit

    button "RESET" r+6 c2   w12 h10 i13 U : *loadcase_reset
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

  popup "CREEP" r+4 c2 w27 h4 i10 dr6 dc36 dw56 dh66 \
      : "*loadcase_type creep" {

    label "CREEP PARAMETERS" r1 c1 w56 h4 i12

    popup "LOADS" r+5 c2 w36 h4 i10 dr9 dc42 dw62 dh86 ? lcase_loads.hlp {

#include sel_loads1.m

    endpopup }

    popup "SOLUTION CONTROL" r+4 c2 w36 h4 i10 dr9 dc42 dw80 dh78 \
          ? lcase_solution.hlp {

#include solcont.m

    endpopup }

    popup "CONVERGENCE TESTING" r+4 c2 w36 h4 i10 dr1 dc42 dw80 dh116 \
          ? lcase_convergence.hlp {

#include convtest.m

    endpopup }

    popup "CONTACT" r+4 c2 w36 h4 i10 dr10 dc42 dw50 dh24 {

#include contact_lcase.m

    endpopup }

    popup "GAP CHANGES" r+4 c2 w36 h4 i10 dr10 dc42 dw48 dh66 {

#include gap_changes.m

    endpopup }

    button  "TOTAL LOADCASE TIME" r+6 c2   w36 h4 i13 : "*loadcase_value time"
    float   "%-14.6g"             r=  c+36 w18 h4 i11 :   loadcase_value_time

    label "STEPPING PROCEDURE" r+6 c2 w54 h4 i12
    group {
      oneonly "FIXED"        r+4 c= w32 h4 i13 \
            : "*loadcase_option stepping:fixed"
      oneonly "TIME"         r+8 c= w32 h4 i13 \
            : "*loadcase_option stepping:time_mech"
      oneonly "THERMAL LOAD & TIME" r+4 c= w32 h4 i13 \
            : "*loadcase_option stepping:thermal"
    endgroup }

    button "# STEPS" r-12 c+32 w10 h4 i13 : "*loadcase_value nsteps"
    integer "%-d"    r=   c+10 w12 h4 i11 :   loadcase_value_nsteps

    label "ADAPTIVE LOADING" r+4 c-42 w54 h4 i12

    popup "PARAMETERS" r+4 c+32 w22 h4 i10 dr10 dc42 dw56 dh58 \
        : "*loadcase_option stepping:time_mech" {

      label "ADAPTIVE TIME STEPPING" r1 c1 w56 h4 i12

      button  "MAX # INCREMENTS"          r+5 c2   w36 h4 i13 \
            : "*loadcase_value maxinc"
      integer "%-d"                       r=  c+36 w18 h4 i11 \
            :   loadcase_value_maxinc
      button  "MAX # ITERATIONS"          r+4 c-36 w36 h4 i13 \
            : "*loadcase_value maxit"
      integer "%-d"                       r=  c+36 w18 h4 i11 \
            :   loadcase_value_maxit
      button  "# INCS BETWEEN REASSEMBLY" r+4 c-36 w36 h4 i13 \
            : "*loadcase_value inc_assemble"
      integer "%-d"                       r=  c+36 w18 h4 i11 \
            :   loadcase_value_inc_assemble
      button  "INITIAL TIME STEP"         r+4 c-36 w36 h4 i13 \
            : "*loadcase_value inittime"
      float   "%-14.6g"                   r=  c+36 w18 h4 i11 \
            :   loadcase_value_inittime
      button  "MAXIMUM TIME STEP"         r+4 c-36 w36 h4 i13 \
            : "*loadcase_value maxtime"
      float   "%-14.6g"                   r=  c+36 w18 h4 i11 \
            :   loadcase_value_maxtime
      button  "MIN TIME STEP"             r+4 c-36 w36 h4 i13 \
            : "*loadcase_value mintstep"
      float   "%-14.6g"                   r=  c+36 w18 h4 i11 \
            :   loadcase_value_mintstep

      label "CREEP TESTING" r+6 c2 w18 h4 i12
      group {
        oneonly "RELATIVE" r= c+18 w18 h4 i13 \
              : "*loadcase_option creeptest:relative"
        oneonly "ABSOLUTE" r= c+18 w18 h4 i13 \
              : "*loadcase_option creeptest:absolute"
      endgroup }
      button "STRAIN CHANGE TOLERANCE" r+4 c-36 w36 h4 i13 \
           : "*loadcase_value strain_change"
      float   "%-14.6g"                r=  c+36 w18 h4 i11 \
           :   loadcase_value_strain_change
      button "STRESS CHANGE TOLERANCE" r+4 c-36 w36 h4 i13 \
           : "*loadcase_value stress_change"
      float   "%-14.6g"                r=  c+36 w18 h4 i11 \
           :   loadcase_value_stress_change
      button "CUTOFF STRESS TOLERANCE" r+4 c-36 w36 h4 i13 \
           : "*loadcase_value cutoff_stress"
      float   "%-14.6g"                r=  c+36 w18 h4 i11 \
           :   loadcase_value_cutoff_stress

      button "OK" r+6 c22 w12 h8 i13 : *remove_popup

    endpopup }

    popup "PARAMETERS" r+4 c= w22 h4 i10 dr10 dc42 dw56 dh64 \
        : "*loadcase_option stepping:thermal" {

      label "ADAPTIVE THERMAL LOAD & TIME STEPPING" r1 c1 w56 h4 i12

      button  "MAX # INCREMENTS"          r+5 c2   w36 h4 i13 \
            : "*loadcase_value maxinc"
      integer "%-d"                       r=  c+36 w18 h4 i11 \
            :   loadcase_value_maxinc
      button  "MAX TEMPERATURE CHANGE"    r+4 c-36 w36 h4 i13 \
            : "*loadcase_value temp_change"
      float   "%-14.6g"                   r=  c+36 w18 h4 i11 \
            :   loadcase_value_temp_change
      button  "# INCS BETWEEN REASSEMBLY" r+4 c-36 w36 h4 i13 \
            : "*loadcase_value inc_assemble"
      integer "%-d"                       r=  c+36 w18 h4 i11 \
            :   loadcase_value_inc_assemble
      button  "MAX # SUBINCREMENTS"       r+6 c-36 w36 h4 i13 \
            : "*loadcase_value maxsubinc"
      integer "%-d"                       r=  c+36 w18 h4 i11 \
            :   loadcase_value_maxsubinc
      button  "MAX # ITERATIONS"          r+4 c-36 w36 h4 i13 \
            : "*loadcase_value maxit"
      integer "%-d"                       r=  c+36 w18 h4 i11 \
            :   loadcase_value_maxit
      button  "INITIAL TIME STEP"         r+4 c-36 w36 h4 i13 \
            : "*loadcase_value inittime"
      float   "%-14.6g"                   r=  c+36 w18 h4 i11 \
            :   loadcase_value_inittime
      button  "TOTAL CREEP TIME"          r+4 c-36 w36 h4 i13 \
            : "*loadcase_value creeptime"
      float   "%-14.6g"                   r=  c+36 w18 h4 i11 \
            :   loadcase_value_creeptime

      label "CREEP TESTING" r+6 c2 w18 h4 i12
      group {
        oneonly "RELATIVE" r= c+18 w18 h4 i13 \
                : "*loadcase_option creeptest:relative"
        oneonly "ABSOLUTE" r= c+18 w18 h4 i13 \
                : "*loadcase_option creeptest:absolute"
      endgroup }
      button "STRAIN CHANGE TOLERANCE" r+4 c-36 w36 h4 i13 \
           : "*loadcase_value strain_change"
      float  "%-14.6g"                 r=  c+36 w18 h4 i11 \
           :   loadcase_value_strain_change
      button "STRESS CHANGE TOLERANCE" r+4 c-36 w36 h4 i13 \
           : "*loadcase_value stress_change"
      float  "%-14.6g"                 r=  c+36 w18 h4 i11 \
           :   loadcase_value_stress_change
      button "CUTOFF STRESS TOLERANCE" r+4 c-36 w36 h4 i13 \
           : "*loadcase_value cutoff_stress"
      float  "%-14.6g"                 r=  c+36 w18 h4 i11 \
           :   loadcase_value_cutoff_stress

      button "OK" r+6 c22 w12 h8 i13 : *remove_popup

    endpopup }

    button "RESET" r+6 c2   w12 h10 i13 U : *loadcase_reset
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

  popup "DYNAMIC MODAL" r+4 c2 w27 h4 i10 dr6 dc36 dw76 dh52 \
      : "*loadcase_type dynamic_modal" {

    label "DYNAMIC MODAL PARAMETERS" r1 c1 w76 h4 i12

    label   "LANCZOS"           r+5 c2   w36 h4 i12
    button  "LOWEST FREQUENCY"  r+4 c=   w24 h4 i13 : "*loadcase_value low"
    float   "%-14.6g"           r=  c+24 w12 h4 i11 :   loadcase_value_low
    button  "HIGHEST FREQUENCY" r+4 c-24 w24 h4 i13 : "*loadcase_value high"
    float   "%-14.6g"           r=  c+24 w12 h4 i11 :   loadcase_value_high
    button  "# MODES"           r+4 c-24 w24 h4 i13 : "*loadcase_value nmodes"
    integer "%-d"               r=  c+24 w12 h4 i11 :   loadcase_value_nmodes
    toggle "STURM SEQUENCE"     r+4 c-24 w36 h4 i13 \
         : "*loadcase_option sturm:on / *loadcase_option sturm:off"
    label  "RESTART FILE"       r+4 c=   w36 h4 i12
    group {
      scroll "NO LANCZOS VECTORS"         r+4 c= w36 h4 i13 \
           : "*loadcase_option vectors:write"
      scroll "WRITE LANCZOS VECTORS"      r=  c= w36 h4 i13 \
           : "*loadcase_option vectors:read"
      scroll "READ LANCZOS VECTORS"       r=  c= w36 h4 i13 \
           : "*loadcase_option vectors:both"
      scroll "READ/WRITE LANCZOS VECTORS" r=  c= w36 h4 i13 \
           : "*loadcase_option vectors:no"
    endgroup }

    toggle  "NON-POSITIVE DEFINITE" r+6 c2 w36 h4 i13 \
          : "*loadcase_option nonpos:on / *loadcase_option nonpos:off"

    label   "POWER SWEEP"       r6  c40  w36 h4 i12
    button  "MAX # ITERATIONS"  r+4 c=   w24 h4 i13 :"*loadcase_value maxit"
    integer "%-d"               r=  c+24 w12 h4 i11 :  loadcase_value_maxit
    button  "TOLERANCE"         r+4 c-24 w24 h4 i13 :"*loadcase_value tolerance"
    float   "%-14.6g"           r=  c+24 w12 h4 i11 :  loadcase_value_tolerance
    button  "INITIAL SHIFT"     r+4 c-24 w24 h4 i13 :"*loadcase_value initshift"
    float   "%-14.6g"           r=  c+24 w12 h4 i11 :  loadcase_value_initshift
    button  "HIGHEST FREQUENCY" r+4 c-24 w24 h4 i13 :"*loadcase_value pshigh"
    float   "%-14.6g"           r=  c+24 w12 h4 i11 :  loadcase_value_pshigh
    toggle  "AUTO SHIFT"        r+4 c-24 w36 h4 i13 \
          : "*loadcase_option autoshift:on / *loadcase_option autoshift:off"
    button  "# MODES PER SHIFT" r+4 c=   w24 h4 i13 \
          : "*loadcase_value shiftmodes"
    integer "%-d"               r=  c+24 w12 h4 i11 \
          :   loadcase_value_shiftmodes
    button  "SHIFT PARAMETER"   r+4 c-24 w24 h4 i13 :"*loadcase_value shiftpar"
    float   "%-14.6g"           r=  c+24 w12 h4 i11 :  loadcase_value_shiftpar

    button "RESET" r42 c2   w12 h10 i13 U : *loadcase_reset
    button "OK"    r=  c+62 w12 h10 i13   : *remove_popup

  endpopup }

  popup "DYNAMIC TRANSIENT" r+4 c2 w27 h4 i10 dr6 dc36 dw56 dh66 \
      : "*loadcase_type dynamic_transient" {

    label "DYNAMIC TRANSIENT PARAMETERS" r1 c1 w56 h4 i12

    popup "LOADS" r+5 c2 w36 h4 i10 dr9 dc42 dw62 dh86 ? lcase_loads.hlp {

#include sel_loads1.m

    endpopup }

    popup "SOLUTION CONTROL" r+4 c2 w36 h4 i10 dr9 dc42 dw80 dh78 \
          ? lcase_solution.hlp {

#include solcont.m

    endpopup }

    popup "CONVERGENCE TESTING" r+4 c2 w36 h4 i10 dr1 dc42 dw80 dh116 \
          ? lcase_convergence.hlp {

#include convtest.m

    endpopup }

    popup "CONTACT" r+4 c2 w36 h4 i10 dr10 dc42 dw50 dh24 {

#include contact_lcase.m

    endpopup }

    popup "GAP CHANGES" r+4 c2 w36 h4 i10 dr10 dc42 dw48 dh66 {

#include gap_changes.m

    endpopup }

    button "TOTAL LOADCASE TIME" r+6 c2   w36 h4 i13 : "*loadcase_value time"
    float  "%-14.6g"             r=  c+36 w18 h4 i11 :   loadcase_value_time

    label "STEPPING PROCEDURE" r+6 c2 w54 h4 i12
    group {
      oneonly "FIXED"        r+4 c= w32 h4 i13 \
            : "*loadcase_option stepping:fixed"
      oneonly "TIME"         r+8 c= w32 h4 i13 \
            : "*loadcase_option stepping:time_mech"
      oneonly "THERMAL LOAD" r+4 c= w32 h4 i13 \
            : "*loadcase_option stepping:thermal"
    endgroup }

    popup "PARAMETERS" r-12 c+32 w22 h4 i10 dr10 dc42 dw56 dh34 \
        : "*loadcase_option stepping:fixed" {

      label "FIXED STEPPING" r1 c1 w56 h4 i12

      button  "# STEPS" r+5 c2   w36 h4 i13 : "*loadcase_value nsteps"
      integer "%-d"     r=  c+36 w18 h4 i11 :   loadcase_value_nsteps

      label  "NEWMARK OPERATOR" r+6 c2   w54 h4 i12
      button "BETA"             r+4 c=   w36 h4 i13 : "*loadcase_value beta"
      float   "%-14.6g"         r=  c+36 w18 h4 i11 :   loadcase_value_beta
      button "GAMMA"            r+4 c-36 w36 h4 i13 : "*loadcase_value gamma"
      float  "%-14.6g"          r=  c+36 w18 h4 i11 :   loadcase_value_gamma

      button "OK" r+6 c22 w12 h8 i13 : *remove_popup

    endpopup }

    label "ADAPTIVE LOADING" r+4 c-32 w54 h4 i12

    popup "PARAMETERS" r+4 c+32 w22 h4 i10 dr10 dc42 dw56 dh44 \
        : "*loadcase_option stepping:time_mech" {

#include time.m

    endpopup }

    popup "PARAMETERS" r+4 c= w22 h4 i10 dr10 dc42 dw56 dh34 \
        : "*loadcase_option stepping:thermal" {

#include thermal_load.m

    endpopup }

    button "RESET" r+6 c2   w12 h10 i13 U : *loadcase_reset
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

  popup "DYNAMIC HARMONIC" r+4 c2 w27 h4 i10 dr6 dc36 dw56 dh36 \
      : "*loadcase_type dynamic_harmonic" {

    label "DYNAMIC HARMONIC PARAMETERS" r1 c1 w56 h4 i12

    popup "LOADS" r+5 c2 w36 h4 i10 dr9 dc42 dw78 dh86 ? lcase_loads.hlp {

#include sel_loads2.m

    endpopup }

    button  "LOWEST FREQUENCY"  r+6 c2   w36 h4 i13 : "*loadcase_value low"
    float   "%-14.6g"           r=  c+36 w18 h4 i11 :   loadcase_value_low
    button  "HIGHEST FREQUENCY" r+4 c-36 w36 h4 i13 : "*loadcase_value high"
    float   "%-14.6g"           r=  c+36 w18 h4 i11 :   loadcase_value_high
    button  "# FREQUENCIES"     r+4 c-36 w36 h4 i13 : "*loadcase_value nfreq"
    integer "%-d"               r=  c+36 w18 h4 i11 :   loadcase_value_nfreq

    button "RESET" r+6 c2   w12 h10 i13 U : *loadcase_reset
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

  popup "SPECTRUM RESPONSE" r+4 c2 w27 h4 i10 dr6 dc36 dw56 dh58 \
      : "*loadcase_type spectrum" {

    label "SPECTRUM RESPONSE PARAMETERS" r1 c1 w56 h4 i12

    button  "# MODES" r+5 c2   w36 h4 i13 : "*loadcase_value nmodes"
    integer "%-d"     r=  c+36 w18 h4 i11 :   loadcase_value_nmodes

    button "LOWEST FREQUENCY"  r+6 c-36 w36 h4 i13 : "*loadcase_value low"
    float  "%-14.6g"           r=  c+36 w18 h4 i11 :   loadcase_value_low
    button "HIGHEST FREQUENCY" r+4 c-36 w36 h4 i13 : "*loadcase_value high"
    float  "%-14.6g"           r=  c+36 w18 h4 i11 :   loadcase_value_high

    button "X DISPLACEMENT WEIGHT FACTOR" r+6 c-36 w36 h4 i13 \
         : "*loadcase_value weight_dx"
    float  "%-14.6g"                      r=  c+36 w18 h4 i11 \
         :   loadcase_value_weight_dx
    button "Y DISPLACEMENT WEIGHT FACTOR" r+4 c-36 w36 h4 i13 \
         : "*loadcase_value weight_dy"
    float  "%-14.6g"                      r=  c+36 w18 h4 i11 \
         :   loadcase_value_weight_dy
    button "Z DISPLACEMENT WEIGHT FACTOR" r+4 c-36 w36 h4 i13 \
         : "*loadcase_value weight_dz"
    float  "%-14.6g"                      r=  c+36 w18 h4 i11 \
         :   loadcase_value_weight_dz
    button "X ROTATION WEIGHT FACTOR"     r+4 c-36 w36 h4 i13 \
         : "*loadcase_value weight_rx"
    float  "%-14.6g"                      r=  c+36 w18 h4 i11 \
         :   loadcase_value_weight_rx
    button "Y ROTATION WEIGHT FACTOR"     r+4 c-36 w36 h4 i13 \
         : "*loadcase_value weight_ry"
    float  "%-14.6g"                      r=  c+36 w18 h4 i11 \
         :   loadcase_value_weight_ry
    button "Z ROTATION WEIGHT FACTOR"     r+4 c-36 w36 h4 i13 \
         : "*loadcase_value weight_rz"
    float  "%-14.6g"                      r=  c+36 w18 h4 i11 \
         :   loadcase_value_weight_rz

    button "RESET" r+6 c2   w12 h10 i13 U : *loadcase_reset
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

  popup "RIGID PLASTIC" r+4 c2 w27 h4 i10 dr4 dc36 dw56 dh70 \
      : "*loadcase_type rpflow" {

    label "RIGID PLASTIC PARAMETERS" r1 c1 w56 h4 i12

    popup "LOADS" r+5 c2 w36 h4 i10 dr9 dc42 dw62 dh86 ? lcase_loads.hlp {

#include sel_loads1.m

    endpopup }

    popup "SOLUTION CONTROL" r+4 c2 w36 h4 i10 dr9 dc42 dw80 dh74 \
          ? lcase_solution.hlp {

      label "SOLUTION CONTROL" r1 c1 w80 h4 i12

      button  "MAX # INCREMENTS IN JOB" r+5 c2   w36 h4 i13 \
          : "*loadcase_value maxjobinc"
      integer "%-d"                     r=  c+36 w18 h4 i11 \
            :   loadcase_value_maxjobinc
      button  "MAX # RECYCLES"          r+4 c-36 w36 h4 i13 \
            : "*loadcase_value maxrec"
      integer "%-d"                     r=  c+36 w18 h4 i11 \
            :   loadcase_value_maxrec
      button  "MIN # RECYCLES"          r+4 c-36 w36 h4 i13 \
            : "*loadcase_value minrec"
      integer "%-d"                     r=  c+36 w18 h4 i11 \
            :   loadcase_value_minrec

      toggle "NON-POSITIVE DEFINITE"      r+6 c2 w36 h4 i13 \
           : "*loadcase_option nonpos:on / *loadcase_option nonpos:off"
      toggle "PROCEED WHEN NOT CONVERGED" r+4 c2 w36 h4 i13 \
           : "*loadcase_option proceed:on / *loadcase_option proceed:off"

      label "ITERATIVE PROCEDURE" r+6 c2 w36 h4 i12
      group {
        oneonly "FULL NEWTON-RAPHSON"     r+4 c= w36 h4 i13 \
              : "*loadcase_option procedure:fullnr"
        oneonly "MODIFIED NEWTON-RAPHSON" r+4 c= w36 h4 i13 \
              : "*loadcase_option procedure:modifiednr"
      endgroup }

      label "CONTRIBUTION OF INITIAL STRESS TO STIFFNESS" r+6 c2 w78 h4 i12
      group {
        oneonly "FULL"                   r+4  c= w30 h4 i13 \
                : "*loadcase_option initstress:full"
        oneonly "DEVIATORIC STRESS"      r+4  c= w30 h4 i13 \
                : "*loadcase_option initstress:deviatoric"
        oneonly "NONE"                   r+4  c= w30 h4 i13 \
                : "*loadcase_option initstress:none"
        oneonly "BEGIN INCREMENT STRESS" r+4  c= w30 h4 i13 \
                : "*loadcase_option initstress:begininc"
      endgroup }

      button "CONTRIBUTION FACTOR" r-8 c+30 w30 h4 i13 \
           : "*loadcase_value contribution"
      float  "%-14.6g"             r=  c+30 w18 h4 i11 \
           :   loadcase_value_contribution

      button "OK" r+14 c34 w12 h8 i13 : *remove_popup

    endpopup }

    popup "CONVERGENCE TESTING" r+4 c2 w36 h4 i10 dr1 dc42 dw80 dh116 \
          ? lcase_convergence.hlp {

#include convtest.m

    endpopup }

    popup "CONTACT" r+4 c2 w36 h4 i10 dr10 dc42 dw50 dh24 {

#include contact_lcase.m

    endpopup }

    popup "GAP CHANGES" r+4 c2 w36 h4 i10 dr10 dc42 dw48 dh66 {

#include gap_changes.m

    endpopup }

    button "TOTAL LOADCASE TIME" r+6 c2   w36 h4 i13 : "*loadcase_value time"
    float  "%-14.6g"             r=  c+36 w18 h4 i11 :   loadcase_value_time

    label "STEPPING PROCEDURE" r+6 c2 w54 h4 i12
    group {
      oneonly "FIXED"        r+4 c= w32 h4 i13 \
            : "*loadcase_option stepping:fixed"
      oneonly "MECH. LOAD (ARC LENGTH)"   r+8 c= w32 h4 i13 \
            : "*loadcase_option stepping:arclength"
      oneonly "THERMAL LOAD" r+4 c= w32 h4 i13 \
            : "*loadcase_option stepping:thermal"
      oneonly "MECH. LOAD (EQUILIBRIUM)"         r+4 c= w32 h4 i13 \
            : "*loadcase_option stepping:equilibrium"
    endgroup }

    button  "# STEPS" r-16 c+32 w10 h4 i13 : "*loadcase_value nsteps"
    integer "%-d"     r=   c+10 w12 h4 i11 :   loadcase_value_nsteps

    label "ADAPTIVE LOADING" r+4 c-42 w54 h4 i12

    popup "PARAMETERS" r+4  c+32 w22 h4 i10 dr10 dc42 dw56 dh38 \
        : "*loadcase_option stepping:arclength" {

#include arclength.m

    endpopup }

    popup "PARAMETERS" r+4 c= w22 h4 i10 dr10 dc42 dw56 dh34 \
        : "*loadcase_option stepping:thermal" {

#include thermal_load.m

    endpopup }

    popup "PARAMETERS" r+4 c= w22 h4 i10 dr10 dc42 dw56 dh44 \
        : "*loadcase_option stepping:equilibrium" {

      label "ADAPTIVE MECH. LOAD STEPPING (EQUILIBRIUM)" r1 c1 w56 h4 i12

      button  "MAX # INCREMENTS"         r+5 c2   w36 h4 i13 \
            : "*loadcase_value maxinc"
      float   "%-14.6g"                  r=  c+36 w18 h4 i11 \
            :   loadcase_value_maxinc
      button  "DESIRED # RECYCLES"       r+4 c-36 w36 h4 i13 \
            : "*loadcase_value desired"
      integer "%-d"                      r=  c+36 w18 h4 i11 \
            :   loadcase_value_desired
      button  "INITIAL FRACTION"         r+4 c-36 w36 h4 i13 \
            : "*loadcase_value initfraction"
      float   "%-14.6g"                  r=  c+36 w18 h4 i11 \
            :   loadcase_value_initfraction
      button  "MAXIMUM FRACTION"         r+4 c-36 w36 h4 i13 \
            : "*loadcase_value maxfraction"
      float   "%-14.6g"                  r=  c+36 w18 h4 i11 \
            :   loadcase_value_maxfraction
      button  "MIN LOAD STEP MULTIPLIER" r+4 c-36 w36 h4 i13 \
            : "*loadcase_value minmultiplier"
      float   "%-14.6g"                  r=  c+36 w18 h4 i11 \
            :   loadcase_value_minmultiplier
      button  "MAX LOAD STEP MULTIPLIER" r+4 c-36 w36 h4 i13 \
            : "*loadcase_value maxmultiplier"
      float   "%-14.6g"                  r=  c+36 w18 h4 i11 \
            :   loadcase_value_maxmultiplier
      button  "MIN TIME STEP"            r+4 c-36 w36 h4 i13 \
            : "*loadcase_value mintstep"
      float   "%-14.6g"                  r=  c+36 w18 h4 i11 \
            :   loadcase_value_mintstep

      button "OK" r+6 c22 w12 h8 i13 : *remove_popup

    endpopup }

    button "RESET" r+6 c2   w12 h10 i13 U : *loadcase_reset
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

  label "HEAT TRANSFER ANALYSES" r+6 c1 w32 h13 i12

  string "%s" r+4 c+28 w3 h4 i9 : loadcase_type_steady_state
  string "%s" r+4 c=   w3 h4 i9 : loadcase_type_transient_heat

  popup "STEADY STATE" r-4 c2 w27 h4 i10 dr6 dc36 dw56 dh30 \
      : "*loadcase_type steady_state" {

    label "HEAT TRANSFER STEADY STATE PARAMETERS" r1 c1 w56 h4 i12

    popup "LOADS" r+5 c2 w36 h4 i10 dr9 dc42 dw62 dh86 ? lcase_loads.hlp {

#include sel_loads1.m

    endpopup }

    popup "SOLUTION CONTROL" r+4 c2 w36 h4 i10 dr9 dc42 dw56 dh28 \
          ? lcase_solution.hlp {

      label "SOLUTION CONTROL" r1 c1 w56 h4 i12

      button  "MAX # INCREMENTS IN JOB" r+5 c2   w36 h4 i13 \
            : "*loadcase_value maxjobinc"
      integer "%-d"                     r=  c+36 w18 h4 i11 \
            :   loadcase_value_maxjobinc
      button  "MAX # RECYCLES"          r+4 c-36 w36 h4 i13 \
            : "*loadcase_value maxrec"
      integer "%-d"                     r=  c+36 w18 h4 i11 \
            :   loadcase_value_maxrec
      button  "MIN # RECYCLES"          r+4 c-36 w36 h4 i13 \
            : "*loadcase_value minrec"
      integer "%-d"                     r=  c+36 w18 h4 i11 \
            :   loadcase_value_minrec

      button "OK" r+6 c22 w12 h8 i13 : *remove_popup

    endpopup }

    popup "CONVERGENCE TESTING" r+4 c2 w36 h4 i10 dr9 dc42 dw56 dh24 \
          ? lcase_convergence.hlp {

      label "CONVERGENCE TESTING" r1 c1 w56 h4 i12

      label  "TEMPERATURE TOLERANCES"       r+5 c2   w54 h4 i12
      button "MAX ERROR IN ESTIMATE"        r+4 c=   w36 h4 i13 \
           : "*loadcase_value dt_error"
      float  "%-14.6g"                      r=  c+36 w18 h4 i11 \
           :   loadcase_value_dt_error

      button "OK" r+6 c22 w12 h8 i13 : *remove_popup

    endpopup }

    button "RESET" r+6 c2  w12 h10 i13 U : *loadcase_reset
    button "OK"    r=  c44 w12 h10 i13   : *remove_popup

  endpopup }

  popup "TRANSIENT" r+4 c2 w27 h4 i10 dr6 dc36 dw56 dh54 \
      : "*loadcase_type transient_heat" {

    label "HEAT TRANSFER TRANSIENT PARAMETERS" r1 c1 w56 h4 i12

    popup "LOADS" r+5 c2 w36 h4 i10 dr9 dc42 dw62 dh86 ? lcase_loads.hlp {

#include sel_loads1.m

    endpopup }

    popup "SOLUTION CONTROL" r+4 c2 w36 h4 i10 dr9 dc42 dw56 dh28 \
          ? lcase_solution.hlp {

      label "SOLUTION CONTROL" r1 c1 w56 h4 i12

      button  "MAX # INCREMENTS IN JOB" r+5 c2   w36 h4 i13 \
            : "*loadcase_value maxjobinc"
      integer "%-d"                     r=  c+36 w18 h4 i11 \
            :   loadcase_value_maxjobinc
      button  "MAX # RECYCLES"          r+4 c-36 w36 h4 i13 \
            : "*loadcase_value maxrec"
      integer "%-d"                     r=  c+36 w18 h4 i11 \
            :   loadcase_value_maxrec
      button  "MIN # RECYCLES"          r+4 c-36 w36 h4 i13 \
            : "*loadcase_value minrec"
      integer "%-d"                     r=  c+36 w18 h4 i11 \
            :   loadcase_value_minrec

      button "OK" r+6 c22 w12 h8 i13 : *remove_popup

    endpopup }

    popup "CONVERGENCE TESTING" r+4 c2 w36 h4 i10 dr9 dc42 dw56 dh32 \
          ? lcase_convergence.hlp {

      label "CONVERGENCE TESTING" r1 c1 w56 h4 i12

      label  "TEMPERATURE TOLERANCES"       r+5 c2   w54 h4 i12
      button "MAX CHANGE ALLOWED"           r+4 c=   w36 h4 i13 \
           : "*loadcase_value dt_allowed"
      float  "%-14.6g"                      r=  c+36 w18 h4 i11 \
           :   loadcase_value_dt_allowed
      button "MAX CHANGE BEFORE REASSEMBLY" r+4 c-36 w36 h4 i13 \
           : "*loadcase_value dt_assemble"
      float  "%-14.6g"                      r=  c+36 w18 h4 i11 \
           :   loadcase_value_dt_assemble
      button "MAX ERROR IN ESTIMATE"        r+4 c-36 w36 h4 i13 \
           : "*loadcase_value dt_error"
      float  "%-14.6g"                      r=  c+36 w18 h4 i11 \
           :   loadcase_value_dt_error

      button "OK" r+6 c22 w12 h8 i13 : *remove_popup

    endpopup }

    button "TOTAL LOADCASE TIME" r+6 c2   w36 h4 i13 : "*loadcase_value time"
    float  "%-14.6g"             r=  c+36 w18 h4 i11 :   loadcase_value_time

    label "STEPPING PROCEDURE" r+6 c2 w54 h4 i12
    group {
      oneonly "FIXED"       r+4 c= w32 h4 i13 \
            : "*loadcase_option stepping:fixed"
      oneonly "TIME" r+8 c= w32 h4 i13 \
            : "*loadcase_option stepping:time_heat"
    endgroup }

    popup "PARAMETERS" r-8 c+32 w22 h4 i10 dr10 dc42 dw56 dh28 \
        : "*loadcase_option stepping:fixed" {

      label "FIXED STEPPING" r1 c1 w56 h4 i12

      button  "# STEPS" r+5 c2   w36 h4 i13 : "*loadcase_value nsteps"
      integer "%-d"     r=  c+36 w18 h4 i11 :   loadcase_value_nsteps

      group {
        scroll "NO FINISH CHECK"    r+4 c-36 w36 h4 i13 \
             : "*loadcase_option finish:below"
        scroll "FINISH WHEN BELOW"  r=  c=   w36 h4 i13 \
             : "*loadcase_option finish:exceed"
        scroll "FINISH WHEN EXCEED" r=  c=   w36 h4 i13 \
             : "*loadcase_option finish:no"
      endgroup }

      button "FINISH TEMPERATURE" r+4 c=   w36 h4 i13 \
           : "*loadcase_value temp_finish"
      float  "%-14.6g"            r=  c+36 w18 h4 i11 \
           :   loadcase_value_temp_finish

      button "OK" r+6 c22 w12 h8 i13 : *remove_popup

    endpopup }

    label "ADAPTIVE LOADING" r+4 c-32 w54 h4 i12

    popup "PARAMETERS" r+4 c+32 w22 h4 i10 dr10 dc42 dw56 dh36 \
        : "*loadcase_option stepping:time_heat" {

#include temperature.m

    endpopup }

    button "RESET" r+6 c2   w12 h10 i13 U : *loadcase_reset
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

  label "COUPLED ANALYSES" r+6 c1 w32 h17 i12

  string "%s" r+4 c+28 w3 h4 i9 : loadcase_type_coupled
  string "%s" r+4 c=   w3 h4 i9 : loadcase_type_coupled_dyn_transient
  string "%s" r+4 c=   w3 h4 i9 : loadcase_type_coupled_rpflow

  popup "STATIC" r-8 c2 w27 h4 i10 dr6 dc36 dw56 dh66 \
      : "*loadcase_type coupled" {

    label "COUPLED STATIC PARAMETERS" r1 c1 w56 h4 i12

    popup "LOADS" r+5 c2 w36 h4 i10 dr9 dc42 dw62 dh86 ? lcase_loads.hlp {

#include sel_loads1.m

    endpopup }

    popup "SOLUTION CONTROL" r+4 c2 w36 h4 i10 dr9 dc42 dw80 dh78 \
          ? lcase_solution.hlp {

#include solcont.m

    endpopup }

    popup "CONVERGENCE TESTING" r+4 c2 w36 h4 i10 dr1 dc42 dw80 dh134 \
          ? lcase_convergence.hlp {

##include convtest.m
      label "CONVERGENCE TESTING" r1 c1 w80 h4 i12

      group {
        oneonly "RELATIVE"          r+5 c2   w26 h4 i13 \
              : "*loadcase_option error:relative"
        oneonly "ABSOLUTE"          r=  c+26 w26 h4 i13 \
              : "*loadcase_option error:absolute"
        oneonly "RELATIVE/ABSOLUTE" r=  c+26 w26 h4 i13 \
              : "*loadcase_option error:relabs"
      endgroup }

      label "CRITERIA" r+6 c2 w78 h4 i12
      group {
       oneonly "RESIDUAL FORCE"          r+4 c=   w26 h4 i13 \
	     : "*loadcase_option converge:force_only"
       oneonly "DISPLACEMENT"            r=  c+26 w26 h4 i13 \
	     : "*loadcase_option converge:disp_only"
       oneonly "STRAIN ENERGY"           r=  c+26 w26 h4 i13 \
	     : "*loadcase_option converge:strain"
       oneonly "RESIDUAL FORCE & MOMENT" r+4 c-52 w26 h4 i13 \
	     : "*loadcase_option converge:residuals"
       oneonly "DISPLACEMENT & ROTATION" r=  c+26 w26 h4 i13 \
	     : "*loadcase_option converge:displacements"
      endgroup }

      label "RESIDUAL FORCES" r+6 c2 w78 h4 i12

      button "RELATIVE FORCE TOLERANCE" \
	      r+4  c=   w60 h4 i13 : "*loadcase_value force"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_force
      button "MINIMUM FORCE REACTION CUTOFF" \
	      r+4  c-60 w60 h4 i13 : "*loadcase_value minforce"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_minforce
      button "MAXIMUM ABSOLUTE RESIDUAL FORCE" \
	      r+4  c-60 w60 h4 i13 : "*loadcase_value maxforce"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_maxforce

      label "RESIDUAL MOMENTS" r+6 c2 w78 h4 i12

      button "RELATIVE MOMENT TOLERANCE" \
	      r+4  c=   w60 h4 i13 : "*loadcase_value moment"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_moment
      button "MINIMUM MOMENT REACTION CUTOFF" \
	      r+4  c-60 w60 h4 i13 : "*loadcase_value minmoment"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_minmoment
      button "MAXIMUM ABSOLUTE RESIDUAL MOMENT" \
	      r+4  c-60 w60 h4 i13 : "*loadcase_value maxmoment"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_maxmoment

      label "DISPLACEMENTS" r+6 c2 w78 h4 i12

      button "RELATIVE DISPLACEMENT TOLERANCE" \
	      r+4  c=   w60 h4 i13 : "*loadcase_value displacement"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_displacement
      button "MINIMUM DISPLACEMENT CUTOFF" \
	      r+4  c-60 w60 h4 i13 : "*loadcase_value mindisp"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_mindisp
      button "MAXIMUM ABSOLUTE DISPLACEMENT" \
	      r+4  c-60 w60 h4 i13 : "*loadcase_value maxdisp"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_maxdisp

      label "ROTATIONS" r+6 c2 w78 h4 i12

      button "RELATIVE ROTATION TOLERANCE" \
	      r+4  c=   w60 h4 i13 : "*loadcase_value rotation"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_rotation
      button "MINIMUM ROTATION CUTOFF" \
	      r+4  c-60 w60 h4 i13 : "*loadcase_value minrotation"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_minrotation
      button "MAXIMUM ABSOLUTE ROTATION" \
	      r+4  c-60 w60 h4 i13 : "*loadcase_value maxrotation"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_maxrotation

      label "STRAIN ENERGY" r+6 c2 w78 h4 i12

      button "RELATIVE ENERGY TOLERANCE" \
	      r+4  c=   w60 h4 i13 : "*loadcase_value strain"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_strain

      label  "TEMPERATURE TOLERANCES" r+6 c2 w78 h4 i12
      button "MAX CHANGE ALLOWED" \
              r+4 c=   w60 h4 i13 : "*loadcase_value dt_allowed"
      float  "%-14.6g" \
              r=  c+60 w18 h4 i11 :   loadcase_value_dt_allowed
      button "MAX CHANGE BEFORE REASSEMBLY" \
              r+4 c-60 w60 h4 i13 : "*loadcase_value dt_assemble"
      float  "%-14.6g" \
              r=  c+60 w18 h4 i11 :   loadcase_value_dt_assemble
      button "MAX ERROR IN ESTIMATE" \
              r+4 c-60 w60 h4 i13 : "*loadcase_value dt_error"
      float  "%-14.6g" \
              r=  c+60 w18 h4 i11 :   loadcase_value_dt_error

      button "OK" r+6 c36 w12 h8 i13 : *remove_popup

    endpopup }

    popup "CONTACT" r+4 c2 w36 h4 i10 dr10 dc42 dw50 dh24 {

#include contact_lcase.m

    endpopup }

    popup "GAP CHANGES" r+4 c2 w36 h4 i10 dr10 dc42 dw48 dh66 {

#include gap_changes.m

    endpopup }

    button "TOTAL LOADCASE TIME" r+6 c2   w36 h4 i13 : "*loadcase_value time"
    float  "%-14.6g"             r=  c+36 w18 h4 i11 :   loadcase_value_time

    label "STEPPING PROCEDURE" r+6 c2 w54 h4 i12
    group {
      oneonly "FIXED"       r+4 c= w32 h4 i13 \
              : "*loadcase_option stepping:fixed"
      oneonly "TIME (HEAT TRANSFER)" r+8 c= w32 h4 i13 \
              : "*loadcase_option stepping:time_heat"
      oneonly "TIME (MECHANICAL)"        r+4 c= w32 h4 i13 \
              : "*loadcase_option stepping:time_mech"
    endgroup }

    popup "PARAMETERS" r-12 c+32 w22 h4 i10 dr10 dc42 dw56 dh28 \
        : "*loadcase_option stepping:fixed" {

      label "FIXED STEPPING" r1 c1 w56 h4 i12

      button  "# STEPS" r+5 c2   w36 h4 i13 : "*loadcase_value nsteps"
      integer "%-d"     r=  c+36 w18 h4 i11 :   loadcase_value_nsteps

      group {
        scroll "NO FINISH CHECK"    r+4 c-36 w36 h4 i13 \
             : "*loadcase_option finish:below"
        scroll "FINISH WHEN BELOW"  r=  c=   w36 h4 i13 \
             : "*loadcase_option finish:exceed"
        scroll "FINISH WHEN EXCEED" r=  c=   w36 h4 i13 \
             : "*loadcase_option finish:no"
      endgroup }

      button "FINISH TEMPERATURE" r+4 c=   w36 h4 i13 \
           : "*loadcase_value temp_finish"
      float  "%-14.6g"            r=  c+36 w18 h4 i11 \
           :   loadcase_value_temp_finish

      button "OK" r+6 c22 w12 h8 i13 : *remove_popup

    endpopup }

    label "ADAPTIVE LOADING" r+4 c-32 w54 h4 i12

    popup "PARAMETERS" r+4 c+32 w22 h4 i10 dr10 dc42 dw56 dh36 \
        : "*loadcase_option stepping:time_heat" {

#include temperature.m

    endpopup }

    popup "PARAMETERS" r+4  c=   w22 h4 i10 dr10 dc42 dw56 dh44 \
        : "*loadcase_option stepping:time_mech" {

#include time.m

    endpopup }

    button "RESET" r+6 c2   w12 h10 i13 U : *loadcase_reset
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

  popup "DYNAMIC TRANSIENT" r+4 c2 w27 h4 i10 dr6 dc36 dw56 dh66 \
      : "*loadcase_type coupled_dyn_transient" {

    label "COUPLED DYNAMIC TRANSIENT MECHANICAL PARAMETERS" r1 c1 w56 h4 i12

    popup "LOADS" r+5 c2 w36 h4 i10 dr9 dc42 dw62 dh86 ? lcase_loads.hlp {

#include sel_loads1.m

    endpopup }

    popup "SOLUTION CONTROL" r+4 c2 w36 h4 i10 dr9 dc42 dw80 dh78 \
          ? lcase_solution.hlp {

#include solcont.m

    endpopup }

    popup "CONVERGENCE TESTING" r+4 c2 w36 h4 i10 dr1 dc42 dw80 dh134 \
          ? lcase_convergence.hlp {

##include convtest.m
      label "CONVERGENCE TESTING" r1 c1 w80 h4 i12

      group {
	oneonly "RELATIVE"          r+5 c2   w26 h4 i13 \
	      : "*loadcase_option error:relative"
	oneonly "ABSOLUTE"          r=  c+26 w26 h4 i13 \
	      : "*loadcase_option error:absolute"
	oneonly "RELATIVE/ABSOLUTE" r=  c+26 w26 h4 i13 \
	      : "*loadcase_option error:relabs"
      endgroup }

      label "CRITERIA" r+6 c2 w78 h4 i12
      group {
       oneonly "RESIDUAL FORCE"          r+4 c=   w26 h4 i13 \
	     : "*loadcase_option converge:force_only"
       oneonly "DISPLACEMENT"            r=  c+26 w26 h4 i13 \
	     : "*loadcase_option converge:disp_only"
       oneonly "STRAIN ENERGY"           r=  c+26 w26 h4 i13 \
	     : "*loadcase_option converge:strain"
       oneonly "RESIDUAL FORCE & MOMENT" r+4 c-52 w26 h4 i13 \
	     : "*loadcase_option converge:residuals"
       oneonly "DISPLACEMENT & ROTATION" r=  c+26 w26 h4 i13 \
	     : "*loadcase_option converge:displacements"
      endgroup }

      label "RESIDUAL FORCES" r+6 c2 w78 h4 i12

      button "RELATIVE FORCE TOLERANCE" \
	      r+4  c=   w60 h4 i13 : "*loadcase_value force"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_force
      button "MINIMUM FORCE REACTION CUTOFF" \
	      r+4  c-60 w60 h4 i13 : "*loadcase_value minforce"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_minforce
      button "MAXIMUM ABSOLUTE RESIDUAL FORCE" \
	      r+4  c-60 w60 h4 i13 : "*loadcase_value maxforce"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_maxforce

      label "RESIDUAL MOMENTS" r+6 c2 w78 h4 i12

      button "RELATIVE MOMENT TOLERANCE" \
	      r+4  c=   w60 h4 i13 : "*loadcase_value moment"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_moment
      button "MINIMUM MOMENT REACTION CUTOFF" \
	      r+4  c-60 w60 h4 i13 : "*loadcase_value minmoment"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_minmoment
      button "MAXIMUM ABSOLUTE RESIDUAL MOMENT" \
	      r+4  c-60 w60 h4 i13 : "*loadcase_value maxmoment"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_maxmoment

      label "DISPLACEMENTS" r+6 c2 w78 h4 i12

      button "RELATIVE DISPLACEMENT TOLERANCE" \
	      r+4  c=   w60 h4 i13 : "*loadcase_value displacement"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_displacement
      button "MINIMUM DISPLACEMENT CUTOFF" \
	      r+4  c-60 w60 h4 i13 : "*loadcase_value mindisp"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_mindisp
      button "MAXIMUM ABSOLUTE DISPLACEMENT" \
	      r+4  c-60 w60 h4 i13 : "*loadcase_value maxdisp"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_maxdisp

      label "ROTATIONS" r+6 c2 w78 h4 i12

      button "RELATIVE ROTATION TOLERANCE" \
	      r+4  c=   w60 h4 i13 : "*loadcase_value rotation"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_rotation
      button "MINIMUM ROTATION CUTOFF" \
	      r+4  c-60 w60 h4 i13 : "*loadcase_value minrotation"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_minrotation
      button "MAXIMUM ABSOLUTE ROTATION" \
	      r+4  c-60 w60 h4 i13 : "*loadcase_value maxrotation"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_maxrotation

      label "STRAIN ENERGY" r+6 c2 w78 h4 i12

      button "RELATIVE ENERGY TOLERANCE" \
	      r+4  c=   w60 h4 i13 : "*loadcase_value strain"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_strain

      label  "TEMPERATURE TOLERANCES" r+6 c2 w78 h4 i12
      button "MAX CHANGE ALLOWED" \
              r+4 c=   w60 h4 i13 : "*loadcase_value dt_allowed"
      float  "%-14.6g" \
              r=  c+60 w18 h4 i11 :   loadcase_value_dt_allowed
      button "MAX CHANGE BEFORE REASSEMBLY" \
              r+4 c-60 w60 h4 i13 : "*loadcase_value dt_assemble"
      float  "%-14.6g" \
              r=  c+60 w18 h4 i11 :   loadcase_value_dt_assemble
      button "MAX ERROR IN ESTIMATE" \
              r+4 c-60 w60 h4 i13 : "*loadcase_value dt_error"
      float  "%-14.6g" \
              r=  c+60 w18 h4 i11 :   loadcase_value_dt_error

      button "OK" r+6 c36 w12 h8 i13 : *remove_popup

    endpopup }

    popup "CONTACT" r+4 c2 w36 h4 i10 dr10 dc42 dw50 dh24 {

#include contact_lcase.m

    endpopup }

    popup "GAP CHANGES" r+4 c2 w36 h4 i10 dr10 dc42 dw48 dh66 {

#include gap_changes.m

    endpopup }

    button "TOTAL LOADCASE TIME" r+6 c2   w36 h4 i13 : "*loadcase_value time"
    float  "%-14.6g"             r=  c+36 w18 h4 i11 :   loadcase_value_time

    label "STEPPING PROCEDURE" r+6 c2 w54 h4 i12
    group {
      oneonly "FIXED"       r+4 c= w32 h4 i13 \
              : "*loadcase_option stepping:fixed"
      oneonly "TIME (HEAT TRANSFER)" r+8 c= w32 h4 i13 \
              : "*loadcase_option stepping:time_heat"
      oneonly "TIME (MECHANICAL)"        r+4 c= w32 h4 i13 \
              : "*loadcase_option stepping:time_mech"
    endgroup }

    popup "PARAMETERS" r-12 c+32 w22 h4 i10 dr10 dc42 dw56 dh28 \
        : "*loadcase_option stepping:fixed" {

      label "FIXED STEPPING PARAMETERS" r1 c1 w56 h4 i12

      button  "# STEPS" r+5 c2   w36 h4 i13 : "*loadcase_value nsteps"
      integer "%-d"     r=  c+36 w18 h4 i11 :   loadcase_value_nsteps

      group {
        scroll "NO FINISH CHECK"    r+4 c-36 w36 h4 i13 \
             : "*loadcase_option finish:below"
        scroll "FINISH WHEN BELOW"  r=  c=   w36 h4 i13 \
             : "*loadcase_option finish:exceed"
        scroll "FINISH WHEN EXCEED" r=  c=   w36 h4 i13 \
             : "*loadcase_option finish:no"
      endgroup }

      button "FINISH TEMPERATURE" r+4 c=   w36 h4 i13 \
           : "*loadcase_value temp_finish"
      float  "%-14.6g"            r=  c+36 w18 h4 i11 \
           :   loadcase_value_temp_finish

      button "OK" r+6 c22 w12 h8 i13 : *remove_popup

    endpopup }

    label "ADAPTIVE LOADING" r+4 c-32 w54 h4 i12

    popup "PARAMETERS" r+4 c+32 w22 h4 i10 dr10 dc42 dw56 dh36 \
        : "*loadcase_option stepping:time_heat" {

#include temperature.m

    endpopup }

    popup "PARAMETERS" r+4  c=   w22 h4 i10 dr10 dc42 dw56 dh44 \
        : "*loadcase_option stepping:time_mech" {

#include time.m

    endpopup }

    button "RESET" r+6 c2   w12 h10 i13 U : *loadcase_reset
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

  popup "RIGID PLASTIC" r+4 c2 w27 h4 i10 dr4 dc36 dw56 dh66 \
      : "*loadcase_type coupled_rpflow" {

    label "COUPLED RIGID PLASTIC PARAMETERS" r1 c1 w56 h4 i12

    popup "LOADS" r+5 c2 w36 h4 i10 dr9 dc42 dw62 dh86 ? lcase_loads.hlp {

#include sel_loads1.m

    endpopup }

    popup "SOLUTION CONTROL" r+4 c2 w36 h4 i10 dr9 dc42 dw80 dh74 \
          ? lcase_solution.hlp {

      label "SOLUTION CONTROL" r1 c1 w80 h4 i12

      button  "MAX # INCREMENTS IN JOB" r+5 c2   w36 h4 i13 \
            : "*loadcase_value maxjobinc"
      integer "%-d"                     r=  c+36 w18 h4 i11 \
            :   loadcase_value_maxjobinc
      button  "MAX # RECYCLES"          r+4 c-36 w36 h4 i13 \
            : "*loadcase_value maxrec"
      integer "%-d"                     r=  c+36 w18 h4 i11 \
            :   loadcase_value_maxrec
      button  "MIN # RECYCLES"          r+4 c-36 w36 h4 i13 \
            : "*loadcase_value minrec"
      integer "%-d"                     r=  c+36 w18 h4 i11 \
            :   loadcase_value_minrec

      toggle "NON-POSITIVE DEFINITE"      r+6 c2 w36 h4 i13 \
           : "*loadcase_option nonpos:on / *loadcase_option nonpos:off"
      toggle "PROCEED WHEN NOT CONVERGED" r+4 c= w36 h4 i13 \
           : "*loadcase_option proceed:on / *loadcase_option proceed:off"

      label "ITERATIVE PROCEDURE" r+6 c2 w36 h4 i12
      group {
        oneonly "FULL NEWTON-RAPHSON"     r+4 c= w36 h4 i13 \
              : "*loadcase_option procedure:fullnr"
        oneonly "MODIFIED NEWTON-RAPHSON" r+4 c= w36 h4 i13 \
              : "*loadcase_option procedure:modifiednr"
      endgroup }

      label "CONTRIBUTION OF INITIAL STRESS TO STIFFNESS" r+6 c2 w78 h4 i12
      group {
        oneonly "FULL"                   r+4  c= w30 h4 i13 \
              : "*loadcase_option initstress:full"
        oneonly "DEVIATORIC STRESS"      r+4  c= w30 h4 i13 \
              : "*loadcase_option initstress:deviatoric"
        oneonly "NONE"                   r+4  c= w30 h4 i13 \
              : "*loadcase_option initstress:none"
        oneonly "BEGIN INCREMENT STRESS" r+4  c= w30 h4 i13 \
              : "*loadcase_option initstress:begininc"
      endgroup }

      button "CONTRIBUTION FACTOR" r-8 c+30 w30 h4 i13 \
           : "*loadcase_value contribution"
      float  "%-14.6g"             r=  c+30 w18 h4 i11 \
           :   loadcase_value_contribution

      button "OK" r+14 c34 w12 h8 i13 : *remove_popup

    endpopup }

    popup "CONVERGENCE TESTING" r+4 c2 w36 h4 i10 dr1 dc42 dw80 dh134 \
          ? lcase_convergence.hlp {

##include convtest.m
      label "CONVERGENCE TESTING" r1 c1 w80 h4 i12

      group {
	oneonly "RELATIVE"          r+5 c2   w26 h4 i13 \
	      : "*loadcase_option error:relative"
	oneonly "ABSOLUTE"          r=  c+26 w26 h4 i13 \
	      : "*loadcase_option error:absolute"
	oneonly "RELATIVE/ABSOLUTE" r=  c+26 w26 h4 i13 \
	      : "*loadcase_option error:relabs"
      endgroup }

      label "CRITERIA" r+6 c2 w78 h4 i12
      group {
       oneonly "RESIDUAL FORCE"          r+4 c=   w26 h4 i13 \
	     : "*loadcase_option converge:force_only"
       oneonly "DISPLACEMENT"            r=  c+26 w26 h4 i13 \
	     : "*loadcase_option converge:disp_only"
       oneonly "STRAIN ENERGY"           r=  c+26 w26 h4 i13 \
	     : "*loadcase_option converge:strain"
       oneonly "RESIDUAL FORCE & MOMENT" r+4 c-52 w26 h4 i13 \
	     : "*loadcase_option converge:residuals"
       oneonly "DISPLACEMENT & ROTATION" r=  c+26 w26 h4 i13 \
	     : "*loadcase_option converge:displacements"
      endgroup }

      label "RESIDUAL FORCES" r+6 c2 w78 h4 i12

      button "RELATIVE FORCE TOLERANCE" \
	      r+4  c=   w60 h4 i13 : "*loadcase_value force"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_force
      button "MINIMUM FORCE REACTION CUTOFF" \
	      r+4  c-60 w60 h4 i13 : "*loadcase_value minforce"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_minforce
      button "MAXIMUM ABSOLUTE RESIDUAL FORCE" \
	      r+4  c-60 w60 h4 i13 : "*loadcase_value maxforce"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_maxforce

      label "RESIDUAL MOMENTS" r+6 c2 w78 h4 i12

      button "RELATIVE MOMENT TOLERANCE" \
	      r+4  c=   w60 h4 i13 : "*loadcase_value moment"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_moment
      button "MINIMUM MOMENT REACTION CUTOFF" \
	      r+4  c-60 w60 h4 i13 : "*loadcase_value minmoment"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_minmoment
      button "MAXIMUM ABSOLUTE RESIDUAL MOMENT" \
	      r+4  c-60 w60 h4 i13 : "*loadcase_value maxmoment"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_maxmoment

      label "DISPLACEMENTS" r+6 c2 w78 h4 i12

      button "RELATIVE DISPLACEMENT TOLERANCE" \
	      r+4  c=   w60 h4 i13 : "*loadcase_value displacement"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_displacement
      button "MINIMUM DISPLACEMENT CUTOFF" \
	      r+4  c-60 w60 h4 i13 : "*loadcase_value mindisp"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_mindisp
      button "MAXIMUM ABSOLUTE DISPLACEMENT" \
	      r+4  c-60 w60 h4 i13 : "*loadcase_value maxdisp"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_maxdisp

      label "ROTATIONS" r+6 c2 w78 h4 i12

      button "RELATIVE ROTATION TOLERANCE" \
	      r+4  c=   w60 h4 i13 : "*loadcase_value rotation"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_rotation
      button "MINIMUM ROTATION CUTOFF" \
	      r+4  c-60 w60 h4 i13 : "*loadcase_value minrotation"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_minrotation
      button "MAXIMUM ABSOLUTE ROTATION" \
	      r+4  c-60 w60 h4 i13 : "*loadcase_value maxrotation"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_maxrotation

      label "STRAIN ENERGY" r+6 c2 w78 h4 i12

      button "RELATIVE ENERGY TOLERANCE" \
	      r+4  c=   w60 h4 i13 : "*loadcase_value strain"
      float  "%-14.6g" \
	      r=   c+60 w18 h4 i11 :   loadcase_value_strain

      label  "TEMPERATURE TOLERANCES" r+6 c2   w78 h4 i12
      button "MAX CHANGE ALLOWED" \
              r+4 c=   w60 h4 i13 : "*loadcase_value dt_allowed"
      float  "%-14.6g" \
              r=  c+60 w18 h4 i11 :   loadcase_value_dt_allowed
      button "MAX CHANGE BEFORE REASSEMBLY" \
              r+4 c-60 w60 h4 i13 : "*loadcase_value dt_assemble"
      float  "%-14.6g" \
              r=  c+60 w18 h4 i11 :   loadcase_value_dt_assemble
      button "MAX ERROR IN ESTIMATE" \
              r+4 c-60 w60 h4 i13 : "*loadcase_value dt_error"
      float  "%-14.6g" \
              r=  c+60 w18 h4 i11 :   loadcase_value_dt_error

      button "OK" r+6 c36 w12 h8 i13 : *remove_popup

    endpopup }

    popup "CONTACT" r+4 c2 w36 h4 i10 dr10 dc42 dw50 dh24 {

#include contact_lcase.m

    endpopup }

    popup "GAP CHANGES" r+4 c2 w36 h4 i10 dr10 dc42 dw48 dh66 {

#include gap_changes.m

    endpopup }

    button "TOTAL LOADCASE TIME" r+6 c2   w36 h4 i13 : "*loadcase_value time"
    float  "%-14.6g"             r=  c+36 w18 h4 i11 :   loadcase_value_time

    label "STEPPING PROCEDURE" r+6 c2 w54 h4 i12
    group {
      oneonly "FIXED"       r+4 c= w32 h4 i13 \
            : "*loadcase_option stepping:fixed"
      oneonly "TIME (HEAT TRANSFER)" r+8 c= w32 h4 i13 \
            : "*loadcase_option stepping:time_heat"
      oneonly "TIME (MECHANICAL)"        r+4 c= w32 h4 i13 \
            : "*loadcase_option stepping:time_mech"
    endgroup }

    popup "PARAMETERS" r-12 c+32 w22 h4 i10 dr10 dc42 dw56 dh28 \
        : "*loadcase_option stepping:fixed" {

      label "FIXED STEPPING" r1 c1 w56 h4 i12

      button  "# STEPS" r+5 c2   w36 h4 i13 : "*loadcase_value nsteps"
      integer "%-d"     r=  c+36 w18 h4 i11 :   loadcase_value_nsteps

      group {
        scroll "NO FINISH CHECK"    r+4 c-36 w36 h4 i13 \
             : "*loadcase_option finish:below"
        scroll "FINISH WHEN BELOW"  r=  c=   w36 h4 i13 \
             : "*loadcase_option finish:exceed"
        scroll "FINISH WHEN EXCEED" r=  c=   w36 h4 i13 \
             : "*loadcase_option finish:no"
      endgroup }

      button "FINISH TEMPERATURE" r+4 c=   w36 h4 i13 \
           : "*loadcase_value temp_finish"
      float  "%-14.6g"            r=  c+36 w18 h4 i11 \
           :   loadcase_value_temp_finish

      button "OK" r+6 c22 w12 h8 i13 : *remove_popup

    endpopup }

    label "ADAPTIVE LOADING" r+4 c-32 w54 h4 i12

    popup "PARAMETERS" r+4 c+32 w22 h4 i10 dr10 dc42 dw56 dh36 \
        : "*loadcase_option stepping:time_heat" {

#include temperature.m

    endpopup }

    popup "PARAMETERS" r+4  c= w22 h4 i10 dr10 dc42 dw56 dh44 \
        : "*loadcase_option stepping:time_mech" {

#include time.m

    endpopup }

    button "RESET" r+6 c2   w12 h10 i13 U : *loadcase_reset
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

  button "DEACTIVATE" r+6 c1   w16 h4 i13 : *loadcase_deactivate_elements
  button "ACTIVATE"   r=  c+16 w16 h4 i13 : *loadcase_activate_elements

  newscreen "MORE" r+5 c1 w32 h6 i10 : loadcase2

#include loadcase_sub.m
#include select_std.m
#include transform.m
#include standard.m

endscreen }

screen ~ loadcase2 "LOADCASE" r1 c1 w32 h4 i12 H120 W128 {

  label "OTHER ANALYSES" r15 c1 w32 h41 i12

  string "%s" r+4 c+28 w3 h4 i9 : loadcase_type_joule_steady_state
  string "%s" r+4 c=   w3 h4 i9 : loadcase_type_joule_transient
  string "%s" r+4 c=   w3 h4 i9 : loadcase_type_acoustic_modal
  string "%s" r+4 c=   w3 h4 i9 : loadcase_type_acoustic_transient
  string "%s" r+4 c=   w3 h4 i9 : loadcase_type_bearing
  string "%s" r+4 c=   w3 h4 i9 : loadcase_type_electrostatic
  string "%s" r+4 c=   w3 h4 i9 : loadcase_type_magnetostatic
  string "%s" r+4 c=   w3 h4 i9 : loadcase_type_electromagnetic_harmonic
  string "%s" r+4 c=   w3 h4 i9 : loadcase_type_electromagnetic_transient

  popup "JOULE STEADY STATE" r-32 c2 w27 h4 i10 dr6 dc36 dw38 dh30 \
      : "*loadcase_type joule_steady_state" {

    label "JOULE STEADY STATE PARAMETERS" r1 c1 w38 h4 i12

    popup "LOADS" r+5 c2 w36 h4 i10 dr9 dc42 dw62 dh86 ? lcase_loads.hlp {

#include sel_loads1.m

    endpopup }

    popup "SOLUTION CONTROL" r+4 c2 w36 h4 i10 dr9 dc42 dw56 dh28 \
          ? lcase_solution.hlp {

      label "SOLUTION CONTROL" r1 c1 w56 h4 i12

      button  "MAX # INCREMENTS IN JOB" r+5 c2   w36 h4 i13 \
            : "*loadcase_value maxjobinc"
      integer "%-d"                     r=  c+36 w18 h4 i11 \
            :   loadcase_value_maxjobinc
      button  "MAX # RECYCLES"          r+4 c-36 w36 h4 i13 \
            : "*loadcase_value maxrec"
      integer "%-d"                     r=  c+36 w18 h4 i11 \
            :   loadcase_value_maxrec
      button  "MIN # RECYCLES"          r+4 c-36 w36 h4 i13 \
            : "*loadcase_value minrec"
      integer "%-d"                     r=  c+36 w18 h4 i11 \
            :   loadcase_value_minrec

      button "OK" r+6 c22 w12 h8 i13 : *remove_popup

    endpopup }

    popup "CONVERGENCE TESTING" r+4 c2 w36 h4 i10 dr9 dc42 dw56 dh24 \
          ? lcase_convergence.hlp {

        label "CONVERGENCE TESTING" r1 c1 w56 h4 i12

        label  "TEMPERATURE TOLERANCES" r+5 c2   w54 h4 i12
        button "MAX ERROR IN ESTIMATE"  r+4 c=   w36 h4 i13 \
             : "*loadcase_value dt_error"
        float  "%-14.6g"                r=  c+36 w18 h4 i11 \
             :   loadcase_value_dt_error

        button "OK" r+6 c22 w12 h8 i13 : *remove_popup

    endpopup }

    button "RESET" r+6 c2   w12 h10 i13 U : *loadcase_reset
    button "OK"    r=  c+24 w12 h10 i13   : *remove_popup

  endpopup }

  popup "JOULE TRANSIENT" r+4 c2 w27 h4 i10 dr6 dc36 dw56 dh54 \
      : "*loadcase_type joule_transient" {

    label "JOULE TRANSIENT PARAMETERS" r1 c1 w56 h4 i12

    popup "LOADS" r+5 c2 w36 h4 i10 dr9 dc42 dw62 dh86 ? lcase_loads.hlp {

#include sel_loads1.m

    endpopup }

    popup "SOLUTION CONTROL" r+4 c2 w36 h4 i10 dr9 dc42 dw56 dh28 \
          ? lcase_solution.hlp {

      label "SOLUTION CONTROL" r1 c1 w56 h4 i12

      button  "MAX # INCREMENTS IN JOB" r+5 c2   w36 h4 i13 \
            : "*loadcase_value maxjobinc"
      integer "%-d"                     r=  c+36 w18 h4 i11 \
            :   loadcase_value_maxjobinc
      button  "MAX # RECYCLES"          r+4 c-36 w36 h4 i13 \
            : "*loadcase_value maxrec"
      integer "%-d"                     r=  c+36 w18 h4 i11 \
            :   loadcase_value_maxrec
      button  "MIN # RECYCLES"          r+4 c-36 w36 h4 i13 \
            : "*loadcase_value minrec"
      integer "%-d"                     r=  c+36 w18 h4 i11 \
            :   loadcase_value_minrec

      button "OK" r+6 c22 w12 h8 i13 : *remove_popup

    endpopup }

    popup "CONVERGENCE TESTING" r+4 c2 w36 h4 i10 dr9 dc42 dw56 dh32 \
          ? lcase_convergence.hlp {

      label "CONVERGENCE TESTING" r1 c1 w56 h4 i12

      label  "TEMPERATURE TOLERANCES"       r+5 c2   w54 h4 i12
      button "MAX CHANGE ALLOWED"           r+4 c=   w36 h4 i13 \
           : "*loadcase_value dt_allowed"
      float  "%-14.6g"                      r=  c+36 w18 h4 i11 \
           :   loadcase_value_dt_allowed
      button "MAX CHANGE BEFORE REASSEMBLY" r+4 c-36 w36 h4 i13 \
           : "*loadcase_value dt_assemble"
      float  "%-14.6g"                      r=  c+36 w18 h4 i11 \
           :   loadcase_value_dt_assemble
      button "MAX ERROR IN ESTIMATE"        r+4 c-36 w36 h4 i13 \
           : "*loadcase_value dt_error"
      float  "%-14.6g"                      r=  c+36 w18 h4 i11 \
           :   loadcase_value_dt_error

      button "OK" r+6 c22 w12 h8 i13 : *remove_popup

    endpopup }

    button "TOTAL LOADCASE TIME" r+6 c2   w36 h4 i13 : "*loadcase_value time"
    float  "%-14.6g"             r=  c+36 w18 h4 i11 :   loadcase_value_time

    label "STEPPING PROCEDURE" r+6 c2 w54 h4 i12
    group {
      oneonly "FIXED"       r+4 c= w32 h4 i13 \
            : "*loadcase_option stepping:fixed"
      oneonly "TIME" r+8 c=  w32 h4 i13 \
            : "*loadcase_option stepping:time_heat"
    endgroup }

    popup "PARAMETERS" r-8 c+32 w22 h4 i10 dr10 dc42 dw56 dh28 \
        : "*loadcase_option stepping:fixed" {

      label "FIXED STEPPING" r1 c1 w56 h4 i12

      button  "# STEPS" r+5 c2   w36 h4 i13 : "*loadcase_value nsteps"
      integer "%-d"     r=  c+36 w18 h4 i11 :   loadcase_value_nsteps

      group {
        scroll "NO FINISH CHECK"    r+4 c-36 w36 h4 i13 \
             : "*loadcase_option finish:below"
        scroll "FINISH WHEN BELOW"  r=  c=   w36 h4 i13 \
             : "*loadcase_option finish:exceed"
        scroll "FINISH WHEN EXCEED" r=  c=   w36 h4 i13 \
             : "*loadcase_option finish:no"
      endgroup }

      button "FINISH TEMPERATURE" r+4 c=   w36 h4 i13 \
           : "*loadcase_value temp_finish"
      float  "%-14.6g"            r=  c+36 w18 h4 i11 \
           :   loadcase_value_temp_finish

      button "OK" r+6 c22 w12 h8 i13 : *remove_popup

    endpopup }

    label "ADAPTIVE LOADING" r+4 c-32 w54 h4 i12

    popup "PARAMETERS" r+4 c+32 w22 h4 i10 dr10 dc42 dw56 dh36 \
        : "*loadcase_option stepping:time_heat" {

#include temperature.m

    endpopup }

    button "RESET" r+6 c2   w12 h10 i13 U : *loadcase_reset
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

  popup "ACOUSTIC MODAL" r+4 c2 w27 h4 i10 dr6 dc36 dw76 dh52 \
      : "*loadcase_type acoustic_modal" {

    label "ACOUSTIC MODAL PARAMETERS" r1 c1 w76 h4 i12

    label "LANCZOS" r+5 c2 w36 h4 i12

    button  "LOWEST FREQUENCY"  r+4 c=   w24 h4 i13 : "*loadcase_value low"
    float   "%-14.6g"           r=  c+24 w12 h4 i11 :   loadcase_value_low
    button  "HIGHEST FREQUENCY" r+4 c-24 w24 h4 i13 : "*loadcase_value high"
    float   "%-14.6g"           r=  c+24 w12 h4 i11 :   loadcase_value_high
    button  "# MODES"           r+4 c-24 w24 h4 i13 : "*loadcase_value nmodes"
    integer "%-d"               r=  c+24 w12 h4 i11 :   loadcase_value_nmodes
    toggle  "STURM SEQUENCE"    r+4 c-24 w36 h4 i13 \
          : "*loadcase_option sturm:on / *loadcase_option sturm:off"
    label   "RESTART FILE"      r+4 c=   w36 h4 i12
    group {
      scroll "NO LANCZOS VECTORS"         r+4 c= w36 h4 i13 \
           : "*loadcase_option vectors:write"
      scroll "WRITE LANCZOS VECTORS"      r=  c= w36 h4 i13 \
           : "*loadcase_option vectors:read"
      scroll "READ LANCZOS VECTORS"       r=  c= w36 h4 i13 \
           : "*loadcase_option vectors:both"
      scroll "READ/WRITE LANCZOS VECTORS" r=  c= w36 h4 i13 \
           : "*loadcase_option vectors:no"
    endgroup }

    toggle "NON-POSITIVE DEFINITE" r+6 c2 w36 h4 i13 \
         : "*loadcase_option nonpos:on / *loadcase_option nonpos:off"

    label   "POWER SWEEP" r6 c40 w36 h4 i12

    button  "MAX # ITERATIONS"  r+4 c=   w24 h4 i13 \
          : "*loadcase_value maxit"
    integer "%-d"               r=  c+24 w12 h4 i11 \
          :   loadcase_value_maxit
    button  "TOLERANCE"         r+4 c-24 w24 h4 i13 \
          : "*loadcase_value tolerance"
    float   "%-14.6g"           r=  c+24 w12 h4 i11 \
          :   loadcase_value_tolerance
    button  "INITIAL SHIFT"     r+4 c-24 w24 h4 i13 \
          : "*loadcase_value initshift"
    float   "%-14.6g"           r=  c+24 w12 h4 i11 \
          :   loadcase_value_initshift
    button  "HIGHEST FREQUENCY" r+4 c-24 w24 h4 i13 \
          : "*loadcase_value pshigh"
    float   "%-14.6g"           r=  c+24 w12 h4 i11 \
          :   loadcase_value_pshigh
    toggle  "AUTO SHIFT"        r+4 c-24 w36 h4 i13 \
          : "*loadcase_option autoshift:on / *loadcase_option autoshift:off"
    button  "# MODES PER SHIFT" r+4 c=   w24 h4 i13 \
          : "*loadcase_value shiftmodes"
    integer "%-d"               r=  c+24 w12 h4 i11 \
          :   loadcase_value_shiftmodes
    button  "SHIFT PARAMETER"   r+4 c-24 w24 h4 i13 \
          : "*loadcase_value shiftpar"
    float   "%-14.6g"           r=  c+24 w12 h4 i11 \
          :   loadcase_value_shiftpar

    button "RESET" r42 c2   w12 h10 i13 U : *loadcase_reset
    button "OK"    r=  c+62 w12 h10 i13   : *remove_popup

  endpopup }

  popup "ACOUSTIC TRANSIENT" r+4 c2 w27 h4 i10 dr6 dc36 dw56 dh32 \
      : "*loadcase_type acoustic_transient" {

    label "ACOUSTIC TRANSIENT PARAMETERS" r1 c1 w56 h4 i12

    popup "LOADS" r+5 c2 w36 h4 i10 dr9 dc42 dw62 dh86 ? lcase_loads.hlp {

#include sel_loads1.m

    endpopup }

    button  "TOTAL LOADCASE TIME" r+6 c2   w36 h4 i13 : "*loadcase_value time"
    float   "%-14.6g"             r=  c+36 w18 h4 i11 :   loadcase_value_time
    button  "# STEPS"             r+4 c-36 w36 h4 i13 : "*loadcase_value nsteps"
    integer "%-d"                 r=  c+36 w18 h4 i11 :   loadcase_value_nsteps

    button "RESET" r+6 c2   w12 h10 i13 U : *loadcase_reset
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }


  popup "BEARING" r+4 c2 w27 h4 i10 dr6 dc36 dw38 dh28 \
      : "*loadcase_type bearing" {

    label "BEARING PARAMETERS" r1 c1 w38 h4 i12

    popup "LOADS" r+5 c2 w36 h4 i10 dr9 dc42 dw62 dh86 ? lcase_loads.hlp {

#include sel_loads1.m

    endpopup }

    toggle "DAMPING"   r+6 c2   w18 h4 i13 \
    : "*loadcase_option damping_comp:on / *loadcase_option damping_comp:off"
    toggle "STIFFNESS" r=  c+18 w18 h4 i13 \
    : "*loadcase_option stiffness_comp:on / *loadcase_option stiffness_comp:off"

    button "RESET" r+6 c2   w12 h10 i13 U : *loadcase_reset
    button "OK"    r=  c+24 w12 h10 i13   : *remove_popup

  endpopup }

  popup "ELECTROSTATIC" r+4 c2 w27 h4 i10 dr6 dc36 dw38 dh22 \
      : "*loadcase_type electrostatic" {

    label "ELECTROSTATIC PARAMETERS" r1 c1 w38 h4 i12

    popup "LOADS" r+5 c2 w36 h4 i10 dr9 dc42 dw62 dh86 ? lcase_loads.hlp {

#include sel_loads1.m

    endpopup }

    button "RESET" r+6 c2   w12 h10 i13 U : *loadcase_reset
    button "OK"    r=  c+24 w12 h10 i13   : *remove_popup

  endpopup }

  popup "MAGNETOSTATIC" r+4 c2 w27 h4 i10 dr6 dc36 dw38 dh36 \
      : "*loadcase_type magnetostatic" {

    label "MAGNETOSTATIC PARAMETERS" r1 c1 w38 h4 i12

    popup "LOADS" r+5 c2 w36 h4 i10 dr9 dc42 dw62 dh86 ? lcase_loads.hlp {

#include sel_loads1.m

    endpopup }

    label  "RESIDUAL CURRENT TOLERANCE" \
                       r+6 c2 w36 h4 i12 
    button "RELATIVE"  r+4 c=   w18 h4 i13 : "*loadcase_value relcurrent"
    float  "%-14.6g"   r=  c+18 w18 h4 i11 :   loadcase_value_relcurrent
    button "ABSOLUTE"  r+4 c-18 w18 h4 i13 : "*loadcase_value abscurrent"
    float  "%-14.6g"   r=  c+18 w18 h4 i11 :   loadcase_value_abscurrent

    button "RESET" r+6 c2   w12 h10 i13 U : *loadcase_reset
    button "OK"    r=  c+24 w12 h10 i13   : *remove_popup

  endpopup }

  popup "EL-MAGNETIC HARMONIC" r+4 c2 w27 h4 i10 dr6 dc36 dw56 dh36 \
      : "*loadcase_type electromagnetic_harmonic" {

    label "ELECTROMAGNETIC HARMONIC PARAMETERS" r1 c1 w56 h4 i12

    popup "LOADS" r+5 c2 w36 h4 i10 dr9 dc42 dw78 dh86 ? lcase_loads.hlp {

#include sel_loads2.m

    endpopup }

    button  "LOWEST FREQUENCY"  r+6 c2   w36 h4 i13 : "*loadcase_value low"
    float   "%-14.6g"           r=  c+36 w18 h4 i11 :   loadcase_value_low
    button  "HIGHEST FREQUENCY" r+4 c-36 w36 h4 i13 : "*loadcase_value high"
    float   "%-14.6g"           r=  c+36 w18 h4 i11 :   loadcase_value_high
    button  "# FREQUENCIES"     r+4 c-36 w36 h4 i13 : "*loadcase_value nfreq"
    integer "%-d"               r=  c+36 w18 h4 i11 :   loadcase_value_nfreq

    button "RESET" r+6 c2   w12 h10 i13 U : *loadcase_reset
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

  popup "EL-MAGNETIC TRANSIENT" r+4 c2 w27 h4 i10 dr6 dc36 dw56 dh42 \
      : "*loadcase_type electromagnetic_transient" {

    label "ELECTROMAGNETIC TRANSIENT PARAMETERS" r1 c1 w56 h4 i12

    popup "LOADS" r+5 c2 w36 h4 i10 dr9 dc42 dw62 dh86 ? lcase_loads.hlp {

#include sel_loads1.m

    endpopup }

    button  "TOTAL LOADCASE TIME" r+6 c2   w36 h4 i13 : "*loadcase_value time"
    float   "%-14.6g"             r=  c+36 w18 h4 i11 :   loadcase_value_time
    button  "# STEPS"             r+4 c-36 w36 h4 i13 : "*loadcase_value nsteps"
    integer "%-d"                 r=  c+36 w18 h4 i11 :   loadcase_value_nsteps

    label  "CONTROL"   r+6 c2   w54 h4 i12 
    button "TOLERANCE" r+4 c=   w36 h4 i13 : "*loadcase_value tolerance"
    float  "%-14.6g"   r=  c+36 w18 h4 i11 :   loadcase_value_tolerance

    button "RESET" r+6 c2   w12 h10 i13 U : *loadcase_reset
    button "OK"    r=  c+42 w12 h10 i13   : *remove_popup

  endpopup }

  button "DEACTIVATE" r+6 c1   w16 h4 i13 : *loadcase_deactivate_elements
  button "ACTIVATE"   r=  c+16 w16 h4 i13 : *loadcase_activate_elements

  newscreen "PREVIOUS" r+5 c1 w32 h6 i10 : return

#include loadcase_sub.m
#include transform.m
#include standard2.m

endscreen }
