# main.m is starting point for the menu system

@MENUS
# beginning of menu portion - suggest using % under vi to test braces!
screen ~ main "MAIN MENU" r1 c1 w32 h4 i12 H120 W128 {

   label "PREPROCESSING" r6  c1 w32 h48 i12

   newscreen "MESH GENERATION"      r+4 c+2 w28 h6 i10 : meshgen
   newscreen "BOUNDARY CONDITIONS"  r+6 c=  w28 h6 i10 : apply
   newscreen "INITIAL CONDITIONS"   r+6 c=  w28 h6 i10 : init_cond
   newscreen "LINKS"                r+6 c=  w28 h6 i10 : links
   newscreen "MATERIAL PROPERTIES"  r+6 c=  w28 h6 i10 : mat_props
   newscreen "GEOMETRIC PROPERTIES" r+6 c=  w28 h6 i10 : geom_props
   newscreen "CONTACT"              r+6 c=  w28 h6 i10 : contact

   label "ANALYSIS" r+9 c1 w32 h18 i12

   newscreen "LOADCASE" r+4 c+2 w28 h6 i10 : loadcase
   newscreen "JOBS"     r+6 c=  w28 h6 i10 : jobs

   label "POSTPROCESSING" r+9 c1 w32 h12 i12

   newscreen "RESULTS" r+4 c+2 w28 h6 i10 : results

   label "CONFIGURATION" r+9 c1 w32 h18 i12

   newscreen "DEVICE"        r+4 c+2 w28 h6 i10 : device
   newscreen "VISUALIZATION" r+6 c=  w28 h6 i10 : visualization

#   newscreen "DEBUG" r+11 c1 w16 h4 i10 : debug

#include transform.m

   popup "QUIT" r113 c1 w32 h8 i10 dr113 dc1 dw32 dh8 {

      button "SAVE & EXIT"    r1 c1  w16 h8 i13 : "*save_model *quit yes"
      button "EXIT"     r1 c+16 w8 h8 i13 : "*quit yes"
      button "CANCEL" r1 c+8  w8 h8 i13 : "*remove_popup"

   endpopup }

#   popup "QUIT" r113 c1 w32 h8 i10 dr113 dc1 dw32 dh8 : *quit {
#
#      label  "SAVE?"  r1 c1 w16 h8 i12
#      button "YES"    r1 c9  w8 h8 i13 : "*save_model yes"
#      button "NO"     r1 c17 w8 h8 i13 :  yes
#      button "CANCEL" r1 c25 w8 h8 i13 : "*remove_popup no"
#
#   endpopup }

endscreen }

#include meshgen.m

#include apply.m

#include icond.m

#include links.m

#include mat_props.m

#include geom_props.m

#include contact.m

#include loadcase.m

#include jobs.m

#include results.m

#include device.m

#include utility.m

#include file.m

#include viewing.m

#include select.m

#include plot.m

#include table.m

#include debug.m

##include csg.m

##include import.m

# end of menu portion

# These names must be kept under 32 characters long.
# Where FALSE or TRUE are required use 0 or non-zero respectively.

@TOLERANCES
TIMEOUT 4000.0

#The PROCEDURES section contains the names of procedure files you wish to
#read automatically at the start of your session.  
#IMPORTANT: Procedures must be read AFTER all other sections (other than COMMENTS).

@PROCEDURES
#The following would read "test.proc" every time the program was started:
#FILE test.proc

