screen ~ meshgen "MESH GENERATION" r1 c1 w32 h4 i12 H120 W128  ? \
                  mesh_gen.hlp {

   label  "NODES" r6  c1  w8 h4 i12
   button "ADD"   r=  c+8 w6 h4 i13 : *add_nodes
   button "REM"   r=  c+6 w6 h4 i13 : *remove_nodes
   button "EDIT"  r=  c+6 w6 h4 i13 : *edit_nodes
   button "SHOW"  r=  c+6 w6 h4 i13 : *show_nodes

   label  "ELEMS" r+4 c1  w8 h4 i12
   button "ADD"   r=  c+8 w6 h4 i13 : *add_elements
   button "REM"   r=  c+6 w6 h4 i13 : *remove_elements
   button "EDIT"  r=  c+6 w6 h4 i13 : *edit_elements
   button "SHOW"  r=  c+6 w6 h4 i13 : *show_elements

   label  "PTS"  r+4 c1  w8 h4 i12
   button "ADD"  r=  c+8 w6 h4 i13 : *add_points
   button "REM"  r=  c+6 w6 h4 i13 : *remove_points
   button "EDIT" r=  c+6 w6 h4 i13 : *edit_points
   button "SHOW" r=  c+6 w6 h4 i13 : *show_points

   label  "CRVS" r+4 c1  w8 h4 i12
   button "ADD"  r=  c+8 w6 h4 i13 : *add_curves
   button "REM"  r=  c+6 w6 h4 i13 : *remove_curves
   button "EDIT" r=  c+6 w6 h4 i13 : *edit_curves
   button "SHOW" r=  c+6 w6 h4 i13 : *show_curves

   label  "SRFS" r+4 c1  w8 h4 i12
   button "ADD"  r=  c+8 w6 h4 i13 : *add_surfaces
   button "REM"  r=  c+6 w6 h4 i13 : *remove_surfaces
   button "EDIT" r=  c+6 w6 h4 i13 : *edit_surfaces
   button "SHOW" r=  c+6 w6 h4 i13 : *show_surfaces

   label  "SOLIDS" r+4 c1  w8 h4 i12
   button "ADD"    r=  c+8 w6 h4 i13 : *add_solids
   button "REM"    r=  c+6 w6 h4 i13 : *remove_solids
   label  " "      r=  c+6 w6 h4 i12
   button "SHOW"   r=  c+6 w6 h4 i13 : *show_solids

   button "BETWEEN NODE"  r+4 c1  w16 h4 i13 : *add_node_between
   button "BETWEEN POINT" r=  c17 w16 h4 i13 : *add_point_between

   newscreen "ELEMENT CLASS" r+4 c1 w16 h4 i10 : element_class ? \
                                                element_class.hlp
   group {
      scroll "LINE (2)"   r= c+16 w16 h4 i13 : "*set_element_class line3"
      scroll "LINE (3)"   r= c=   w16 h4 i13 : "*set_element_class tria3"
      scroll "TRIA (3)"   r= c=   w16 h4 i13 : "*set_element_class tria6"
      scroll "TRIA (6)"   r= c=   w16 h4 i13 : "*set_element_class quad4"
      scroll "QUAD (4)"   r= c=   w16 h4 i13 : "*set_element_class quad6"
      scroll "QUAD (6)"   r= c=   w16 h4 i13 : "*set_element_class quad8"
      scroll "QUAD (8)"   r= c=   w16 h4 i13 : "*set_element_class quad9"
      scroll "QUAD (9)"   r= c=   w16 h4 i13 : "*set_element_class tetra4"
      scroll "TETRA (4)"  r= c=   w16 h4 i13 : "*set_element_class tetra10"
      scroll "TETRA (10)" r= c=   w16 h4 i13 : "*set_element_class penta6"
      scroll "PENTA (6)"  r= c=   w16 h4 i13 : "*set_element_class penta15"
      scroll "PENTA (15)" r= c=   w16 h4 i13 : "*set_element_class hex8"
      scroll "HEX (8)"    r= c=   w16 h4 i13 : "*set_element_class hex12"
      scroll "HEX (12)"   r= c=   w16 h4 i13 : "*set_element_class hex20"
      scroll "HEX (20)"   r= c=   w16 h4 i13 : "*set_element_class hex27"
      scroll "HEX (27)"   r= c=   w16 h4 i13 : "*set_element_class line2"
   endgroup }

   newscreen "CURVE TYPE" r+4 c1   w16 h4 i10 : curve_type ? curve_type.hlp
   group {
      scroll "LINE"         r= c+16 w16 h4 i13 : "*set_curve_type arc_craa"
      scroll "ARC_CRAA"     r= c=   w16 h4 i13 : "*set_curve_type arc_cpp"
      scroll "ARC_CPP"      r= c=   w16 h4 i13 : "*set_curve_type arc_cpa"
      scroll "ARC_CPA"      r= c=   w16 h4 i13 : "*set_curve_type arc_ppp"
      scroll "ARC_PPP"      r= c=   w16 h4 i13 : "*set_curve_type arc_tra"
      scroll "ARC_TRA"      r= c=   w16 h4 i13 : "*set_curve_type circle_cr"
      scroll "CIRCLE_CR"    r= c=   w16 h4 i13 : "*set_curve_type circle_cp"
      scroll "CIRCLE_CP"    r= c=   w16 h4 i13 : "*set_curve_type polyline"
      scroll "POLYLINE"     r= c=   w16 h4 i13 : "*set_curve_type cubic_spline"
      scroll "CUBIC SPLINE" r= c=   w16 h4 i13 : "*set_curve_type interpolate"
      scroll "INTERPOLATE"  r= c=   w16 h4 i13 : "*set_curve_type bezier"
      scroll "BEZIER"       r= c=   w16 h4 i13 : "*set_curve_type nurb"
      scroll "NURB"         r= c=   w16 h4 i13 : "*set_curve_type composite"
      scroll "COMPOSITE"    r= c=   w16 h4 i13 : "*set_curve_type tangent"
      scroll "TANGENT"      r= c=   w16 h4 i13 : "*set_curve_type fillet"
      scroll "FILLET"       r= c=   w16 h4 i13 : "*set_curve_type line"
   endgroup }

   newscreen "SURFACE TYPE" r+4 c1   w16 h4 i10 : surface_type \
                                               ? surface_type.hlp
   group {
      scroll "QUAD"        r= c+16 w16 h4 i13 : "*set_surface_type driven"
      scroll "DRIVEN"      r= c=   w16 h4 i13 : "*set_surface_type ruled"
      scroll "RULED"       r= c=   w16 h4 i13 : "*set_surface_type bezier"
      scroll "BEZIER"      r= c=   w16 h4 i13 : "*set_surface_type nurb"
      scroll "NURB"        r= c=   w16 h4 i13 : "*set_surface_type cylinder"
      scroll "CYLINDER"    r= c=   w16 h4 i13 : "*set_surface_type sphere"
      scroll "SPHERE"      r= c=   w16 h4 i13 : "*set_surface_type swept"
      scroll "SWEPT"       r= c=   w16 h4 i13 : "*set_surface_type interpolate"
      scroll "INTERPOLATE" r= c=   w16 h4 i13 : "*set_surface_type coons"
      scroll "COONS"       r= c=   w16 h4 i13 : "*set_surface_type skin"
      scroll "SKIN"        r= c=   w16 h4 i13 : "*set_surface_type quad"
   endgroup }

   newscreen "SOLID TYPE" r+4 c1   w16 h4 i10 : solid_type \
                                              ? solid_type.hlp
   group {
      scroll "BLOCK"    r= c+16 w16 h4 i13 : "*set_solid_type cylinder"
      scroll "CYLINDER" r= c=   w16 h4 i13 : "*set_solid_type prism"
      scroll "PRISM"    r= c=   w16 h4 i13 : "*set_solid_type sphere"
      scroll "SPHERE"   r= c=   w16 h4 i13 : "*set_solid_type torus"
      scroll "TORUS"    r= c=   w16 h4 i13 : "*set_solid_type block"
   endgroup }

   label     "COORDINATE SYSTEM" r+5 c1  w32 h9 i12
   newscreen "SET"               r+4 c+1 w7  h4 i10 : coord_system \
                                                    ? coordinate_system.hlp
   group { 
      scroll "RECTANGULAR" r= c+7 w15 h4 i13 : *system_cylindrical
      scroll "CYLINDRICAL" r= c=  w=  h= i13 : *system_spherical
      scroll "SPHERICAL"   r= c=  w=  h= i13 : *system_rectangular
   endgroup }
   toggle "GRID" r= c+15 w8 h4 i13 : "*set_grid on / *set_grid off"
 
   button "CLEAR MESH" r+6 c1   w16 h4 i13 : *clear_mesh
   button "CLEAR GEOM" r=  c+16 w16 h4 i13 : *clear_geometry

#   newscreen "PROCESSORS" r+5 c1 w16 h6 i10 : processors

   newscreen "ATTACH"        r+4 c1   w16 h4 i10 : attach ? attach.hlp
   newscreen "AUTOMESH"      r=  c+16 w16 h4 i10 : automesh ? automesh.hlp
   newscreen "CHANGE CLASS"  r+4 c-16 w16 h4 i10 : change_class \
                                                 ? change_class.hlp
   newscreen "CHECK"         r=  c+16 w16 h4 i10 : check_elements \
                                                 ? check_elements.hlp
   newscreen "CONVERT"       r+4 c-16 w16 h4 i10 : convert ? convert.hlp
   newscreen "DUPLICATE"     r=  c+16 w16 h4 i10 : duplicate ? duplicate.hlp
   newscreen "EXPAND"        r+4 c-16 w16 h4 i10 : expand ? expand.hlp
   newscreen "INTERSECT"     r=  c+16 w16 h4 i10 : intersect ? intersect.hlp
   newscreen "MOVE"          r+4 c-16 w16 h4 i10 : move ? move.hlp
   newscreen "OVERLAY"       r=  c+16 w16 h4 i10 : overlay ? overlay.hlp
   newscreen "RELAX"         r+4 c-16 w16 h4 i10 : relax ? relax.hlp
   newscreen "RENUMBER"      r=  c+16 w16 h4 i10 : renumber ? renumber.hlp
   newscreen "REVOLVE"       r+4 c-16 w16 h4 i10 : revolve ? revolve.hlp
   newscreen "SOLIDS"        r=  c+16 w16 h4 i10 : solids ? solids.hlp
   newscreen "STRETCH"       r+4 c-16 w16 h4 i10 : stretch ? stretch.hlp
   newscreen "SUBDIVIDE"     r=  c+16 w16 h4 i10 : subdivide ? subdivide.hlp
   newscreen "SWEEP"         r+4 c-16 w16 h4 i10 : sweep ? sweep.hlp
   newscreen "SYMMETRY"      r=  c+16 w16 h4 i10 : symmetry ? symmetry.hlp

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ element_class "ELEMENT CLASS" r1 c1 w32 h4 i12 H120 W128 ? \
                        element_class.hlp {

   label CLASSES r6  c1 w32 h37 i12
   group {
      oneonly "LINE (2)"   r+4 c+1  w15 h4 i13 : "*set_element_class line2" \
                                              ?   set_element_class.hlp
      oneonly "LINE (3)"   r=  c+15 w15 h4 i13 : "*set_element_class line3" \
                                              ?   set_element_class.hlp
      oneonly "TRIA (3)"   r+4 c-15 w15 h4 i13 : "*set_element_class tria3" \
                                              ?   set_element_class.hlp
      oneonly "TRIA (6)"   r=  c+15 w15 h4 i13 : "*set_element_class tria6" \
                                              ?   set_element_class.hlp
      oneonly "QUAD (4)"   r+4 c-15 w15 h4 i13 : "*set_element_class quad4" \
                                              ?   set_element_class.hlp
      oneonly "QUAD (6)"   r=  c+15 w15 h4 i13 : "*set_element_class quad6" \
                                              ?   set_element_class.hlp
      oneonly "QUAD (8)"   r+4 c-15 w15 h4 i13 : "*set_element_class quad8" \
                                              ?   set_element_class.hlp
      oneonly "QUAD (9)"   r=  c+15 w15 h4 i13 : "*set_element_class quad9" \
                                              ?   set_element_class.hlp
      oneonly "TETRA (4)"  r+4 c-15 w15 h4 i13 : "*set_element_class tetra4" \
                                              ?   set_element_class.hlp
      oneonly "TETRA (10)" r=  c+15 w15 h4 i13 : "*set_element_class tetra10" \
                                              ?   set_element_class.hlp
      oneonly "PENTA (6)"  r+4 c-15 w15 h4 i13 : "*set_element_class penta6" \
                                              ?   set_element_class.hlp
      oneonly "PENTA (15)" r=  c+15 w15 h4 i13 : "*set_element_class penta15" \
                                              ?   set_element_class.hlp
      oneonly "HEX (8)"    r+4 c-15 w15 h4 i13 : "*set_element_class hex8" \
                                              ?   set_element_class.hlp
      oneonly "HEX (12)"   r=  c+15 w15 h4 i13 : "*set_element_class hex12" \
                                              ?   set_element_class.hlp
      oneonly "HEX (20)"   r+4 c-15 w15 h4 i13 : "*set_element_class hex20" \
                                              ?   set_element_class.hlp
      oneonly "HEX (27)"   r=  c+15 w15 h4 i13 : "*set_element_class hex27" \
                                              ?   set_element_class.hlp
   endgroup }

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ curve_type "CURVE TYPE" r1 c1 w32 h4 i12  ? curve_type.hlp {

   group {

      label "MISCELLANEOUS TYPES" r6 c1 w32 h25 i12

      oneonly "LINE"         r+4 c+1  w15 h4 i13 : "*set_curve_type line"
      oneonly "BEZIER"       r=  c+15 w15 h4 i13 : "*set_curve_type bezier"
      oneonly "CUBIC SPLINE" r+4 c-15 w15 h4 i13 : "*set_curve_type cubic_spline"
      oneonly "NURB"         r=  c+15 w15 h4 i13 : "*set_curve_type nurb"
      oneonly "POLY LINE"    r+4 c-15 w15 h4 i13 : "*set_curve_type polyline"
      oneonly "COMPOSITE"    r=  c+15 w15 h4 i13 : "*set_curve_type composite"
      oneonly "INTERPOLATE"  r+4 c-15 w15 h4 i13 : "*set_curve_type interpolate"
      oneonly "TANGENT"      r=  c+15 w15 h4 i13 : "*set_curve_type tangent"
      oneonly "FILLET"       r+4 c-15 w15 h4 i13 : "*set_curve_type fillet"

      label "ARCS" r+6 c1 w32 h25 i12

      oneonly "CENTER/RADIUS/ANGLE/ANGLE" r+4 c+1 w30 h4 i13 \
              : "*set_curve_type arc_craa"
      oneonly "CENTER/POINT/POINT"        r+4 c=  w30 h4 i13 \
              : "*set_curve_type arc_cpp"
      oneonly "CENTER/POINT/ANGLE"        r+4 c=  w30 h4 i13 \
              : "*set_curve_type arc_cpa"
      oneonly "POINT/POINT/POINT"         r+4 c=  w30 h4 i13 \
              : "*set_curve_type arc_ppp"
      oneonly "TANGENT/RADIUS/ANGLE"      r+4 c=  w30 h4 i13 \
              : "*set_curve_type arc_tra"

      label "CIRCLES" r+6 c1 w32 h9 i12

      oneonly "CENTER/RADIUS" r+4 c+1  w15 h4 i13 : "*set_curve_type circle_cr"
      oneonly "CENTER/POINT"  r=  c+15 w15 h4 i13 : "*set_curve_type circle_cp"

   endgroup }

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ surface_type "SURFACE TYPE" r1 c1 w32 h4 i12 ? surface_type.hlp {

   label "SURFACES" r6  c1 w32 h29 i12
   group {
      oneonly "QUAD"        r+4 c+1  w15 h4 i13 : "*set_surface_type quad"
      oneonly "BEZIER"      r=  c+15 w15 h4 i13 : "*set_surface_type bezier"
      oneonly "DRIVEN"      r+4 c-15 w15 h4 i13 : "*set_surface_type driven"
      oneonly "NURB"        r=  c+15 w15 h4 i13 : "*set_surface_type nurb"
      oneonly "RULED"       r+4 c-15 w15 h4 i13 : "*set_surface_type ruled"
      oneonly "SPHERE"      r=  c+15 w15 h4 i13 : "*set_surface_type sphere"
      oneonly "CYLINDER"    r+4 c-15 w15 h4 i13 : "*set_surface_type cylinder"
      oneonly "SWEPT"       r=  c+15 w15 h4 i13 : "*set_surface_type swept"
      oneonly "INTERPOLATE" r+4 c-15 w15 h4 i13 : "*set_surface_type interpolate"
      oneonly "COONS"       r=  c+15 w15 h4 i13 : "*set_surface_type coons"
      oneonly "SKIN"        r+4 c-15 w15 h4 i13 : "*set_surface_type skin"
   endgroup }

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ solid_type "SOLID TYPE" r1 c1 w32 h4 i12 ? solid_type.hlp {

   label "SOLIDS" r6  c1 w32 h17 i12
   group {
      oneonly "BLOCK"    r+4 c+1  w15 h4 i13 : "*set_solid_type block"
      oneonly "CYLINDER" r=  c+15 w15 h4 i13 : "*set_solid_type cylinder"
      oneonly "SPHERE"   r+4 c-15 w15 h4 i13 : "*set_solid_type sphere"
      oneonly "PRISM"    r=  c+15 w15 h4 i13 : "*set_solid_type prism"
      oneonly "TORUS"    r+4 c-15 w15 h4 i13 : "*set_solid_type torus"
   endgroup }

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ coord_system "COORDINATE SYSTEM" r1 c1 w32 h4 i12 H120 W128  ? \
                       coordinate_system.hlp {

   label  "GRID"    r6  c1   w32 h22 i12
   toggle "ON"      r+1 c+16 w15 h4  i13 : "*set_grid on / *set_grid off"
   button "SPACING" r+4 c-15 w15 h8  i13 :  *set_grid_spacing
   float  "%-13.6g" r=  c+15 w15 h4  i11 :   grid_spacing_u
   float  "%-13.6g" r+4 c=   w15 h4  i11 :   grid_spacing_v
   button "SIZE"    r+4 c-15 w15 h8  i13 :  *set_grid_size
   float  "%-13.6g" r=  c+15 w15 h4  i11 :   grid_size_u
   float  "%-13.6g" r+4 c=   w15 h4  i11 :   grid_size_v

   label "TYPE" r+6 c1 w32 h17 i12
   group {
      oneonly "RECTANGULAR" r+4 c+1 w30 h4 i13 : *system_rectangular
      oneonly "CYLINDRICAL" r+4 c=  w30 h4 i13 : *system_cylindrical
      oneonly "SPHERICAL"   r+4 c=  w30 h4 i13 : *system_spherical
   endgroup }

   label  "ORIGIN"  r+6 c1   w32 h17 i12
   button "SET XYZ" r+4 c+1  w15 h4  i13 : *origin
   button "SET XY"  r+4 c=   w15 h4  i13 : *origin_xy
   button "SET Z"   r+4 c=   w15 h4  i13 : *origin_z
   float  "%-13.6g" r-8 c+15 w15 h4  i11 :  x_origin
   float  "%-13.6g" r+4 c=   w15 h4  i11 :  y_origin
   float  "%-13.6g" r+4 c=   w15 h4  i11 :  z_origin

   button "ALIGN"     r+6 c1   w16 h6 i13 : *system_align
   button "RESET"     r=  c+16 w16 h6 i13 : *system_reset
   button "TRANSLATE" r+6 c-16 w16 h6 i13 : *system_translate
   button "ROTATE"    r=  c+16 w16 h6 i13 : *system_rotate

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ attach "ATTACH" r1 c1 w32 h4 i12 H120 W128 ? attach.hlp {

   label "MODE" r6  c1 w32 h22 i12
   group {
      oneonly "DIRECTED" r+4 c+1  w15 h4 i13 : *attach_mode_directed
      oneonly "CLOSEST"  r=  c+15 w15 h4 i13 : *attach_mode_closest
   endgroup }
   button "DIRECTION" r+5 c-15 w15 h12 i13 : *set_attach_direction
   float  "%-13.6g"   r=  c+15 w15 h4  i11 :  attach_direction_x
   float  "%-13.6g"   r+4 c=   w15 h4  i11 :  attach_direction_y
   float  "%-13.6g"   r+4 c=   w15 h4  i11 :  attach_direction_z

   label  "LIMIT" r+6 c1   w32 h10 i12
   toggle "ON"    r+1 c+16 w15 h4  i13 \
           : "*set_attach_limit on / *set_attach_limit off"
   button "DISTANCE"  r+4 c-15 w15 h4 i13 : *set_attach_distance
   float  "%-13.6g"   r=  c+15 w15 h4 i11 :  attach_distance

   button "TOLERANCE" r+6 c1   w16 h4 i13 : *set_attach_tolerance
   float  "%-13.6g"   r=  c+16 w16 h4 i11 :  attach_tolerance

   label  "ATTACH NODES" r+5 c1   w32 h13 i12
   button "POINT"        r+4 c+1  w15 h4  i13 : *attach_node_point
   button "CURVE"        r=  c+15 w15 h4  i13 : *attach_nodes_curve
   button "SURFACE"      r+4 c-15 w15 h4  i13 : *attach_nodes_surface
   button "INTERSECT"    r=  c+15 w15 h4  i13 : *attach_nodes_intersect

   label  "ATTACH ELEMENTS" r+6 c1   w32 h9 i12
   button "CURVE"           r+4 c+1  w15 h4 i13 : *attach_elements_curve
   button "SURFACE"         r=  c+15 w15 h4 i13 : *attach_elements_surface

   label  "DETACH"   r+6 c1   w32 h9 i12
   button "NODES"    r+4 c+1  w15 h4 i13 : *detach_nodes
   button "ELEMENTS" r=  c+15 w15 h4 i13 : *detach_elements

   label  "MOVE POINTS"  r+6 c1   w32 h13 i12
   button "CURVE"        r+4 c+1  w15 h4  i13 : *move_points_curve
   button "SURFACE"      r=  c+15 w15 h4  i13 : *move_points_surface
   button "INTERSECT"    r+4 c-15 w15 h4  i13 : *move_points_intersect

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ automesh "AUTOMESH" r1 c1 w32 h4 i12 H120 W128 {

  label  "SOLIDS"         r+4 c1   w32 h26 i12
# button "EDGE BIAS"      r+4 c+1  w15 h4  i13 : *solid_edge_bias
  button "EDGE DIVISIONS" r+4 c+1  w15 h4  i13 : *solid_edge_divisions
  button "AVG EDGE LEN."  r=  c+15 w15 h4  i13 : *solid_edge_length
  button "MIN EDGE DIV"   r+4 c-15 w15 h4  i13 : *solid_min_edge_divisions
  button "MAX EDGE DIV"   r=  c+15 w15 h4  i13 : *solid_max_edge_divisions
  button "CLEAR"          r+4 c-15 w15 h4  i13 : *clear_solid_edge_divisions
  button "SPLIT FACES"    r=  c+15 w15 h4  i13 : *split_solid_faces

  button "TRI MESH"       r+5 c-15 w15 h4  i13 : *solid_trimesh_faces
  button "TETRA MESH"     r=  c+15 w15 h4  i13 : *solid_tetmesh_solids
  button "QUAD MESH"      r+4 c-15 w15 h4  i13 : *solid_quadmesh_faces
# button "HEX MESH"       r+4 c-15 w15 h4  i13 : *solid_hexmesh_solids
# button "QUAD MESH"      r=  c+15 w15 h4  i13 : *solid_quadmesh_faces

  label  "SURFACES"        r+5 c1   w32 h26 i12
# button "CURVE BIAS"      r+4 c+1  w15 h4  i13 : *curve_bias
  button "CURVE DIVISIONS" r+4 c+1  w15 h4  i13 : *curve_divisions
  button "AVG EDGE LEN."   r=  c+15 w15 h4  i13 : *curve_length
  button "MIN CURVE DIV"   r+4 c-15 w15 h4  i13 : *min_curve_divisions
  button "MAX CURVE DIV"   r=  c+15 w15 h4  i13 : *max_curve_divisions
  button "CLEAR"           r+4 c-15 w15 h4  i13 : *clear_curve_divisions

  button "TRI MESH"        r+5 c=   w15 h4  i13 : *auto_trimesh_surfaces
  button "QUAD MESH"       r=  c+15 w15 h4  i13 : *auto_quadmesh_surfaces
  button "PLANE TRI MESH"  r+4 c-15 w15 h4  i13 : *auto_trimesh_curves
  button "PLANE QUAD MESH" r=  c+15 w15 h4  i13 : *auto_quadmesh_curves

  button "TET TRIS"       r+5 c1   w32 h4  i13 : *auto_tetmesh_triangles

  label "CONTROLS"        r+4 c1   w32 h17 i12
  button "TRI ASPECT"     r+4 c1   w16 h4 i13 : "*set_trimesh_aspect"
  float  "%-13.6g"        r=  c+16 w16 h4 i11 : "trimesh_aspect"
  button "TET ASPECT"     r+4 c1   w16 h4 i13 : "*set_tetmesh_aspect"
  float  "%-13.6g"        r=  c+16 w16 h4 i11 : "tetmesh_aspect"
  button "MAX EL. EDGE"   r+4 c1   w16 h4 i13 : "*set_automesh_length"
  float  "%-13.6g"        r=  c+16 w16 h4 i11 : "automesh_length"

  label  "TOOLS"          r+5 c1   w32 h21 i12
  button "SPLIT CURVES"   r+4 c+1  w15 h4  i13 : "*split_curves"
  button "BREAK CURVES"   r=  c+15 w15 h4  i13 : "*break_curves"
  button "MATCH CURVES"   r+4 c-15 w15 h4  i13 : "*match_curves"
  button "CHECK CURVES"   r=  c+15 w15 h4  i13 : "*check_curves"
  button "CHECK SURFACES" r+4 c-15 w15 h4  i13 : "*check_surfaces"
  button "CHECK CRV LPS"  r=  c+15 w15 h4  i13 : "*check_curve_loops"
  button "CHECK SRF LPS"  r+4 c-15 w15 h4  i13 : "*check_surface_loops"

# newscreen "MORE" r+6 c1 w32 h4 i10 : automesh2

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ automesh2 "AUTOMESH (CONTINUED)" r1 c1 w32 h4 i12 H120 W128 {

  label  "ADAPTIVE MESHING"  r+5 c1   w32 h17 i12
  button "AVG EDGE LEN"      r+4 c+1  w15 h4  i13 : "*set_automesh_length"
  float  "%-13.6g"           r=  c+15 w15 h4  i11 : "automesh_length"
  button "PLANAR TRIMESH"    r+4 c2   w30 h4  i13 : "*adp_pl_trimesh"
  button "SURFACE TRIMESH"   r+4 c2   w30 h4  i13 : "*adp_sur_trimesh"

  label  "TOOLS"          r+6 c1   w32 h21 i12
  button "SPLIT CURVES"   r+4 c+1  w15 h4  i13 : "*split_curves"
  button "BREAK CURVES"   r=  c+15 w15 h4  i13 : "*break_curves"
  button "MATCH CURVES"   r+4 c-15 w15 h4  i13 : "*match_curves"
  button "CHECK CURVES"   r=  c+15 w15 h4  i13 : "*check_curves"
  button "CHECK SURFACES" r+4 c-15 w15 h4  i13 : "*check_surfaces"
  button "CHECK CRV LPS"  r=  c+15 w15 h4  i13 : "*check_curve_loops"
  button "CHECK SRF LPS"  r+4 c-15 w15 h4  i13 : "*check_surface_loops"

  newscreen "PREVIOUS" r+6 c1 w32 h4 i10 : return ? previous.hlp  

#include select_std.m
#include standard2.m
#include transform.m

endscreen }

screen ~ overlay "OVERLAY MESH" r1 c1 w32 h4 i12 H120 W128 {

  label   "OVERLAY"      r6  c1   w32 h26 i12
  button  "DIVISIONS"    r+4 c+1  w15 h8  i13 : *set_overlay_divisions
  integer "%-d"          r=  c+15 w15 h4  i11 :  overlay_ndiv_x
  integer "%-d"          r+4 c=   w15 h4  i11 :  overlay_ndiv_y
  button  "BIAS FACTORS" r+4 c2   w15 h8  i13 : *set_overlay_bias_factors
  float   "%-13.6g"      r=  c+15 w15 h4  i11 :  overlay_bias_x
  float   "%-13.6g"      r+4 c=   w15 h4  i11 :  overlay_bias_y
  button  "CURVE MESH"   r+5 c-15 w15 h4  i13 : *overlay_mesh
  button  "SURFACE MESH" r=  c+15 w15 h4  i13 : *trim_mesh

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ change_class "CHANGE CLASS" r1 c1 w32 h4 i12 H120 W128  ? \
                       change_class.hlp {

   label "CLASSES" r6  c1 w32 h37 i12
   group {
      oneonly "LINE (2)"    r+4 c+1  w15 h4 i13 : "*set_change_class line2" \
                                               ?   set_change_class.hlp
      oneonly "LINE (3)"    r=  c+15 w15 h4 i13 : "*set_change_class line3" \
                                               ?   set_change_class.hlp
      oneonly "TRIA (3)"    r+4 c-15 w15 h4 i13 : "*set_change_class tria3" \
                                               ?   set_change_class.hlp
      oneonly "TRIA (6)"    r=  c+15 w15 h4 i13 : "*set_change_class tria6" \
                                               ?   set_change_class.hlp
      oneonly "QUAD (4)"    r+4 c-15 w15 h4 i13 : "*set_change_class quad4" \
                                               ?   set_change_class.hlp
      oneonly "QUAD (6)"    r=  c+15 w15 h4 i13 : "*set_change_class quad6" \
                                               ?   set_change_class.hlp
      oneonly "QUAD (8)"    r+4 c-15 w15 h4 i13 : "*set_change_class quad8" \
                                               ?   set_change_class.hlp
      oneonly "QUAD (9)"    r=  c+15 w15 h4 i13 : "*set_change_class quad9" \
                                               ?   set_change_class.hlp
      oneonly "TETRA (4)"   r+4 c-15 w15 h4 i13 : "*set_change_class tetra4" \
                                               ?   set_change_class.hlp
      oneonly "TETRA (10)"  r=  c+15 w15 h4 i13 : "*set_change_class tetra10" \
                                               ?   set_change_class.hlp
      oneonly "PENTA (6)"   r+4 c-15 w15 h4 i13 : "*set_change_class penta6" \
                                               ?   set_change_class.hlp
      oneonly "PENTA (15)"  r=  c+15 w15 h4 i13 : "*set_change_class penta15" \
                                               ?   set_change_class.hlp
      oneonly "HEX (8)"     r+4 c-15 w15 h4 i13 : "*set_change_class hex8" \
                                               ?   set_change_class.hlp
      oneonly "HEX (12)"    r=  c+15 w15 h4 i13 : "*set_change_class hex12" \
                                               ?   set_change_class.hlp
      oneonly "HEX (20)"    r+4 c-15 w15 h4 i13 : "*set_change_class hex20" \
                                               ?   set_change_class.hlp
      oneonly "HEX (27)"    r=  c+15 w15 h4 i13 : "*set_change_class hex27" \
                                               ?   set_change_class.hlp
   endgroup }
   toggle "SPECIAL MODE" r+6 c1 w16 h4 i13 \
          : "*set_change_mode on / *set_change_mode off"
   button "ELEMENTS" r+6 c1 w16 h6 i13 : *change_elements

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ check_elements "CHECK" r1 c1 w32 h4 i12 H120 W128 \
       ? check_elements.hlp {

   label  "CHECK ELEMENTS" r6  c1   w32 h17 i12
   button "UPSIDE DOWN"    r+4 c+1  w15 h4  i13 : *check_upside_down
   button "INSIDE OUT"     r=  c+15 w15 h4  i13 : *check_inside_out
   button "DISTORTED"      r+4 c-15 w15 h4  i13 : *check_distorted
   button "ZERO VOLUME"    r=  c+15 w15 h4  i13 : *check_zero
   button "ASPECT RATIO"   r+4 c-15 w15 h4  i13 : *check_aspect

   button "THRESHOLD" r+6 c1   w16 h4 i13 : *set_distortion_threshold
   float "%-14.6g"    r=  c+16 w16 h4 i11 :  distortion_threshold

   button "FLIP ELEMENTS" r+6 c1 w32 h6 i13 : *flip_elements
   button "FLIP CURVES"   r+6 c= w32 h6 i13 : *flip_curves
   button "FLIP SURFACES" r+6 c= w32 h6 i13 : *flip_surfaces

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ duplicate "DUPLICATE" r1 c1 w32 h4 i12 H120 W128 ? duplicate.hlp {

 button "POINT"   r6  c1   w16 h12 i13 : *set_duplicate_point
 float  "%-14.6g" r=  c+16 w16 h4  i11 :  dup_point_x
 float  "%-14.6g" r+4 c=   w16 h4  i11 :  dup_point_y
 float  "%-14.6g" r+4 c=   w16 h4  i11 :  dup_point_z

 button "SCALE FACTORS " r+5 c1   w16 h12 i13 : *set_duplicate_scale_factors
 float  "%-14.6g"        r=  c+16 w16 h4  i11 :  dup_scale_x
 float  "%-14.6g"        r+4 c=   w16 h4  i11 :  dup_scale_y
 float  "%-14.6g"        r+4 c=   w16 h4  i11 :  dup_scale_z

 button "ROTATIONS" r+5 c1   w16 h12 i13 : *set_duplicate_rotations
 float  "%-14.6g"   r=  c+16 w16 h4  i11 :  dup_rot_x
 float  "%-14.6g"   r+4 c=   w16 h4  i11 :  dup_rot_y
 float  "%-14.6g"   r+4 c=   w16 h4  i11 :  dup_rot_z

 button "TRANSLATIONS" r+5 c1   w16 h12 i13 : *set_duplicate_translations
 float  "%-14.6g"      r=  c+16 w16 h4  i11 :  dup_trans_x
 float  "%-14.6g"      r+4 c=   w16 h4  i11 :  dup_trans_y
 float  "%-14.6g"      r+4 c=   w16 h4  i11 :  dup_trans_z

 button  "REPETITIONS" r+5 c1   w16 h4 i13 : *set_duplicate_repetitions
 integer "%-d"         r=  c+16 w16 h4 i11 :  dup_repetitions

 button "RESET"    r+5  c1   w16 h6 i13 : *duplicate_reset
 button "NODES"    r+7  c1   w16 h6 i13 : *duplicate_nodes
 button "ELEMENTS" r=   c+16 w16 h6 i13 : *duplicate_elements
 button "POINTS"   r+6  c1   w16 h6 i13 : *duplicate_points
 button "CURVES"   r=   c+16 w16 h6 i13 : *duplicate_curves
 button "SURFACES" r+6  c1   w16 h6 i13 : *duplicate_surfaces
 button "SOLIDS"   r=   c+16 w16 h6 i13 : *duplicate_solids

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ expand "EXPAND" r1 c1 w32 h4 i12  H120 W128 {

  button "POINT"   r6  c1   w16 h12 i13 : *set_expand_point
  float  "%-14.6g" r=  c+16 w16 h4  i11 :  exp_point_x
  float  "%-14.6g" r+4 c=   w16 h4  i11 :  exp_point_y
  float  "%-14.6g" r+4 c=   w16 h4  i11 :  exp_point_z

  button "SCALE FACTORS" r+4 c1   w16 h12 i13 : *set_expand_scale_factors
  float  "%-14.6g"       r=  c+16 w16 h4  i11 :  exp_scale_x
  float  "%-14.6g"       r+4 c=   w16 h4  i11 :  exp_scale_y
  float  "%-14.6g"       r+4 c=   w16 h4  i11 :  exp_scale_z

  button "ROTATIONS" r+4 c1   w16 h12 i13 : *set_expand_rotations
  float  "%-14.6g"   r=  c+16 w16 h4  i11 :  exp_rot_x
  float  "%-14.6g"   r+4 c=   w16 h4  i11 :  exp_rot_y
  float  "%-14.6g"   r+4 c=   w16 h4  i11 :  exp_rot_z

  button "TRANSLATIONS" r+4 c1   w16 h12 i13 : *set_expand_translations
  float  "%-14.6g"      r=  c+16 w16 h4  i11 :  exp_trans_x
  float  "%-14.6g"      r+4 c=   w16 h4  i11 :  exp_trans_y
  float  "%-14.6g"      r+4 c=   w16 h4  i11 :  exp_trans_z

  button  "REPETITIONS" r+4 c1   w16 h4 i13 : *set_expand_repetitions
  integer "%-d"         r=  c+16 w16 h4 i11 :  exp_repetitions

  label "MODE" r+5 c1 w32 h9 i12
  group {
    oneonly "REMOVE" r+4 c+1  w10 h4 i13 : *expand_remove
    oneonly "SHIFT"  r=  c+10 w10 h4 i13 : *expand_shift
    oneonly "SAVE"   r=  c+10 w10 h4 i13 : *expand_save
  endgroup }

  button "RESET" r+6  c1  w16 h4 i13 : *expand_reset

  button "NODES"    r+5  c1   w16 h4 i13 : *expand_nodes
  button "ELEMENTS" r=   c+16 w16 h4 i13 : *expand_elements
  button "POINTS"   r+4  c1   w16 h4 i13 : *expand_points
  button "CURVES"   r=   c+16 w16 h4 i13 : *expand_curves

  label "SHELL EXPAND" r+5 c1 w32 h17 i12

  button "THICKNESS"    r+4 c+1  w15 h4  i13 : *shell_thickness
  float  "%-13.6g"      r=  c+15 w15 h4  i11 :  shell_thickness
  button "OFFSET"       r+4 c-15 w15 h4  i13 : *shell_offset
  float  "%-13.6g"      r=  c+15 w15 h4  i11 :  shell_offset

  button "LINES"        r+4 c-15 w15 h4  i13 : *expand_lines
  button "SHELLS"       r=  c+15 w15 h4  i13 : *expand_shells

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ intersect "INTERSECT" r1 c1 w32 h4 i12  H120 W128 {

  button "CURVE/CURVE"       r+5 c1   w32 h8  i13 : *intersect_curves
  button "CURVE/SURFACE"     r+8 c=   w32 h8  i13 : *intersect_curves_surface
  button "SURFACE/SURFACE"   r+8 c=   w32 h8  i13 : *intersect_surface

  label "SURFACE/SURFACE CURVES" r+9 c1 w32 h17 i12
  toggle "GLOBAL" r+4 c2 w30 h4  i13 : "*set_surfint_space on / *set_surfint_space off"
  toggle "TRIM 1" r+4 c2 w30 h4  i13 : "*set_surfint_trim1 on / *set_surfint_trim1 off"
  toggle "TRIM 2" r+4 c2 w30 h4  i13 : "*set_surfint_trim2 on / *set_surfint_trim2 off"

  label  "TRIMMING"          r+6 c1   w32 h17 i12
  button "TRIM OUTER"        r+4 c2   w30 h4 i13 : *trim_outer
  button "TRIM CIRCLE"       r+4 c2   w30 h4 i13 : *trim_circle
  button "TRIM BOX"          r+4 c2   w30 h4 i13 : *trim_box

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ convert "CONVERT" r1 c1 w32 h4 i12 H120 W128 {

  button  "DIVISIONS" r6  c1   w16 h8  i13 : *set_convert_divisions
  integer "%-d"       r=  c+16 w16 h4  i11 :  convert_ndiv_u
  integer "%-d"       r+4 c=   w16 h4  i11 :  convert_ndiv_v

  button "BIAS FACTORS" r+5 c1   w16 h8  i13 : *set_convert_bias_factors
  float  "%-13.6g"      r=  c+16 w16 h4  i11 :  convert_bias_u
  float  "%-13.6g"      r+4 c=   w16 h4  i11 :  convert_bias_v

  label  "GEOMETRY/GEOMETRY"     r+5 c1  w32 h21 i12
  button "CURVES TO POLYLINES"   r+4 c+1 w30 h4  i13 : *curve_polylines
  button "CURVES TO INTERPOLATED" r+4 c=  w30 h4  i13 : *curve_interpolated
  button "SURFACES TO POLYQUADS" r+4 c=  w30 h4  i13 : *surface_polyquads
  button "SURFACES TO INTERPOLATED" r+4 c=  w30 h4  i13 : *surface_interpolated

  label  "GEOMETRY/MESH"        r+6 c1  w32 h17 i12
  button "POINTS TO NODES"      r+4 c+1 w30 h4  i13 : *convert_points
  button "CURVES TO ELEMENTS"   r+4 c=  w30 h4  i13 : *convert_curves
  button "SURFACES TO ELEMENTS" r+4 c=  w30 h4  i13 : *convert_surfaces

  label  "MESH/GEOMETRY"     r+6 c1  w32 h13 i12
  button "EDGES TO CURVES"   r+4 c+1 w30 h4  i13 : *edge_curves
  button "FACES TO SURFACES" r+4 c=  w30 h4  i13 : *face_surfaces

  label  "MESH/MESH"          r+6 c1  w32 h13 i12
  button "EDGES TO ELEMENTS"  r+4 c+1 w30 h4  i13 : *edge_lines
  button "FACES TO ELEMENTS"  r+4 c=  w30 h4  i13 : *face_quads

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ move "MOVE" r1 c1 w32 h4 i12 H120 W128 {

 button "POINT"   r6  c1 w16 h12 i13 : *set_move_point
 float  "%-14.6g" r=  c17 w16 h4 i11  : mov_point_x
 float  "%-14.6g" r+4 c17 w16 h4 i11  : mov_point_y
 float  "%-14.6g" r+4 c17 w16 h4 i11  : mov_point_z

 button "SCALE FACTORS " r+4 c1 w16 h12 i13 : *set_move_scale_factors
 float  "%-14.6g"        r=  c17 w16 h4 i11  : mov_scale_x
 float  "%-14.6g"        r+4 c17 w16 h4 i11  : mov_scale_y
 float  "%-14.6g"        r+4 c17 w16 h4 i11  : mov_scale_z

 button "ROTATIONS" r+4 c1 w16 h12 i13 : *set_move_rotations
 float  "%-14.6g"   r=  c17 w16 h4 i11  : mov_rot_x
 float  "%-14.6g"   r+4 c17 w16 h4 i11  : mov_rot_y
 float  "%-14.6g"   r+4 c17 w16 h4 i11  : mov_rot_z

 button "TRANSLATIONS" r+4 c1 w16 h12 i13 : *set_move_translations
 float  "%-14.6g"      r=  c17 w16 h4 i11  : mov_trans_x
 float  "%-14.6g"      r+4 c17 w16 h4 i11  : mov_trans_y
 float  "%-14.6g"      r+4 c17 w16 h4 i11  : mov_trans_z

 button "FORMULAS" r+5 c1 w32 h4 i13 : *set_move_formulas
 string "%s"       r+4 c1 w32 h4 i11 : mov_form_x
 string "%s"       r+4 c1 w32 h4 i11 : mov_form_y
 string "%s"       r+4 c1 w32 h4 i11 : mov_form_z

 button "RESET"     r+5 c1  w16 h6 i13 : *move_reset
 button "NODES"     r+7 c1  w16 h6 i13 : *move_nodes
 button "ELEMENTS"  r=  c17 w16 h6 i13 : *move_elements
 button "POINTS"    r+6 c1  w16 h6 i13 : *move_points
 button "CURVES"    r=  c17 w16 h6 i13 : *move_curves
 button "SURFACES"  r+6 c1  w16 h6 i13 : *move_surfaces
 button "SOLIDS"    r=  c17 w16 h6 i13 : *move_solids

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ relax "RELAX" r1 c1 w32 h4 i12 H120 W128  ? relax.hlp {

  label "FIXED" r6  c1 w16 h17 i12
  group {
    oneonly "SURFACE" r+4 c+1 w14 h4 i13 : *relax_surface_fixed
    oneonly "OUTLINE" r+4 c=  w14 h4 i13 : *relax_outline_fixed
    oneonly "NONE"    r+4 c=  w14 h4 i13 : *relax_none_fixed
  endgroup }
  button "TOLERANCE" r+6 c1   w16 h4 i13 : *set_relax_tolerance
  float  "%-14.6g"   r=  c+16 w16 h4 i11 :  relax_tolerance

  button "NODES" r+5 c1   w16 h6 i13 : *relax_nodes
  button "RESET" r=  c+16 w16 h6 i13 : *relax_reset

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ renumber "RENUMBER" r1 c1 w32 h4 i12 H120 W128  ? renumber.hlp {

   button  "START"     r6  c1   w16 h4  i13 : *set_renumber_start
   integer "%-d"       r=  c+16 w16 h4  i11 :  renum_start
   button  "INCREMENT" r+4 c-16 w16 h4  i13 : *set_renumber_increment
   integer "%-d"       r=  c+16 w16 h4  i11 :  renum_incr

   button  "NODES"          r+5 c-16 w16 h4 i13 : *renumber_nodes
   integer "%-d"            r=  c+16 w16 h8 i11 :  node_count
   button  "NODES DIRECTED" r+4 c-16 w16 h4 i13 : *renumber_nodes_directed
   button  "ELEMENTS"       r+4 c=   w16 h4 i13 : *renumber_elements
   integer "%-d"            r=  c+16 w16 h8 i11 :  element_count
   button  "ELEMS DIRECTED" r+4 c-16 w16 h4 i13 : *renumber_elements_directed
   button  "POINTS"         r+4 c=   w16 h4 i13 : *renumber_points
   integer "%-d"            r=  c+16 w16 h4 i11 :  point_count
   button  "CURVES"         r+4 c-16 w16 h4 i13 : *renumber_curves
   integer "%-d"            r=  c+16 w16 h4 i11 :  curve_count
   button  "SURFACES"       r+4 c-16 w16 h4 i13 : *renumber_surfaces
   integer "%-d"            r=  c+16 w16 h4 i11 :  surface_count
   button  "SOLIDS"         r+4 c-16 w16 h4 i13 : *renumber_solids
   integer "%-d"            r=  c+16 w16 h4 i11 :  solids_count
   button  "ALL"            r+5 c-16 w16 h4 i13 : *renumber_all

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ revolve "REVOLVE" r1 c1 w32 h4 i12  H120 W128 ? revolve.hlp {

   button "ANGLES"  r6  c1   w16 h8 i13 : *revolve_angles
   float  "%-14.6g" r=  c+16 w16 h4 i11 :  revolve_start
   float  "%-14.6g" r+4 c=   w16 h4 i11 :  revolve_end

   button "RESET"    r+5 c1   w16 h6 i13 : *revolve_reset
   button "CURVES"   r+7 c1   w16 h6 i13 : *revolve_curves

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ stretch "STRETCH" r1 c1 w32 h4 i12 H120 W128  ? stretch.hlp {

  button "BIAS FACTOR" r6  c1   w16 h4 i13 : *stretch_bias
  float  "%-14.6g"     r=  c+16 w16 h4 i11 :  stretch_bias

  button "NODES" r+5 c1 w16 h6 i13 : *stretch_nodes

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ solids "SOLIDS OPERATIONS" r1 c1 w32 h4 i12  H120 W128 ? solids.hlp {

  label  "BOOLEANS"  r6  c1   w32 h13 i12
  button "UNITE"     r+4 c+1  w15 h4  i13 : *solids_unite
  button "SUBTRACT"  r=  c+15 w15 h4  i13 : *solids_subtract
  button "INTERSECT" r+4 c-15 w15 h4  i13 : *solids_intersect

  label  "BLEND"   r+6 c1   w32 h13 i12
  button "RADIUS"  r+4 c+1  w15 h4  i13 : *solid_blend_radius
  float  "%-14.6g" r=  c+15 w15 h4  i11 :  solid_blend_radius
  toggle "ROLLING" r+4 c-15 w15 h4  i13 \
       : "*set_solid_rolling_blend on / *set_solid_rolling_blend off"
  button "EDGE"    r=  c+15 w15 h4  i13 : *solid_blend_edge

  label  "CHAMFER"  r+6 c1   w32 h13 i12
  button "DISTANCE" r+4 c+1  w15 h4  i13 : *solid_chamfer_distance
  float  "%-14.6g"  r=  c+15 w15 h4  i11 :  solid_chamfer_distance
  toggle "ROLLING"  r+4 c-15 w15 h4  i13 \
       : "*set_solid_rolling_chamfer on / *set_solid_rolling_chamfer off"
  button "EDGE"     r=  c+15 w15 h4  i13 : *solid_chamfer_edge

  label  "CONVERSION"       r+6 c1   w36 h25 i12
  button "CONVERT SOLID FACES" \
  r+4 c2 w30 h4 i13 : *convert_solid_faces_surfaces
  button "CONVERT SOLID FACES DISCRETE" \
  r+4 c2 w30 h4 i13 : *convert_solid_faces_surfaces_discrete
  button "CONVERT SOLID EDGES" \
  r+4 c2 w30 h4 i13 : *convert_solid_edges_curves
  button "CONVERT SOLID VERTICES" \
  r+4 c2 w30 h4 i13 : *convert_solid_vertices_points
  button "CONVERT TRIMMED SURFACES" \
  r+4 c2 w30 h4 i13 : *convert_surfaces_solid_faces

  label  "MISCELLANEOUS"    r+6 c1   w36 h13 i12
  button "SEPARATE"         r+4 c+1  w15 h4  i13 : *solid_separate
  button "REVOLVE FACE"     r=  c+15 w15 h4  i13 : *revolve_solid_faces
  button "EXPAND FACE"      r+4 c-15 w15 h4  i13 : *expand_solid_faces
  button "SPLIT FACES"      r=  c+15 w15 h4  i13 : *split_solid_faces

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ subdivide "SUBDIVIDE" r1 c1 w32 h4 i12 H120 W128 ? subdivide.hlp {

  button  "DIVISIONS" r6  c1   w16 h12 i13 : *sub_divisions
  integer "%-d"       r=  c+16 w16 h4  i11 :  ndiv_u
  integer "%-d"       r+4 c=   w16 h4  i11 :  ndiv_v
  integer "%-d"       r+4 c=   w16 h4  i11 :  ndiv_w

  button "BIAS FACTORS" r+5 c1   w16 h12 i13 : *sub_bias_factors
  float  "%-14.6g"      r=  c+16 w16 h4  i11 :  bias_u
  float  "%-14.6g"      r+4 c=   w16 h4  i11 :  bias_v
  float  "%-14.6g"      r+4 c=   w16 h4  i11 :  bias_w

  button "ELEMENTS" r+5 c1   w16 h6 i13 : *subdivide_elements
  button "CURVES"   r=  c+16 w16 h6 i13 : *subdivide_curves
  button "RESET"    r+6 c-16 w16 h6 i13 : *subdivide_reset

  button "REFINE" r+7 c1 w16 h6 i13 : *refine_node

#include select_std.m
#include standard.m
#include transform.m

 endscreen }

screen ~ sweep "SWEEP" r1 c1 w32 h4 i12 H120 W128 ? sweep.hlp {

   label  "SWEEP"     r6  c1   w32 h22 i12
   button "TOLERANCE" r+4 c+1  w15 h4  i13 : *set_sweep_tolerance
   float  "%-13.6g"   r=  c+15 w15 h4  i11 :  sweep_tolerance
   button "NODES"     r+5 c-15 w15 h4  i13 : *sweep_nodes
   button "ELEMENTS"  r=  c+15 w15 h4  i13 : *sweep_elements
   button "POINTS"    r+4 c-15 w15 h4  i13 : *sweep_points
   button "CURVES"    r=  c+15 w15 h4  i13 : *sweep_curves
   button "SURFACES"  r+4 c-15 w15 h4  i13 : *sweep_surfaces
   button "ALL"       r=  c+15 w15 h4  i13 : *sweep_all

   label  "REMOVE UNUSED" r+6 c1   w32 h9 i12
   button "NODES"         r+4 c+1  w15 h4 i13 : *remove_unused_nodes
   button "POINTS"        r=  c+15 w15 h4 i13 : *remove_unused_points

#include select_std.m
#include standard.m
#include transform.m

endscreen }

screen ~ symmetry "SYMMETRY" r1 c1 w32 h4 i12 H120 W128  ? symmetry.hlp {

 button "POINT"   r6  c1   w16 h12 i13 : *set_symmetry_point
 float  "%-14.6g" r=  c+16 w16 h4  i11  : sym_x0
 float  "%-14.6g" r+4 c=   w16 h4  i11  : sym_y0
 float  "%-14.6g" r+4 c=   w16 h4  i11  : sym_z0

 button "NORMAL"  r+5 c1   w16 h12 i13 : *set_symmetry_normal
 float  "%-14.6g" r=  c+16 w16 h4  i11 : sym_lx
 float  "%-14.6g" r+4 c=   w16 h4  i11 : sym_ly
 float  "%-14.6g" r+4 c=   w16 h4  i11 : sym_lz

 button "RESET" r+5 c1 w16 h6  i13 : *symmetry_reset

 button "NODES"    r+7 c1   w16 h6 i13 : *symmetry_nodes
 button "ELEMENTS" r=  c+16 w16 h6 i13 : *symmetry_elements
 button "POINTS"   r+6 c-16 w16 h6 i13 : *symmetry_points
 button "CURVES"   r=  c+16 w16 h6 i13 : *symmetry_curves
 button "SURFACES" r+6 c-16 w16 h6 i13 : *symmetry_surfaces
 button "SOLIDS"   r=  c+16 w16 h6 i13 : *symmetry_solids

#include select_std.m
#include standard.m
#include transform.m

endscreen }
