# orient.m

screen ~ orientation "ORIENTATION" r1 c1 w32 h4 i12 H120 W128 {

  button "PREV" r6  c1   w8  h4 i13 U : *previous_orient
  string "%s"   r=  c+8  w16 h4 i11   :  orient_name
  button "NEXT" r=  c+16 w8  h4 i13 U : *next_orient
  button "NEW"  r+4 c1   w8  h4 i13 U : *new_orient
  button "NAME" r=  c+8  w8  h4 i13 U : *orient_name
  button "REM"  r=  c+8  w8  h4 i13 U : *remove_orient
  popup  "EDIT" r=  c+8  w8  h4 i10 dr12 dc36 dw45 dh76 : *edit_orient {

    label  "CURRENTLY DEFINED ORIENTATIONS" r1 c1 w45 h76 i12

    buttstr "%s" r+4 c+1 w24 h4 i13 : orient_list_name_0
    buttstr "%s" r+4 c=  w24 h4 i13 : orient_list_name_1
    buttstr "%s" r+4 c=  w24 h4 i13 : orient_list_name_2
    buttstr "%s" r+4 c=  w24 h4 i13 : orient_list_name_3
    buttstr "%s" r+4 c=  w24 h4 i13 : orient_list_name_4
    buttstr "%s" r+4 c=  w24 h4 i13 : orient_list_name_5
    buttstr "%s" r+4 c=  w24 h4 i13 : orient_list_name_6
    buttstr "%s" r+4 c=  w24 h4 i13 : orient_list_name_7
    buttstr "%s" r+4 c=  w24 h4 i13 : orient_list_name_8
    buttstr "%s" r+4 c=  w24 h4 i13 : orient_list_name_9
    buttstr "%s" r+4 c=  w24 h4 i13 : orient_list_name_10
    buttstr "%s" r+4 c=  w24 h4 i13 : orient_list_name_11
    buttstr "%s" r+4 c=  w24 h4 i13 : orient_list_name_12
    buttstr "%s" r+4 c=  w24 h4 i13 : orient_list_name_13
    buttstr "%s" r+4 c=  w24 h4 i13 : orient_list_name_14

    button "TOP"  r5   c+26 w8  h4 i13 U : "*pick_list_top(orient)"  ? top.hlp
    button "UP"   r+4  c=   w8  h4 i13 U : "*pick_list_prev(orient,7)" ? up.hlp
    button "DOWN" r61  c=   w8  h4 i13 U : "*pick_list_next(orient,7)" ? down.hlp
    button "OK"   r+6  c=   w16 h8 i13 : "*remove_popup"

  endpopup }

  label "TYPE" r+5 c1 w32 h33 i12
  group {
    oneonly "EDGE12"      r+4 c+1  w15 h4 i13 : "*orient_type edge12"
    oneonly "EDGE23"      r=  c+15 w15 h4 i13 : "*orient_type edge23"
    oneonly "EDGE34"      r+4 c-15 w15 h4 i13 : "*orient_type edge34"
    oneonly "EDGE31"      r=  c+15 w15 h4 i13 : "*orient_type edge31"
    oneonly "EDGE41"      r+4 c-15 w15 h4 i13 : "*orient_type edge41"
    oneonly "XY PLANE"    r=  c+15 w15 h4 i13 : "*orient_type xy_plane"
    oneonly "YZ PLANE"    r+4 c-15 w15 h4 i13 : "*orient_type yz_plane"
    oneonly "ZX PLANE"    r=  c+15 w15 h4 i13 : "*orient_type zx_plane"
    oneonly "XU PLANE"    r+4 c-15 w15 h4 i13 : "*orient_type xu_plane"
    oneonly "YU PLANE"    r=  c+15 w15 h4 i13 : "*orient_type yu_plane"
    oneonly "ZU PLANE"    r+4 c-15 w15 h4 i13 : "*orient_type zu_plane"
    oneonly "UU PLANE"    r=  c+15 w15 h4 i13 : "*orient_type uu_plane"
    oneonly "USUB ORIENT" r+4 c-15 w15 h4 i13 : "*orient_type usersub"
    oneonly "3D ANISO"    r=  c+15 w15 h4 i13 : "*orient_type 3d_aniso"
  endgroup }

  button "ANGLE"   r+6 c1   w16 h4 i13 : *set_orient_angle
  float  "%-13.6g" r=  c+16 w16 h4 i11 : orient_angle

  button "VECTOR 1" r+4 c1   w16 h12 i13 U : *set_orient_vector1
  float  "%-13.6g"  r=  c+16 w16 h4  i11 U :  orient_vector_1x
  float  "%-13.6g"  r+4 c=   w16 h4  i11 U :  orient_vector_1y
  float  "%-13.6g"  r+4 c=   w16 h4  i11 U :  orient_vector_1z

  button "VECTOR 2" r+4 c1   w16 h12 i13 U : *set_orient_vector2
  float  "%-13.6g"  r=  c+16 w16 h4  i11 U :  orient_vector_2x
  float  "%-13.6g"  r+4 c=   w16 h4  i11 U :  orient_vector_2y
  float  "%-13.6g"  r+4 c=   w16 h4  i11 U :  orient_vector_2z

  button "ALIGN"       r+5 c1   w16 h4 i13 U : *align_orient
  button "CYLINDRICAL" r=  c+16 w16 h4 i13 U : *orient_cylindrical
  button "ROTATE"      r+4 c-16 w16 h4 i13 U : *orient_rotate
  button "LOCAL"       r=  c+16 w16 h4 i13 U : *orient_local

  label   "ELEMENTS" r+5 c1   w12 h4 i12
  button  "ADD"      r=  c+12 w6  h4 i13 : *add_orient_elements
  button  "REM"      r=  c+6  w6  h4 i13 : *remove_orient_elements
  integer "%-d"      r=  c+6  w8  h4 i11 :  orient_element_count

  button "UNORIENT"      r+5 c1   w16 h4 i13 : *disorient_elements
  button "REMOVE UNUSED" r=  c+16 w16 h4 i13 : *remove_unused_orients
  button "RESET"         r+4 c-16 w16 h4 i13 : *orient_reset

#include select_std.m
#include standard.m
#include transform.m

endscreen }
