screen ~ plot "PLOT SETTINGS" r1 c1 w32 h4 i12 H120 W128 {

   label  "DRAW"        r5  c1  w16 h65 i12
   toggle "NODES"       r+4 c+1 w14 h4  i13 : "*set_nodes on / *set_nodes off"
   toggle "ELEMENTS "   r+4 c=  w14 h4  i13 \
        : "*set_elements on / *set_elements off"
   toggle "...EDGES"    r+4 c=  w14 h4  i13 : "*set_edges on / *set_edges off"
   toggle "...FACES"    r+4 c=  w14 h4  i13 : "*set_faces on / *set_faces off"
   toggle "POINTS"      r+4 c=  w14 h4  i13 : "*set_points on / *set_points off"
   toggle "CURVES"      r+4 c=  w14 h4  i13 : "*set_curves on / *set_curves off"
   toggle "SURFACES"    r+4 c=  w14 h4  i13 \
        : "*set_surfaces on / *set_surfaces off"
   toggle "SOLIDS"      r+4 c=  w14 h4  i13 \
        : "*set_solids on / *set_solids off"
   toggle "...VERTICES" r+4 c=  w14 h4  i13 \
        : "*set_solid_vertices on / *set_solid_vertices off"
   toggle "...EDGES"    r+4 c=  w14 h4  i13 \
        : "*set_solid_edges on / *set_solid_edges off"
   toggle "...FACES"    r+4 c=  w14 h4  i13 \
        : "*set_solid_faces on / *set_solid_faces off"
   toggle "BOUND CONDS" r+4 c=  w14 h4  i13 : "*set_applys on / *set_applys off"
   toggle "INIT CONDS"  r+4 c=  w14 h4  i13 : "*set_iconds on / *set_iconds off"
   toggle "LINKS"       r+4 c=  w14 h4  i13 : "*set_links on / *set_links off"
   toggle "LOADCASES"   r+4 c=  w14 h4  i13 \
        : "*set_loadcases on / *set_loadcases off"

   label  "LABEL"       r5  c+15 w16 h65 i12
   toggle "NODES"       r+4 c+1  w14 h4  i13 \
        : "*set_node_labels on / *set_node_labels off"
   toggle "ELEMENTS"    r+4 c=   w14 h4  i13 \
        : "*set_element_labels on / *set_element_labels off"
   toggle "...EDGES"    r+4 c=   w14 h4  i13 \
        : "*set_edge_labels on / *set_edge_labels off"
   toggle "...FACES"    r+4 c=   w14 h4  i13 \
        : "*set_face_labels on / *set_face_labels off"
   toggle "POINTS"      r+4 c=   w14 h4  i13 \
        : "*set_point_labels on / *set_point_labels off"
   toggle "CURVES"      r+4 c=   w14 h4  i13 \
        : "*set_curve_labels on / *set_curve_labels off"
   toggle "SURFACES"    r+4 c=   w14 h4  i13 \
        : "*set_surface_labels on / *set_surface_labels off"
   toggle "SOLIDS"      r+4 c=   w14 h4  i13 \
        : "*set_solid_labels on / *set_solid_labels off"
   toggle "...VERTICES" r+4 c=   w14 h4  i13 \
        : "*set_solid_vertex_labels on / *set_solid_vertex_labels off"
   toggle "...EDGES"    r+4 c=   w14 h4  i13 \
        : "*set_solid_edge_labels on / *set_solid_edge_labels off"
   toggle "...FACES"    r+4 c=   w14 h4  i13 \
        : "*set_solid_face_labels on / *set_solid_face_labels off"
   toggle "BOUND CONDS" r+4 c=   w14 h4  i13 \
        : "*set_apply_labels on / *set_apply_labels off"
   toggle "INIT CONDS"  r+4 c=   w14 h4  i13 \
        : "*set_icond_labels on / *set_icond_labels off"
   toggle "LINKS"       r+4 c=   w14 h4  i13 \
        : "*set_link_labels on / *set_link_labels off"
   toggle "LOADCASES"   r+4 c=   w14 h4  i13 \
        : "*set_loadcase_labels on / *set_loadcase_labels off"

   label "ELEMENT SIZE (%)" r+5 c1 w32 h9 i12
   group {
      oneonly "50"  r+4 c+1 w5 h4 i13 : "*set_element_size 50"
      oneonly "60"  r=  c+5 w5 h4 i13 : "*set_element_size 60"
      oneonly "70"  r=  c+5 w5 h4 i13 : "*set_element_size 70"
      oneonly "80"  r=  c+5 w5 h4 i13 : "*set_element_size 80"
      oneonly "90"  r=  c+5 w5 h4 i13 : "*set_element_size 90"
      oneonly "100" r=  c+5 w5 h4 i13 : "*set_element_size 100"
   endgroup }

   label "ELEMENTS" r+5 c1 w16 h13 i12
   group {
      oneonly "WIREFRAME" r+4 c+1 w14 h4 i13 : *elements_wireframe
      oneonly "SOLID"     r+4 c=  w=  h= i=  : *elements_solid
   endgroup }

   label "SOLIDS" r-8 c+15 w16 h13 i12
   group {
      oneonly "WIREFRAME" r+4 c+1 w14 h4 i13 : *solids_wireframe
      oneonly "SOLID"     r+4 c=  w=  h= i=  : *solids_filled
   endgroup }

   newscreen "MORE" r+5 c1 w32 h4 i10 : plot2 ? more.hlp

   button "RESET"      r97 c1   w16 h4 i13 : *plot_reset
   button "REGENERATE" r=  c+16 w16 h4 i13 : *regen

#include standard.m
#include trans_plot.m
#include select_std.m

endscreen }

screen ~ plot2 "PLOT SETTINGS (CONT.)" r1 c1 w32 h4 i12 H120 W128 {

   label "SURFACES" r6  c1 w32 h13 i12
   group {
      oneonly "WIREFRAME" r+4 c+1 w15 h4 i13 : *surfaces_wireframe
      oneonly "SOLID"     r+4 c=  w15 h4 i13 : *surfaces_solid
   endgroup }
   toggle "SURFACE LINES" r= c+15 w15 h4 i13 \
        : "*set_surface_lines on / *set_surface_lines off"

   label "EDGES" r+5 c1 w16 h17 i12
   group {
      oneonly "FULL"    r+4 c+1 w14 h4 i13 : *edges_full
      oneonly "SURFACE" r+4 c=  w=  h= i= : *edges_surface
      oneonly "OUTLINE" r+4 c=  w=  h= i= : *edges_outline
   endgroup }

   label "FACES" r-12 c+15 w16 h13 i12
   group {
      oneonly "FULL"    r+4 c+1 w14 h4 i13 : *faces_full
      oneonly "SURFACE" r+4 c=  w=  h= i= : *faces_surface
   endgroup }

   label  "VISIBLE"  r+10 c1  w16 h25 i12
   button "ELEMENTS" r+4  c+1 w14 h4  i13 : *visible_elements
   button "CURVES"   r+4  c=  w14 h4  i13 : *visible_curves
   button "SURFACES" r+4  c=  w14 h4  i13 : *visible_surfaces
   button "SOLIDS"   r+4  c=  w14 h4  i13 : *visible_solids
   button "ALL"      r+4  c=  w14 h4  i13 : *visible_all

   label  "INVISIBLE" r-20 c17 w16 h25 i12
   button "ELEMENTS"  r+4  c+1 w14 h4  i13 : *invisible_elements
   button "CURVES"    r+4  c=  w14 h4  i13 : *invisible_curves
   button "SURFACES"  r+4  c=  w14 h4  i13 : *invisible_surfaces
   button "SOLIDS"    r+4  c=  w14 h4  i13 : *invisible_solids
   button "ALL"       r+4  c=  w14 h4  i13 : *invisible_all

   label  "SOLID"    r+6  c1  w16 h17 i12
   button "ELEMENTS" r+4  c+1 w14 h4  i13 : *solid_elements
   button "SURFACES" r+4  c=  w14 h4  i13 : *solid_surfaces
   button "SOLIDS"   r+4  c=  w14 h4  i13 : *solid_solids

   label  "TRANSLUCENT" r-12 c17 w16 h17 i12
   button "ELEMENTS"    r+4  c+1 w14 h4  i13 : *translucent_elements
   button "SURFACES"    r+4  c=  w14 h4  i13 : *translucent_surfaces
   button "SOLIDS"      r+4  c=  w14 h4  i13 : *translucent_solids

   newscreen "DIVISIONS" r+6 c1   w16 h4 i10 : divisions
   newscreen "IDENTIFY"  r=  c+16 w16 h4 i10 : identify
   newscreen "SOLIDS"    r+4 c-16 w16 h4 i10 : plot_solids

   toggle "LEGEND"      r=  c+16 w16 h4 i13 \
        : "*draw_legend on / *draw_legend off"
   toggle "ANNOTATIONS" r+4 c-16 w16 h4 i13 \
        : "*set_annotations on / *set_annotations off"
   toggle "INFO"        r=  c+16 w16 h4 i13 \
        : "*set_info_labels on / *set_info_labels off"

   newscreen "PREVIOUS" r+4 c1 w32 h4 i10 : return ? previous.hlp

   button "RESET"      r97 c1   w16 h4 i13 : *plot_reset
   button "REGENERATE" r=  c+16 w16 h4 i13 : *regen

#include standard2.m
#include trans_plot1.m
#include select_std.m

endscreen }

screen ~ divisions "DIVISIONS" r1 c1 w32 h17 i12 H120 W128 {

   button  "ELEMENTS"  r5  c2   w15 h4  i13 : *set_element_divisions
   integer "%-d"       r=  c+15 w15 h4  i11 :  element_divisions
   button  "CURVES"    r+4 c-15 w15 h4  i13 : *set_curve_divisions
   integer "%-d"       r=  c+15 w15 h4  i11 :  curve_divisions
   button  "SURFACES"  r+4 c-15 w15 h4  i13 : *set_surface_divisions
   integer "%-d"       r=  c+15 w15 h4  i11 :  surface_divisions

   button "RESET"      r97 c1   w16 h4 i13 : *plot_reset
   button "REGENERATE" r=  c+16 w16 h4 i13 : *regen

#include standard.m
#include trans_plot.m
#include select_std.m

endscreen }

screen ~ identify "IDENTIFY" r1 c1 w32 h29 i12 H120 W128 {

   group {
      oneonly "NONE"           r5  c2   w15 h4 i13 : *identify_none
      oneonly "SETS"           r=  c+15 w15 h4 i13 : *identify_sets
      oneonly "TYPES"          r+4 c-15 w15 h4 i13 : *identify_types
      oneonly "CLASSES"        r=  c+15 w15 h4 i13 : *identify_classes
      oneonly "MATERIALS"      r+4 c-15 w15 h4 i13 : *identify_materials
      oneonly "BACKFACES"      r=  c+15 w15 h4 i13 : *identify_backfaces
      oneonly "CONTACT"        r+4 c-15 w15 h4 i13 : *identify_contact
      oneonly "GEOMETRIES"     r=  c+15 w15 h4 i13 : *identify_geometries
      oneonly "BOUNDARY CONDS" r+4 c-15 w15 h4 i13 : *identify_applys
      oneonly "INITIAL CONDS"  r=  c+15 w15 h4 i13 : *identify_iconds
      oneonly "ADAPTS"         r+4 c-15 w15 h4 i13 : *identify_adapts
      oneonly "DOMAINS"        r=  c+15 w15 h4 i13 : *identify_domains
   endgroup }

   button "RESET"      r97 c1   w16 h4 i13 : *plot_reset
   button "REGENERATE" r=  c+16 w16 h4 i13 : *regen

#include standard.m
#include trans_plot.m
#include select_std.m

endscreen }

screen ~ plot_solids "SOLIDS PLOTTING CONTROL" r1 c1 w32 h4 i12 H120 W128 {

   label   "EDGES"     r6  c1   w32 h9 i12
   button  "TOLERANCE" r+4 c+1  w15 h4 i13 : *set_solid_edge_tolerance
   float   "%-14.6g"   r=  c+15 w15 h4 i11 :  solid_edge_tolerance

   label   "FACES"        r+6 c1   w32 h9 i12
   button  "LINES"        r+4 c+1  w15 h4 i13 : *set_solid_face_lines
   integer "%-d"          r=  c+15 w15 h4 i11 :  solid_face_lines

   label   "FACETER"      r+6 c1   w32 h13 i12
   button  "SURFACE DEV." r+4 c+1  w15 h4  i13 : *set_solid_face_surface_dev
   float   "%-14.6g"      r=  c+15 w15 h4  i11 :  solid_face_surface_dev
   button  "NORMAL DEV."  r+4 c-15 w15 h4  i13 : *set_solid_face_normal_dev
   float   "%-14.6g"      r=  c+15 w15 h4  i11 :  solid_face_normal_dev

   button "RESET"      r97 c1   w16 h4 i13 : *plot_reset
   button "REGENERATE" r=  c+16 w16 h4 i13 : *regen

#include standard.m
#include trans_plot.m
#include select_std.m

endscreen }
