screen ~ utility "UTILITIES" r1 c1 w32 h4 i12 H120 W128 {

  label     "POSTSCRIPT"    r6  c1   w32 h22 i12
  newscreen "SETTINGS"      r+1 c+16 w15 h4  i10 :   ps_settings
  button    "COLOR PRINT 1" r+4 c-15 w15 h4  i13 : "*postscript_color 1"
  button    "GRAY PRINT 1"  r=  c+15 w15 h4  i13 : "*postscript_gray  1"
  button    "COLOR PRINT 2" r+4 c-15 w15 h4  i13 : "*postscript_color 2"
  button    "GRAY PRINT 2"  r=  c+15 w15 h4  i13 : "*postscript_gray  2"
  button    "COLOR PRINT 3" r+4 c-15 w15 h4  i13 : "*postscript_color 3"
  button    "GRAY PRINT 3"  r=  c+15 w15 h4  i13 : "*postscript_gray  3"
  button    "COLOR FILE"    r+4 c-15 w15 h4  i13 :  *write_postscript_color
  button    "GRAY FILE"     r=  c+15 w15 h4  i13 :  *write_postscript_gray

  label  "SCREEN DUMP" r+6 c1   w32 h9 i12
  button "XDUMP 1"     r+4 c+1  w15 h4 i13 : "*xdump 1"
  button "XDUMP 2"     r=  c+15 w15 h4 i13 : "*xdump 2"

  label  "PROCEDURE" r+6 c1   w32 h18 i12
  toggle "ECHO"      r+1 c+16 w15 h4  i13 \
         : "*set_proc_echo on / *set_proc_echo off"
  string "%s"        r+4 c-15 w30 h4  i11 :  procedure_file
  button "CREATE"    r+4 c=   w15 h4  i13 : *create_procedure
  button "APPEND"    r=  c+15 w15 h4  i13 : *append_procedure
  button "CLOSE"     r+4 c-15 w15 h4  i13 : *close_procedure
  button "EXECUTE"   r=  c+15 w15 h4  i13 : *exec_procedure

  label  "ALIAS"   r+6 c1   w32 h13 i12
  button "ADD"     r+4 c+1  w15 h4  i13 : *alias
  button "REMOVE"  r=  c+15 w15 h4  i13 : *unalias
  button "LIST"    r+4 c-15 w15 h4  i13 : *list_aliases
  button "EXAMINE" r=  c+15 w15 h4  i13 : *exam_alias

  label  "PARAMETERS" r+6 c1   w32 h13 i12
  button "ADD"        r+4 c+1  w15 h4  i13 : *define
  button "REMOVE"     r=  c+15 w15 h4  i13 : *undefine
  button "LIST"       r+4 c-15 w15 h4  i13 : *list_parameters
  button "EXAMINE"    r=  c+15 w15 h4  i13 : *exam_parameter

  newscreen "SIZES"     r+6 c1   w16 h4 i10 : size
  newscreen "ANIMATION" r=  c+16 w16 h4 i10 : animation

  button "RESET PROGRAM" r+4 c1 w16 h4 i13 : *reset

  newscreen "SNAPSHOT" r= c+16 w16 h4 i10 : snapshot

  newscreen "MORE"  r+5 c1 w32 h6 i10 : utility1 ? more.hlp

#include standard.m
#include trans_utils.m
#include select_std.m

endscreen }

screen ~ size "SIZES" r1 c1 w32 h4 i12 H120 W128 {

  label "ITEM"  r6  c1   w12 h4 i12
  label "COUNT" r=  c+12 w10 h4 i12
  label "SIZE"  r=  c+10 w10 h4 i12

  label   "NODES" r+4 c1   w12 h4 i12
  integer "%-d"   r=  c+12 w10 h4 i11 : db_count_nodes
  integer "%-d"   r=  c+10 w10 h4 i11 : db_size_nodes

  label   "ELEMENTS" r+4 c1   w12 h4 i12
  integer "%-d"      r=  c+12 w10 h4 i11 : db_count_elements
  integer "%-d"      r=  c+10 w10 h4 i11 : db_size_elements

  label   "POINTS" r+4 c1   w12 h4 i12
  integer "%-d"    r=  c+12 w10 h4 i11 : db_count_points
  integer "%-d"    r=  c+10 w10 h4 i11 : db_size_points

  label   "CURVES" r+4 c1   w12 h4 i12
  integer "%-d"    r=  c+12 w10 h4 i11 : db_count_curves
  integer "%-d"    r=  c+10 w10 h4 i11 : db_size_curves

  label   "SURFACES" r+4 c1   w12 h4 i12
  integer "%-d"      r=  c+12 w10 h4 i11 : db_count_surfaces
  integer "%-d"      r=  c+10 w10 h4 i11 : db_size_surfaces

  label   "SOLIDS" r+4 c1   w12 h4 i12
  integer "%-d"    r=  c+12 w10 h4 i11 : db_count_solids
  integer "%-d"    r=  c+10 w10 h4 i11 : db_size_solids

  label   "BOUND CONDS" r+4 c1   w12 h4 i12
  integer "%-d"         r=  c+12 w10 h4 i11 : db_count_applys
  integer "%-d"         r=  c+10 w10 h4 i11 : db_size_applys

  label   "TRANSFORMATIONS" r+4 c1   w12 h4 i12
  integer "%-d"             r=  c+12 w10 h4 i11 : db_count_tforms
  integer "%-d"             r=  c+10 w10 h4 i11 : db_size_tforms

  label   "INIT CONDS" r+4 c1   w12 h4 i12
  integer "%-d"        r=  c+12 w10 h4 i11 : db_count_iconds
  integer "%-d"        r=  c+10 w10 h4 i11 : db_size_iconds

  label   "LINKS" r+4 c1   w12 h4 i12
  integer "%-d"   r=  c+12 w10 h4 i11 : db_count_links
  integer "%-d"   r=  c+10 w10 h4 i11 : db_size_links

  label   "MATERIALS" r+4 c1   w12 h4 i12
  integer "%-d"       r=  c+12 w10 h4 i11 : db_count_materials
  integer "%-d"       r=  c+10 w10 h4 i11 : db_size_materials

  label   "ORIENTATIONS" r+4 c1   w12 h4 i12
  integer "%-d"          r=  c+12 w10 h4 i11 : db_count_orients
  integer "%-d"          r=  c+10 w10 h4 i11 : db_size_orients

  label   "GEOMETRIES" r+4 c1   w12 h4 i12
  integer "%-d"        r=  c+12 w10 h4 i11 : db_count_geoms
  integer "%-d"        r=  c+10 w10 h4 i11 : db_size_geoms

  label   "BEAM SECTIONS" r+4 c1   w12 h4 i12
  integer "%-d"        r=  c+12 w10 h4 i11 : db_count_bsects
  integer "%-d"        r=  c+10 w10 h4 i11 : db_size_bsects

  label   "CONT BODIES" r+4 c1   w12 h4 i12
  integer "%-d"         r=  c+12 w10 h4 i11 : db_count_cbodys
  integer "%-d"         r=  c+10 w10 h4 i11 : db_size_cbodys

  label   "CONT TABLES" r+4 c1   w12 h4 i12
  integer "%-d"         r=  c+12 w10 h4 i11 : db_count_ctables
  integer "%-d"         r=  c+10 w10 h4 i11 : db_size_ctables

  label   "CONT AREAS" r+4 c1   w12 h4 i12
  integer "%-d"        r=  c+12 w10 h4 i11 : db_count_careas
  integer "%-d"        r=  c+10 w10 h4 i11 : db_size_careas

  label   "LOADCASES" r+4 c1   w12 h4 i12
  integer "%-d"       r=  c+12 w10 h4 i11 : db_count_lcases
  integer "%-d"       r=  c+10 w10 h4 i11 : db_size_lcases

  label   "JOBS" r+4 c1   w12 h4 i12
  integer "%-d"  r=  c+12 w10 h4 i11 : db_count_jobs
  integer "%-d"  r=  c+10 w10 h4 i11 : db_size_jobs

  label   "ADAPT CRITERIA" r+4 c1   w12 h4 i12
  integer "%-d"            r=  c+12 w10 h4 i11 : db_count_adapts
  integer "%-d"            r=  c+10 w10 h4 i11 : db_size_adapts

  label   "TABLES" r+4 c1   w12 h4 i12
  integer "%-d"    r=  c+12 w10 h4 i11 : db_count_tables
  integer "%-d"    r=  c+10 w10 h4 i11 : db_size_tables

  label   "SETS" r+4 c1   w12 h4 i12
  integer "%-d"    r=  c+12 w10 h4 i11 : db_count_sets
  integer "%-d"    r=  c+10 w10 h4 i11 : db_size_sets

#include standard.m
#include trans_utils1.m

endscreen }

screen ~ animation "ANIMATION" r1 c1 w32 h4 i12 H120 W128 {

  button "BASE FILE NAME" r6  c1   w16 h4 i13 : *animation_name
  string "%s"   r=  c+16 w16 h4 i11 :  animation_name

  label   "CREATE" r+5 c1   w32 h30 i12
  button  "INDEX"  r+4 c+1  w15 h4  i13 : *animation_index_save
  integer "%-d"    r=  c+15 w15 h4  i11 :  animation_index_save
  group {
    oneonly "FORMATTED" r+4 c-15 w15 h4 i13 : "*animation_formatted on"
    oneonly "BINARY"    r=  c+15 w15 h4 i13 : "*animation_formatted off"
  endgroup }
  button "SAVE" r+5 c-7 w14 h16 i13 : *animation_save

  label "PLAY" r+18 c1 w32 h64 i12
  group {
    oneonly "PLAY" r+4 c+9 w14 h16 i13 : *animation_play
  endgroup }
  button "INTERRUPT" r+17 c-8  w15 h6 i13         ? animate_interrupt.hlp
  button "RESUME"    r=   c+15 w15 h6 i13 : *draw ? animate_resume.hlp
  group {
    oneonly "STOP" r+6 c-15 w15 h6 i13 : *animation_terminate
  endgroup }
  toggle "SHOW MODEL" r=  c+15 w15 h6 i13 : *show_model
  group {
    oneonly "ALL"          r+8 c-15 w15 h4 i13 : "*animation_index_all on"
    oneonly "BEGIN TO END" r=  c+15 w15 h4 i13 : "*animation_index_all off"
  endgroup }
  button  "BEGIN"    r+4 c-15 w15 h4 i13 : *animation_index_begin
  integer "%-d"      r=  c+15 w15 h4 i11 :  animation_index_begin
  button  "END"      r+4 c-15 w15 h4 i13 : *animation_index_end
  integer "%-d"      r=  c+15 w15 h4 i11 :  animation_index_end
  button  "CURRENT"  r+4 c-15 w15 h4 i13 : *animation_index_current
  integer "%-d"      r=  c+15 w15 h4 i11 :  animation_index_current
  button  "PAUSE"    r+4 c-15 w15 h4 i13 : *animation_pause
  integer "%-d SEC." r=  c+15 w15 h4 i11 :  animation_pause
  group {
    oneonly "FORWARD" r+4 c-15 w15 h4 i13 : "*animation_reverse off"
    oneonly "REVERSE" r=  c+15 w15 h4 i13 : "*animation_reverse on"
  endgroup }
  group {
    oneonly "SINGLE PLAY" r+4 c-15 w15 h4 i13 : "*animation_repeat off"
    oneonly "REPEAT"      r=  c+15 w15 h4 i13 : "*animation_repeat on"
  endgroup }

  button "MAKE MOVIE" r+6 c1   w16 h4 i13 : *movie_animation_make
  button "PLAY MOVIE" r=  c+16 w16 h4 i13 : *movie_animation_play

#include standard.m
#include trans_utils1.m

endscreen }

screen ~ snapshot "VIEW SNAPSHOT" r1 c1 w32 h4 i12 H120 W128 {

  button "CREATE"  r6  c1 w32 h6 i13 : *image_save
  button "DISPLAY" r+6 c= w32 h6 i13 : *image_display
  button "SLIDE"   r+6 c= w32 h6 i13 : *image_slide

  newscreen "POSTSCRIPT" r+7 c1 w16 h4 i10 : image_ps

#include standard.m
#include trans_utils1.m

endscreen }

screen ~ ps_settings "POSTSCRIPT SETTINGS" r1 c1 w32 h4 i12 H120 W128 {

  label   "DIMENSIONS"  r6  c1   w32 h13 i12
  button  "PAGE WIDTH"  r+4 c+1  w15 h4  i13 : *postscript_width
  integer "%-d PTS"     r=  c+15 w15 h4  i11 :  postscript_width
  button  "PAGE HEIGHT" r+4 c-15 w15 h4  i13 : *postscript_height
  integer "%-d PTS"     r=  c+15 w15 h4  i11 :  postscript_height

  label   "POSITIONING"  r+6 c1   w32 h21 i12
  button  "TRANSLATE X"  r+4 c+1  w15 h4  i13 : *postscript_trans_x
  integer "%-d PTS"      r=  c+15 w15 h4  i11 :  postscript_trans_x
  button  "TRANSLATE Y"  r+4 c-15 w15 h4  i13 : *postscript_trans_y
  integer "%-d PTS"      r=  c+15 w15 h4  i11 :  postscript_trans_y
  group {
    oneonly "PORTRAIT"  r+4 c-15 w15 h4 i13 : *postscript_portrait
    oneonly "LANDSCAPE" r=  c+15 w15 h4 i13 : *postscript_landscape
  endgroup }
  toggle "CENTER OF PAGE" r+4 c-15 w30 h4 i13 \
       : "*postscript_center on / *postscript_center off"

#include standard.m
#include trans_utils1.m

endscreen }

screen ~ utility1 "UTILITIES (CONT.)" r1 c1 w32 h4 i12 H120 W128 {

  label  "ANNOTATIONS" r6  c1 w32 h25 i12
  toggle "DISPLAY ANNOTATIONS" r+4 c+1 w30 h4 i13 \
       : "*set_annotations on / *set_annotations off"
  button "ADD"    r+4 c=   w15 h4 i13 :  *add_annotation
  button "REMOVE" r=  c+15 w15 h4 i13 :  *remove_annotation
  button "SHOW"   r+4 c-15 w15 h4 i13 :  *show_annotation
  button "EDIT"   r=  c+15 w15 h4 i13 :  *edit_annotation
  button "MOVE"   r+4 c-15 w15 h4 i13 :  *move_annotation
  button "COPY"   r=  c+15 w15 h4 i13 :  *copy_annotation
  button "CLEAR"  r+4 c-15 w15 h4 i13 :  *clear_annotations

  button "FULL WINDOW"    r+6 c1   w16 h4 i13 : *full_window
  button "DISTANCE"       r=  c+16 w16 h4 i13 : *distance
  button "SAMPLE ELEMENT" r+4 c-16 w16 h4 i13 : *sample
  toggle "UNDO"           r=  c+16 w16 h4 i13 \
       : "*set_undo on / *set_undo off"
  button "SYSTEM COMMAND" r+4 c-16 w16 h4 i13 : *system_command
  button "SYSTEM SHELL"   r=  c+16 w16 h4 i13 : *system_shell
  button "CALCULATE"      r+4 c-16 w16 h4 i13 : *calculator
  button "DIRECTORY"      r=  c+16 w16 h4 i13 : *directory
  button "EDIT FILE"      r+4 c-16 w16 h4 i13 : *edit_file
  button "SET DIRECTORY"  r=  c+16 w16 h4 i13 : *change_directory
  string "%s"             r+4 c-16 w32 h4 i11 :  current_directory

  label  "LENGTH, AREA, & VOLUME CALCS." r+5 c1   w32 h30 i12
  label  "DIRECT METHODS"                r+4 c+1  w30 h4  i12
  button "EDGE LENGTH"                   r+4 c=   w15 h4  i13 : *edge_length
  button "FACE AREA"                     r=  c+15 w15 h4  i13 : *face_area
  button "ELEMENT VOLUME"                r+4 c-15 w15 h4  i13 : *element_volume
  button "ELEMENT MASS"                  r=  c+15 w15 h4  i13 : *element_mass
  button "SOLID AREA"                    r+4 c-15 w15 h4  i13 : *solid_area
  button "SOLID VOLUME"                  r=  c+15 w15 h4  i13 : *solid_volume
  label  "ENCLOSING METHODS"             r+5 c-15 w30 h4  i12
  button "EDGE AREA"                     r+4 c=   w15 h4  i13 : *edge_area
  button "FACE VOLUME"                   r=  c+15 w15 h4  i13 : *face_volume

  newscreen "PREVIOUS" r+6 c1 w32 h6 i10 : return ? previous.hlp

#include standard2.m
#include trans_utils1.m
#include select_std.m

endscreen }
