screen ~ viewing "VIEWING OPTIONS" r1 c1 w32 h4 i12 H120 W128 {

  label "DRAW UPDATE" r6  c1 w16 h9 i12
  group {
    scroll "AUTOMATIC" r+4 c+1 w14 h4 i13 : *draw_manual
    scroll "MANUAL"    r=  c= w14 h4 i13 : *draw_automatic
  endgroup }

  label "VIEW FILL" r6 c17 w16 h9 i12
  group {
    scroll "AUTOMATIC" r+4 c+1 w14 h4 i13 : *fill_manual
    scroll "MANUAL"    r=  c=  w14 h4 i13 : *fill_automatic
  endgroup }

  label "VIEW CHANGE" r+6 c1 w16 h17 i12
  group {
    scroll "SINGLE" r+4 c+1 w14 h4 i13 : "*set_view_repeat on"  
    scroll "REPEAT" r=  c=  w=  h= i13 : "*set_view_repeat off"
  endgroup }
  button  "REPEAT PAUSE" r+4 c= w14 h4 i13 : *set_view_repeat_pause
  integer "%-d SEC(S)"   r+4 c= w14 h4 i11 :  view_repeat_pause

  button "RESET VIEW"   r-12 c17 w16 h4 i13 : *reset_view
  button "RESET CAMERA" r+4  c=  w16 h4 i13 : *reset_camera
  button "RESET MODEL"  r+4  c=  w16 h4 i13 : *reset_trans

  newscreen "VIEW SETTINGS" r+4 c= w16 h5 i10 : view_settings

  label  "VIEW STATUS" r+6 c1 w32 h31 i12

  button "ACTIVATE ALL" r+4 c1  w32 h4 i13 :  *activate_all_views
  toggle "1"            r+4 c=  w8  h4 i13 \
         : "*activate_view 1 / *deactivate_view 1"
  toggle "2"            r=  c+8 w8  h4 i13 \
         : "*activate_view 2 / *deactivate_view 2"
  toggle "3"            r=  c+8 w8  h4 i13 \
         : "*activate_view 3 / *deactivate_view 3"
  toggle "4"            r=  c+8 w8  h4 i13 \
         : "*activate_view 4 / *deactivate_view 4"

  button "ORTHOGRAPHIC" r+5 c1   w16 h4 i13 : *view_orthographic  
  button "PERSPECTIVE"  r=  c+16 w16 h4 i13 : *view_perspective
  string "%s"           r+4 c1   w8  h4 i11 :  view_projection_1
  string "%s"           r=  c+8  w8  h4 i11 :  view_projection_2
  string "%s"           r=  c+8  w8  h4 i11 :  view_projection_3
  string "%s"           r=  c+8  w8  h4 i11 :  view_projection_4

  group {
    oneonly "SHOW ALL VIEWS" r+5 c1 w32 h4 i13 : *show_all_views
    oneonly "1" r+4 c1 w8 h4 i13 : "*show_view 1"
    oneonly "2" r= c+8 w8 h4 i13 : "*show_view 2"
    oneonly "3" r= c+8 w8 h4 i13 : "*show_view 3"
    oneonly "4" r= c+8 w8 h4 i13 : "*show_view 4"
  endgroup }

  button "ZOOM IN"    r+6 c1   w16 h4 i13 : *zoom_in
  button "ZOOM OUT"   r=  c+16 w16 h4 i13 : *zoom_out
  button "SCALE UP"   r+4 c-16 w16 h4 i13 : *scale_model_up
  button "SCALE DOWN" r=  c+16 w16 h4 i13 : *scale_model_down

  button "SAVE VIEW"    r+5 c1   w16 h4 i13 : *save_view
  button "LOAD VIEW"    r=  c+16 w16 h4 i13 : *load_view
  button "LOAD CAMERA"  r+4 c-16 w16 h4 i13 : *load_camera
  button "LOAD MODEL"   r=  c+16 w16 h4 i13 : *load_trans

  newscreen "MANIPULATE CAMERA (ABSOLUTE)"    r+5 c1 w32 h4 i10 \
           : man_camera_absolute
  newscreen "MANIPULATE CAMERA (INCREMENTAL)" r+4 c1 w32 h4 i10 \
           : man_camera_incremental
  newscreen "MANIPULATE MODEL"                r+4 c1 w32 h4 i10 : man_model

#include standard.m
#include trans_view.m

endscreen }

screen ~ view_settings "VIEW SETTINGS" r1 c1 w32 h4 i12 H120 W128 {

  label  "MODEL INCREMENTS" r6  c1   w32 h17 i12
  button "TRANSLATE"        r+4 c+1  w15 h4  i13 : *trans_model_increment
  float  "%-.3g"            r=  c+15 w15 h4  i11 :  trans_model_increment
  button "ROTATE"           r+4 c-15 w15 h4  i13 : *rot_model_increment
  float  "%-.3g"            r=  c+15 w15 h4  i11 :  rot_model_increment
  button "SCALE"            r+4 c-15 w15 h4  i13 : *scale_model_increment
  float  "%-.3g"            r=  c+15 w15 h4  i11 :  scale_model_increment

  label  "CAMERA INCREMENTS" r+6 c1   w32 h17 i12
  button "TRANSLATE"         r+4 c+1  w15 h4  i13 : *trans_camera_increment
  float  "%-.3g"             r=  c+15 w15 h4  i11 :  trans_camera_increment
  button "ROTATE"            r+4 c-15 w15 h4  i13 : *rot_camera_increment
  float  "%-.3g"             r=  c+15 w15 h4  i11 :  rot_camera_increment
  button "ZOOM"              r+4 c-15 w15 h4  i13 : *zoom_increment
  float  "%-.3g"             r=  c+15 w15 h4  i11 :  zoom_increment

  label "ROTATE/SCALE CENTER" r+6 c1 w32 h38 i12
  group {
    oneonly "LOOKAT"       r+4 c+1  w15 h4 i13 : *rot_scale_center_lookat
    oneonly "VIEWPOINT"    r=  c+15 w15 h4 i13 : *rot_scale_center_viewpoint
    oneonly "MODEL ORIGIN" r+4 c-15 w15 h4 i13 : *rot_scale_center_morigin
    oneonly "VIEW ORIGIN"  r=  c+15 w15 h4 i13 : *rot_scale_center_vorigin
    oneonly "FIXED LOC:"   r+4 c-15 w15 h4 i13 : *rot_scale_center_fixed
  endgroup }

  button "LOCATION" r+5 c=   w15 h12 i13 : *rot_scale_center
  string "%s"       r=  c+15 w15 h4  i11 :  rot_scale_center_x
  string "%s"       r+4 c=   w15 h4  i11 :  rot_scale_center_y
  string "%s"       r+4 c=   w15 h4  i11 :  rot_scale_center_z
  group {
    oneonly "MODEL SPACE"  r+4 c-15 w15 h4 i13 : *rot_scale_center_mspace
    oneonly "VIEW SPACE"   r=  c+15 w15 h4 i13 : *rot_scale_center_vspace
    oneonly "CAMERA SPACE" r+4 c-15 w15 h4 i13 : *rot_scale_center_cspace
  endgroup }

#include standard.m
#include trans_view.m

endscreen }

screen ~ man_camera_absolute "MANIPULATE CAMERA (ABSOLUTE)" \
         r1 c1 w32 h4 i12 H120 W128 {

  button "PRIMARY UP-AXIS" r5 c1 w32 h4 i13 : *view_up
  float  "%-.3g" r+4 c1  w8 h4 i11 : view_up_1x
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_up_2x
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_up_3x
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_up_4x
  float  "%-.3g" r+4 c1  w8 h4 i11 : view_up_1y
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_up_2y
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_up_3y
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_up_4y
  float  "%-.3g" r+4 c1  w8 h4 i11 : view_up_1z
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_up_2z
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_up_3z
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_up_4z

  button "SECONDARY UP-AXIS" r+4 c1 w32 h4 i13 : *view_up2
  float  "%-.3g" r+4 c1  w8 h4 i11 : view_up2_1x
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_up2_2x
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_up2_3x
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_up2_4x
  float  "%-.3g" r+4 c1  w8 h4 i11 : view_up2_1y
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_up2_2y
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_up2_3y
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_up2_4y
  float  "%-.3g" r+4 c1  w8 h4 i11 : view_up2_1z
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_up2_2z
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_up2_3z
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_up2_4z

  button "LOOKAT POINT" r+4 c1 w32 h4 i13 : *view_lookat
  float  "%-.3g" r+4 c1  w8 h4 i11 : view_lookat_1x
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_lookat_2x
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_lookat_3x
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_lookat_4x
  float  "%-.3g" r+4 c1  w8 h4 i11 : view_lookat_1y
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_lookat_2y
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_lookat_3y
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_lookat_4y
  float  "%-.3g" r+4 c1  w8 h4 i11 : view_lookat_1z
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_lookat_2z
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_lookat_3z
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_lookat_4z

  button "VIEWPOINT" r+4 c1 w32 h4 i13 : *view_viewpoint
  float  "%-.3g" r+4 c1  w8 h4 i11 : view_viewpoint_1x
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_viewpoint_2x
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_viewpoint_3x
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_viewpoint_4x
  float  "%-.3g" r+4 c1  w8 h4 i11 : view_viewpoint_1y
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_viewpoint_2y
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_viewpoint_3y
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_viewpoint_4y
  float  "%-.3g" r+4 c1  w8 h4 i11 : view_viewpoint_1z
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_viewpoint_2z
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_viewpoint_3z
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_viewpoint_4z

  button "ROLL ANGLE" r+4 c1 w32 h4 i13 : *view_roll_angle
  float  "%-.3g" r+4 c1  w8 h4 i11 : view_roll_angle_1
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_roll_angle_2
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_roll_angle_3
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_roll_angle_4

  button "VIEW PLANE - WIDTH & HEIGHT" r+4 c1 w32 h4 i13 : *view_extents
  float  "%-.3g" r+4 c1  w8 h4 i11 : view_extents_1w
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_extents_2w
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_extents_3w
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_extents_4w
  float  "%-.3g" r+4 c1  w8 h4 i11 : view_extents_1h
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_extents_2h
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_extents_3h
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_extents_4h

  button "ZOOM FACTOR" r+4 c1 w32 h4 i13 : *view_zoom_factor
  float  "%-.3g" r+4 c1  w8 h4 i11 : view_zoom_factor_1
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_zoom_factor_2
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_zoom_factor_3
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_zoom_factor_4

  button "CLIPPING PLANE - FRONT DISTANCE" r+4 c1 w32 h4 i13 : *view_front_dist
  float  "%-.3g" r+4 c1  w8 h4 i11 : view_front_dist_1
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_front_dist_2
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_front_dist_3
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_front_dist_4

  button "CLIPPING PLANE - BACK DISTANCE" r+4 c1 w32 h4 i13 : *view_back_dist
  float  "%-.3g" r+4 c1  w8 h4 i11 : view_back_dist_1
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_back_dist_2
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_back_dist_3
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_back_dist_4

#include standard.m
#include trans_view.m

endscreen }

screen ~ man_camera_incremental "MANIPULATE CAMERA (INCREMENTAL)" \
         r1 c1 w32 h4 i12 H120 W128 {

  label "TRANSLATE IN MODEL SPACE" r6 c1 w32 h12 i12

  button "X+"   r+4 c1  w8 h4 i13 : *trans_camera_mspace_x_for
  button "Y+"   r=  c+8 w8 h4 i13 : *trans_camera_mspace_y_for
  button "Z+"   r=  c+8 w8 h4 i13 : *trans_camera_mspace_z_for
  button "ALL+" r=  c+8 w8 h4 i13 : *trans_camera_mspace_c_for
  button "X-"   r+4 c1  w8 h4 i13 : *trans_camera_mspace_x_rev
  button "Y-"   r=  c+8 w8 h4 i13 : *trans_camera_mspace_y_rev
  button "Z-"   r=  c+8 w8 h4 i13 : *trans_camera_mspace_z_rev
  button "ALL-" r=  c+8 w8 h4 i13 : *trans_camera_mspace_c_rev

  label "TRANSLATE IN VIEW SPACE" r+4 c1 w32 h12 i12

  button "X+"   r+4 c1  w8 h4 i13 : *trans_camera_vspace_x_for
  button "Y+"   r=  c+8 w8 h4 i13 : *trans_camera_vspace_y_for
  button "Z+"   r=  c+8 w8 h4 i13 : *trans_camera_vspace_z_for
  button "ALL+" r=  c+8 w8 h4 i13 : *trans_camera_vspace_c_for
  button "X-"   r+4 c1  w8 h4 i13 : *trans_camera_vspace_x_rev
  button "Y-"   r=  c+8 w8 h4 i13 : *trans_camera_vspace_y_rev
  button "Z-"   r=  c+8 w8 h4 i13 : *trans_camera_vspace_z_rev
  button "ALL-" r=  c+8 w8 h4 i13 : *trans_camera_vspace_c_rev

  label "TRANSLATE IN CAMERA SPACE" r+4 c1 w32 h12 i12

  button "X+"   r+4 c1  w8 h4 i13 : *trans_camera_cspace_x_for
  button "Y+"   r=  c+8 w8 h4 i13 : *trans_camera_cspace_y_for
  button "Z+"   r=  c+8 w8 h4 i13 : *trans_camera_cspace_z_for
  button "ALL+" r=  c+8 w8 h4 i13 : *trans_camera_cspace_c_for
  button "X-"   r+4 c1  w8 h4 i13 : *trans_camera_cspace_x_rev
  button "Y-"   r=  c+8 w8 h4 i13 : *trans_camera_cspace_y_rev
  button "Z-"   r=  c+8 w8 h4 i13 : *trans_camera_cspace_z_rev
  button "ALL-" r=  c+8 w8 h4 i13 : *trans_camera_cspace_c_rev

  label "ROTATE IN MODEL SPACE" r+5 c1 w32 h12 i12

  button "X+"   r+4 c1  w8 h4 i13 : *rot_camera_mspace_x_for
  button "Y+"   r=  c+8 w8 h4 i13 : *rot_camera_mspace_y_for
  button "Z+"   r=  c+8 w8 h4 i13 : *rot_camera_mspace_z_for
  button "ALL+" r=  c+8 w8 h4 i13 : *rot_camera_mspace_c_for
  button "X-"   r+4 c1  w8 h4 i13 : *rot_camera_mspace_x_rev
  button "Y-"   r=  c+8 w8 h4 i13 : *rot_camera_mspace_y_rev
  button "Z-"   r=  c+8 w8 h4 i13 : *rot_camera_mspace_z_rev
  button "ALL-" r=  c+8 w8 h4 i13 : *rot_camera_mspace_c_rev

  label "ROTATE IN VIEW SPACE" r+4 c1 w32 h12 i12

  button "X+"   r+4 c1  w8 h4 i13 : *rot_camera_vspace_x_for
  button "Y+"   r=  c+8 w8 h4 i13 : *rot_camera_vspace_y_for
  button "Z+"   r=  c+8 w8 h4 i13 : *rot_camera_vspace_z_for
  button "ALL+" r=  c+8 w8 h4 i13 : *rot_camera_vspace_c_for
  button "X-"   r+4 c1  w8 h4 i13 : *rot_camera_vspace_x_rev
  button "Y-"   r=  c+8 w8 h4 i13 : *rot_camera_vspace_y_rev
  button "Z-"   r=  c+8 w8 h4 i13 : *rot_camera_vspace_z_rev
  button "ALL-" r=  c+8 w8 h4 i13 : *rot_camera_vspace_c_rev

  label "ROTATE IN CAMERA SPACE" r+4 c1 w32 h12 i12

  button "X+"   r+4 c1  w8 h4 i13 : *rot_camera_cspace_x_for
  button "Y+"   r=  c+8 w8 h4 i13 : *rot_camera_cspace_y_for
  button "Z+"   r=  c+8 w8 h4 i13 : *rot_camera_cspace_z_for
  button "ALL+" r=  c+8 w8 h4 i13 : *rot_camera_cspace_c_for
  button "X-"   r+4 c1  w8 h4 i13 : *rot_camera_cspace_x_rev
  button "Y-"   r=  c+8 w8 h4 i13 : *rot_camera_cspace_y_rev
  button "Z-"   r=  c+8 w8 h4 i13 : *rot_camera_cspace_z_rev
  button "ALL-" r=  c+8 w8 h4 i13 : *rot_camera_cspace_c_rev

  button "ZOOM FACTOR" r+5 c1  w32 h4  i13 : *view_zoom_factor
  float  "%-.3g" r+4 c1  w8 h4 i11 : view_zoom_factor_1
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_zoom_factor_2
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_zoom_factor_3
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_zoom_factor_4
  button "ZOOM IN"       r+4 c1   w16 h4 i13 : *zoom_in
  button "ZOOM OUT"      r=  c+16 w16 h4 i13 : *zoom_out
  button "HITCHCOCK IN"  r+4 c-16 w16 h4 i13 : *hitchcock_in
  button "HITCHCOCK OUT" r=  c+16 w16 h4 i13 : *hitchcock_out

  button "FLY BY CURVES" r+5 c1 w16 h4 i13 : *flyby_curves

  button "RESET CAMERA" r+5 c1 w16 h4 i13 : *reset_camera

#include standard.m
#include trans_view.m

endscreen }

screen ~ man_model "MANIPULATE MODEL" r1 c1 w32 h4 i12 H120 W128 {

  label "TRANSLATE IN MODEL SPACE" r6 c1 w32 h12 i12

  button "X+"   r+4 c1  w8 h4 i13 : *trans_model_mspace_x_for
  button "Y+"   r=  c+8 w8 h4 i13 : *trans_model_mspace_y_for
  button "Z+"   r=  c+8 w8 h4 i13 : *trans_model_mspace_z_for
  button "ALL+" r=  c+8 w8 h4 i13 : *trans_model_mspace_c_for
  button "X-"   r+4 c1  w8 h4 i13 : *trans_model_mspace_x_rev
  button "Y-"   r=  c+8 w8 h4 i13 : *trans_model_mspace_y_rev
  button "Z-"   r=  c+8 w8 h4 i13 : *trans_model_mspace_z_rev
  button "ALL-" r=  c+8 w8 h4 i13 : *trans_model_mspace_c_rev

  label "TRANSLATE IN VIEW SPACE" r+4 c1 w32 h12 i12

  button "X+"   r+4 c1  w8 h4 i13 : *trans_model_vspace_x_for
  button "Y+"   r=  c+8 w8 h4 i13 : *trans_model_vspace_y_for
  button "Z+"   r=  c+8 w8 h4 i13 : *trans_model_vspace_z_for
  button "ALL+" r=  c+8 w8 h4 i13 : *trans_model_vspace_c_for
  button "X-"   r+4 c1  w8 h4 i13 : *trans_model_vspace_x_rev
  button "Y-"   r=  c+8 w8 h4 i13 : *trans_model_vspace_y_rev
  button "Z-"   r=  c+8 w8 h4 i13 : *trans_model_vspace_z_rev
  button "ALL-" r=  c+8 w8 h4 i13 : *trans_model_vspace_c_rev

  label "TRANSLATE IN CAMERA SPACE" r+4 c1 w32 h12 i12

  button "X+"   r+4 c1  w8 h4 i13 : *trans_model_cspace_x_for
  button "Y+"   r=  c+8 w8 h4 i13 : *trans_model_cspace_y_for
  button "Z+"   r=  c+8 w8 h4 i13 : *trans_model_cspace_z_for
  button "ALL+" r=  c+8 w8 h4 i13 : *trans_model_cspace_c_for
  button "X-"   r+4 c1  w8 h4 i13 : *trans_model_cspace_x_rev
  button "Y-"   r=  c+8 w8 h4 i13 : *trans_model_cspace_y_rev
  button "Z-"   r=  c+8 w8 h4 i13 : *trans_model_cspace_z_rev
  button "ALL-" r=  c+8 w8 h4 i13 : *trans_model_cspace_c_rev

  label "ROTATE IN MODEL SPACE" r+5 c1 w32 h12 i12

  button "X+"   r+4 c1  w8 h4 i13 : *rot_model_mspace_x_for
  button "Y+"   r=  c+8 w8 h4 i13 : *rot_model_mspace_y_for
  button "Z+"   r=  c+8 w8 h4 i13 : *rot_model_mspace_z_for
  button "ALL+" r=  c+8 w8 h4 i13 : *rot_model_mspace_c_for
  button "X-"   r+4 c1  w8 h4 i13 : *rot_model_mspace_x_rev
  button "Y-"   r=  c+8 w8 h4 i13 : *rot_model_mspace_y_rev
  button "Z-"   r=  c+8 w8 h4 i13 : *rot_model_mspace_z_rev
  button "ALL-" r=  c+8 w8 h4 i13 : *rot_model_mspace_c_rev

  label "ROTATE IN VIEW SPACE" r+4 c1 w32 h12 i12

  button "X+"   r+4 c1  w8 h4 i13 : *rot_model_vspace_x_for
  button "Y+"   r=  c+8 w8 h4 i13 : *rot_model_vspace_y_for
  button "Z+"   r=  c+8 w8 h4 i13 : *rot_model_vspace_z_for
  button "ALL+" r=  c+8 w8 h4 i13 : *rot_model_vspace_c_for
  button "X-"   r+4 c1  w8 h4 i13 : *rot_model_vspace_x_rev
  button "Y-"   r=  c+8 w8 h4 i13 : *rot_model_vspace_y_rev
  button "Z-"   r=  c+8 w8 h4 i13 : *rot_model_vspace_z_rev
  button "ALL-" r=  c+8 w8 h4 i13 : *rot_model_vspace_c_rev

  label "ROTATE IN CAMERA SPACE" r+4 c1 w32 h12 i12

  button "X+"   r+4 c1  w8 h4 i13 : *rot_model_cspace_x_for
  button "Y+"   r=  c+8 w8 h4 i13 : *rot_model_cspace_y_for
  button "Z+"   r=  c+8 w8 h4 i13 : *rot_model_cspace_z_for
  button "ALL+" r=  c+8 w8 h4 i13 : *rot_model_cspace_c_for
  button "X-"   r+4 c1  w8 h4 i13 : *rot_model_cspace_x_rev
  button "Y-"   r=  c+8 w8 h4 i13 : *rot_model_cspace_y_rev
  button "Z-"   r=  c+8 w8 h4 i13 : *rot_model_cspace_z_rev
  button "ALL-" r=  c+8 w8 h4 i13 : *rot_model_cspace_c_rev

  button "SCALE FACTOR" r+5 c1 w32 h4 i13 : *view_scale_factor
  float  "%-.3g" r+4 c1  w8 h4 i11 : view_scale_factor_1
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_scale_factor_2
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_scale_factor_3
  float  "%-.3g" r=  c+8 w8 h4 i11 : view_scale_factor_4
  button "SCALE UP"   r+4 c1   w16 h4 i13 : *scale_model_up
  button "SCALE DOWN" r=  c+16 w16 h4 i13 : *scale_model_down

  button "RESET MODEL" r+5 c1 w16 h4 i13 : *reset_trans

#include standard.m
#include trans_view.m

endscreen }

screen ~ lighting_1 "VIEW 1 LIGHTING" r1 c1 w32 h4 i12 H120 W128 {

  group {
    oneonly "LIGHTING ON"  r6 c1   w16 h4 i13 : "*set_lighting 1 on"
    oneonly "LIGHTING OFF" r= c+16 w16 h4 i13 : "*set_lighting 1 off"
  endgroup }

  button "AMBIENT LIGHT\nCOLOR" r+5 c1   w16 h12 i13 : "*lighting_ambient 1"
  float  "%-.3g"                r=  c+16 w16 h4  i11 :   ambient_color_1r
  float  "%-.3g"                r+4 c=   w16 h4  i11 :   ambient_color_1g
  float  "%-.3g"                r+4 c=   w16 h4  i11 :   ambient_color_1b

  group {
    oneonly "ATTENUATION ON"  r+5 c1   w16 h4 i13 \
          : "*set_lighting_attenuation 1 on"
    oneonly "ATTENUATION OFF" r=  c+16 w16 h4 i13 \
          : "*set_lighting_attenuation 1 off"
  endgroup }

  button "ATTENUATION\nFACTORS" r+4 c1   w16 h12 i13 : "*lighting_attenuation 1"
  float  "%-.3g"                r=  c+16 w16 h4 i11 :    attenuation_factor_1k0
  float  "%-.3g"                r+4 c=   w16 h4 i11 :    attenuation_factor_1k1
  float  "%-.3g"                r+4 c=   w16 h4 i11 :    attenuation_factor_1k2

  label     "LIGHTS"   r+5 c1   w32 h36 i12
  toggle    "1"        r+4 c1   w8  h4  i13 \
          : "*set_light 1 1 on / *set_light 1 1 off"
  toggle    "DYNAMIC"  r=  c+8  w16 h4  i13 \
          : "*light_select 1 1 / *light_unselect 1 1"
  newscreen "SET"      r=  c+16 w8  h4  i10 : light_1_1
  toggle    "2"        r+4 c1   w8  h4  i13 \
          : "*set_light 1 2 on / *set_light 1 2 off"
  toggle    "DYNAMIC"  r=  c+8  w16 h4  i13 \
          : "*light_select 1 2 / *light_unselect 1 2"
  newscreen "SET"      r=  c+16 w8  h4  i10 : light_1_2
  toggle    "3"        r+4 c1   w8  h4  i13 \
          : "*set_light 1 3 on / *set_light 1 3 off"
  toggle    "DYNAMIC"  r=  c+8  w16 h4  i13 \
          : "*light_select 1 3 / *light_unselect 1 3"
  newscreen "SET"      r=  c+16 w8  h4  i10 : light_1_3
  toggle    "4"        r+4 c1   w8  h4  i13 \
          : "*set_light 1 4 on / *set_light 1 4 off"
  toggle    "DYNAMIC"  r=  c+8  w16 h4  i13 \
          : "*light_select 1 4 / *light_unselect 1 4"
  newscreen "SET"      r=  c+16 w8  h4  i10 : light_1_4
  toggle    "5"        r+4 c1   w8  h4  i13 \
          : "*set_light 1 5 on / *set_light 1 5 off"
  toggle    "DYNAMIC"  r=  c+8  w16 h4  i13 \
          : "*light_select 1 5 / *light_unselect 1 5"
  newscreen "SET"      r=  c+16 w8  h4  i10 : light_1_5
  toggle    "6"        r+4 c1   w8  h4  i13 \
          : "*set_light 1 6 on / *set_light 1 6 off"
  toggle    "DYNAMIC"  r=  c+8  w16 h4  i13 \
          : "*light_select 1 6 / *light_unselect 1 6"
  newscreen "SET"      r=  c+16 w8  h4  i10 : light_1_6
  toggle    "7"        r+4 c1   w8  h4  i13 \
          : "*set_light 1 7 on / *set_light 1 7 off"
  toggle    "DYNAMIC"  r=  c+8  w16 h4  i13 \
          : "*light_select 1 7 / *light_unselect 1 7"
  newscreen "SET"      r=  c+16 w8  h4  i10 : light_1_7
  toggle    "8"        r+4 c1   w8  h4  i13 \
          : "*set_light 1 8 on / *set_light 1 8 off"
  toggle    "DYNAMIC"  r=  c+8  w16 h4  i13 \
          : "*light_select 1 8 / *light_unselect 1 8"
  newscreen "SET"      r=  c+16 w8  h4  i10 : light_1_8

  toggle "DYN LIGHTING" r+5 c1   w16 h4 i13 \
         : "*dynamic_lighting_on / *dynamic_lighting_off"
  toggle "DYN SPOT AIM" r=  c+16 w16 h4 i13 \
         : "*dynamic_spotlight_aiming_on / *dynamic_spotlight_aiming_off"
  toggle "DRAW LIGHTS"  r+4 c-16 w16 h4 i13 \
         : "*draw_local_lights on / *draw_local_lights off"
  button "RESET"        r=  c+16 w16 h4 i13 : "*reset_lighting 1"

  button "SAVE" r+4 c1   w16 h4 i13 : "*save_lighting 1"
  button "LOAD" r=  c+16 w16 h4 i13 : "*load_lighting 1"

#include standard.m
#include transform.m
endscreen }

screen ~ lighting_2 "VIEW 2 LIGHTING" r1 c1 w32 h4 i12 H120 W128 {

  group {
    oneonly "LIGHTING ON"  r6 c1   w16 h4 i13 : "*set_lighting 2 on"
    oneonly "LIGHTING OFF" r= c+16 w16 h4 i13 : "*set_lighting 2 off"
  endgroup }

  button "AMBIENT LIGHT\nCOLOR" r+5 c1   w16 h12 i13 : "*lighting_ambient 2"
  float  "%-.3g"                r=  c+16 w16 h4  i11 :   ambient_color_2r
  float  "%-.3g"                r+4 c=   w16 h4  i11 :   ambient_color_2g
  float  "%-.3g"                r+4 c=   w16 h4  i11 :   ambient_color_2b

  group {
    oneonly "ATTENUATION ON"  r+5 c1   w16 h4 i13 \
          : "*set_lighting_attenuation 2 on"
    oneonly "ATTENUATION OFF" r=  c+16 w16 h4 i13 \
          : "*set_lighting_attenuation 2 off"
  endgroup }

  button "ATTENUATION\nFACTORS" r+4 c1   w16 h12 i13 : "*lighting_attenuation 2"
  float  "%-.3g"                r=  c+16 w16 h4 i11 :    attenuation_factor_2k0
  float  "%-.3g"                r+4 c=   w16 h4 i11 :    attenuation_factor_2k1
  float  "%-.3g"                r+4 c=   w16 h4 i11 :    attenuation_factor_2k2

  label     "LIGHTS"   r+5 c1   w32 h36 i12
  toggle    "1"        r+4 c1   w8  h4  i13 \
          : "*set_light 2 1 on / *set_light 2 1 off"
  toggle    "DYNAMIC"  r=  c+8  w16 h4  i13 \
          : "*light_select 2 1 / *light_unselect 2 1"
  newscreen "SET"      r=  c+16 w8  h4  i10 : light_2_1
  toggle    "2"        r+4 c1   w8  h4  i13 \
          : "*set_light 2 2 on / *set_light 2 2 off"
  toggle    "DYNAMIC"  r=  c+8  w16 h4  i13 \
          : "*light_select 2 2 / *light_unselect 2 2"
  newscreen "SET"      r=  c+16 w8  h4  i10 : light_2_2
  toggle    "3"        r+4 c1   w8  h4  i13 \
          : "*set_light 2 3 on / *set_light 2 3 off"
  toggle    "DYNAMIC"  r=  c+8  w16 h4  i13 \
          : "*light_select 2 3 / *light_unselect 2 3"
  newscreen "SET"      r=  c+16 w8  h4  i10 : light_2_3
  toggle    "4"        r+4 c1   w8  h4  i13 \
          : "*set_light 2 4 on / *set_light 2 4 off"
  toggle    "DYNAMIC"  r=  c+8  w16 h4  i13 \
          : "*light_select 2 4 / *light_unselect 2 4"
  newscreen "SET"      r=  c+16 w8  h4  i10 : light_2_4
  toggle    "5"        r+4 c1   w8  h4  i13 \
          : "*set_light 2 5 on / *set_light 2 5 off"
  toggle    "DYNAMIC"  r=  c+8  w16 h4  i13 \
          : "*light_select 2 5 / *light_unselect 2 5"
  newscreen "SET"      r=  c+16 w8  h4  i10 : light_2_5
  toggle    "6"        r+4 c1   w8  h4  i13 \
          : "*set_light 2 6 on / *set_light 2 6 off"
  toggle    "DYNAMIC"  r=  c+8  w16 h4  i13 \
          : "*light_select 2 6 / *light_unselect 2 6"
  newscreen "SET"      r=  c+16 w8  h4  i10 : light_2_6
  toggle    "7"        r+4 c1   w8  h4  i13 \
          : "*set_light 2 7 on / *set_light 2 7 off"
  toggle    "DYNAMIC"  r=  c+8  w16 h4  i13 \
          : "*light_select 2 7 / *light_unselect 2 7"
  newscreen "SET"      r=  c+16 w8  h4  i10 : light_2_7
  toggle    "8"        r+4 c1   w8  h4  i13 \
          : "*set_light 2 8 on / *set_light 2 8 off"
  toggle    "DYNAMIC"  r=  c+8  w16 h4  i13 \
          : "*light_select 2 8 / *light_unselect 2 8"
  newscreen "SET"      r=  c+16 w8  h4  i10 : light_2_8

  toggle "DYN LIGHTING" r+5 c1   w16 h4 i13 \
         : "*dynamic_lighting_on / *dynamic_lighting_off"
  toggle "DYN SPOT AIM" r=  c+16 w16 h4 i13 \
         : "*dynamic_spotlight_aiming_on / *dynamic_spotlight_aiming_off"
  toggle "DRAW LIGHTS"  r+4 c-16 w16 h4 i13 \
         : "*draw_local_lights on / *draw_local_lights off"
  button "RESET"        r=  c+16 w16 h4 i13 : "*reset_lighting 2"

  button "SAVE" r+4 c1   w16 h4 i13 : "*save_lighting 2"
  button "LOAD" r=  c+16 w16 h4 i13 : "*load_lighting 2"

#include standard.m
#include transform.m
endscreen }

screen ~ lighting_3 "VIEW 3 LIGHTING" r1 c1 w32 h4 i12 H120 W128 {

  group {
    oneonly "LIGHTING ON"  r6 c1   w16 h4 i13 : "*set_lighting 3 on"
    oneonly "LIGHTING OFF" r= c+16 w16 h4 i13 : "*set_lighting 3 off"
  endgroup }

  button "AMBIENT LIGHT\nCOLOR" r+5 c1   w16 h12 i13 : "*lighting_ambient 3"
  float  "%-.3g"                r=  c+16 w16 h4  i11 :   ambient_color_3r
  float  "%-.3g"                r+4 c=   w16 h4  i11 :   ambient_color_3g
  float  "%-.3g"                r+4 c=   w16 h4  i11 :   ambient_color_3b

  group {
    oneonly "ATTENUATION ON"  r+5 c1   w16 h4 i13 \
          : "*set_lighting_attenuation 3 on"
    oneonly "ATTENUATION OFF" r=  c+16 w16 h4 i13 \
          : "*set_lighting_attenuation 3 off"
  endgroup }

  button "ATTENUATION\nFACTORS" r+4 c1   w16 h12 i13 : "*lighting_attenuation 3"
  float  "%-.3g"                r=  c+16 w16 h4 i11 :    attenuation_factor_3k0
  float  "%-.3g"                r+4 c=   w16 h4 i11 :    attenuation_factor_3k1
  float  "%-.3g"                r+4 c=   w16 h4 i11 :    attenuation_factor_3k2

  label     "LIGHTS"   r+5 c1   w32 h36 i12
  toggle    "1"        r+4 c1   w8  h4  i13 \
          : "*set_light 3 1 on / *set_light 3 1 off"
  toggle    "DYNAMIC"  r=  c+8  w16 h4  i13 \
          : "*light_select 3 1 / *light_unselect 3 1"
  newscreen "SET"      r=  c+16 w8  h4  i10 : light_3_1
  toggle    "2"        r+4 c1   w8  h4  i13 \
          : "*set_light 3 2 on / *set_light 3 2 off"
  toggle    "DYNAMIC"  r=  c+8  w16 h4  i13 \
          : "*light_select 3 2 / *light_unselect 3 2"
  newscreen "SET"      r=  c+16 w8  h4  i10 : light_3_2
  toggle    "3"        r+4 c1   w8  h4  i13 \
          : "*set_light 3 3 on / *set_light 3 3 off"
  toggle    "DYNAMIC"  r=  c+8  w16 h4  i13 \
          : "*light_select 3 3 / *light_unselect 3 3"
  newscreen "SET"      r=  c+16 w8  h4  i10 : light_3_3
  toggle    "4"        r+4 c1   w8  h4  i13 \
          : "*set_light 3 4 on / *set_light 3 4 off"
  toggle    "DYNAMIC"  r=  c+8  w16 h4  i13 \
          : "*light_select 3 4 / *light_unselect 3 4"
  newscreen "SET"      r=  c+16 w8  h4  i10 : light_3_4
  toggle    "5"        r+4 c1   w8  h4  i13 \
          : "*set_light 3 5 on / *set_light 3 5 off"
  toggle    "DYNAMIC"  r=  c+8  w16 h4  i13 \
          : "*light_select 3 5 / *light_unselect 3 5"
  newscreen "SET"      r=  c+16 w8  h4  i10 : light_3_5
  toggle    "6"        r+4 c1   w8  h4  i13 \
          : "*set_light 3 6 on / *set_light 3 6 off"
  toggle    "DYNAMIC"  r=  c+8  w16 h4  i13 \
          : "*light_select 3 6 / *light_unselect 3 6"
  newscreen "SET"      r=  c+16 w8  h4  i10 : light_3_6
  toggle    "7"        r+4 c1   w8  h4  i13 \
          : "*set_light 3 7 on / *set_light 3 7 off"
  toggle    "DYNAMIC"  r=  c+8  w16 h4  i13 \
          : "*light_select 3 7 / *light_unselect 3 7"
  newscreen "SET"      r=  c+16 w8  h4  i10 : light_3_7
  toggle    "8"        r+4 c1   w8  h4  i13 \
          : "*set_light 3 8 on / *set_light 3 8 off"
  toggle    "DYNAMIC"  r=  c+8  w16 h4  i13 \
          : "*light_select 3 8 / *light_unselect 3 8"
  newscreen "SET"      r=  c+16 w8  h4  i10 : light_3_8

  toggle "DYN LIGHTING" r+5 c1   w16 h4 i13 \
         : "*dynamic_lighting_on / *dynamic_lighting_off"
  toggle "DYN SPOT AIM" r=  c+16 w16 h4 i13 \
         : "*dynamic_spotlight_aiming_on / *dynamic_spotlight_aiming_off"
  toggle "DRAW LIGHTS"  r+4 c-16 w16 h4 i13 \
         : "*draw_local_lights on / *draw_local_lights off"
  button "RESET"        r=  c+16 w16 h4 i13 : "*reset_lighting 3"

  button "SAVE" r+4 c1   w16 h4 i13 : "*save_lighting 3"
  button "LOAD" r=  c+16 w16 h4 i13 : "*load_lighting 3"

#include standard.m
#include transform.m
endscreen }

screen ~ lighting_4 "VIEW 4 LIGHTING" r1 c1 w32 h4 i12 H120 W128 {

  group {
    oneonly "LIGHTING ON"  r6 c1   w16 h4 i13 : "*set_lighting 4 on"
    oneonly "LIGHTING OFF" r= c+16 w16 h4 i13 : "*set_lighting 4 off"
  endgroup }

  button "AMBIENT LIGHT\nCOLOR" r+5 c1   w16 h12 i13 : "*lighting_ambient 4"
  float  "%-.3g"                r=  c+16 w16 h4  i11 :   ambient_color_4r
  float  "%-.3g"                r+4 c=   w16 h4  i11 :   ambient_color_4g
  float  "%-.3g"                r+4 c=   w16 h4  i11 :   ambient_color_4b

  group {
    oneonly "ATTENUATION ON"  r+5 c1   w16 h4 i13 \
          : "*set_lighting_attenuation 4 on"
    oneonly "ATTENUATION OFF" r=  c+16 w16 h4 i13 \
          : "*set_lighting_attenuation 4 off"
  endgroup }

  button "ATTENUATION\nFACTORS" r+4 c1   w16 h12 i13 : "*lighting_attenuation 4"
  float  "%-.3g"                r=  c+16 w16 h4 i11 :    attenuation_factor_4k0
  float  "%-.3g"                r+4 c=   w16 h4 i11 :    attenuation_factor_4k1
  float  "%-.3g"                r+4 c=   w16 h4 i11 :    attenuation_factor_4k2

  label     "LIGHTS"   r+5 c1   w32 h36 i12
  toggle    "1"        r+4 c1   w8  h4  i13 \
          : "*set_light 4 1 on / *set_light 4 1 off"
  toggle    "DYNAMIC"  r=  c+8  w16 h4  i13 \
          : "*light_select 4 1 / *light_unselect 4 1"
  newscreen "SET"      r=  c+16 w8  h4  i10 : light_4_1
  toggle    "2"        r+4 c1   w8  h4  i13 \
          : "*set_light 4 2 on / *set_light 4 2 off"
  toggle    "DYNAMIC"  r=  c+8  w16 h4  i13 \
          : "*light_select 4 2 / *light_unselect 4 2"
  newscreen "SET"      r=  c+16 w8  h4  i10 : light_4_2
  toggle    "3"        r+4 c1   w8  h4  i13 \
          : "*set_light 4 3 on / *set_light 4 3 off"
  toggle    "DYNAMIC"  r=  c+8  w16 h4  i13 \
          : "*light_select 4 3 / *light_unselect 4 3"
  newscreen "SET"      r=  c+16 w8  h4  i10 : light_4_3
  toggle    "4"        r+4 c1   w8  h4  i13 \
          : "*set_light 4 4 on / *set_light 4 4 off"
  toggle    "DYNAMIC"  r=  c+8  w16 h4  i13 \
          : "*light_select 4 4 / *light_unselect 4 4"
  newscreen "SET"      r=  c+16 w8  h4  i10 : light_4_4
  toggle    "5"        r+4 c1   w8  h4  i13 \
          : "*set_light 4 5 on / *set_light 4 5 off"
  toggle    "DYNAMIC"  r=  c+8  w16 h4  i13 \
          : "*light_select 4 5 / *light_unselect 4 5"
  newscreen "SET"      r=  c+16 w8  h4  i10 : light_4_5
  toggle    "6"        r+4 c1   w8  h4  i13 \
          : "*set_light 4 6 on / *set_light 4 6 off"
  toggle    "DYNAMIC"  r=  c+8  w16 h4  i13 \
          : "*light_select 4 6 / *light_unselect 4 6"
  newscreen "SET"      r=  c+16 w8  h4  i10 : light_4_6
  toggle    "7"        r+4 c1   w8  h4  i13 \
          : "*set_light 4 7 on / *set_light 4 7 off"
  toggle    "DYNAMIC"  r=  c+8  w16 h4  i13 \
          : "*light_select 4 7 / *light_unselect 4 7"
  newscreen "SET"      r=  c+16 w8  h4  i10 : light_4_7
  toggle    "8"        r+4 c1   w8  h4  i13 \
          : "*set_light 4 8 on / *set_light 4 8 off"
  toggle    "DYNAMIC"  r=  c+8  w16 h4  i13 \
          : "*light_select 4 8 / *light_unselect 4 8"
  newscreen "SET"      r=  c+16 w8  h4  i10 : light_4_8

  toggle "DYN LIGHTING" r+5 c1   w16 h4 i13 \
         : "*dynamic_lighting_on / *dynamic_lighting_off"
  toggle "DYN SPOT AIM" r=  c+16 w16 h4 i13 \
         : "*dynamic_spotlight_aiming_on / *dynamic_spotlight_aiming_off"
  toggle "DRAW LIGHTS"  r+4 c-16 w16 h4 i13 \
         : "*draw_local_lights on / *draw_local_lights off"
  button "RESET"        r=  c+16 w16 h4 i13 : "*reset_lighting 4"

  button "SAVE" r+4 c1   w16 h4 i13 : "*save_lighting 4"
  button "LOAD" r=  c+16 w16 h4 i13 : "*load_lighting 4"

#include standard.m
#include transform.m
endscreen }

screen ~ light_1_1 "VIEW 1 LIGHT 1" r1 c1 w32 h4 i12 H120 W128 {

  group {
    oneonly "LIGHT ON"  r6  c1   w16 h4 i13 : "*set_light 1 1 on"
    oneonly "LIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light 1 1 off"
  endgroup }

  group {
    oneonly "DYNAMIC" r+5 c1   w16 h4 i13 : "*light_select 1 1"
    oneonly "STATIC"  r=  c+16 w16 h4 i13 : "*light_unselect 1 1"
  endgroup }

  group {
    oneonly "LOCAL"    r+5 c1   w16 h4 i13 : "*light_local 1 1"
    oneonly "INFINITE" r=  c+16 w16 h4 i13 : "*light_infinite 1 1"
  endgroup }

  button "LOCATION /\nDIRECTION" r+5 c1   w16 h12 i13 : "*light_location 1 1"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_location_1_1x
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_1_1y
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_1_1z

  button "COLOR" r+5 c1   w16 h12 i13 : "*light_color 1 1"
  float  "%-.3g" r=  c+16 w16 h4  i11 :   light_color_1_1r
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_1_1g
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_1_1b

  button "AMBIENT\nCONTRIBUTION" r+5 c1   w16 h12 i13 : "*light_ambient 1 1"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_ambient_1_1r
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_1_1g
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_1_1b

  button "RADIUS" r+5 c1   w16 h4 i13 : "*light_radius 1 1"
  float  "%-.3g"  r=  c+16 w16 h4 i11 :   light_radius_1_1

  group {
    oneonly "SPOTLIGHT ON"  r+5 c1   w16 h4 i13 : "*set_light_spotlight 1 1 on"
    oneonly "SPOTLIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light_spotlight 1 1 off"
  endgroup }

  button "SPOTLIGHT\nDIRECTION" r+4 c1   w16 h12 i13 \
       : "*light_spot_direction 1 1"
  float  "%-.3g"                r=  c+16 w16 h4 i11 U : light_spot_dir_1_1x
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_1_1y
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_1_1z

  button "SPOTLIGHT\nRADIUS ANGLES" r+4 c1   w16 h8 i13 \
       : "*light_spot_angles 1 1"
  float  "%-.3g"                    r=  c+16 w16 h4 i11 : light_spot_angle_1_1i
  float  "%-.3g"                    r+4 c=   w16 h4 i11 : light_spot_angle_1_1o

#include standard.m
#include transform.m
endscreen }

screen ~ light_1_2 "VIEW 1 LIGHT 2" r1 c1 w32 h4 i12 H120 W128 {

  group {
    oneonly "LIGHT ON"  r6  c1   w16 h4 i13 : "*set_light 1 2 on"
    oneonly "LIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light 1 2 off"
  endgroup }

  group {
    oneonly "DYNAMIC" r+5 c1   w16 h4 i13 : "*light_select 1 2"
    oneonly "STATIC"  r=  c+16 w16 h4 i13 : "*light_unselect 1 2"
  endgroup }

  group {
    oneonly "LOCAL"    r+5 c1   w16 h4 i13 : "*light_local 1 2"
    oneonly "INFINITE" r=  c+16 w16 h4 i13 : "*light_infinite 1 2"
  endgroup }

  button "LOCATION /\nDIRECTION" r+5 c1   w16 h12 i13 : "*light_location 1 2"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_location_1_2x
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_1_2y
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_1_2z

  button "COLOR" r+5 c1   w16 h12 i13 : "*light_color 1 2"
  float  "%-.3g" r=  c+16 w16 h4  i11 :   light_color_1_2r
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_1_2g
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_1_2b

  button "AMBIENT\nCONTRIBUTION" r+5 c1   w16 h12 i13 : "*light_ambient 1 2"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_ambient_1_2r
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_1_2g
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_1_2b

  button "RADIUS" r+5 c1   w16 h4 i13 : "*light_radius 1 2"
  float  "%-.3g"  r=  c+16 w16 h4 i11 :   light_radius_1_2

  group {
    oneonly "SPOTLIGHT ON"  r+5 c1   w16 h4 i13 : "*set_light_spotlight 1 2 on"
    oneonly "SPOTLIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light_spotlight 1 2 off"
  endgroup }

  button "SPOTLIGHT\nDIRECTION" r+4 c1   w16 h12 i13 \
       : "*light_spot_direction 1 2"
  float  "%-.3g"                r=  c+16 w16 h4 i11 U : light_spot_dir_1_2x
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_1_2y
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_1_2z

  button "SPOTLIGHT\nRADIUS ANGLES" r+4 c1   w16 h8 i13 \
       : "*light_spot_angles 1 2"
  float  "%-.3g"                    r=  c+16 w16 h4 i11 : light_spot_angle_1_2i
  float  "%-.3g"                    r+4 c=   w16 h4 i11 : light_spot_angle_1_2o

#include standard.m
#include transform.m
endscreen }

screen ~ light_1_3 "VIEW 1 LIGHT 3" r1 c1 w32 h4 i12 H120 W128 {

  group {
    oneonly "LIGHT ON"  r6  c1   w16 h4 i13 : "*set_light 1 3 on"
    oneonly "LIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light 1 3 off"
  endgroup }

  group {
    oneonly "DYNAMIC" r+5 c1   w16 h4 i13 : "*light_select 1 3"
    oneonly "STATIC"  r=  c+16 w16 h4 i13 : "*light_unselect 1 3"
  endgroup }

  group {
    oneonly "LOCAL"    r+5 c1   w16 h4 i13 : "*light_local 1 3"
    oneonly "INFINITE" r=  c+16 w16 h4 i13 : "*light_infinite 1 3"
  endgroup }

  button "LOCATION /\nDIRECTION" r+5 c1   w16 h12 i13 : "*light_location 1 3"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_location_1_3x
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_1_3y
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_1_3z

  button "COLOR" r+5 c1   w16 h12 i13 : "*light_color 1 3"
  float  "%-.3g" r=  c+16 w16 h4  i11 :   light_color_1_3r
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_1_3g
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_1_3b

  button "AMBIENT\nCONTRIBUTION" r+5 c1   w16 h12 i13 : "*light_ambient 1 3"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_ambient_1_3r
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_1_3g
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_1_3b

  button "RADIUS" r+5 c1   w16 h4 i13 : "*light_radius 1 3"
  float  "%-.3g"  r=  c+16 w16 h4 i11 :   light_radius_1_3

  group {
    oneonly "SPOTLIGHT ON"  r+5 c1   w16 h4 i13 : "*set_light_spotlight 1 3 on"
    oneonly "SPOTLIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light_spotlight 1 3 off"
  endgroup }

  button "SPOTLIGHT\nDIRECTION" r+4 c1   w16 h12 i13 \
       : "*light_spot_direction 1 3"
  float  "%-.3g"                r=  c+16 w16 h4 i11 U : light_spot_dir_1_3x
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_1_3y
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_1_3z

  button "SPOTLIGHT\nRADIUS ANGLES" r+4 c1   w16 h8 i13 \
       : "*light_spot_angles 1 3"
  float  "%-.3g"                    r=  c+16 w16 h4 i11 : light_spot_angle_1_3i
  float  "%-.3g"                    r+4 c=   w16 h4 i11 : light_spot_angle_1_3o

#include standard.m
#include transform.m
endscreen }

screen ~ light_1_4 "VIEW 1 LIGHT 4" r1 c1 w32 h4 i12 H120 W128 {

  group {
    oneonly "LIGHT ON"  r6  c1   w16 h4 i13 : "*set_light 1 4 on"
    oneonly "LIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light 1 4 off"
  endgroup }

  group {
    oneonly "DYNAMIC" r+5 c1   w16 h4 i13 : "*light_select 1 4"
    oneonly "STATIC"  r=  c+16 w16 h4 i13 : "*light_unselect 1 4"
  endgroup }

  group {
    oneonly "LOCAL"    r+5 c1   w16 h4 i13 : "*light_local 1 4"
    oneonly "INFINITE" r=  c+16 w16 h4 i13 : "*light_infinite 1 4"
  endgroup }

  button "LOCATION /\nDIRECTION" r+5 c1   w16 h12 i13 : "*light_location 1 4"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_location_1_4x
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_1_4y
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_1_4z

  button "COLOR" r+5 c1   w16 h12 i13 : "*light_color 1 4"
  float  "%-.3g" r=  c+16 w16 h4  i11 :   light_color_1_4r
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_1_4g
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_1_4b

  button "AMBIENT\nCONTRIBUTION" r+5 c1   w16 h12 i13 : "*light_ambient 1 4"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_ambient_1_4r
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_1_4g
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_1_4b

  button "RADIUS" r+5 c1   w16 h4 i13 : "*light_radius 1 4"
  float  "%-.3g"  r=  c+16 w16 h4 i11 :   light_radius_1_4

  group {
    oneonly "SPOTLIGHT ON"  r+5 c1   w16 h4 i13 : "*set_light_spotlight 1 4 on"
    oneonly "SPOTLIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light_spotlight 1 4 off"
  endgroup }

  button "SPOTLIGHT\nDIRECTION" r+4 c1   w16 h12 i13 \
       : "*light_spot_direction 1 4"
  float  "%-.3g"                r=  c+16 w16 h4 i11 U : light_spot_dir_1_4x
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_1_4y
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_1_4z

  button "SPOTLIGHT\nRADIUS ANGLES" r+4 c1   w16 h8 i13 \
       : "*light_spot_angles 1 4"
  float  "%-.3g"                    r=  c+16 w16 h4 i11 : light_spot_angle_1_4i
  float  "%-.3g"                    r+4 c=   w16 h4 i11 : light_spot_angle_1_4o

#include standard.m
#include transform.m
endscreen }

screen ~ light_1_5 "VIEW 1 LIGHT 5" r1 c1 w32 h4 i12 H120 W128 {

  group {
    oneonly "LIGHT ON"  r6  c1   w16 h4 i13 : "*set_light 1 5 on"
    oneonly "LIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light 1 5 off"
  endgroup }

  group {
    oneonly "DYNAMIC" r+5 c1   w16 h4 i13 : "*light_select 1 5"
    oneonly "STATIC"  r=  c+16 w16 h4 i13 : "*light_unselect 1 5"
  endgroup }

  group {
    oneonly "LOCAL"    r+5 c1   w16 h4 i13 : "*light_local 1 5"
    oneonly "INFINITE" r=  c+16 w16 h4 i13 : "*light_infinite 1 5"
  endgroup }

  button "LOCATION /\nDIRECTION" r+5 c1   w16 h12 i13 : "*light_location 1 5"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_location_1_5x
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_1_5y
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_1_5z

  button "COLOR" r+5 c1   w16 h12 i13 : "*light_color 1 5"
  float  "%-.3g" r=  c+16 w16 h4  i11 :   light_color_1_5r
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_1_5g
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_1_5b

  button "AMBIENT\nCONTRIBUTION" r+5 c1   w16 h12 i13 : "*light_ambient 1 5"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_ambient_1_5r
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_1_5g
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_1_5b

  button "RADIUS" r+5 c1   w16 h4 i13 : "*light_radius 1 5"
  float  "%-.3g"  r=  c+16 w16 h4 i11 :   light_radius_1_5

  group {
    oneonly "SPOTLIGHT ON"  r+5 c1   w16 h4 i13 : "*set_light_spotlight 1 5 on"
    oneonly "SPOTLIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light_spotlight 1 5 off"
  endgroup }

  button "SPOTLIGHT\nDIRECTION" r+4 c1   w16 h12 i13 \
       : "*light_spot_direction 1 5"
  float  "%-.3g"                r=  c+16 w16 h4 i11 U : light_spot_dir_1_5x
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_1_5y
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_1_5z

  button "SPOTLIGHT\nRADIUS ANGLES" r+4 c1   w16 h8 i13 \
       : "*light_spot_angles 1 5"
  float  "%-.3g"                    r=  c+16 w16 h4 i11 : light_spot_angle_1_5i
  float  "%-.3g"                    r+4 c=   w16 h4 i11 : light_spot_angle_1_5o

#include standard.m
#include transform.m
endscreen }

screen ~ light_1_6 "VIEW 1 LIGHT 6" r1 c1 w32 h4 i12 H120 W128 {

  group {
    oneonly "LIGHT ON"  r6  c1   w16 h4 i13 : "*set_light 1 6 on"
    oneonly "LIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light 1 6 off"
  endgroup }

  group {
    oneonly "DYNAMIC" r+5 c1   w16 h4 i13 : "*light_select 1 6"
    oneonly "STATIC"  r=  c+16 w16 h4 i13 : "*light_unselect 1 6"
  endgroup }

  group {
    oneonly "LOCAL"    r+5 c1   w16 h4 i13 : "*light_local 1 6"
    oneonly "INFINITE" r=  c+16 w16 h4 i13 : "*light_infinite 1 6"
  endgroup }

  button "LOCATION /\nDIRECTION" r+5 c1   w16 h12 i13 : "*light_location 1 6"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_location_1_6x
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_1_6y
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_1_6z

  button "COLOR" r+5 c1   w16 h12 i13 : "*light_color 1 6"
  float  "%-.3g" r=  c+16 w16 h4  i11 :   light_color_1_6r
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_1_6g
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_1_6b

  button "AMBIENT\nCONTRIBUTION" r+5 c1   w16 h12 i13 : "*light_ambient 1 6"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_ambient_1_6r
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_1_6g
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_1_6b

  button "RADIUS" r+5 c1   w16 h4 i13 : "*light_radius 1 6"
  float  "%-.3g"  r=  c+16 w16 h4 i11 :   light_radius_1_6

  group {
    oneonly "SPOTLIGHT ON"  r+5 c1   w16 h4 i13 : "*set_light_spotlight 1 6 on"
    oneonly "SPOTLIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light_spotlight 1 6 off"
  endgroup }

  button "SPOTLIGHT\nDIRECTION" r+4 c1   w16 h12 i13 \
       : "*light_spot_direction 1 6"
  float  "%-.3g"                r=  c+16 w16 h4 i11 U : light_spot_dir_1_6x
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_1_6y
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_1_6z

  button "SPOTLIGHT\nRADIUS ANGLES" r+4 c1   w16 h8 i13 \
       : "*light_spot_angles 1 6"
  float  "%-.3g"                    r=  c+16 w16 h4 i11 : light_spot_angle_1_6i
  float  "%-.3g"                    r+4 c=   w16 h4 i11 : light_spot_angle_1_6o

#include standard.m
#include transform.m
endscreen }

screen ~ light_1_7 "VIEW 1 LIGHT 7" r1 c1 w32 h4 i12 H120 W128 {

  group {
    oneonly "LIGHT ON"  r6  c1   w16 h4 i13 : "*set_light 1 7 on"
    oneonly "LIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light 1 7 off"
  endgroup }

  group {
    oneonly "DYNAMIC" r+5 c1   w16 h4 i13 : "*light_select 1 7"
    oneonly "STATIC"  r=  c+16 w16 h4 i13 : "*light_unselect 1 7"
  endgroup }

  group {
    oneonly "LOCAL"    r+5 c1   w16 h4 i13 : "*light_local 1 7"
    oneonly "INFINITE" r=  c+16 w16 h4 i13 : "*light_infinite 1 7"
  endgroup }

  button "LOCATION /\nDIRECTION" r+5 c1   w16 h12 i13 : "*light_location 1 7"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_location_1_7x
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_1_7y
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_1_7z

  button "COLOR" r+5 c1   w16 h12 i13 : "*light_color 1 7"
  float  "%-.3g" r=  c+16 w16 h4  i11 :   light_color_1_7r
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_1_7g
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_1_7b

  button "AMBIENT\nCONTRIBUTION" r+5 c1   w16 h12 i13 : "*light_ambient 1 7"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_ambient_1_7r
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_1_7g
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_1_7b

  button "RADIUS" r+5 c1   w16 h4 i13 : "*light_radius 1 7"
  float  "%-.3g"  r=  c+16 w16 h4 i11 :   light_radius_1_7

  group {
    oneonly "SPOTLIGHT ON"  r+5 c1   w16 h4 i13 : "*set_light_spotlight 1 7 on"
    oneonly "SPOTLIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light_spotlight 1 7 off"
  endgroup }

  button "SPOTLIGHT\nDIRECTION" r+4 c1   w16 h12 i13 \
       : "*light_spot_direction 1 7"
  float  "%-.3g"                r=  c+16 w16 h4 i11 U : light_spot_dir_1_7x
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_1_7y
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_1_7z

  button "SPOTLIGHT\nRADIUS ANGLES" r+4 c1   w16 h8 i13 \
       : "*light_spot_angles 1 7"
  float  "%-.3g"                    r=  c+16 w16 h4 i11 : light_spot_angle_1_7i
  float  "%-.3g"                    r+4 c=   w16 h4 i11 : light_spot_angle_1_7o

#include standard.m
#include transform.m
endscreen }

screen ~ light_1_8 "VIEW 1 LIGHT 8" r1 c1 w32 h4 i12 H120 W128 {

  group {
    oneonly "LIGHT ON"  r6  c1   w16 h4 i13 : "*set_light 1 8 on"
    oneonly "LIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light 1 8 off"
  endgroup }

  group {
    oneonly "DYNAMIC" r+5 c1   w16 h4 i13 : "*light_select 1 8"
    oneonly "STATIC"  r=  c+16 w16 h4 i13 : "*light_unselect 1 8"
  endgroup }

  group {
    oneonly "LOCAL"    r+5 c1   w16 h4 i13 : "*light_local 1 8"
    oneonly "INFINITE" r=  c+16 w16 h4 i13 : "*light_infinite 1 8"
  endgroup }

  button "LOCATION /\nDIRECTION" r+5 c1   w16 h12 i13 : "*light_location 1 8"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_location_1_8x
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_1_8y
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_1_8z

  button "COLOR" r+5 c1   w16 h12 i13 : "*light_color 1 8"
  float  "%-.3g" r=  c+16 w16 h4  i11 :   light_color_1_8r
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_1_8g
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_1_8b

  button "AMBIENT\nCONTRIBUTION" r+5 c1   w16 h12 i13 : "*light_ambient 1 8"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_ambient_1_8r
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_1_8g
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_1_8b

  button "RADIUS" r+5 c1   w16 h4 i13 : "*light_radius 1 8"
  float  "%-.3g"  r=  c+16 w16 h4 i11 :   light_radius_1_8

  group {
    oneonly "SPOTLIGHT ON"  r+5 c1   w16 h4 i13 : "*set_light_spotlight 1 8 on"
    oneonly "SPOTLIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light_spotlight 1 8 off"
  endgroup }

  button "SPOTLIGHT\nDIRECTION" r+4 c1   w16 h12 i13 \
       : "*light_spot_direction 1 8"
  float  "%-.3g"                r=  c+16 w16 h4 i11 U : light_spot_dir_1_8x
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_1_8y
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_1_8z

  button "SPOTLIGHT\nRADIUS ANGLES" r+4 c1   w16 h8 i13 \
       : "*light_spot_angles 1 8"
  float  "%-.3g"                    r=  c+16 w16 h4 i11 : light_spot_angle_1_8i
  float  "%-.3g"                    r+4 c=   w16 h4 i11 : light_spot_angle_1_8o

#include standard.m
#include transform.m
endscreen }

screen ~ light_2_1 "VIEW 2 LIGHT 1" r1 c1 w32 h4 i12 H120 W128 {

  group {
    oneonly "LIGHT ON"  r6  c1   w16 h4 i13 : "*set_light 2 1 on"
    oneonly "LIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light 2 1 off"
  endgroup }

  group {
    oneonly "DYNAMIC" r+5 c1   w16 h4 i13 : "*light_select 2 1"
    oneonly "STATIC"  r=  c+16 w16 h4 i13 : "*light_unselect 2 1"
  endgroup }

  group {
    oneonly "LOCAL"    r+5 c1   w16 h4 i13 : "*light_local 2 1"
    oneonly "INFINITE" r=  c+16 w16 h4 i13 : "*light_infinite 2 1"
  endgroup }

  button "LOCATION /\nDIRECTION" r+5 c1   w16 h12 i13 : "*light_location 2 1"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_location_2_1x
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_2_1y
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_2_1z

  button "COLOR" r+5 c1   w16 h12 i13 : "*light_color 2 1"
  float  "%-.3g" r=  c+16 w16 h4  i11 :   light_color_2_1r
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_2_1g
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_2_1b

  button "AMBIENT\nCONTRIBUTION" r+5 c1   w16 h12 i13 : "*light_ambient 2 1"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_ambient_2_1r
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_2_1g
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_2_1b

  button "RADIUS" r+5 c1   w16 h4 i13 : "*light_radius 2 1"
  float  "%-.3g"  r=  c+16 w16 h4 i11 :   light_radius_2_1

  group {
    oneonly "SPOTLIGHT ON"  r+5 c1   w16 h4 i13 : "*set_light_spotlight 2 1 on"
    oneonly "SPOTLIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light_spotlight 2 1 off"
  endgroup }

  button "SPOTLIGHT\nDIRECTION" r+4 c1   w16 h12 i13 \
       : "*light_spot_direction 2 1"
  float  "%-.3g"                r=  c+16 w16 h4 i11 U : light_spot_dir_2_1x
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_2_1y
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_2_1z

  button "SPOTLIGHT\nRADIUS ANGLES" r+4 c1   w16 h8 i13 \
       : "*light_spot_angles 2 1"
  float  "%-.3g"                    r=  c+16 w16 h4 i11 : light_spot_angle_2_1i
  float  "%-.3g"                    r+4 c=   w16 h4 i11 : light_spot_angle_2_1o

#include standard.m
#include transform.m
endscreen }

screen ~ light_2_2 "VIEW 2 LIGHT 2" r1 c1 w32 h4 i12 H120 W128 {

  group {
    oneonly "LIGHT ON"  r6  c1   w16 h4 i13 : "*set_light 2 2 on"
    oneonly "LIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light 2 2 off"
  endgroup }

  group {
    oneonly "DYNAMIC" r+5 c1   w16 h4 i13 : "*light_select 2 2"
    oneonly "STATIC"  r=  c+16 w16 h4 i13 : "*light_unselect 2 2"
  endgroup }

  group {
    oneonly "LOCAL"    r+5 c1   w16 h4 i13 : "*light_local 2 2"
    oneonly "INFINITE" r=  c+16 w16 h4 i13 : "*light_infinite 2 2"
  endgroup }

  button "LOCATION /\nDIRECTION" r+5 c1   w16 h12 i13 : "*light_location 2 2"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_location_2_2x
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_2_2y
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_2_2z

  button "COLOR" r+5 c1   w16 h12 i13 : "*light_color 2 2"
  float  "%-.3g" r=  c+16 w16 h4  i11 :   light_color_2_2r
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_2_2g
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_2_2b

  button "AMBIENT\nCONTRIBUTION" r+5 c1   w16 h12 i13 : "*light_ambient 2 2"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_ambient_2_2r
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_2_2g
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_2_2b

  button "RADIUS" r+5 c1   w16 h4 i13 : "*light_radius 2 2"
  float  "%-.3g"  r=  c+16 w16 h4 i11 :   light_radius_2_2

  group {
    oneonly "SPOTLIGHT ON"  r+5 c1   w16 h4 i13 : "*set_light_spotlight 2 2 on"
    oneonly "SPOTLIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light_spotlight 2 2 off"
  endgroup }

  button "SPOTLIGHT\nDIRECTION" r+4 c1   w16 h12 i13 \
       : "*light_spot_direction 2 2"
  float  "%-.3g"                r=  c+16 w16 h4 i11 U : light_spot_dir_2_2x
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_2_2y
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_2_2z

  button "SPOTLIGHT\nRADIUS ANGLES" r+4 c1   w16 h8 i13 \
       : "*light_spot_angles 2 2"
  float  "%-.3g"                    r=  c+16 w16 h4 i11 : light_spot_angle_2_2i
  float  "%-.3g"                    r+4 c=   w16 h4 i11 : light_spot_angle_2_2o

#include standard.m
#include transform.m
endscreen }

screen ~ light_2_3 "VIEW 2 LIGHT 3" r1 c1 w32 h4 i12 H120 W128 {

  group {
    oneonly "LIGHT ON"  r6  c1   w16 h4 i13 : "*set_light 2 3 on"
    oneonly "LIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light 2 3 off"
  endgroup }

  group {
    oneonly "DYNAMIC" r+5 c1   w16 h4 i13 : "*light_select 2 3"
    oneonly "STATIC"  r=  c+16 w16 h4 i13 : "*light_unselect 2 3"
  endgroup }

  group {
    oneonly "LOCAL"    r+5 c1   w16 h4 i13 : "*light_local 2 3"
    oneonly "INFINITE" r=  c+16 w16 h4 i13 : "*light_infinite 2 3"
  endgroup }

  button "LOCATION /\nDIRECTION" r+5 c1   w16 h12 i13 : "*light_location 2 3"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_location_2_3x
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_2_3y
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_2_3z

  button "COLOR" r+5 c1   w16 h12 i13 : "*light_color 2 3"
  float  "%-.3g" r=  c+16 w16 h4  i11 :   light_color_2_3r
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_2_3g
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_2_3b

  button "AMBIENT\nCONTRIBUTION" r+5 c1   w16 h12 i13 : "*light_ambient 2 3"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_ambient_2_3r
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_2_3g
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_2_3b

  button "RADIUS" r+5 c1   w16 h4 i13 : "*light_radius 2 3"
  float  "%-.3g"  r=  c+16 w16 h4 i11 :   light_radius_2_3

  group {
    oneonly "SPOTLIGHT ON"  r+5 c1   w16 h4 i13 : "*set_light_spotlight 2 3 on"
    oneonly "SPOTLIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light_spotlight 2 3 off"
  endgroup }

  button "SPOTLIGHT\nDIRECTION" r+4 c1   w16 h12 i13 \
       : "*light_spot_direction 2 3"
  float  "%-.3g"                r=  c+16 w16 h4 i11 U : light_spot_dir_2_3x
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_2_3y
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_2_3z

  button "SPOTLIGHT\nRADIUS ANGLES" r+4 c1   w16 h8 i13 \
       : "*light_spot_angles 2 3"
  float  "%-.3g"                    r=  c+16 w16 h4 i11 : light_spot_angle_2_3i
  float  "%-.3g"                    r+4 c=   w16 h4 i11 : light_spot_angle_2_3o

#include standard.m
#include transform.m
endscreen }

screen ~ light_2_4 "VIEW 2 LIGHT 4" r1 c1 w32 h4 i12 H120 W128 {

  group {
    oneonly "LIGHT ON"  r6  c1   w16 h4 i13 : "*set_light 2 4 on"
    oneonly "LIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light 2 4 off"
  endgroup }

  group {
    oneonly "DYNAMIC" r+5 c1   w16 h4 i13 : "*light_select 2 4"
    oneonly "STATIC"  r=  c+16 w16 h4 i13 : "*light_unselect 2 4"
  endgroup }

  group {
    oneonly "LOCAL"    r+5 c1   w16 h4 i13 : "*light_local 2 4"
    oneonly "INFINITE" r=  c+16 w16 h4 i13 : "*light_infinite 2 4"
  endgroup }

  button "LOCATION /\nDIRECTION" r+5 c1   w16 h12 i13 : "*light_location 2 4"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_location_2_4x
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_2_4y
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_2_4z

  button "COLOR" r+5 c1   w16 h12 i13 : "*light_color 2 4"
  float  "%-.3g" r=  c+16 w16 h4  i11 :   light_color_2_4r
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_2_4g
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_2_4b

  button "AMBIENT\nCONTRIBUTION" r+5 c1   w16 h12 i13 : "*light_ambient 2 4"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_ambient_2_4r
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_2_4g
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_2_4b

  button "RADIUS" r+5 c1   w16 h4 i13 : "*light_radius 2 4"
  float  "%-.3g"  r=  c+16 w16 h4 i11 :   light_radius_2_4

  group {
    oneonly "SPOTLIGHT ON"  r+5 c1   w16 h4 i13 : "*set_light_spotlight 2 4 on"
    oneonly "SPOTLIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light_spotlight 2 4 off"
  endgroup }

  button "SPOTLIGHT\nDIRECTION" r+4 c1   w16 h12 i13 \
       : "*light_spot_direction 2 4"
  float  "%-.3g"                r=  c+16 w16 h4 i11 U : light_spot_dir_2_4x
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_2_4y
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_2_4z

  button "SPOTLIGHT\nRADIUS ANGLES" r+4 c1   w16 h8 i13 \
       : "*light_spot_angles 2 4"
  float  "%-.3g"                    r=  c+16 w16 h4 i11 : light_spot_angle_2_4i
  float  "%-.3g"                    r+4 c=   w16 h4 i11 : light_spot_angle_2_4o

#include standard.m
#include transform.m
endscreen }

screen ~ light_2_5 "VIEW 2 LIGHT 5" r1 c1 w32 h4 i12 H120 W128 {

  group {
    oneonly "LIGHT ON"  r6  c1   w16 h4 i13 : "*set_light 2 5 on"
    oneonly "LIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light 2 5 off"
  endgroup }

  group {
    oneonly "DYNAMIC" r+5 c1   w16 h4 i13 : "*light_select 2 5"
    oneonly "STATIC"  r=  c+16 w16 h4 i13 : "*light_unselect 2 5"
  endgroup }

  group {
    oneonly "LOCAL"    r+5 c1   w16 h4 i13 : "*light_local 2 5"
    oneonly "INFINITE" r=  c+16 w16 h4 i13 : "*light_infinite 2 5"
  endgroup }

  button "LOCATION /\nDIRECTION" r+5 c1   w16 h12 i13 : "*light_location 2 5"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_location_2_5x
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_2_5y
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_2_5z

  button "COLOR" r+5 c1   w16 h12 i13 : "*light_color 2 5"
  float  "%-.3g" r=  c+16 w16 h4  i11 :   light_color_2_5r
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_2_5g
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_2_5b

  button "AMBIENT\nCONTRIBUTION" r+5 c1   w16 h12 i13 : "*light_ambient 2 5"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_ambient_2_5r
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_2_5g
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_2_5b

  button "RADIUS" r+5 c1   w16 h4 i13 : "*light_radius 2 5"
  float  "%-.3g"  r=  c+16 w16 h4 i11 :   light_radius_2_5

  group {
    oneonly "SPOTLIGHT ON"  r+5 c1   w16 h4 i13 : "*set_light_spotlight 2 5 on"
    oneonly "SPOTLIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light_spotlight 2 5 off"
  endgroup }

  button "SPOTLIGHT\nDIRECTION" r+4 c1   w16 h12 i13 \
       : "*light_spot_direction 2 5"
  float  "%-.3g"                r=  c+16 w16 h4 i11 U : light_spot_dir_2_5x
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_2_5y
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_2_5z

  button "SPOTLIGHT\nRADIUS ANGLES" r+4 c1   w16 h8 i13 \
       : "*light_spot_angles 2 5"
  float  "%-.3g"                    r=  c+16 w16 h4 i11 : light_spot_angle_2_5i
  float  "%-.3g"                    r+4 c=   w16 h4 i11 : light_spot_angle_2_5o

#include standard.m
#include transform.m
endscreen }

screen ~ light_2_6 "VIEW 2 LIGHT 6" r1 c1 w32 h4 i12 H120 W128 {

  group {
    oneonly "LIGHT ON"  r6  c1   w16 h4 i13 : "*set_light 2 6 on"
    oneonly "LIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light 2 6 off"
  endgroup }

  group {
    oneonly "DYNAMIC" r+5 c1   w16 h4 i13 : "*light_select 2 6"
    oneonly "STATIC"  r=  c+16 w16 h4 i13 : "*light_unselect 2 6"
  endgroup }

  group {
    oneonly "LOCAL"    r+5 c1   w16 h4 i13 : "*light_local 2 6"
    oneonly "INFINITE" r=  c+16 w16 h4 i13 : "*light_infinite 2 6"
  endgroup }

  button "LOCATION /\nDIRECTION" r+5 c1   w16 h12 i13 : "*light_location 2 6"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_location_2_6x
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_2_6y
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_2_6z

  button "COLOR" r+5 c1   w16 h12 i13 : "*light_color 2 6"
  float  "%-.3g" r=  c+16 w16 h4  i11 :   light_color_2_6r
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_2_6g
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_2_6b

  button "AMBIENT\nCONTRIBUTION" r+5 c1   w16 h12 i13 : "*light_ambient 2 6"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_ambient_2_6r
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_2_6g
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_2_6b

  button "RADIUS" r+5 c1   w16 h4 i13 : "*light_radius 2 6"
  float  "%-.3g"  r=  c+16 w16 h4 i11 :   light_radius_2_6

  group {
    oneonly "SPOTLIGHT ON"  r+5 c1   w16 h4 i13 : "*set_light_spotlight 2 6 on"
    oneonly "SPOTLIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light_spotlight 2 6 off"
  endgroup }

  button "SPOTLIGHT\nDIRECTION" r+4 c1   w16 h12 i13 \
       : "*light_spot_direction 2 6"
  float  "%-.3g"                r=  c+16 w16 h4 i11 U : light_spot_dir_2_6x
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_2_6y
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_2_6z

  button "SPOTLIGHT\nRADIUS ANGLES" r+4 c1   w16 h8 i13 \
       : "*light_spot_angles 2 6"
  float  "%-.3g"                    r=  c+16 w16 h4 i11 : light_spot_angle_2_6i
  float  "%-.3g"                    r+4 c=   w16 h4 i11 : light_spot_angle_2_6o

#include standard.m
#include transform.m
endscreen }

screen ~ light_2_7 "VIEW 2 LIGHT 7" r1 c1 w32 h4 i12 H120 W128 {

  group {
    oneonly "LIGHT ON"  r6  c1   w16 h4 i13 : "*set_light 2 7 on"
    oneonly "LIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light 2 7 off"
  endgroup }

  group {
    oneonly "DYNAMIC" r+5 c1   w16 h4 i13 : "*light_select 2 7"
    oneonly "STATIC"  r=  c+16 w16 h4 i13 : "*light_unselect 2 7"
  endgroup }

  group {
    oneonly "LOCAL"    r+5 c1   w16 h4 i13 : "*light_local 2 7"
    oneonly "INFINITE" r=  c+16 w16 h4 i13 : "*light_infinite 2 7"
  endgroup }

  button "LOCATION /\nDIRECTION" r+5 c1   w16 h12 i13 : "*light_location 2 7"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_location_2_7x
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_2_7y
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_2_7z

  button "COLOR" r+5 c1   w16 h12 i13 : "*light_color 2 7"
  float  "%-.3g" r=  c+16 w16 h4  i11 :   light_color_2_7r
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_2_7g
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_2_7b

  button "AMBIENT\nCONTRIBUTION" r+5 c1   w16 h12 i13 : "*light_ambient 2 7"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_ambient_2_7r
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_2_7g
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_2_7b

  button "RADIUS" r+5 c1   w16 h4 i13 : "*light_radius 2 7"
  float  "%-.3g"  r=  c+16 w16 h4 i11 :   light_radius_2_7

  group {
    oneonly "SPOTLIGHT ON"  r+5 c1   w16 h4 i13 : "*set_light_spotlight 2 7 on"
    oneonly "SPOTLIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light_spotlight 2 7 off"
  endgroup }

  button "SPOTLIGHT\nDIRECTION" r+4 c1   w16 h12 i13 \
       : "*light_spot_direction 2 7"
  float  "%-.3g"                r=  c+16 w16 h4 i11 U : light_spot_dir_2_7x
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_2_7y
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_2_7z

  button "SPOTLIGHT\nRADIUS ANGLES" r+4 c1   w16 h8 i13 \
       : "*light_spot_angles 2 7"
  float  "%-.3g"                    r=  c+16 w16 h4 i11 : light_spot_angle_2_7i
  float  "%-.3g"                    r+4 c=   w16 h4 i11 : light_spot_angle_2_7o

#include standard.m
#include transform.m
endscreen }

screen ~ light_2_8 "VIEW 2 LIGHT 8" r1 c1 w32 h4 i12 H120 W128 {

  group {
    oneonly "LIGHT ON"  r6  c1   w16 h4 i13 : "*set_light 2 8 on"
    oneonly "LIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light 2 8 off"
  endgroup }

  group {
    oneonly "DYNAMIC" r+5 c1   w16 h4 i13 : "*light_select 2 8"
    oneonly "STATIC"  r=  c+16 w16 h4 i13 : "*light_unselect 2 8"
  endgroup }

  group {
    oneonly "LOCAL"    r+5 c1   w16 h4 i13 : "*light_local 2 8"
    oneonly "INFINITE" r=  c+16 w16 h4 i13 : "*light_infinite 2 8"
  endgroup }

  button "LOCATION /\nDIRECTION" r+5 c1   w16 h12 i13 : "*light_location 2 8"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_location_2_8x
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_2_8y
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_2_8z

  button "COLOR" r+5 c1   w16 h12 i13 : "*light_color 2 8"
  float  "%-.3g" r=  c+16 w16 h4  i11 :   light_color_2_8r
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_2_8g
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_2_8b

  button "AMBIENT\nCONTRIBUTION" r+5 c1   w16 h12 i13 : "*light_ambient 2 8"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_ambient_2_8r
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_2_8g
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_2_8b

  button "RADIUS" r+5 c1   w16 h4 i13 : "*light_radius 2 8"
  float  "%-.3g"  r=  c+16 w16 h4 i11 :   light_radius_2_8

  group {
    oneonly "SPOTLIGHT ON"  r+5 c1   w16 h4 i13 : "*set_light_spotlight 2 8 on"
    oneonly "SPOTLIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light_spotlight 2 8 off"
  endgroup }

  button "SPOTLIGHT\nDIRECTION" r+4 c1   w16 h12 i13 \
       : "*light_spot_direction 2 8"
  float  "%-.3g"                r=  c+16 w16 h4 i11 U : light_spot_dir_2_8x
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_2_8y
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_2_8z

  button "SPOTLIGHT\nRADIUS ANGLES" r+4 c1   w16 h8 i13 \
       : "*light_spot_angles 2 8"
  float  "%-.3g"                    r=  c+16 w16 h4 i11 : light_spot_angle_2_8i
  float  "%-.3g"                    r+4 c=   w16 h4 i11 : light_spot_angle_2_8o

#include standard.m
#include transform.m
endscreen }

screen ~ light_3_1 "VIEW 3 LIGHT 1" r1 c1 w32 h4 i12 H120 W128 {

  group {
    oneonly "LIGHT ON"  r6  c1   w16 h4 i13 : "*set_light 3 1 on"
    oneonly "LIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light 3 1 off"
  endgroup }

  group {
    oneonly "DYNAMIC" r+5 c1   w16 h4 i13 : "*light_select 3 1"
    oneonly "STATIC"  r=  c+16 w16 h4 i13 : "*light_unselect 3 1"
  endgroup }

  group {
    oneonly "LOCAL"    r+5 c1   w16 h4 i13 : "*light_local 3 1"
    oneonly "INFINITE" r=  c+16 w16 h4 i13 : "*light_infinite 3 1"
  endgroup }

  button "LOCATION /\nDIRECTION" r+5 c1   w16 h12 i13 : "*light_location 3 1"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_location_3_1x
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_3_1y
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_3_1z

  button "COLOR" r+5 c1   w16 h12 i13 : "*light_color 3 1"
  float  "%-.3g" r=  c+16 w16 h4  i11 :   light_color_3_1r
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_3_1g
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_3_1b

  button "AMBIENT\nCONTRIBUTION" r+5 c1   w16 h12 i13 : "*light_ambient 3 1"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_ambient_3_1r
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_3_1g
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_3_1b

  button "RADIUS" r+5 c1   w16 h4 i13 : "*light_radius 3 1"
  float  "%-.3g"  r=  c+16 w16 h4 i11 :   light_radius_3_1

  group {
    oneonly "SPOTLIGHT ON"  r+5 c1   w16 h4 i13 : "*set_light_spotlight 3 1 on"
    oneonly "SPOTLIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light_spotlight 3 1 off"
  endgroup }

  button "SPOTLIGHT\nDIRECTION" r+4 c1   w16 h12 i13 \
       : "*light_spot_direction 3 1"
  float  "%-.3g"                r=  c+16 w16 h4 i11 U : light_spot_dir_3_1x
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_3_1y
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_3_1z

  button "SPOTLIGHT\nRADIUS ANGLES" r+4 c1   w16 h8 i13 \
       : "*light_spot_angles 3 1"
  float  "%-.3g"                    r=  c+16 w16 h4 i11 : light_spot_angle_3_1i
  float  "%-.3g"                    r+4 c=   w16 h4 i11 : light_spot_angle_3_1o

#include standard.m
#include transform.m
endscreen }

screen ~ light_3_2 "VIEW 3 LIGHT 2" r1 c1 w32 h4 i12 H120 W128 {

  group {
    oneonly "LIGHT ON"  r6  c1   w16 h4 i13 : "*set_light 3 2 on"
    oneonly "LIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light 3 2 off"
  endgroup }

  group {
    oneonly "DYNAMIC" r+5 c1   w16 h4 i13 : "*light_select 3 2"
    oneonly "STATIC"  r=  c+16 w16 h4 i13 : "*light_unselect 3 2"
  endgroup }

  group {
    oneonly "LOCAL"    r+5 c1   w16 h4 i13 : "*light_local 3 2"
    oneonly "INFINITE" r=  c+16 w16 h4 i13 : "*light_infinite 3 2"
  endgroup }

  button "LOCATION /\nDIRECTION" r+5 c1   w16 h12 i13 : "*light_location 3 2"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_location_3_2x
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_3_2y
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_3_2z

  button "COLOR" r+5 c1   w16 h12 i13 : "*light_color 3 2"
  float  "%-.3g" r=  c+16 w16 h4  i11 :   light_color_3_2r
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_3_2g
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_3_2b

  button "AMBIENT\nCONTRIBUTION" r+5 c1   w16 h12 i13 : "*light_ambient 3 2"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_ambient_3_2r
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_3_2g
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_3_2b

  button "RADIUS" r+5 c1   w16 h4 i13 : "*light_radius 3 2"
  float  "%-.3g"  r=  c+16 w16 h4 i11 :   light_radius_3_2

  group {
    oneonly "SPOTLIGHT ON"  r+5 c1   w16 h4 i13 : "*set_light_spotlight 3 2 on"
    oneonly "SPOTLIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light_spotlight 3 2 off"
  endgroup }

  button "SPOTLIGHT\nDIRECTION" r+4 c1   w16 h12 i13 \
       : "*light_spot_direction 3 2"
  float  "%-.3g"                r=  c+16 w16 h4 i11 U : light_spot_dir_3_2x
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_3_2y
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_3_2z

  button "SPOTLIGHT\nRADIUS ANGLES" r+4 c1   w16 h8 i13 \
       : "*light_spot_angles 3 2"
  float  "%-.3g"                    r=  c+16 w16 h4 i11 : light_spot_angle_3_2i
  float  "%-.3g"                    r+4 c=   w16 h4 i11 : light_spot_angle_3_2o

#include standard.m
#include transform.m
endscreen }

screen ~ light_3_3 "VIEW 3 LIGHT 3" r1 c1 w32 h4 i12 H120 W128 {

  group {
    oneonly "LIGHT ON"  r6  c1   w16 h4 i13 : "*set_light 3 3 on"
    oneonly "LIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light 3 3 off"
  endgroup }

  group {
    oneonly "DYNAMIC" r+5 c1   w16 h4 i13 : "*light_select 3 3"
    oneonly "STATIC"  r=  c+16 w16 h4 i13 : "*light_unselect 3 3"
  endgroup }

  group {
    oneonly "LOCAL"    r+5 c1   w16 h4 i13 : "*light_local 3 3"
    oneonly "INFINITE" r=  c+16 w16 h4 i13 : "*light_infinite 3 3"
  endgroup }

  button "LOCATION /\nDIRECTION" r+5 c1   w16 h12 i13 : "*light_location 3 3"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_location_3_3x
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_3_3y
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_3_3z

  button "COLOR" r+5 c1   w16 h12 i13 : "*light_color 3 3"
  float  "%-.3g" r=  c+16 w16 h4  i11 :   light_color_3_3r
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_3_3g
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_3_3b

  button "AMBIENT\nCONTRIBUTION" r+5 c1   w16 h12 i13 : "*light_ambient 3 3"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_ambient_3_3r
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_3_3g
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_3_3b

  button "RADIUS" r+5 c1   w16 h4 i13 : "*light_radius 3 3"
  float  "%-.3g"  r=  c+16 w16 h4 i11 :   light_radius_3_3

  group {
    oneonly "SPOTLIGHT ON"  r+5 c1   w16 h4 i13 : "*set_light_spotlight 3 3 on"
    oneonly "SPOTLIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light_spotlight 3 3 off"
  endgroup }

  button "SPOTLIGHT\nDIRECTION" r+4 c1   w16 h12 i13 \
       : "*light_spot_direction 3 3"
  float  "%-.3g"                r=  c+16 w16 h4 i11 U : light_spot_dir_3_3x
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_3_3y
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_3_3z

  button "SPOTLIGHT\nRADIUS ANGLES" r+4 c1   w16 h8 i13 \
       : "*light_spot_angles 3 3"
  float  "%-.3g"                    r=  c+16 w16 h4 i11 : light_spot_angle_3_3i
  float  "%-.3g"                    r+4 c=   w16 h4 i11 : light_spot_angle_3_3o

#include standard.m
#include transform.m
endscreen }

screen ~ light_3_4 "VIEW 3 LIGHT 4" r1 c1 w32 h4 i12 H120 W128 {

  group {
    oneonly "LIGHT ON"  r6  c1   w16 h4 i13 : "*set_light 3 4 on"
    oneonly "LIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light 3 4 off"
  endgroup }

  group {
    oneonly "DYNAMIC" r+5 c1   w16 h4 i13 : "*light_select 3 4"
    oneonly "STATIC"  r=  c+16 w16 h4 i13 : "*light_unselect 3 4"
  endgroup }

  group {
    oneonly "LOCAL"    r+5 c1   w16 h4 i13 : "*light_local 3 4"
    oneonly "INFINITE" r=  c+16 w16 h4 i13 : "*light_infinite 3 4"
  endgroup }

  button "LOCATION /\nDIRECTION" r+5 c1   w16 h12 i13 : "*light_location 3 4"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_location_3_4x
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_3_4y
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_3_4z

  button "COLOR" r+5 c1   w16 h12 i13 : "*light_color 3 4"
  float  "%-.3g" r=  c+16 w16 h4  i11 :   light_color_3_4r
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_3_4g
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_3_4b

  button "AMBIENT\nCONTRIBUTION" r+5 c1   w16 h12 i13 : "*light_ambient 3 4"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_ambient_3_4r
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_3_4g
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_3_4b

  button "RADIUS" r+5 c1   w16 h4 i13 : "*light_radius 3 4"
  float  "%-.3g"  r=  c+16 w16 h4 i11 :   light_radius_3_4

  group {
    oneonly "SPOTLIGHT ON"  r+5 c1   w16 h4 i13 : "*set_light_spotlight 3 4 on"
    oneonly "SPOTLIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light_spotlight 3 4 off"
  endgroup }

  button "SPOTLIGHT\nDIRECTION" r+4 c1   w16 h12 i13 \
       : "*light_spot_direction 3 4"
  float  "%-.3g"                r=  c+16 w16 h4 i11 U : light_spot_dir_3_4x
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_3_4y
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_3_4z

  button "SPOTLIGHT\nRADIUS ANGLES" r+4 c1   w16 h8 i13 \
       : "*light_spot_angles 3 4"
  float  "%-.3g"                    r=  c+16 w16 h4 i11 : light_spot_angle_3_4i
  float  "%-.3g"                    r+4 c=   w16 h4 i11 : light_spot_angle_3_4o

#include standard.m
#include transform.m
endscreen }

screen ~ light_3_5 "VIEW 3 LIGHT 5" r1 c1 w32 h4 i12 H120 W128 {

  group {
    oneonly "LIGHT ON"  r6  c1   w16 h4 i13 : "*set_light 3 5 on"
    oneonly "LIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light 3 5 off"
  endgroup }

  group {
    oneonly "DYNAMIC" r+5 c1   w16 h4 i13 : "*light_select 3 5"
    oneonly "STATIC"  r=  c+16 w16 h4 i13 : "*light_unselect 3 5"
  endgroup }

  group {
    oneonly "LOCAL"    r+5 c1   w16 h4 i13 : "*light_local 3 5"
    oneonly "INFINITE" r=  c+16 w16 h4 i13 : "*light_infinite 3 5"
  endgroup }

  button "LOCATION /\nDIRECTION" r+5 c1   w16 h12 i13 : "*light_location 3 5"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_location_3_5x
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_3_5y
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_3_5z

  button "COLOR" r+5 c1   w16 h12 i13 : "*light_color 3 5"
  float  "%-.3g" r=  c+16 w16 h4  i11 :   light_color_3_5r
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_3_5g
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_3_5b

  button "AMBIENT\nCONTRIBUTION" r+5 c1   w16 h12 i13 : "*light_ambient 3 5"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_ambient_3_5r
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_3_5g
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_3_5b

  button "RADIUS" r+5 c1   w16 h4 i13 : "*light_radius 3 5"
  float  "%-.3g"  r=  c+16 w16 h4 i11 :   light_radius_3_5

  group {
    oneonly "SPOTLIGHT ON"  r+5 c1   w16 h4 i13 : "*set_light_spotlight 3 5 on"
    oneonly "SPOTLIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light_spotlight 3 5 off"
  endgroup }

  button "SPOTLIGHT\nDIRECTION" r+4 c1   w16 h12 i13 \
       : "*light_spot_direction 3 5"
  float  "%-.3g"                r=  c+16 w16 h4 i11 U : light_spot_dir_3_5x
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_3_5y
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_3_5z

  button "SPOTLIGHT\nRADIUS ANGLES" r+4 c1   w16 h8 i13 \
       : "*light_spot_angles 3 5"
  float  "%-.3g"                    r=  c+16 w16 h4 i11 : light_spot_angle_3_5i
  float  "%-.3g"                    r+4 c=   w16 h4 i11 : light_spot_angle_3_5o

#include standard.m
#include transform.m
endscreen }

screen ~ light_3_6 "VIEW 3 LIGHT 6" r1 c1 w32 h4 i12 H120 W128 {

  group {
    oneonly "LIGHT ON"  r6  c1   w16 h4 i13 : "*set_light 3 6 on"
    oneonly "LIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light 3 6 off"
  endgroup }

  group {
    oneonly "DYNAMIC" r+5 c1   w16 h4 i13 : "*light_select 3 6"
    oneonly "STATIC"  r=  c+16 w16 h4 i13 : "*light_unselect 3 6"
  endgroup }

  group {
    oneonly "LOCAL"    r+5 c1   w16 h4 i13 : "*light_local 3 6"
    oneonly "INFINITE" r=  c+16 w16 h4 i13 : "*light_infinite 3 6"
  endgroup }

  button "LOCATION /\nDIRECTION" r+5 c1   w16 h12 i13 : "*light_location 3 6"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_location_3_6x
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_3_6y
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_3_6z

  button "COLOR" r+5 c1   w16 h12 i13 : "*light_color 3 6"
  float  "%-.3g" r=  c+16 w16 h4  i11 :   light_color_3_6r
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_3_6g
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_3_6b

  button "AMBIENT\nCONTRIBUTION" r+5 c1   w16 h12 i13 : "*light_ambient 3 6"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_ambient_3_6r
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_3_6g
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_3_6b

  button "RADIUS" r+5 c1   w16 h4 i13 : "*light_radius 3 6"
  float  "%-.3g"  r=  c+16 w16 h4 i11 :   light_radius_3_6

  group {
    oneonly "SPOTLIGHT ON"  r+5 c1   w16 h4 i13 : "*set_light_spotlight 3 6 on"
    oneonly "SPOTLIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light_spotlight 3 6 off"
  endgroup }

  button "SPOTLIGHT\nDIRECTION" r+4 c1   w16 h12 i13 \
       : "*light_spot_direction 3 6"
  float  "%-.3g"                r=  c+16 w16 h4 i11 U : light_spot_dir_3_6x
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_3_6y
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_3_6z

  button "SPOTLIGHT\nRADIUS ANGLES" r+4 c1   w16 h8 i13 \
       : "*light_spot_angles 3 6"
  float  "%-.3g"                    r=  c+16 w16 h4 i11 : light_spot_angle_3_6i
  float  "%-.3g"                    r+4 c=   w16 h4 i11 : light_spot_angle_3_6o

#include standard.m
#include transform.m
endscreen }

screen ~ light_3_7 "VIEW 3 LIGHT 7" r1 c1 w32 h4 i12 H120 W128 {

  group {
    oneonly "LIGHT ON"  r6  c1   w16 h4 i13 : "*set_light 3 7 on"
    oneonly "LIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light 3 7 off"
  endgroup }

  group {
    oneonly "DYNAMIC" r+5 c1   w16 h4 i13 : "*light_select 3 7"
    oneonly "STATIC"  r=  c+16 w16 h4 i13 : "*light_unselect 3 7"
  endgroup }

  group {
    oneonly "LOCAL"    r+5 c1   w16 h4 i13 : "*light_local 3 7"
    oneonly "INFINITE" r=  c+16 w16 h4 i13 : "*light_infinite 3 7"
  endgroup }

  button "LOCATION /\nDIRECTION" r+5 c1   w16 h12 i13 : "*light_location 3 7"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_location_3_7x
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_3_7y
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_3_7z

  button "COLOR" r+5 c1   w16 h12 i13 : "*light_color 3 7"
  float  "%-.3g" r=  c+16 w16 h4  i11 :   light_color_3_7r
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_3_7g
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_3_7b

  button "AMBIENT\nCONTRIBUTION" r+5 c1   w16 h12 i13 : "*light_ambient 3 7"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_ambient_3_7r
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_3_7g
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_3_7b

  button "RADIUS" r+5 c1   w16 h4 i13 : "*light_radius 3 7"
  float  "%-.3g"  r=  c+16 w16 h4 i11 :   light_radius_3_7

  group {
    oneonly "SPOTLIGHT ON"  r+5 c1   w16 h4 i13 : "*set_light_spotlight 3 7 on"
    oneonly "SPOTLIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light_spotlight 3 7 off"
  endgroup }

  button "SPOTLIGHT\nDIRECTION" r+4 c1   w16 h12 i13 \
       : "*light_spot_direction 3 7"
  float  "%-.3g"                r=  c+16 w16 h4 i11 U : light_spot_dir_3_7x
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_3_7y
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_3_7z

  button "SPOTLIGHT\nRADIUS ANGLES" r+4 c1   w16 h8 i13 \
       : "*light_spot_angles 3 7"
  float  "%-.3g"                    r=  c+16 w16 h4 i11 : light_spot_angle_3_7i
  float  "%-.3g"                    r+4 c=   w16 h4 i11 : light_spot_angle_3_7o

#include standard.m
#include transform.m
endscreen }

screen ~ light_3_8 "VIEW 3 LIGHT 8" r1 c1 w32 h4 i12 H120 W128 {

  group {
    oneonly "LIGHT ON"  r6  c1   w16 h4 i13 : "*set_light 3 8 on"
    oneonly "LIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light 3 8 off"
  endgroup }

  group {
    oneonly "DYNAMIC" r+5 c1   w16 h4 i13 : "*light_select 3 8"
    oneonly "STATIC"  r=  c+16 w16 h4 i13 : "*light_unselect 3 8"
  endgroup }

  group {
    oneonly "LOCAL"    r+5 c1   w16 h4 i13 : "*light_local 3 8"
    oneonly "INFINITE" r=  c+16 w16 h4 i13 : "*light_infinite 3 8"
  endgroup }

  button "LOCATION /\nDIRECTION" r+5 c1   w16 h12 i13 : "*light_location 3 8"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_location_3_8x
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_3_8y
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_3_8z

  button "COLOR" r+5 c1   w16 h12 i13 : "*light_color 3 8"
  float  "%-.3g" r=  c+16 w16 h4  i11 :   light_color_3_8r
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_3_8g
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_3_8b

  button "AMBIENT\nCONTRIBUTION" r+5 c1   w16 h12 i13 : "*light_ambient 3 8"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_ambient_3_8r
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_3_8g
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_3_8b

  button "RADIUS" r+5 c1   w16 h4 i13 : "*light_radius 3 8"
  float  "%-.3g"  r=  c+16 w16 h4 i11 :   light_radius_3_8

  group {
    oneonly "SPOTLIGHT ON"  r+5 c1   w16 h4 i13 : "*set_light_spotlight 3 8 on"
    oneonly "SPOTLIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light_spotlight 3 8 off"
  endgroup }

  button "SPOTLIGHT\nDIRECTION" r+4 c1   w16 h12 i13 \
       : "*light_spot_direction 3 8"
  float  "%-.3g"                r=  c+16 w16 h4 i11 U : light_spot_dir_3_8x
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_3_8y
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_3_8z

  button "SPOTLIGHT\nRADIUS ANGLES" r+4 c1   w16 h8 i13 \
       : "*light_spot_angles 3 8"
  float  "%-.3g"                    r=  c+16 w16 h4 i11 : light_spot_angle_3_8i
  float  "%-.3g"                    r+4 c=   w16 h4 i11 : light_spot_angle_3_8o

#include standard.m
#include transform.m
endscreen }

screen ~ light_4_1 "VIEW 4 LIGHT 1" r1 c1 w32 h4 i12 H120 W128 {

  group {
    oneonly "LIGHT ON"  r6  c1   w16 h4 i13 : "*set_light 4 1 on"
    oneonly "LIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light 4 1 off"
  endgroup }

  group {
    oneonly "DYNAMIC" r+5 c1   w16 h4 i13 : "*light_select 4 1"
    oneonly "STATIC"  r=  c+16 w16 h4 i13 : "*light_unselect 4 1"
  endgroup }

  group {
    oneonly "LOCAL"    r+5 c1   w16 h4 i13 : "*light_local 4 1"
    oneonly "INFINITE" r=  c+16 w16 h4 i13 : "*light_infinite 4 1"
  endgroup }

  button "LOCATION /\nDIRECTION" r+5 c1   w16 h12 i13 : "*light_location 4 1"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_location_4_1x
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_4_1y
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_4_1z

  button "COLOR" r+5 c1   w16 h12 i13 : "*light_color 4 1"
  float  "%-.3g" r=  c+16 w16 h4  i11 :   light_color_4_1r
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_4_1g
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_4_1b

  button "AMBIENT\nCONTRIBUTION" r+5 c1   w16 h12 i13 : "*light_ambient 4 1"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_ambient_4_1r
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_4_1g
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_4_1b

  button "RADIUS" r+5 c1   w16 h4 i13 : "*light_radius 4 1"
  float  "%-.3g"  r=  c+16 w16 h4 i11 :   light_radius_4_1

  group {
    oneonly "SPOTLIGHT ON"  r+5 c1   w16 h4 i13 : "*set_light_spotlight 4 1 on"
    oneonly "SPOTLIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light_spotlight 4 1 off"
  endgroup }

  button "SPOTLIGHT\nDIRECTION" r+4 c1   w16 h12 i13 \
       : "*light_spot_direction 4 1"
  float  "%-.3g"                r=  c+16 w16 h4 i11 U : light_spot_dir_4_1x
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_4_1y
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_4_1z

  button "SPOTLIGHT\nRADIUS ANGLES" r+4 c1   w16 h8 i13 \
       : "*light_spot_angles 4 1"
  float  "%-.3g"                    r=  c+16 w16 h4 i11 : light_spot_angle_4_1i
  float  "%-.3g"                    r+4 c=   w16 h4 i11 : light_spot_angle_4_1o

#include standard.m
#include transform.m
endscreen }

screen ~ light_4_2 "VIEW 4 LIGHT 2" r1 c1 w32 h4 i12 H120 W128 {

  group {
    oneonly "LIGHT ON"  r6  c1   w16 h4 i13 : "*set_light 4 2 on"
    oneonly "LIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light 4 2 off"
  endgroup }

  group {
    oneonly "DYNAMIC" r+5 c1   w16 h4 i13 : "*light_select 4 2"
    oneonly "STATIC"  r=  c+16 w16 h4 i13 : "*light_unselect 4 2"
  endgroup }

  group {
    oneonly "LOCAL"    r+5 c1   w16 h4 i13 : "*light_local 4 2"
    oneonly "INFINITE" r=  c+16 w16 h4 i13 : "*light_infinite 4 2"
  endgroup }

  button "LOCATION /\nDIRECTION" r+5 c1   w16 h12 i13 : "*light_location 4 2"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_location_4_2x
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_4_2y
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_4_2z

  button "COLOR" r+5 c1   w16 h12 i13 : "*light_color 4 2"
  float  "%-.3g" r=  c+16 w16 h4  i11 :   light_color_4_2r
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_4_2g
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_4_2b

  button "AMBIENT\nCONTRIBUTION" r+5 c1   w16 h12 i13 : "*light_ambient 4 2"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_ambient_4_2r
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_4_2g
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_4_2b

  button "RADIUS" r+5 c1   w16 h4 i13 : "*light_radius 4 2"
  float  "%-.3g"  r=  c+16 w16 h4 i11 :   light_radius_4_2

  group {
    oneonly "SPOTLIGHT ON"  r+5 c1   w16 h4 i13 : "*set_light_spotlight 4 2 on"
    oneonly "SPOTLIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light_spotlight 4 2 off"
  endgroup }

  button "SPOTLIGHT\nDIRECTION" r+4 c1   w16 h12 i13 \
       : "*light_spot_direction 4 2"
  float  "%-.3g"                r=  c+16 w16 h4 i11 U : light_spot_dir_4_2x
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_4_2y
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_4_2z

  button "SPOTLIGHT\nRADIUS ANGLES" r+4 c1   w16 h8 i13 \
       : "*light_spot_angles 4 2"
  float  "%-.3g"                    r=  c+16 w16 h4 i11 : light_spot_angle_4_2i
  float  "%-.3g"                    r+4 c=   w16 h4 i11 : light_spot_angle_4_2o

#include standard.m
#include transform.m
endscreen }

screen ~ light_4_3 "VIEW 4 LIGHT 3" r1 c1 w32 h4 i12 H120 W128 {

  group {
    oneonly "LIGHT ON"  r6  c1   w16 h4 i13 : "*set_light 4 3 on"
    oneonly "LIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light 4 3 off"
  endgroup }

  group {
    oneonly "DYNAMIC" r+5 c1   w16 h4 i13 : "*light_select 4 3"
    oneonly "STATIC"  r=  c+16 w16 h4 i13 : "*light_unselect 4 3"
  endgroup }

  group {
    oneonly "LOCAL"    r+5 c1   w16 h4 i13 : "*light_local 4 3"
    oneonly "INFINITE" r=  c+16 w16 h4 i13 : "*light_infinite 4 3"
  endgroup }

  button "LOCATION /\nDIRECTION" r+5 c1   w16 h12 i13 : "*light_location 4 3"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_location_4_3x
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_4_3y
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_4_3z

  button "COLOR" r+5 c1   w16 h12 i13 : "*light_color 4 3"
  float  "%-.3g" r=  c+16 w16 h4  i11 :   light_color_4_3r
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_4_3g
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_4_3b

  button "AMBIENT\nCONTRIBUTION" r+5 c1   w16 h12 i13 : "*light_ambient 4 3"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_ambient_4_3r
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_4_3g
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_4_3b

  button "RADIUS" r+5 c1   w16 h4 i13 : "*light_radius 4 3"
  float  "%-.3g"  r=  c+16 w16 h4 i11 :   light_radius_4_3

  group {
    oneonly "SPOTLIGHT ON"  r+5 c1   w16 h4 i13 : "*set_light_spotlight 4 3 on"
    oneonly "SPOTLIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light_spotlight 4 3 off"
  endgroup }

  button "SPOTLIGHT\nDIRECTION" r+4 c1   w16 h12 i13 \
       : "*light_spot_direction 4 3"
  float  "%-.3g"                r=  c+16 w16 h4 i11 U : light_spot_dir_4_3x
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_4_3y
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_4_3z

  button "SPOTLIGHT\nRADIUS ANGLES" r+4 c1   w16 h8 i13 \
       : "*light_spot_angles 4 3"
  float  "%-.3g"                    r=  c+16 w16 h4 i11 : light_spot_angle_4_3i
  float  "%-.3g"                    r+4 c=   w16 h4 i11 : light_spot_angle_4_3o

#include standard.m
#include transform.m
endscreen }

screen ~ light_4_4 "VIEW 4 LIGHT 4" r1 c1 w32 h4 i12 H120 W128 {

  group {
    oneonly "LIGHT ON"  r6  c1   w16 h4 i13 : "*set_light 4 4 on"
    oneonly "LIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light 4 4 off"
  endgroup }

  group {
    oneonly "DYNAMIC" r+5 c1   w16 h4 i13 : "*light_select 4 4"
    oneonly "STATIC"  r=  c+16 w16 h4 i13 : "*light_unselect 4 4"
  endgroup }

  group {
    oneonly "LOCAL"    r+5 c1   w16 h4 i13 : "*light_local 4 4"
    oneonly "INFINITE" r=  c+16 w16 h4 i13 : "*light_infinite 4 4"
  endgroup }

  button "LOCATION /\nDIRECTION" r+5 c1   w16 h12 i13 : "*light_location 4 4"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_location_4_4x
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_4_4y
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_4_4z

  button "COLOR" r+5 c1   w16 h12 i13 : "*light_color 4 4"
  float  "%-.3g" r=  c+16 w16 h4  i11 :   light_color_4_4r
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_4_4g
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_4_4b

  button "AMBIENT\nCONTRIBUTION" r+5 c1   w16 h12 i13 : "*light_ambient 4 4"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_ambient_4_4r
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_4_4g
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_4_4b

  button "RADIUS" r+5 c1   w16 h4 i13 : "*light_radius 4 4"
  float  "%-.3g"  r=  c+16 w16 h4 i11 :   light_radius_4_4

  group {
    oneonly "SPOTLIGHT ON"  r+5 c1   w16 h4 i13 : "*set_light_spotlight 4 4 on"
    oneonly "SPOTLIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light_spotlight 4 4 off"
  endgroup }

  button "SPOTLIGHT\nDIRECTION" r+4 c1   w16 h12 i13 \
       : "*light_spot_direction 4 4"
  float  "%-.3g"                r=  c+16 w16 h4 i11 U : light_spot_dir_4_4x
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_4_4y
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_4_4z

  button "SPOTLIGHT\nRADIUS ANGLES" r+4 c1   w16 h8 i13 \
       : "*light_spot_angles 4 4"
  float  "%-.3g"                    r=  c+16 w16 h4 i11 : light_spot_angle_4_4i
  float  "%-.3g"                    r+4 c=   w16 h4 i11 : light_spot_angle_4_4o

#include standard.m
#include transform.m
endscreen }

screen ~ light_4_5 "VIEW 4 LIGHT 5" r1 c1 w32 h4 i12 H120 W128 {

  group {
    oneonly "LIGHT ON"  r6  c1   w16 h4 i13 : "*set_light 4 5 on"
    oneonly "LIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light 4 5 off"
  endgroup }

  group {
    oneonly "DYNAMIC" r+5 c1   w16 h4 i13 : "*light_select 4 5"
    oneonly "STATIC"  r=  c+16 w16 h4 i13 : "*light_unselect 4 5"
  endgroup }

  group {
    oneonly "LOCAL"    r+5 c1   w16 h4 i13 : "*light_local 4 5"
    oneonly "INFINITE" r=  c+16 w16 h4 i13 : "*light_infinite 4 5"
  endgroup }

  button "LOCATION /\nDIRECTION" r+5 c1   w16 h12 i13 : "*light_location 4 5"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_location_4_5x
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_4_5y
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_4_5z

  button "COLOR" r+5 c1   w16 h12 i13 : "*light_color 4 5"
  float  "%-.3g" r=  c+16 w16 h4  i11 :   light_color_4_5r
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_4_5g
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_4_5b

  button "AMBIENT\nCONTRIBUTION" r+5 c1   w16 h12 i13 : "*light_ambient 4 5"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_ambient_4_5r
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_4_5g
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_4_5b

  button "RADIUS" r+5 c1   w16 h4 i13 : "*light_radius 4 5"
  float  "%-.3g"  r=  c+16 w16 h4 i11 :   light_radius_4_5

  group {
    oneonly "SPOTLIGHT ON"  r+5 c1   w16 h4 i13 : "*set_light_spotlight 4 5 on"
    oneonly "SPOTLIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light_spotlight 4 5 off"
  endgroup }

  button "SPOTLIGHT\nDIRECTION" r+4 c1   w16 h12 i13 \
       : "*light_spot_direction 4 5"
  float  "%-.3g"                r=  c+16 w16 h4 i11 U : light_spot_dir_4_5x
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_4_5y
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_4_5z

  button "SPOTLIGHT\nRADIUS ANGLES" r+4 c1   w16 h8 i13 \
       : "*light_spot_angles 4 5"
  float  "%-.3g"                    r=  c+16 w16 h4 i11 : light_spot_angle_4_5i
  float  "%-.3g"                    r+4 c=   w16 h4 i11 : light_spot_angle_4_5o

#include standard.m
#include transform.m
endscreen }

screen ~ light_4_6 "VIEW 4 LIGHT 6" r1 c1 w32 h4 i12 H120 W128 {

  group {
    oneonly "LIGHT ON"  r6  c1   w16 h4 i13 : "*set_light 4 6 on"
    oneonly "LIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light 4 6 off"
  endgroup }

  group {
    oneonly "DYNAMIC" r+5 c1   w16 h4 i13 : "*light_select 4 6"
    oneonly "STATIC"  r=  c+16 w16 h4 i13 : "*light_unselect 4 6"
  endgroup }

  group {
    oneonly "LOCAL"    r+5 c1   w16 h4 i13 : "*light_local 4 6"
    oneonly "INFINITE" r=  c+16 w16 h4 i13 : "*light_infinite 4 6"
  endgroup }

  button "LOCATION /\nDIRECTION" r+5 c1   w16 h12 i13 : "*light_location 4 6"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_location_4_6x
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_4_6y
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_4_6z

  button "COLOR" r+5 c1   w16 h12 i13 : "*light_color 4 6"
  float  "%-.3g" r=  c+16 w16 h4  i11 :   light_color_4_6r
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_4_6g
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_4_6b

  button "AMBIENT\nCONTRIBUTION" r+5 c1   w16 h12 i13 : "*light_ambient 4 6"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_ambient_4_6r
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_4_6g
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_4_6b

  button "RADIUS" r+5 c1   w16 h4 i13 : "*light_radius 4 6"
  float  "%-.3g"  r=  c+16 w16 h4 i11 :   light_radius_4_6

  group {
    oneonly "SPOTLIGHT ON"  r+5 c1   w16 h4 i13 : "*set_light_spotlight 4 6 on"
    oneonly "SPOTLIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light_spotlight 4 6 off"
  endgroup }

  button "SPOTLIGHT\nDIRECTION" r+4 c1   w16 h12 i13 \
       : "*light_spot_direction 4 6"
  float  "%-.3g"                r=  c+16 w16 h4 i11 U : light_spot_dir_4_6x
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_4_6y
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_4_6z

  button "SPOTLIGHT\nRADIUS ANGLES" r+4 c1   w16 h8 i13 \
       : "*light_spot_angles 4 6"
  float  "%-.3g"                    r=  c+16 w16 h4 i11 : light_spot_angle_4_6i
  float  "%-.3g"                    r+4 c=   w16 h4 i11 : light_spot_angle_4_6o

#include standard.m
#include transform.m
endscreen }

screen ~ light_4_7 "VIEW 4 LIGHT 7" r1 c1 w32 h4 i12 H120 W128 {

  group {
    oneonly "LIGHT ON"  r6  c1   w16 h4 i13 : "*set_light 4 7 on"
    oneonly "LIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light 4 7 off"
  endgroup }

  group {
    oneonly "DYNAMIC" r+5 c1   w16 h4 i13 : "*light_select 4 7"
    oneonly "STATIC"  r=  c+16 w16 h4 i13 : "*light_unselect 4 7"
  endgroup }

  group {
    oneonly "LOCAL"    r+5 c1   w16 h4 i13 : "*light_local 4 7"
    oneonly "INFINITE" r=  c+16 w16 h4 i13 : "*light_infinite 4 7"
  endgroup }

  button "LOCATION /\nDIRECTION" r+5 c1   w16 h12 i13 : "*light_location 4 7"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_location_4_7x
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_4_7y
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_4_7z

  button "COLOR" r+5 c1   w16 h12 i13 : "*light_color 4 7"
  float  "%-.3g" r=  c+16 w16 h4  i11 :   light_color_4_7r
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_4_7g
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_4_7b

  button "AMBIENT\nCONTRIBUTION" r+5 c1   w16 h12 i13 : "*light_ambient 4 7"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_ambient_4_7r
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_4_7g
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_4_7b

  button "RADIUS" r+5 c1   w16 h4 i13 : "*light_radius 4 7"
  float  "%-.3g"  r=  c+16 w16 h4 i11 :   light_radius_4_7

  group {
    oneonly "SPOTLIGHT ON"  r+5 c1   w16 h4 i13 : "*set_light_spotlight 4 7 on"
    oneonly "SPOTLIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light_spotlight 4 7 off"
  endgroup }

  button "SPOTLIGHT\nDIRECTION" r+4 c1   w16 h12 i13 \
       : "*light_spot_direction 4 7"
  float  "%-.3g"                r=  c+16 w16 h4 i11 U : light_spot_dir_4_7x
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_4_7y
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_4_7z

  button "SPOTLIGHT\nRADIUS ANGLES" r+4 c1   w16 h8 i13 \
       : "*light_spot_angles 4 7"
  float  "%-.3g"                    r=  c+16 w16 h4 i11 : light_spot_angle_4_7i
  float  "%-.3g"                    r+4 c=   w16 h4 i11 : light_spot_angle_4_7o

#include standard.m
#include transform.m
endscreen }

screen ~ light_4_8 "VIEW 4 LIGHT 8" r1 c1 w32 h4 i12 H120 W128 {

  group {
    oneonly "LIGHT ON"  r6  c1   w16 h4 i13 : "*set_light 4 8 on"
    oneonly "LIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light 4 8 off"
  endgroup }

  group {
    oneonly "DYNAMIC" r+5 c1   w16 h4 i13 : "*light_select 4 8"
    oneonly "STATIC"  r=  c+16 w16 h4 i13 : "*light_unselect 4 8"
  endgroup }

  group {
    oneonly "LOCAL"    r+5 c1   w16 h4 i13 : "*light_local 4 8"
    oneonly "INFINITE" r=  c+16 w16 h4 i13 : "*light_infinite 4 8"
  endgroup }

  button "LOCATION /\nDIRECTION" r+5 c1   w16 h12 i13 : "*light_location 4 8"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_location_4_8x
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_4_8y
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_location_4_8z

  button "COLOR" r+5 c1   w16 h12 i13 : "*light_color 4 8"
  float  "%-.3g" r=  c+16 w16 h4  i11 :   light_color_4_8r
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_4_8g
  float  "%-.3g" r+4 c=   w16 h4  i11 :   light_color_4_8b

  button "AMBIENT\nCONTRIBUTION" r+5 c1   w16 h12 i13 : "*light_ambient 4 8"
  float  "%-.3g"                 r=  c+16 w16 h4  i11 :   light_ambient_4_8r
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_4_8g
  float  "%-.3g"                 r+4 c=   w16 h4  i11 :   light_ambient_4_8b

  button "RADIUS" r+5 c1   w16 h4 i13 : "*light_radius 4 8"
  float  "%-.3g"  r=  c+16 w16 h4 i11 :   light_radius_4_8

  group {
    oneonly "SPOTLIGHT ON"  r+5 c1   w16 h4 i13 : "*set_light_spotlight 4 8 on"
    oneonly "SPOTLIGHT OFF" r=  c+16 w16 h4 i13 : "*set_light_spotlight 4 8 off"
  endgroup }

  button "SPOTLIGHT\nDIRECTION" r+4 c1   w16 h12 i13 \
       : "*light_spot_direction 4 8"
  float  "%-.3g"                r=  c+16 w16 h4 i11 U : light_spot_dir_4_8x
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_4_8y
  float  "%-.3g"                r+4 c=   w16 h4 i11 U : light_spot_dir_4_8z

  button "SPOTLIGHT\nRADIUS ANGLES" r+4 c1   w16 h8 i13 \
       : "*light_spot_angles 4 8"
  float  "%-.3g"                    r=  c+16 w16 h4 i11 : light_spot_angle_4_8i
  float  "%-.3g"                    r+4 c=   w16 h4 i11 : light_spot_angle_4_8o

#include standard.m
#include transform.m
endscreen }
